#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2654
#define LARGE_STATE_COUNT 575
#define SYMBOL_COUNT 401
#define ALIAS_COUNT 0
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 182

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_static = 53,
  anon_sym_false = 54,
  anon_sym_null = 55,
  anon_sym_true = 56,
  aux_sym_cast_type_token1 = 57,
  aux_sym_cast_type_token2 = 58,
  aux_sym_cast_type_token3 = 59,
  aux_sym_cast_type_token4 = 60,
  aux_sym_cast_type_token5 = 61,
  aux_sym_cast_type_token6 = 62,
  aux_sym_cast_type_token7 = 63,
  aux_sym_cast_type_token8 = 64,
  aux_sym_cast_type_token9 = 65,
  aux_sym_cast_type_token10 = 66,
  aux_sym_cast_type_token11 = 67,
  aux_sym_cast_type_token12 = 68,
  aux_sym_echo_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_AT = 101,
  anon_sym_PLUS = 102,
  anon_sym_DASH = 103,
  anon_sym_TILDE = 104,
  anon_sym_BANG = 105,
  anon_sym_STAR_STAR = 106,
  aux_sym_clone_expression_token1 = 107,
  anon_sym_COLON_COLON = 108,
  aux_sym_print_intrinsic_token1 = 109,
  aux_sym_object_creation_expression_token1 = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_STAR_STAR_EQ = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_DOT_EQ = 119,
  anon_sym_LT_LT_EQ = 120,
  anon_sym_GT_GT_EQ = 121,
  anon_sym_AMP_EQ = 122,
  anon_sym_CARET_EQ = 123,
  anon_sym_PIPE_EQ = 124,
  anon_sym_QMARK_QMARK_EQ = 125,
  anon_sym_DASH_GT = 126,
  anon_sym_QMARK_DASH_GT = 127,
  aux_sym__list_destructing_token1 = 128,
  anon_sym_LBRACK = 129,
  anon_sym_RBRACK = 130,
  anon_sym_self = 131,
  anon_sym_parent = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  anon_sym_SQUOTE = 136,
  anon_sym_LT_QMARK = 137,
  anon_sym_QMARK_GT2 = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  sym_string_value = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_ = 146,
  anon_sym_SQUOTE2 = 147,
  anon_sym_BQUOTE = 148,
  sym_boolean = 149,
  sym_null = 150,
  anon_sym_DOLLAR = 151,
  aux_sym_yield_expression_token1 = 152,
  aux_sym_yield_expression_token2 = 153,
  aux_sym_binary_expression_token1 = 154,
  anon_sym_QMARK_QMARK = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_text_interpolation = 196,
  sym_text = 197,
  sym_empty_statement = 198,
  sym_reference_modifier = 199,
  sym_function_static_declaration = 200,
  sym_static_variable_declaration = 201,
  sym_global_declaration = 202,
  sym_namespace_definition = 203,
  sym_namespace_use_declaration = 204,
  sym_namespace_use_clause = 205,
  sym_qualified_name = 206,
  sym_namespace_name_as_prefix = 207,
  sym_namespace_name = 208,
  sym_namespace_aliasing_clause = 209,
  sym_namespace_use_group = 210,
  sym_namespace_use_group_clause = 211,
  sym_trait_declaration = 212,
  sym_interface_declaration = 213,
  sym_base_clause = 214,
  sym_enum_declaration = 215,
  sym_enum_declaration_list = 216,
  sym__enum_member_declaration = 217,
  sym_enum_case = 218,
  sym_class_declaration = 219,
  sym_declaration_list = 220,
  sym_final_modifier = 221,
  sym_abstract_modifier = 222,
  sym_readonly_modifier = 223,
  sym_class_interface_clause = 224,
  sym__member_declaration = 225,
  sym_const_declaration = 226,
  sym__class_const_declaration = 227,
  sym__const_declaration = 228,
  sym_property_declaration = 229,
  sym__modifier = 230,
  sym_property_element = 231,
  sym_property_initializer = 232,
  sym_method_declaration = 233,
  sym_static_modifier = 234,
  sym_use_declaration = 235,
  sym_use_list = 236,
  sym_use_instead_of_clause = 237,
  sym_use_as_clause = 238,
  sym_visibility_modifier = 239,
  sym_function_definition = 240,
  sym__function_definition_header = 241,
  sym__arrow_function_header = 242,
  sym_arrow_function = 243,
  sym_formal_parameters = 244,
  sym_property_promotion_parameter = 245,
  sym_simple_parameter = 246,
  sym_variadic_parameter = 247,
  sym__type = 248,
  sym__types = 249,
  sym_named_type = 250,
  sym_optional_type = 251,
  sym_union_type = 252,
  sym_intersection_type = 253,
  sym_primitive_type = 254,
  sym_cast_type = 255,
  sym__return_type = 256,
  sym_const_element = 257,
  sym_echo_statement = 258,
  sym_unset_statement = 259,
  sym_declare_statement = 260,
  sym_declare_directive = 261,
  sym_try_statement = 262,
  sym_catch_clause = 263,
  sym_type_list = 264,
  sym_finally_clause = 265,
  sym_goto_statement = 266,
  sym_continue_statement = 267,
  sym_break_statement = 268,
  sym_return_statement = 269,
  sym_throw_expression = 270,
  sym_while_statement = 271,
  sym_do_statement = 272,
  sym_for_statement = 273,
  sym__expressions = 274,
  sym_sequence_expression = 275,
  sym_foreach_statement = 276,
  sym_foreach_pair = 277,
  sym_if_statement = 278,
  sym_colon_block = 279,
  sym_else_if_clause = 280,
  sym_else_clause = 281,
  sym_else_if_clause_2 = 282,
  sym_else_clause_2 = 283,
  sym_match_expression = 284,
  sym_match_block = 285,
  sym_match_condition_list = 286,
  sym_match_conditional_expression = 287,
  sym_match_default_expression = 288,
  sym_switch_statement = 289,
  sym_switch_block = 290,
  sym_case_statement = 291,
  sym_default_statement = 292,
  sym_compound_statement = 293,
  sym_named_label_statement = 294,
  sym_expression_statement = 295,
  sym__expression = 296,
  sym__unary_expression = 297,
  sym_unary_op_expression = 298,
  sym_exponentiation_expression = 299,
  sym_clone_expression = 300,
  sym__primary_expression = 301,
  sym_parenthesized_expression = 302,
  sym_class_constant_access_expression = 303,
  sym_print_intrinsic = 304,
  sym_anonymous_function_creation_expression = 305,
  sym_anonymous_function_use_clause = 306,
  sym_object_creation_expression = 307,
  sym_update_expression = 308,
  sym_cast_expression = 309,
  sym_cast_variable = 310,
  sym_assignment_expression = 311,
  sym_reference_assignment_expression = 312,
  sym_conditional_expression = 313,
  sym_augmented_assignment_expression = 314,
  sym_member_access_expression = 315,
  sym_nullsafe_member_access_expression = 316,
  sym_scoped_property_access_expression = 317,
  sym_list_literal = 318,
  sym__list_destructing = 319,
  sym__array_destructing = 320,
  sym__array_destructing_element = 321,
  sym_function_call_expression = 322,
  sym_scoped_call_expression = 323,
  sym__scope_resolution_qualifier = 324,
  sym_relative_scope = 325,
  sym_variadic_placeholder = 326,
  sym_arguments = 327,
  sym_argument = 328,
  sym_member_call_expression = 329,
  sym_nullsafe_member_call_expression = 330,
  sym_variadic_unpacking = 331,
  sym_subscript_expression = 332,
  sym__dereferencable_expression = 333,
  sym_array_creation_expression = 334,
  sym_attribute_group = 335,
  sym_attribute_list = 336,
  sym_attribute = 337,
  sym__complex_string_part = 338,
  sym__simple_string_member_access_expression = 339,
  sym__simple_string_subscript_unary_expression = 340,
  sym__simple_string_array_access_argument = 341,
  sym__simple_string_subscript_expression = 342,
  sym__simple_string_part = 343,
  aux_sym__interpolated_string_body = 344,
  aux_sym__interpolated_string_body_heredoc = 345,
  sym_encapsed_string = 346,
  sym_string = 347,
  sym_heredoc_body = 348,
  sym_heredoc = 349,
  sym_nowdoc_body = 350,
  sym_nowdoc = 351,
  aux_sym__interpolated_execution_operator_body = 352,
  sym_shell_command_expression = 353,
  sym__string = 354,
  sym_dynamic_variable_name = 355,
  sym_variable_name = 356,
  sym_variable_reference = 357,
  sym_by_ref = 358,
  sym_yield_expression = 359,
  sym_array_element_initializer = 360,
  sym_binary_expression = 361,
  sym_include_expression = 362,
  sym_include_once_expression = 363,
  sym_require_expression = 364,
  sym_require_once_expression = 365,
  sym__reserved_identifier = 366,
  aux_sym_program_repeat1 = 367,
  aux_sym_text_repeat1 = 368,
  aux_sym_function_static_declaration_repeat1 = 369,
  aux_sym_global_declaration_repeat1 = 370,
  aux_sym_namespace_use_declaration_repeat1 = 371,
  aux_sym_namespace_name_repeat1 = 372,
  aux_sym_namespace_use_group_repeat1 = 373,
  aux_sym_base_clause_repeat1 = 374,
  aux_sym_enum_declaration_list_repeat1 = 375,
  aux_sym_declaration_list_repeat1 = 376,
  aux_sym__const_declaration_repeat1 = 377,
  aux_sym_property_declaration_repeat1 = 378,
  aux_sym_property_declaration_repeat2 = 379,
  aux_sym_use_list_repeat1 = 380,
  aux_sym_formal_parameters_repeat1 = 381,
  aux_sym_union_type_repeat1 = 382,
  aux_sym_intersection_type_repeat1 = 383,
  aux_sym_unset_statement_repeat1 = 384,
  aux_sym_try_statement_repeat1 = 385,
  aux_sym_type_list_repeat1 = 386,
  aux_sym_if_statement_repeat1 = 387,
  aux_sym_if_statement_repeat2 = 388,
  aux_sym_match_block_repeat1 = 389,
  aux_sym_match_condition_list_repeat1 = 390,
  aux_sym_switch_block_repeat1 = 391,
  aux_sym_anonymous_function_use_clause_repeat1 = 392,
  aux_sym__list_destructing_repeat1 = 393,
  aux_sym__array_destructing_repeat1 = 394,
  aux_sym_arguments_repeat1 = 395,
  aux_sym_array_creation_expression_repeat1 = 396,
  aux_sym_attribute_group_repeat1 = 397,
  aux_sym_attribute_list_repeat1 = 398,
  aux_sym_heredoc_body_repeat1 = 399,
  aux_sym_nowdoc_body_repeat1 = 400,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_static] = "static",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_AT] = "@",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_value",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT_QMARK] = "string_value",
  [anon_sym_QMARK_GT2] = "string_value",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [sym_string_value] = "string_value",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_value",
  [sym_encapsed_string_chars_after_variable] = "string_value",
  [sym_execution_string_chars] = "string_value",
  [sym_execution_string_chars_after_variable] = "string_value",
  [sym_encapsed_string_chars_heredoc] = "string_value",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_value",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_exponentiation_expression] = "exponentiation_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = anon_sym_static,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_value,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT_QMARK] = sym_string_value,
  [anon_sym_QMARK_GT2] = sym_string_value,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_string_value] = sym_string_value,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_value,
  [sym_encapsed_string_chars_after_variable] = sym_string_value,
  [sym_execution_string_chars] = sym_string_value,
  [sym_execution_string_chars_after_variable] = sym_string_value,
  [sym_encapsed_string_chars_heredoc] = sym_string_value,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_value,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_exponentiation_expression] = sym_exponentiation_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_exponentiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_attributes = 3,
  field_body = 4,
  field_condition = 5,
  field_conditional_expressions = 6,
  field_default_value = 7,
  field_end_tag = 8,
  field_function = 9,
  field_identifier = 10,
  field_left = 11,
  field_modifier = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_type = 23,
  field_value = 24,
  field_visibility = 25,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_modifier] = "modifier",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 2},
  [8] = {.index = 7, .length = 5},
  [9] = {.index = 12, .length = 1},
  [10] = {.index = 13, .length = 2},
  [11] = {.index = 15, .length = 2},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [16] = {.index = 23, .length = 2},
  [17] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 1},
  [19] = {.index = 28, .length = 5},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 3},
  [22] = {.index = 38, .length = 2},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 6},
  [26] = {.index = 50, .length = 2},
  [27] = {.index = 52, .length = 2},
  [28] = {.index = 54, .length = 2},
  [29] = {.index = 56, .length = 2},
  [30] = {.index = 58, .length = 2},
  [31] = {.index = 60, .length = 2},
  [32] = {.index = 62, .length = 3},
  [33] = {.index = 65, .length = 3},
  [34] = {.index = 68, .length = 3},
  [35] = {.index = 71, .length = 1},
  [36] = {.index = 72, .length = 3},
  [37] = {.index = 75, .length = 2},
  [38] = {.index = 77, .length = 2},
  [39] = {.index = 79, .length = 2},
  [40] = {.index = 81, .length = 3},
  [41] = {.index = 84, .length = 2},
  [42] = {.index = 86, .length = 1},
  [43] = {.index = 87, .length = 3},
  [44] = {.index = 90, .length = 3},
  [45] = {.index = 93, .length = 1},
  [48] = {.index = 94, .length = 3},
  [49] = {.index = 97, .length = 1},
  [50] = {.index = 98, .length = 3},
  [51] = {.index = 101, .length = 2},
  [52] = {.index = 103, .length = 2},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 109, .length = 3},
  [56] = {.index = 112, .length = 3},
  [57] = {.index = 115, .length = 3},
  [58] = {.index = 118, .length = 3},
  [59] = {.index = 121, .length = 3},
  [60] = {.index = 124, .length = 3},
  [61] = {.index = 127, .length = 2},
  [62] = {.index = 129, .length = 3},
  [63] = {.index = 132, .length = 3},
  [64] = {.index = 135, .length = 2},
  [65] = {.index = 137, .length = 2},
  [66] = {.index = 139, .length = 3},
  [67] = {.index = 142, .length = 3},
  [68] = {.index = 145, .length = 2},
  [69] = {.index = 147, .length = 3},
  [70] = {.index = 150, .length = 2},
  [71] = {.index = 152, .length = 3},
  [72] = {.index = 155, .length = 3},
  [73] = {.index = 158, .length = 3},
  [74] = {.index = 161, .length = 2},
  [75] = {.index = 163, .length = 4},
  [76] = {.index = 167, .length = 4},
  [77] = {.index = 171, .length = 3},
  [78] = {.index = 174, .length = 3},
  [79] = {.index = 177, .length = 1},
  [80] = {.index = 178, .length = 4},
  [81] = {.index = 182, .length = 1},
  [82] = {.index = 183, .length = 2},
  [83] = {.index = 183, .length = 2},
  [84] = {.index = 185, .length = 2},
  [85] = {.index = 187, .length = 4},
  [86] = {.index = 191, .length = 2},
  [87] = {.index = 193, .length = 3},
  [88] = {.index = 196, .length = 2},
  [89] = {.index = 198, .length = 4},
  [90] = {.index = 202, .length = 3},
  [91] = {.index = 205, .length = 4},
  [92] = {.index = 209, .length = 3},
  [93] = {.index = 212, .length = 3},
  [94] = {.index = 215, .length = 2},
  [95] = {.index = 217, .length = 3},
  [96] = {.index = 220, .length = 4},
  [97] = {.index = 224, .length = 4},
  [98] = {.index = 228, .length = 3},
  [99] = {.index = 231, .length = 3},
  [100] = {.index = 234, .length = 4},
  [101] = {.index = 238, .length = 4},
  [102] = {.index = 242, .length = 3},
  [103] = {.index = 245, .length = 3},
  [104] = {.index = 248, .length = 4},
  [105] = {.index = 252, .length = 3},
  [106] = {.index = 255, .length = 3},
  [107] = {.index = 258, .length = 3},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 3},
  [110] = {.index = 268, .length = 3},
  [111] = {.index = 271, .length = 3},
  [112] = {.index = 274, .length = 3},
  [113] = {.index = 277, .length = 4},
  [114] = {.index = 281, .length = 4},
  [115] = {.index = 285, .length = 3},
  [116] = {.index = 288, .length = 4},
  [117] = {.index = 292, .length = 3},
  [118] = {.index = 295, .length = 4},
  [119] = {.index = 299, .length = 2},
  [120] = {.index = 301, .length = 5},
  [121] = {.index = 306, .length = 4},
  [122] = {.index = 310, .length = 5},
  [123] = {.index = 315, .length = 2},
  [124] = {.index = 317, .length = 1},
  [125] = {.index = 318, .length = 2},
  [126] = {.index = 320, .length = 1},
  [129] = {.index = 321, .length = 3},
  [130] = {.index = 324, .length = 5},
  [131] = {.index = 329, .length = 2},
  [132] = {.index = 331, .length = 3},
  [133] = {.index = 334, .length = 4},
  [134] = {.index = 338, .length = 3},
  [135] = {.index = 341, .length = 3},
  [136] = {.index = 344, .length = 4},
  [137] = {.index = 348, .length = 4},
  [138] = {.index = 352, .length = 3},
  [139] = {.index = 355, .length = 5},
  [140] = {.index = 360, .length = 4},
  [141] = {.index = 364, .length = 4},
  [142] = {.index = 368, .length = 3},
  [143] = {.index = 368, .length = 3},
  [144] = {.index = 371, .length = 4},
  [145] = {.index = 375, .length = 5},
  [146] = {.index = 380, .length = 4},
  [147] = {.index = 384, .length = 4},
  [148] = {.index = 388, .length = 4},
  [149] = {.index = 392, .length = 4},
  [150] = {.index = 396, .length = 4},
  [151] = {.index = 400, .length = 4},
  [152] = {.index = 404, .length = 5},
  [153] = {.index = 409, .length = 4},
  [154] = {.index = 413, .length = 4},
  [155] = {.index = 417, .length = 4},
  [156] = {.index = 421, .length = 5},
  [157] = {.index = 426, .length = 6},
  [158] = {.index = 432, .length = 1},
  [159] = {.index = 433, .length = 2},
  [160] = {.index = 435, .length = 1},
  [161] = {.index = 436, .length = 3},
  [162] = {.index = 439, .length = 5},
  [163] = {.index = 444, .length = 4},
  [164] = {.index = 448, .length = 5},
  [165] = {.index = 453, .length = 4},
  [166] = {.index = 457, .length = 4},
  [167] = {.index = 461, .length = 5},
  [168] = {.index = 466, .length = 3},
  [169] = {.index = 469, .length = 4},
  [170] = {.index = 473, .length = 5},
  [171] = {.index = 478, .length = 5},
  [172] = {.index = 483, .length = 5},
  [173] = {.index = 488, .length = 5},
  [174] = {.index = 493, .length = 5},
  [175] = {.index = 498, .length = 2},
  [176] = {.index = 500, .length = 2},
  [177] = {.index = 502, .length = 3},
  [178] = {.index = 505, .length = 5},
  [179] = {.index = 510, .length = 5},
  [180] = {.index = 515, .length = 6},
  [181] = {.index = 521, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_body, 1},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [12] =
    {field_name, 1},
  [13] =
    {field_body, 2},
    {field_name, 1},
  [15] =
    {field_name, 1},
    {field_parameters, 2},
  [17] =
    {field_body, 2},
    {field_parameters, 1},
  [19] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [21] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [23] =
    {field_body, 2},
    {field_condition, 1},
  [25] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [27] =
    {field_parameters, 2},
  [28] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_name, 2},
    {field_scope, 0},
  [40] =
    {field_name, 2},
    {field_object, 0},
  [42] =
    {field_attributes, 0},
    {field_parameters, 2},
  [44] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [50] =
    {field_body, 3},
    {field_parameters, 2},
  [52] =
    {field_name, 0},
    {field_value, 2},
  [54] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [56] =
    {field_name, 1},
    {field_visibility, 0},
  [58] =
    {field_name, 1},
    {field_type, 0},
  [60] =
    {field_attributes, 0},
    {field_name, 1},
  [62] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [65] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_attributes, 0, .inherited = true},
    {field_modifier, 0, .inherited = true},
  [79] =
    {field_body, 3},
    {field_name, 1},
  [81] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [84] =
    {field_type, 1},
    {field_value, 3},
  [86] =
    {field_alternative, 0},
  [87] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [90] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [93] =
    {field_attributes, 1},
  [94] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [97] =
    {field_reference_modifier, 0},
  [98] =
    {field_body, 3},
    {field_modifier, 0},
    {field_name, 2},
  [101] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [103] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [105] =
    {field_alternative, 3},
    {field_condition, 0},
  [107] =
    {field_left, 0},
    {field_right, 3},
  [109] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [112] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [115] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [118] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [121] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [124] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
  [129] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [132] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [135] =
    {field_body, 4},
    {field_parameters, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [167] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [171] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [174] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [177] =
    {field_modifier, 0},
  [178] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [182] =
    {field_attributes, 0},
  [183] =
    {field_body, 4},
    {field_name, 1},
  [185] =
    {field_body, 1},
    {field_condition, 3},
  [187] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [191] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [193] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [196] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [202] =
    {field_body, 4},
    {field_modifier, 0},
    {field_name, 2},
  [205] =
    {field_body, 4},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [209] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [212] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [215] =
    {field_name, 3},
    {field_object, 0},
  [217] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
  [220] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [231] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [234] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [238] =
    {field_attributes, 0},
    {field_body, 4},
    {field_modifier, 1},
    {field_name, 3},
  [242] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [245] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [248] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [255] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_modifier, 1},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [310] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [315] =
    {field_body, 5},
    {field_name, 1},
  [317] =
    {field_return_expression, 2},
  [318] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [320] =
    {field_value, 1},
  [321] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [324] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [329] =
    {field_name, 0},
    {field_reference_modifier, 2},
  [331] =
    {field_body, 5},
    {field_modifier, 0},
    {field_name, 2},
  [334] =
    {field_body, 5},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [338] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [344] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [348] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [364] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [371] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_name, 3},
  [375] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [380] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [384] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [388] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [392] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [396] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [400] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [404] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [409] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [413] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [417] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [421] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [426] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [432] =
    {field_type, 1},
  [433] =
    {field_body, 4},
    {field_type, 2},
  [435] =
    {field_body, 6},
  [436] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [439] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [448] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [453] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [461] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [469] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_name, 3},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [478] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [483] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [488] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [493] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [498] =
    {field_attributes, 0},
    {field_type, 2},
  [500] =
    {field_name, 1},
    {field_value, 3},
  [502] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [505] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
  [510] =
    {field_attributes, 0},
    {field_body, 7},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [515] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [521] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = sym_list_literal,
  },
  [5] = {
    [0] = sym_string_value,
  },
  [15] = {
    [0] = anon_sym_array,
  },
  [46] = {
    [1] = sym_list_literal,
  },
  [47] = {
    [2] = sym_list_literal,
  },
  [82] = {
    [3] = sym_primitive_type,
  },
  [123] = {
    [3] = sym_primitive_type,
  },
  [127] = {
    [3] = sym_list_literal,
  },
  [128] = {
    [4] = sym_list_literal,
  },
  [142] = {
    [4] = sym_primitive_type,
  },
  [168] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 2,
  [10] = 8,
  [11] = 7,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 22,
  [26] = 19,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 27,
  [31] = 22,
  [32] = 19,
  [33] = 33,
  [34] = 33,
  [35] = 28,
  [36] = 36,
  [37] = 18,
  [38] = 28,
  [39] = 28,
  [40] = 40,
  [41] = 41,
  [42] = 36,
  [43] = 43,
  [44] = 33,
  [45] = 29,
  [46] = 46,
  [47] = 33,
  [48] = 40,
  [49] = 27,
  [50] = 50,
  [51] = 41,
  [52] = 27,
  [53] = 27,
  [54] = 17,
  [55] = 55,
  [56] = 22,
  [57] = 57,
  [58] = 58,
  [59] = 18,
  [60] = 16,
  [61] = 61,
  [62] = 58,
  [63] = 63,
  [64] = 58,
  [65] = 58,
  [66] = 63,
  [67] = 57,
  [68] = 40,
  [69] = 29,
  [70] = 22,
  [71] = 40,
  [72] = 55,
  [73] = 61,
  [74] = 43,
  [75] = 29,
  [76] = 18,
  [77] = 46,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 79,
  [82] = 79,
  [83] = 79,
  [84] = 78,
  [85] = 80,
  [86] = 86,
  [87] = 86,
  [88] = 86,
  [89] = 86,
  [90] = 90,
  [91] = 91,
  [92] = 90,
  [93] = 91,
  [94] = 91,
  [95] = 90,
  [96] = 91,
  [97] = 91,
  [98] = 90,
  [99] = 90,
  [100] = 90,
  [101] = 101,
  [102] = 101,
  [103] = 101,
  [104] = 101,
  [105] = 101,
  [106] = 106,
  [107] = 106,
  [108] = 106,
  [109] = 106,
  [110] = 106,
  [111] = 106,
  [112] = 106,
  [113] = 106,
  [114] = 114,
  [115] = 114,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 122,
  [124] = 124,
  [125] = 122,
  [126] = 119,
  [127] = 120,
  [128] = 122,
  [129] = 120,
  [130] = 122,
  [131] = 124,
  [132] = 118,
  [133] = 120,
  [134] = 120,
  [135] = 135,
  [136] = 120,
  [137] = 122,
  [138] = 122,
  [139] = 121,
  [140] = 120,
  [141] = 120,
  [142] = 135,
  [143] = 122,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 146,
  [149] = 147,
  [150] = 150,
  [151] = 151,
  [152] = 144,
  [153] = 153,
  [154] = 150,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 158,
  [164] = 164,
  [165] = 164,
  [166] = 166,
  [167] = 159,
  [168] = 166,
  [169] = 160,
  [170] = 159,
  [171] = 162,
  [172] = 160,
  [173] = 162,
  [174] = 161,
  [175] = 166,
  [176] = 161,
  [177] = 160,
  [178] = 164,
  [179] = 159,
  [180] = 161,
  [181] = 158,
  [182] = 162,
  [183] = 164,
  [184] = 158,
  [185] = 166,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 186,
  [193] = 186,
  [194] = 186,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 187,
  [199] = 186,
  [200] = 195,
  [201] = 186,
  [202] = 190,
  [203] = 188,
  [204] = 204,
  [205] = 204,
  [206] = 204,
  [207] = 204,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 209,
  [213] = 208,
  [214] = 211,
  [215] = 211,
  [216] = 208,
  [217] = 209,
  [218] = 204,
  [219] = 204,
  [220] = 208,
  [221] = 211,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 227,
  [229] = 229,
  [230] = 227,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 222,
  [237] = 237,
  [238] = 232,
  [239] = 237,
  [240] = 235,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 226,
  [245] = 227,
  [246] = 246,
  [247] = 223,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 224,
  [263] = 261,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 226,
  [269] = 232,
  [270] = 235,
  [271] = 271,
  [272] = 237,
  [273] = 232,
  [274] = 265,
  [275] = 275,
  [276] = 276,
  [277] = 235,
  [278] = 237,
  [279] = 232,
  [280] = 234,
  [281] = 232,
  [282] = 266,
  [283] = 266,
  [284] = 284,
  [285] = 232,
  [286] = 266,
  [287] = 287,
  [288] = 288,
  [289] = 264,
  [290] = 237,
  [291] = 235,
  [292] = 292,
  [293] = 235,
  [294] = 294,
  [295] = 237,
  [296] = 296,
  [297] = 266,
  [298] = 232,
  [299] = 260,
  [300] = 300,
  [301] = 259,
  [302] = 264,
  [303] = 258,
  [304] = 300,
  [305] = 235,
  [306] = 306,
  [307] = 306,
  [308] = 237,
  [309] = 309,
  [310] = 261,
  [311] = 266,
  [312] = 257,
  [313] = 313,
  [314] = 232,
  [315] = 315,
  [316] = 294,
  [317] = 256,
  [318] = 229,
  [319] = 241,
  [320] = 320,
  [321] = 231,
  [322] = 225,
  [323] = 225,
  [324] = 237,
  [325] = 242,
  [326] = 260,
  [327] = 243,
  [328] = 328,
  [329] = 329,
  [330] = 246,
  [331] = 313,
  [332] = 223,
  [333] = 241,
  [334] = 248,
  [335] = 242,
  [336] = 235,
  [337] = 237,
  [338] = 249,
  [339] = 309,
  [340] = 242,
  [341] = 250,
  [342] = 251,
  [343] = 252,
  [344] = 344,
  [345] = 259,
  [346] = 241,
  [347] = 235,
  [348] = 243,
  [349] = 234,
  [350] = 237,
  [351] = 296,
  [352] = 300,
  [353] = 296,
  [354] = 296,
  [355] = 355,
  [356] = 296,
  [357] = 300,
  [358] = 306,
  [359] = 222,
  [360] = 234,
  [361] = 309,
  [362] = 258,
  [363] = 363,
  [364] = 257,
  [365] = 255,
  [366] = 231,
  [367] = 256,
  [368] = 255,
  [369] = 254,
  [370] = 313,
  [371] = 254,
  [372] = 265,
  [373] = 253,
  [374] = 253,
  [375] = 235,
  [376] = 229,
  [377] = 224,
  [378] = 306,
  [379] = 309,
  [380] = 294,
  [381] = 253,
  [382] = 252,
  [383] = 252,
  [384] = 254,
  [385] = 255,
  [386] = 256,
  [387] = 251,
  [388] = 250,
  [389] = 257,
  [390] = 390,
  [391] = 258,
  [392] = 294,
  [393] = 249,
  [394] = 251,
  [395] = 248,
  [396] = 259,
  [397] = 313,
  [398] = 261,
  [399] = 224,
  [400] = 229,
  [401] = 401,
  [402] = 402,
  [403] = 246,
  [404] = 231,
  [405] = 250,
  [406] = 260,
  [407] = 222,
  [408] = 249,
  [409] = 409,
  [410] = 264,
  [411] = 248,
  [412] = 243,
  [413] = 413,
  [414] = 296,
  [415] = 223,
  [416] = 416,
  [417] = 417,
  [418] = 246,
  [419] = 225,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 423,
  [425] = 422,
  [426] = 426,
  [427] = 426,
  [428] = 422,
  [429] = 422,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 431,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 431,
  [438] = 438,
  [439] = 439,
  [440] = 431,
  [441] = 431,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 438,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 435,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 458,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 445,
  [566] = 566,
  [567] = 567,
  [568] = 567,
  [569] = 567,
  [570] = 567,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 596,
  [598] = 594,
  [599] = 599,
  [600] = 600,
  [601] = 575,
  [602] = 602,
  [603] = 596,
  [604] = 578,
  [605] = 580,
  [606] = 594,
  [607] = 579,
  [608] = 576,
  [609] = 577,
  [610] = 575,
  [611] = 589,
  [612] = 584,
  [613] = 593,
  [614] = 594,
  [615] = 588,
  [616] = 592,
  [617] = 602,
  [618] = 591,
  [619] = 581,
  [620] = 573,
  [621] = 572,
  [622] = 590,
  [623] = 585,
  [624] = 587,
  [625] = 574,
  [626] = 626,
  [627] = 627,
  [628] = 571,
  [629] = 596,
  [630] = 583,
  [631] = 626,
  [632] = 599,
  [633] = 586,
  [634] = 582,
  [635] = 595,
  [636] = 602,
  [637] = 637,
  [638] = 599,
  [639] = 595,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 599,
  [644] = 642,
  [645] = 602,
  [646] = 646,
  [647] = 576,
  [648] = 578,
  [649] = 649,
  [650] = 588,
  [651] = 651,
  [652] = 577,
  [653] = 653,
  [654] = 654,
  [655] = 579,
  [656] = 654,
  [657] = 580,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 591,
  [663] = 590,
  [664] = 589,
  [665] = 583,
  [666] = 587,
  [667] = 574,
  [668] = 586,
  [669] = 585,
  [670] = 661,
  [671] = 592,
  [672] = 582,
  [673] = 584,
  [674] = 674,
  [675] = 571,
  [676] = 572,
  [677] = 573,
  [678] = 593,
  [679] = 581,
  [680] = 588,
  [681] = 681,
  [682] = 576,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 649,
  [689] = 689,
  [690] = 580,
  [691] = 691,
  [692] = 692,
  [693] = 683,
  [694] = 694,
  [695] = 695,
  [696] = 579,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 577,
  [701] = 701,
  [702] = 702,
  [703] = 579,
  [704] = 704,
  [705] = 674,
  [706] = 580,
  [707] = 699,
  [708] = 579,
  [709] = 578,
  [710] = 576,
  [711] = 577,
  [712] = 712,
  [713] = 577,
  [714] = 714,
  [715] = 580,
  [716] = 576,
  [717] = 578,
  [718] = 578,
  [719] = 684,
  [720] = 583,
  [721] = 566,
  [722] = 574,
  [723] = 723,
  [724] = 591,
  [725] = 581,
  [726] = 571,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 582,
  [737] = 589,
  [738] = 738,
  [739] = 585,
  [740] = 740,
  [741] = 741,
  [742] = 741,
  [743] = 592,
  [744] = 573,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 593,
  [753] = 753,
  [754] = 590,
  [755] = 755,
  [756] = 756,
  [757] = 587,
  [758] = 758,
  [759] = 758,
  [760] = 760,
  [761] = 761,
  [762] = 584,
  [763] = 763,
  [764] = 572,
  [765] = 586,
  [766] = 435,
  [767] = 712,
  [768] = 660,
  [769] = 769,
  [770] = 770,
  [771] = 692,
  [772] = 438,
  [773] = 654,
  [774] = 774,
  [775] = 578,
  [776] = 651,
  [777] = 649,
  [778] = 654,
  [779] = 779,
  [780] = 579,
  [781] = 653,
  [782] = 580,
  [783] = 576,
  [784] = 784,
  [785] = 577,
  [786] = 786,
  [787] = 585,
  [788] = 588,
  [789] = 581,
  [790] = 786,
  [791] = 573,
  [792] = 792,
  [793] = 793,
  [794] = 590,
  [795] = 593,
  [796] = 589,
  [797] = 574,
  [798] = 571,
  [799] = 592,
  [800] = 584,
  [801] = 583,
  [802] = 582,
  [803] = 586,
  [804] = 587,
  [805] = 572,
  [806] = 591,
  [807] = 807,
  [808] = 808,
  [809] = 445,
  [810] = 580,
  [811] = 578,
  [812] = 588,
  [813] = 579,
  [814] = 649,
  [815] = 807,
  [816] = 458,
  [817] = 683,
  [818] = 686,
  [819] = 807,
  [820] = 820,
  [821] = 820,
  [822] = 692,
  [823] = 823,
  [824] = 695,
  [825] = 699,
  [826] = 579,
  [827] = 576,
  [828] = 577,
  [829] = 578,
  [830] = 580,
  [831] = 687,
  [832] = 689,
  [833] = 674,
  [834] = 699,
  [835] = 835,
  [836] = 698,
  [837] = 674,
  [838] = 694,
  [839] = 576,
  [840] = 577,
  [841] = 702,
  [842] = 823,
  [843] = 823,
  [844] = 807,
  [845] = 835,
  [846] = 712,
  [847] = 808,
  [848] = 714,
  [849] = 579,
  [850] = 683,
  [851] = 807,
  [852] = 580,
  [853] = 578,
  [854] = 854,
  [855] = 576,
  [856] = 681,
  [857] = 577,
  [858] = 740,
  [859] = 732,
  [860] = 574,
  [861] = 589,
  [862] = 585,
  [863] = 727,
  [864] = 573,
  [865] = 756,
  [866] = 755,
  [867] = 583,
  [868] = 590,
  [869] = 593,
  [870] = 591,
  [871] = 692,
  [872] = 582,
  [873] = 586,
  [874] = 730,
  [875] = 746,
  [876] = 587,
  [877] = 566,
  [878] = 584,
  [879] = 572,
  [880] = 750,
  [881] = 745,
  [882] = 571,
  [883] = 747,
  [884] = 749,
  [885] = 751,
  [886] = 753,
  [887] = 731,
  [888] = 592,
  [889] = 581,
  [890] = 723,
  [891] = 733,
  [892] = 734,
  [893] = 728,
  [894] = 748,
  [895] = 735,
  [896] = 692,
  [897] = 729,
  [898] = 761,
  [899] = 760,
  [900] = 763,
  [901] = 784,
  [902] = 769,
  [903] = 779,
  [904] = 712,
  [905] = 774,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 574,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 572,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 573,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 571,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 445,
  [972] = 458,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1004,
  [1008] = 984,
  [1009] = 994,
  [1010] = 1005,
  [1011] = 999,
  [1012] = 981,
  [1013] = 982,
  [1014] = 986,
  [1015] = 983,
  [1016] = 978,
  [1017] = 985,
  [1018] = 991,
  [1019] = 987,
  [1020] = 988,
  [1021] = 989,
  [1022] = 977,
  [1023] = 979,
  [1024] = 993,
  [1025] = 1002,
  [1026] = 995,
  [1027] = 980,
  [1028] = 1006,
  [1029] = 974,
  [1030] = 996,
  [1031] = 990,
  [1032] = 1000,
  [1033] = 997,
  [1034] = 975,
  [1035] = 992,
  [1036] = 1003,
  [1037] = 1001,
  [1038] = 976,
  [1039] = 998,
  [1040] = 984,
  [1041] = 924,
  [1042] = 571,
  [1043] = 933,
  [1044] = 969,
  [1045] = 986,
  [1046] = 970,
  [1047] = 968,
  [1048] = 906,
  [1049] = 965,
  [1050] = 908,
  [1051] = 572,
  [1052] = 938,
  [1053] = 966,
  [1054] = 913,
  [1055] = 937,
  [1056] = 909,
  [1057] = 936,
  [1058] = 999,
  [1059] = 940,
  [1060] = 1005,
  [1061] = 994,
  [1062] = 574,
  [1063] = 1063,
  [1064] = 573,
  [1065] = 963,
  [1066] = 923,
  [1067] = 910,
  [1068] = 932,
  [1069] = 980,
  [1070] = 931,
  [1071] = 911,
  [1072] = 930,
  [1073] = 929,
  [1074] = 964,
  [1075] = 907,
  [1076] = 928,
  [1077] = 955,
  [1078] = 918,
  [1079] = 990,
  [1080] = 954,
  [1081] = 951,
  [1082] = 962,
  [1083] = 1000,
  [1084] = 1006,
  [1085] = 961,
  [1086] = 912,
  [1087] = 967,
  [1088] = 926,
  [1089] = 974,
  [1090] = 919,
  [1091] = 960,
  [1092] = 992,
  [1093] = 958,
  [1094] = 976,
  [1095] = 1001,
  [1096] = 1003,
  [1097] = 957,
  [1098] = 978,
  [1099] = 950,
  [1100] = 956,
  [1101] = 1002,
  [1102] = 953,
  [1103] = 1004,
  [1104] = 914,
  [1105] = 948,
  [1106] = 998,
  [1107] = 947,
  [1108] = 997,
  [1109] = 996,
  [1110] = 995,
  [1111] = 993,
  [1112] = 991,
  [1113] = 989,
  [1114] = 915,
  [1115] = 988,
  [1116] = 987,
  [1117] = 985,
  [1118] = 946,
  [1119] = 983,
  [1120] = 982,
  [1121] = 981,
  [1122] = 944,
  [1123] = 945,
  [1124] = 435,
  [1125] = 975,
  [1126] = 943,
  [1127] = 949,
  [1128] = 438,
  [1129] = 934,
  [1130] = 942,
  [1131] = 935,
  [1132] = 916,
  [1133] = 979,
  [1134] = 920,
  [1135] = 977,
  [1136] = 917,
  [1137] = 941,
  [1138] = 925,
  [1139] = 952,
  [1140] = 921,
  [1141] = 980,
  [1142] = 1000,
  [1143] = 985,
  [1144] = 986,
  [1145] = 987,
  [1146] = 1005,
  [1147] = 994,
  [1148] = 984,
  [1149] = 977,
  [1150] = 988,
  [1151] = 999,
  [1152] = 974,
  [1153] = 983,
  [1154] = 989,
  [1155] = 990,
  [1156] = 991,
  [1157] = 992,
  [1158] = 996,
  [1159] = 982,
  [1160] = 997,
  [1161] = 975,
  [1162] = 998,
  [1163] = 978,
  [1164] = 976,
  [1165] = 1001,
  [1166] = 981,
  [1167] = 979,
  [1168] = 995,
  [1169] = 993,
  [1170] = 1004,
  [1171] = 1003,
  [1172] = 1002,
  [1173] = 1006,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 974,
  [1179] = 1176,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1176,
  [1188] = 1188,
  [1189] = 1175,
  [1190] = 974,
  [1191] = 1176,
  [1192] = 1175,
  [1193] = 1175,
  [1194] = 1194,
  [1195] = 1182,
  [1196] = 1196,
  [1197] = 1182,
  [1198] = 1198,
  [1199] = 1196,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1188,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1202,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1202,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1208,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1221,
  [1226] = 1226,
  [1227] = 1226,
  [1228] = 1228,
  [1229] = 1188,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1202,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1242,
  [1244] = 1236,
  [1245] = 1241,
  [1246] = 1242,
  [1247] = 1247,
  [1248] = 1236,
  [1249] = 1249,
  [1250] = 1249,
  [1251] = 1240,
  [1252] = 1252,
  [1253] = 1249,
  [1254] = 1239,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1249,
  [1259] = 1239,
  [1260] = 1255,
  [1261] = 1240,
  [1262] = 1236,
  [1263] = 1237,
  [1264] = 1236,
  [1265] = 1256,
  [1266] = 1255,
  [1267] = 1241,
  [1268] = 1255,
  [1269] = 1269,
  [1270] = 1256,
  [1271] = 1242,
  [1272] = 1255,
  [1273] = 1240,
  [1274] = 1274,
  [1275] = 1237,
  [1276] = 1249,
  [1277] = 1277,
  [1278] = 1241,
  [1279] = 1240,
  [1280] = 1280,
  [1281] = 1236,
  [1282] = 1242,
  [1283] = 1283,
  [1284] = 1236,
  [1285] = 1240,
  [1286] = 1255,
  [1287] = 1242,
  [1288] = 1256,
  [1289] = 1255,
  [1290] = 1241,
  [1291] = 1241,
  [1292] = 1255,
  [1293] = 1240,
  [1294] = 1294,
  [1295] = 1239,
  [1296] = 1249,
  [1297] = 1240,
  [1298] = 1255,
  [1299] = 1252,
  [1300] = 1300,
  [1301] = 1255,
  [1302] = 1240,
  [1303] = 1252,
  [1304] = 1236,
  [1305] = 1277,
  [1306] = 1247,
  [1307] = 1236,
  [1308] = 1240,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1310,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1321,
  [1323] = 1320,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1320,
  [1328] = 1321,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1330,
  [1332] = 1330,
  [1333] = 1309,
  [1334] = 1334,
  [1335] = 1316,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1318,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1319,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1063,
  [1348] = 1348,
  [1349] = 1324,
  [1350] = 1325,
  [1351] = 1351,
  [1352] = 1329,
  [1353] = 1326,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1365,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 435,
  [1372] = 1372,
  [1373] = 438,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1375,
  [1378] = 1378,
  [1379] = 591,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 516,
  [1383] = 1383,
  [1384] = 561,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1381,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1394,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1378,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1406,
  [1410] = 483,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1414,
  [1416] = 1413,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1419,
  [1423] = 1417,
  [1424] = 1421,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 591,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 589,
  [1433] = 593,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 686,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 591,
  [1443] = 1443,
  [1444] = 1437,
  [1445] = 649,
  [1446] = 1446,
  [1447] = 1441,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1274,
  [1452] = 1317,
  [1453] = 1453,
  [1454] = 1450,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1455,
  [1460] = 1314,
  [1461] = 1458,
  [1462] = 1450,
  [1463] = 1450,
  [1464] = 1450,
  [1465] = 1455,
  [1466] = 1455,
  [1467] = 1450,
  [1468] = 1458,
  [1469] = 1309,
  [1470] = 1457,
  [1471] = 1458,
  [1472] = 1458,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1455,
  [1476] = 1458,
  [1477] = 1450,
  [1478] = 1315,
  [1479] = 1457,
  [1480] = 1312,
  [1481] = 1481,
  [1482] = 1455,
  [1483] = 1450,
  [1484] = 1316,
  [1485] = 1458,
  [1486] = 1455,
  [1487] = 1458,
  [1488] = 1458,
  [1489] = 1457,
  [1490] = 1458,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1458,
  [1494] = 1494,
  [1495] = 1458,
  [1496] = 1450,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1455,
  [1500] = 1455,
  [1501] = 1455,
  [1502] = 1450,
  [1503] = 1458,
  [1504] = 1504,
  [1505] = 591,
  [1506] = 1455,
  [1507] = 1450,
  [1508] = 1457,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1510,
  [1514] = 421,
  [1515] = 1515,
  [1516] = 1446,
  [1517] = 1512,
  [1518] = 420,
  [1519] = 1509,
  [1520] = 1520,
  [1521] = 1511,
  [1522] = 1453,
  [1523] = 1439,
  [1524] = 1449,
  [1525] = 593,
  [1526] = 1429,
  [1527] = 1430,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 674,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 591,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1529,
  [1541] = 589,
  [1542] = 1542,
  [1543] = 1531,
  [1544] = 1544,
  [1545] = 1531,
  [1546] = 1530,
  [1547] = 1547,
  [1548] = 1535,
  [1549] = 1549,
  [1550] = 1531,
  [1551] = 579,
  [1552] = 674,
  [1553] = 1448,
  [1554] = 1529,
  [1555] = 1531,
  [1556] = 1529,
  [1557] = 792,
  [1558] = 1531,
  [1559] = 674,
  [1560] = 579,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1529,
  [1564] = 1564,
  [1565] = 1530,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 593,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1574,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 589,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 423,
  [1585] = 1585,
  [1586] = 1567,
  [1587] = 1571,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1430,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1429,
  [1600] = 1600,
  [1601] = 1590,
  [1602] = 426,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1573,
  [1607] = 1605,
  [1608] = 423,
  [1609] = 1439,
  [1610] = 1610,
  [1611] = 1575,
  [1612] = 1594,
  [1613] = 1613,
  [1614] = 1572,
  [1615] = 1600,
  [1616] = 1604,
  [1617] = 1589,
  [1618] = 1604,
  [1619] = 1581,
  [1620] = 1577,
  [1621] = 1621,
  [1622] = 591,
  [1623] = 1535,
  [1624] = 1591,
  [1625] = 1625,
  [1626] = 1569,
  [1627] = 426,
  [1628] = 1592,
  [1629] = 1629,
  [1630] = 1583,
  [1631] = 1631,
  [1632] = 1580,
  [1633] = 1449,
  [1634] = 1598,
  [1635] = 1448,
  [1636] = 1631,
  [1637] = 1590,
  [1638] = 1603,
  [1639] = 1639,
  [1640] = 1639,
  [1641] = 1568,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 442,
  [1645] = 457,
  [1646] = 448,
  [1647] = 1647,
  [1648] = 1647,
  [1649] = 1649,
  [1650] = 447,
  [1651] = 1651,
  [1652] = 1643,
  [1653] = 1653,
  [1654] = 1651,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1651,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 432,
  [1661] = 1643,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1651,
  [1666] = 436,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1651,
  [1671] = 455,
  [1672] = 1643,
  [1673] = 1651,
  [1674] = 1674,
  [1675] = 453,
  [1676] = 452,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1643,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1663,
  [1684] = 1664,
  [1685] = 1643,
  [1686] = 1651,
  [1687] = 1651,
  [1688] = 1664,
  [1689] = 1629,
  [1690] = 1651,
  [1691] = 1643,
  [1692] = 1643,
  [1693] = 1677,
  [1694] = 1680,
  [1695] = 450,
  [1696] = 1643,
  [1697] = 430,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1678,
  [1701] = 1643,
  [1702] = 1649,
  [1703] = 1703,
  [1704] = 1651,
  [1705] = 1643,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1707,
  [1709] = 1659,
  [1710] = 460,
  [1711] = 439,
  [1712] = 459,
  [1713] = 443,
  [1714] = 1714,
  [1715] = 1651,
  [1716] = 444,
  [1717] = 1717,
  [1718] = 449,
  [1719] = 454,
  [1720] = 1674,
  [1721] = 461,
  [1722] = 1722,
  [1723] = 1656,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 434,
  [1727] = 451,
  [1728] = 1728,
  [1729] = 1625,
  [1730] = 1566,
  [1731] = 1731,
  [1732] = 1653,
  [1733] = 1621,
  [1734] = 446,
  [1735] = 1677,
  [1736] = 456,
  [1737] = 1699,
  [1738] = 1582,
  [1739] = 1651,
  [1740] = 1740,
  [1741] = 1668,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1744,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1680,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1752,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1755,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1752,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1743,
  [1797] = 1761,
  [1798] = 1663,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1795,
  [1804] = 681,
  [1805] = 1774,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1742,
  [1809] = 1809,
  [1810] = 1781,
  [1811] = 1757,
  [1812] = 1812,
  [1813] = 1812,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1814,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1776,
  [1820] = 1790,
  [1821] = 1767,
  [1822] = 1765,
  [1823] = 1823,
  [1824] = 1773,
  [1825] = 1771,
  [1826] = 1800,
  [1827] = 1766,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1740,
  [1831] = 1761,
  [1832] = 1752,
  [1833] = 1833,
  [1834] = 1759,
  [1835] = 1578,
  [1836] = 1745,
  [1837] = 1754,
  [1838] = 1744,
  [1839] = 1793,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1756,
  [1843] = 1757,
  [1844] = 1756,
  [1845] = 1845,
  [1846] = 1747,
  [1847] = 1748,
  [1848] = 1749,
  [1849] = 1849,
  [1850] = 1770,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1791,
  [1858] = 1858,
  [1859] = 1802,
  [1860] = 1860,
  [1861] = 1841,
  [1862] = 1862,
  [1863] = 1751,
  [1864] = 1806,
  [1865] = 1865,
  [1866] = 1725,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1870,
  [1872] = 1840,
  [1873] = 1873,
  [1874] = 1787,
  [1875] = 1788,
  [1876] = 1789,
  [1877] = 1877,
  [1878] = 1794,
  [1879] = 1799,
  [1880] = 1828,
  [1881] = 1807,
  [1882] = 1867,
  [1883] = 1883,
  [1884] = 1809,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1889,
  [1903] = 1903,
  [1904] = 1903,
  [1905] = 1905,
  [1906] = 1901,
  [1907] = 1907,
  [1908] = 1898,
  [1909] = 1899,
  [1910] = 1910,
  [1911] = 1893,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1896,
  [1918] = 1918,
  [1919] = 1728,
  [1920] = 1920,
  [1921] = 1894,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1905,
  [1927] = 1927,
  [1928] = 1907,
  [1929] = 1913,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 528,
  [1935] = 558,
  [1936] = 562,
  [1937] = 1937,
  [1938] = 470,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 484,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1930,
  [1947] = 1947,
  [1948] = 485,
  [1949] = 1949,
  [1950] = 490,
  [1951] = 1951,
  [1952] = 493,
  [1953] = 495,
  [1954] = 1954,
  [1955] = 496,
  [1956] = 497,
  [1957] = 514,
  [1958] = 1958,
  [1959] = 1682,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 529,
  [1963] = 1886,
  [1964] = 462,
  [1965] = 1965,
  [1966] = 536,
  [1967] = 544,
  [1968] = 546,
  [1969] = 551,
  [1970] = 564,
  [1971] = 559,
  [1972] = 1972,
  [1973] = 510,
  [1974] = 1939,
  [1975] = 506,
  [1976] = 1976,
  [1977] = 487,
  [1978] = 1978,
  [1979] = 481,
  [1980] = 1980,
  [1981] = 1947,
  [1982] = 480,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 466,
  [1986] = 1986,
  [1987] = 465,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 474,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1892,
  [1995] = 526,
  [1996] = 1996,
  [1997] = 1960,
  [1998] = 563,
  [1999] = 1961,
  [2000] = 555,
  [2001] = 1886,
  [2002] = 2002,
  [2003] = 473,
  [2004] = 2004,
  [2005] = 541,
  [2006] = 2006,
  [2007] = 482,
  [2008] = 2008,
  [2009] = 532,
  [2010] = 2010,
  [2011] = 539,
  [2012] = 2012,
  [2013] = 498,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 525,
  [2019] = 494,
  [2020] = 2020,
  [2021] = 488,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 486,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2030,
  [2032] = 471,
  [2033] = 2008,
  [2034] = 1976,
  [2035] = 1991,
  [2036] = 2036,
  [2037] = 469,
  [2038] = 1940,
  [2039] = 1980,
  [2040] = 2040,
  [2041] = 467,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1915,
  [2046] = 543,
  [2047] = 518,
  [2048] = 507,
  [2049] = 483,
  [2050] = 468,
  [2051] = 522,
  [2052] = 552,
  [2053] = 560,
  [2054] = 557,
  [2055] = 463,
  [2056] = 553,
  [2057] = 550,
  [2058] = 549,
  [2059] = 537,
  [2060] = 535,
  [2061] = 534,
  [2062] = 533,
  [2063] = 2063,
  [2064] = 531,
  [2065] = 472,
  [2066] = 492,
  [2067] = 500,
  [2068] = 501,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1888,
  [2072] = 2072,
  [2073] = 1887,
  [2074] = 523,
  [2075] = 524,
  [2076] = 538,
  [2077] = 542,
  [2078] = 2078,
  [2079] = 561,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 520,
  [2084] = 517,
  [2085] = 513,
  [2086] = 491,
  [2087] = 464,
  [2088] = 475,
  [2089] = 476,
  [2090] = 2090,
  [2091] = 477,
  [2092] = 2092,
  [2093] = 1913,
  [2094] = 478,
  [2095] = 479,
  [2096] = 489,
  [2097] = 503,
  [2098] = 505,
  [2099] = 508,
  [2100] = 2100,
  [2101] = 516,
  [2102] = 1886,
  [2103] = 1662,
  [2104] = 540,
  [2105] = 547,
  [2106] = 548,
  [2107] = 554,
  [2108] = 1886,
  [2109] = 556,
  [2110] = 519,
  [2111] = 512,
  [2112] = 2112,
  [2113] = 509,
  [2114] = 499,
  [2115] = 530,
  [2116] = 2116,
  [2117] = 545,
  [2118] = 1913,
  [2119] = 521,
  [2120] = 1309,
  [2121] = 2121,
  [2122] = 504,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 1873,
  [2126] = 2126,
  [2127] = 1886,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 1913,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 1913,
  [2135] = 1886,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 1886,
  [2141] = 2141,
  [2142] = 1913,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 1913,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2153,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2153,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 1649,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2153,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2179,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 1942,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2215,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2178,
  [2244] = 2244,
  [2245] = 2183,
  [2246] = 2187,
  [2247] = 2188,
  [2248] = 2150,
  [2249] = 2181,
  [2250] = 1653,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2153,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2232,
  [2262] = 2238,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2244,
  [2266] = 2174,
  [2267] = 2267,
  [2268] = 2260,
  [2269] = 2183,
  [2270] = 2181,
  [2271] = 2271,
  [2272] = 2237,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2211,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2210,
  [2280] = 2208,
  [2281] = 2233,
  [2282] = 2200,
  [2283] = 2223,
  [2284] = 2222,
  [2285] = 2202,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2160,
  [2290] = 2199,
  [2291] = 2185,
  [2292] = 2184,
  [2293] = 2161,
  [2294] = 2275,
  [2295] = 2295,
  [2296] = 2162,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2271,
  [2300] = 2300,
  [2301] = 2198,
  [2302] = 2235,
  [2303] = 2213,
  [2304] = 2227,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2239,
  [2308] = 2151,
  [2309] = 2278,
  [2310] = 2168,
  [2311] = 2311,
  [2312] = 2169,
  [2313] = 2171,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2172,
  [2318] = 2235,
  [2319] = 2203,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2173,
  [2324] = 2175,
  [2325] = 2193,
  [2326] = 2176,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2258,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2183,
  [2334] = 2334,
  [2335] = 2192,
  [2336] = 2336,
  [2337] = 2197,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2204,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2205,
  [2344] = 2344,
  [2345] = 2328,
  [2346] = 2234,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2242,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2251,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2252,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2253,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2306,
  [2363] = 2363,
  [2364] = 2305,
  [2365] = 2311,
  [2366] = 2254,
  [2367] = 2367,
  [2368] = 2153,
  [2369] = 2369,
  [2370] = 2257,
  [2371] = 2259,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2241,
  [2375] = 2375,
  [2376] = 2264,
  [2377] = 2377,
  [2378] = 2267,
  [2379] = 2286,
  [2380] = 2380,
  [2381] = 2287,
  [2382] = 2288,
  [2383] = 2297,
  [2384] = 2298,
  [2385] = 2315,
  [2386] = 2386,
  [2387] = 2320,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2321,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2351,
  [2397] = 2353,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2398,
  [2402] = 2392,
  [2403] = 2403,
  [2404] = 2389,
  [2405] = 2375,
  [2406] = 2181,
  [2407] = 2390,
  [2408] = 2408,
  [2409] = 2336,
  [2410] = 2388,
  [2411] = 2354,
  [2412] = 2373,
  [2413] = 2235,
  [2414] = 2182,
  [2415] = 2360,
  [2416] = 2295,
  [2417] = 2417,
  [2418] = 2367,
  [2419] = 2372,
  [2420] = 2361,
  [2421] = 2330,
  [2422] = 2363,
  [2423] = 2358,
  [2424] = 2080,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2081,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2425,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2434,
  [2445] = 2442,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2435,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2432,
  [2455] = 2430,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2435,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2438,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2063,
  [2471] = 2471,
  [2472] = 2436,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2433,
  [2478] = 2431,
  [2479] = 2479,
  [2480] = 2441,
  [2481] = 2440,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2427,
  [2485] = 2485,
  [2486] = 2431,
  [2487] = 2487,
  [2488] = 2460,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2425,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2434,
  [2497] = 2497,
  [2498] = 2433,
  [2499] = 2449,
  [2500] = 2500,
  [2501] = 2476,
  [2502] = 2441,
  [2503] = 2440,
  [2504] = 2425,
  [2505] = 2437,
  [2506] = 2458,
  [2507] = 2435,
  [2508] = 2508,
  [2509] = 2464,
  [2510] = 2468,
  [2511] = 2469,
  [2512] = 2437,
  [2513] = 2427,
  [2514] = 2427,
  [2515] = 2487,
  [2516] = 2516,
  [2517] = 2490,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2427,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2467,
  [2528] = 2434,
  [2529] = 2425,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2523,
  [2534] = 2524,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2526,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2490,
  [2541] = 2485,
  [2542] = 2542,
  [2543] = 2471,
  [2544] = 2475,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2545,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2542,
  [2554] = 2554,
  [2555] = 2536,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2531,
  [2559] = 2522,
  [2560] = 2520,
  [2561] = 2490,
  [2562] = 2519,
  [2563] = 2425,
  [2564] = 2483,
  [2565] = 2457,
  [2566] = 2452,
  [2567] = 2516,
  [2568] = 2532,
  [2569] = 2443,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2552,
  [2573] = 2493,
  [2574] = 2431,
  [2575] = 2575,
  [2576] = 2494,
  [2577] = 2433,
  [2578] = 2426,
  [2579] = 2579,
  [2580] = 2436,
  [2581] = 2437,
  [2582] = 2438,
  [2583] = 2437,
  [2584] = 2584,
  [2585] = 2471,
  [2586] = 2425,
  [2587] = 2587,
  [2588] = 2467,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2432,
  [2592] = 2548,
  [2593] = 2425,
  [2594] = 2425,
  [2595] = 2467,
  [2596] = 2547,
  [2597] = 2497,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2425,
  [2601] = 2443,
  [2602] = 2425,
  [2603] = 2440,
  [2604] = 2441,
  [2605] = 2494,
  [2606] = 2473,
  [2607] = 2547,
  [2608] = 2608,
  [2609] = 2546,
  [2610] = 2436,
  [2611] = 2611,
  [2612] = 2475,
  [2613] = 2467,
  [2614] = 2425,
  [2615] = 2615,
  [2616] = 2467,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2598,
  [2620] = 2620,
  [2621] = 2467,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2556,
  [2625] = 2462,
  [2626] = 2466,
  [2627] = 2623,
  [2628] = 2425,
  [2629] = 2489,
  [2630] = 2622,
  [2631] = 2554,
  [2632] = 2557,
  [2633] = 2443,
  [2634] = 2570,
  [2635] = 2571,
  [2636] = 2494,
  [2637] = 2623,
  [2638] = 2575,
  [2639] = 2485,
  [2640] = 2550,
  [2641] = 2623,
  [2642] = 2620,
  [2643] = 2643,
  [2644] = 2467,
  [2645] = 2485,
  [2646] = 2438,
  [2647] = 2620,
  [2648] = 2598,
  [2649] = 2620,
  [2650] = 2598,
  [2651] = 2463,
  [2652] = 2652,
  [2653] = 2653,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '$'
        ? c == '"'
        : c <= '$')
      : (c <= '\\' || c == '`'))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(190);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(194);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(229);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(227);
      if (lookahead == '/') ADVANCE(232);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(215);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(216);
      if (lookahead == '?') ADVANCE(106);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(206);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(235);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(239);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(257);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(265);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(277);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(278);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(191);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(191);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(192);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(227);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(110);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(236);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(240);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(120);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(236);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(240);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(235);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(239);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(257);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(265);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(190);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(194);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '/') ADVANCE(231);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(217);
      if (lookahead == '?') ADVANCE(110);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(205);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(236);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(236);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(14);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(54);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(188);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '?') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(181);
      if (lookahead != 0) ADVANCE(187);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(278);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '.') ADVANCE(105);
      END_STATE();
    case 30:
      if (lookahead == '<') ADVANCE(189);
      END_STATE();
    case 31:
      if (lookahead == '<') ADVANCE(30);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 33:
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 37:
      if (lookahead == '>') ADVANCE(163);
      END_STATE();
    case 38:
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 39:
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 40:
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == '}') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 44:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 45:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 46:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(50);
      END_STATE();
    case 47:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 48:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 49:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(75);
      END_STATE();
    case 51:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 52:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(45);
      END_STATE();
    case 53:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 54:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 55:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(127);
      END_STATE();
    case 56:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 58:
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(167);
      if (lookahead == 'u') ADVANCE(172);
      if (lookahead == 'x') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(169);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(170);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 67:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(184);
      if (lookahead == '*') ADVANCE(183);
      END_STATE();
    case 68:
      if (lookahead != 0) ADVANCE(187);
      END_STATE();
    case 69:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(229);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(227);
      if (lookahead == '/') ADVANCE(232);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(215);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(216);
      if (lookahead == '?') ADVANCE(106);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(206);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(235);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(239);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(257);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(265);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 70:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == '`') ADVANCE(195);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(236);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(240);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(261);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(70);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 71:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(229);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(232);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(213);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(216);
      if (lookahead == '?') ADVANCE(107);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(206);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(71);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 72:
      if (eof) ADVANCE(74);
      if (lookahead == '#') ADVANCE(87);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '?') ADVANCE(88);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 73:
      if (eof) ADVANCE(74);
      if (lookahead == '#') ADVANCE(280);
      if (lookahead == '$') ADVANCE(200);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(39);
      if (lookahead == '=') ADVANCE(35);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(111);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(270);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(73);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(89);
      if (lookahead == '\r') ADVANCE(81);
      if (lookahead == '<') ADVANCE(278);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(87);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '?') ADVANCE(88);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(84);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '<') ADVANCE(26);
      if (lookahead != 0) ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(84);
      if (lookahead == '<') ADVANCE(26);
      if (lookahead != 0) ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '<') ADVANCE(278);
      if (lookahead == '?') ADVANCE(80);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '<') ADVANCE(278);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(204);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(146);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(202);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(202);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(201);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '|') ADVANCE(203);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(203);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(29);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(275);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(130);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(64);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(59);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(55);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(130);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(167);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(66);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_GT2);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(187);
      if (lookahead == '\r') ADVANCE(180);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '#') ADVANCE(188);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '?') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(184);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '/') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(191);
      if (lookahead == '?') ADVANCE(36);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_boolean);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(211);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(209);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(209);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(221);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(209);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(219);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(219);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(189);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(29);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(145);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(144);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(278);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(267);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(278);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(278);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(186);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(187);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'E') ADVANCE(3);
      if (lookahead == 'F') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'M') ADVANCE(6);
      if (lookahead == 'N') ADVANCE(7);
      if (lookahead == 'P') ADVANCE(8);
      if (lookahead == 'S') ADVANCE(9);
      if (lookahead == 'T') ADVANCE(10);
      if (lookahead == 'U') ADVANCE(11);
      if (lookahead == 'V') ADVANCE(12);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead == 'b') ADVANCE(14);
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'm') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      if (lookahead == 'p') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(26);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(28);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(29);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(32);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'N') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(82);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(87);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(90);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 43:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(102);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(114);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 61:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 63:
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(110);
      if (lookahead == 't') ADVANCE(128);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(131);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(141);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(142);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(144);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(147);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 84:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 89:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(154);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 92:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 93:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 97:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 99:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 100:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(166);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(169);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(170);
      END_STATE();
    case 101:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(171);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(179);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 111:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 114:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(183);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 115:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(185);
      END_STATE();
    case 116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(187);
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 119:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 143:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(210);
      END_STATE();
    case 145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(212);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 154:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 157:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 166:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 168:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      END_STATE();
    case 169:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(235);
      END_STATE();
    case 170:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(236);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 172:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 173:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 178:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      END_STATE();
    case 181:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 182:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(256);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 209:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(271);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 221:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 223:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 231:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 233:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 235:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 237:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 241:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(302);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 248:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(304);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 253:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 260:
      if (lookahead == 'b') ADVANCE(309);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 266:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 269:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(314);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 274:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 275:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 276:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 277:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 287:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 289:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 315:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 326:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 327:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 328:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 339:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 340:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 343:
      if (lookahead == 'g') ADVANCE(365);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 350:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(370);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(371);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 353:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 355:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(377);
      END_STATE();
    case 361:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 367:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 373:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 375:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 376:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 377:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(388);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 382:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 383:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 387:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 392:
      if (lookahead == 's') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 72},
  [2] = {.lex_state = 70},
  [3] = {.lex_state = 70},
  [4] = {.lex_state = 70},
  [5] = {.lex_state = 70},
  [6] = {.lex_state = 70},
  [7] = {.lex_state = 70},
  [8] = {.lex_state = 70},
  [9] = {.lex_state = 70},
  [10] = {.lex_state = 70},
  [11] = {.lex_state = 70},
  [12] = {.lex_state = 70, .external_lex_state = 2},
  [13] = {.lex_state = 70, .external_lex_state = 2},
  [14] = {.lex_state = 70, .external_lex_state = 2},
  [15] = {.lex_state = 70, .external_lex_state = 2},
  [16] = {.lex_state = 70},
  [17] = {.lex_state = 70},
  [18] = {.lex_state = 70, .external_lex_state = 2},
  [19] = {.lex_state = 70},
  [20] = {.lex_state = 70},
  [21] = {.lex_state = 70},
  [22] = {.lex_state = 70},
  [23] = {.lex_state = 70},
  [24] = {.lex_state = 70},
  [25] = {.lex_state = 70},
  [26] = {.lex_state = 70},
  [27] = {.lex_state = 70},
  [28] = {.lex_state = 70, .external_lex_state = 2},
  [29] = {.lex_state = 70, .external_lex_state = 2},
  [30] = {.lex_state = 70},
  [31] = {.lex_state = 70},
  [32] = {.lex_state = 70},
  [33] = {.lex_state = 70},
  [34] = {.lex_state = 70},
  [35] = {.lex_state = 70, .external_lex_state = 2},
  [36] = {.lex_state = 70},
  [37] = {.lex_state = 70, .external_lex_state = 2},
  [38] = {.lex_state = 70, .external_lex_state = 2},
  [39] = {.lex_state = 70, .external_lex_state = 2},
  [40] = {.lex_state = 70, .external_lex_state = 2},
  [41] = {.lex_state = 70},
  [42] = {.lex_state = 70},
  [43] = {.lex_state = 70},
  [44] = {.lex_state = 70},
  [45] = {.lex_state = 70, .external_lex_state = 2},
  [46] = {.lex_state = 70},
  [47] = {.lex_state = 70},
  [48] = {.lex_state = 70, .external_lex_state = 2},
  [49] = {.lex_state = 70},
  [50] = {.lex_state = 70},
  [51] = {.lex_state = 70},
  [52] = {.lex_state = 70},
  [53] = {.lex_state = 70},
  [54] = {.lex_state = 70},
  [55] = {.lex_state = 70},
  [56] = {.lex_state = 70},
  [57] = {.lex_state = 70},
  [58] = {.lex_state = 70, .external_lex_state = 2},
  [59] = {.lex_state = 70, .external_lex_state = 2},
  [60] = {.lex_state = 70},
  [61] = {.lex_state = 70},
  [62] = {.lex_state = 70, .external_lex_state = 2},
  [63] = {.lex_state = 70},
  [64] = {.lex_state = 70, .external_lex_state = 2},
  [65] = {.lex_state = 70, .external_lex_state = 2},
  [66] = {.lex_state = 70},
  [67] = {.lex_state = 70},
  [68] = {.lex_state = 70, .external_lex_state = 2},
  [69] = {.lex_state = 70, .external_lex_state = 2},
  [70] = {.lex_state = 70},
  [71] = {.lex_state = 70, .external_lex_state = 2},
  [72] = {.lex_state = 70},
  [73] = {.lex_state = 70},
  [74] = {.lex_state = 70},
  [75] = {.lex_state = 70, .external_lex_state = 2},
  [76] = {.lex_state = 70, .external_lex_state = 2},
  [77] = {.lex_state = 70},
  [78] = {.lex_state = 70},
  [79] = {.lex_state = 70},
  [80] = {.lex_state = 70},
  [81] = {.lex_state = 70},
  [82] = {.lex_state = 70},
  [83] = {.lex_state = 70},
  [84] = {.lex_state = 70},
  [85] = {.lex_state = 70},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6},
  [88] = {.lex_state = 6, .external_lex_state = 2},
  [89] = {.lex_state = 6},
  [90] = {.lex_state = 8},
  [91] = {.lex_state = 8},
  [92] = {.lex_state = 8},
  [93] = {.lex_state = 8},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 8},
  [96] = {.lex_state = 8},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 8},
  [101] = {.lex_state = 7},
  [102] = {.lex_state = 7},
  [103] = {.lex_state = 7},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 7},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 7},
  [110] = {.lex_state = 7},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 7},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 7},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 7},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 70},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 70},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 7},
  [134] = {.lex_state = 7},
  [135] = {.lex_state = 7},
  [136] = {.lex_state = 7},
  [137] = {.lex_state = 7},
  [138] = {.lex_state = 7},
  [139] = {.lex_state = 7},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 7},
  [143] = {.lex_state = 7},
  [144] = {.lex_state = 70},
  [145] = {.lex_state = 7},
  [146] = {.lex_state = 7},
  [147] = {.lex_state = 70},
  [148] = {.lex_state = 7},
  [149] = {.lex_state = 70},
  [150] = {.lex_state = 70},
  [151] = {.lex_state = 70},
  [152] = {.lex_state = 70},
  [153] = {.lex_state = 70},
  [154] = {.lex_state = 70},
  [155] = {.lex_state = 7},
  [156] = {.lex_state = 70},
  [157] = {.lex_state = 70},
  [158] = {.lex_state = 70},
  [159] = {.lex_state = 70},
  [160] = {.lex_state = 70},
  [161] = {.lex_state = 70},
  [162] = {.lex_state = 70},
  [163] = {.lex_state = 70},
  [164] = {.lex_state = 70},
  [165] = {.lex_state = 70},
  [166] = {.lex_state = 70},
  [167] = {.lex_state = 70},
  [168] = {.lex_state = 70},
  [169] = {.lex_state = 70},
  [170] = {.lex_state = 70},
  [171] = {.lex_state = 70},
  [172] = {.lex_state = 70},
  [173] = {.lex_state = 70},
  [174] = {.lex_state = 70},
  [175] = {.lex_state = 70},
  [176] = {.lex_state = 70},
  [177] = {.lex_state = 70},
  [178] = {.lex_state = 70},
  [179] = {.lex_state = 70},
  [180] = {.lex_state = 70},
  [181] = {.lex_state = 70},
  [182] = {.lex_state = 70},
  [183] = {.lex_state = 70},
  [184] = {.lex_state = 70},
  [185] = {.lex_state = 70},
  [186] = {.lex_state = 70},
  [187] = {.lex_state = 70, .external_lex_state = 2},
  [188] = {.lex_state = 70, .external_lex_state = 2},
  [189] = {.lex_state = 70},
  [190] = {.lex_state = 70},
  [191] = {.lex_state = 7},
  [192] = {.lex_state = 70},
  [193] = {.lex_state = 70},
  [194] = {.lex_state = 70},
  [195] = {.lex_state = 70, .external_lex_state = 2},
  [196] = {.lex_state = 70},
  [197] = {.lex_state = 7},
  [198] = {.lex_state = 70, .external_lex_state = 2},
  [199] = {.lex_state = 70},
  [200] = {.lex_state = 70, .external_lex_state = 2},
  [201] = {.lex_state = 70},
  [202] = {.lex_state = 70},
  [203] = {.lex_state = 70, .external_lex_state = 2},
  [204] = {.lex_state = 70},
  [205] = {.lex_state = 70},
  [206] = {.lex_state = 70},
  [207] = {.lex_state = 70},
  [208] = {.lex_state = 70},
  [209] = {.lex_state = 70},
  [210] = {.lex_state = 70},
  [211] = {.lex_state = 70},
  [212] = {.lex_state = 70},
  [213] = {.lex_state = 70},
  [214] = {.lex_state = 70},
  [215] = {.lex_state = 70},
  [216] = {.lex_state = 70},
  [217] = {.lex_state = 70},
  [218] = {.lex_state = 70},
  [219] = {.lex_state = 70},
  [220] = {.lex_state = 70},
  [221] = {.lex_state = 70},
  [222] = {.lex_state = 70},
  [223] = {.lex_state = 70},
  [224] = {.lex_state = 70},
  [225] = {.lex_state = 70},
  [226] = {.lex_state = 70},
  [227] = {.lex_state = 70},
  [228] = {.lex_state = 70},
  [229] = {.lex_state = 70},
  [230] = {.lex_state = 70},
  [231] = {.lex_state = 70},
  [232] = {.lex_state = 70},
  [233] = {.lex_state = 70},
  [234] = {.lex_state = 70},
  [235] = {.lex_state = 70},
  [236] = {.lex_state = 70},
  [237] = {.lex_state = 70},
  [238] = {.lex_state = 70},
  [239] = {.lex_state = 70},
  [240] = {.lex_state = 70},
  [241] = {.lex_state = 70},
  [242] = {.lex_state = 70},
  [243] = {.lex_state = 70},
  [244] = {.lex_state = 70},
  [245] = {.lex_state = 70},
  [246] = {.lex_state = 70},
  [247] = {.lex_state = 70},
  [248] = {.lex_state = 70},
  [249] = {.lex_state = 70},
  [250] = {.lex_state = 70},
  [251] = {.lex_state = 70},
  [252] = {.lex_state = 70},
  [253] = {.lex_state = 70},
  [254] = {.lex_state = 70},
  [255] = {.lex_state = 70},
  [256] = {.lex_state = 70},
  [257] = {.lex_state = 70},
  [258] = {.lex_state = 70},
  [259] = {.lex_state = 70},
  [260] = {.lex_state = 70},
  [261] = {.lex_state = 70},
  [262] = {.lex_state = 70},
  [263] = {.lex_state = 70},
  [264] = {.lex_state = 70},
  [265] = {.lex_state = 70},
  [266] = {.lex_state = 70},
  [267] = {.lex_state = 70},
  [268] = {.lex_state = 70},
  [269] = {.lex_state = 70},
  [270] = {.lex_state = 70},
  [271] = {.lex_state = 70},
  [272] = {.lex_state = 70},
  [273] = {.lex_state = 70},
  [274] = {.lex_state = 70},
  [275] = {.lex_state = 70},
  [276] = {.lex_state = 70},
  [277] = {.lex_state = 70},
  [278] = {.lex_state = 70},
  [279] = {.lex_state = 70},
  [280] = {.lex_state = 70},
  [281] = {.lex_state = 70},
  [282] = {.lex_state = 70},
  [283] = {.lex_state = 70},
  [284] = {.lex_state = 70},
  [285] = {.lex_state = 70},
  [286] = {.lex_state = 70},
  [287] = {.lex_state = 70},
  [288] = {.lex_state = 70},
  [289] = {.lex_state = 70},
  [290] = {.lex_state = 70},
  [291] = {.lex_state = 70},
  [292] = {.lex_state = 70},
  [293] = {.lex_state = 70},
  [294] = {.lex_state = 70},
  [295] = {.lex_state = 70},
  [296] = {.lex_state = 70},
  [297] = {.lex_state = 70},
  [298] = {.lex_state = 70},
  [299] = {.lex_state = 70},
  [300] = {.lex_state = 70},
  [301] = {.lex_state = 70},
  [302] = {.lex_state = 70},
  [303] = {.lex_state = 70},
  [304] = {.lex_state = 70},
  [305] = {.lex_state = 70},
  [306] = {.lex_state = 70},
  [307] = {.lex_state = 70},
  [308] = {.lex_state = 70},
  [309] = {.lex_state = 70},
  [310] = {.lex_state = 70},
  [311] = {.lex_state = 70},
  [312] = {.lex_state = 70},
  [313] = {.lex_state = 70},
  [314] = {.lex_state = 70},
  [315] = {.lex_state = 70},
  [316] = {.lex_state = 70},
  [317] = {.lex_state = 70},
  [318] = {.lex_state = 70},
  [319] = {.lex_state = 70},
  [320] = {.lex_state = 70},
  [321] = {.lex_state = 70},
  [322] = {.lex_state = 70},
  [323] = {.lex_state = 70},
  [324] = {.lex_state = 70},
  [325] = {.lex_state = 70},
  [326] = {.lex_state = 70},
  [327] = {.lex_state = 70},
  [328] = {.lex_state = 70},
  [329] = {.lex_state = 70},
  [330] = {.lex_state = 70},
  [331] = {.lex_state = 70},
  [332] = {.lex_state = 70},
  [333] = {.lex_state = 70},
  [334] = {.lex_state = 70},
  [335] = {.lex_state = 70},
  [336] = {.lex_state = 70},
  [337] = {.lex_state = 70},
  [338] = {.lex_state = 70},
  [339] = {.lex_state = 70},
  [340] = {.lex_state = 70},
  [341] = {.lex_state = 70},
  [342] = {.lex_state = 70},
  [343] = {.lex_state = 70},
  [344] = {.lex_state = 70},
  [345] = {.lex_state = 70},
  [346] = {.lex_state = 70},
  [347] = {.lex_state = 70},
  [348] = {.lex_state = 70},
  [349] = {.lex_state = 70},
  [350] = {.lex_state = 70},
  [351] = {.lex_state = 70},
  [352] = {.lex_state = 70},
  [353] = {.lex_state = 70},
  [354] = {.lex_state = 70},
  [355] = {.lex_state = 70},
  [356] = {.lex_state = 70},
  [357] = {.lex_state = 70},
  [358] = {.lex_state = 70},
  [359] = {.lex_state = 70},
  [360] = {.lex_state = 70},
  [361] = {.lex_state = 70},
  [362] = {.lex_state = 70},
  [363] = {.lex_state = 70},
  [364] = {.lex_state = 70},
  [365] = {.lex_state = 70},
  [366] = {.lex_state = 70},
  [367] = {.lex_state = 70},
  [368] = {.lex_state = 70},
  [369] = {.lex_state = 70},
  [370] = {.lex_state = 70},
  [371] = {.lex_state = 70},
  [372] = {.lex_state = 70},
  [373] = {.lex_state = 70},
  [374] = {.lex_state = 70},
  [375] = {.lex_state = 70},
  [376] = {.lex_state = 70},
  [377] = {.lex_state = 70},
  [378] = {.lex_state = 70},
  [379] = {.lex_state = 70},
  [380] = {.lex_state = 70},
  [381] = {.lex_state = 70},
  [382] = {.lex_state = 70},
  [383] = {.lex_state = 70},
  [384] = {.lex_state = 70},
  [385] = {.lex_state = 70},
  [386] = {.lex_state = 70},
  [387] = {.lex_state = 70},
  [388] = {.lex_state = 70},
  [389] = {.lex_state = 70},
  [390] = {.lex_state = 70},
  [391] = {.lex_state = 70},
  [392] = {.lex_state = 70},
  [393] = {.lex_state = 70},
  [394] = {.lex_state = 70},
  [395] = {.lex_state = 70},
  [396] = {.lex_state = 70},
  [397] = {.lex_state = 70},
  [398] = {.lex_state = 70},
  [399] = {.lex_state = 70},
  [400] = {.lex_state = 70},
  [401] = {.lex_state = 70},
  [402] = {.lex_state = 70},
  [403] = {.lex_state = 70},
  [404] = {.lex_state = 70},
  [405] = {.lex_state = 70},
  [406] = {.lex_state = 70},
  [407] = {.lex_state = 70},
  [408] = {.lex_state = 70},
  [409] = {.lex_state = 70},
  [410] = {.lex_state = 70},
  [411] = {.lex_state = 70},
  [412] = {.lex_state = 70},
  [413] = {.lex_state = 70},
  [414] = {.lex_state = 70},
  [415] = {.lex_state = 70},
  [416] = {.lex_state = 70},
  [417] = {.lex_state = 70},
  [418] = {.lex_state = 70},
  [419] = {.lex_state = 70},
  [420] = {.lex_state = 70},
  [421] = {.lex_state = 70},
  [422] = {.lex_state = 70},
  [423] = {.lex_state = 70},
  [424] = {.lex_state = 70},
  [425] = {.lex_state = 70},
  [426] = {.lex_state = 70},
  [427] = {.lex_state = 70},
  [428] = {.lex_state = 70},
  [429] = {.lex_state = 70},
  [430] = {.lex_state = 70},
  [431] = {.lex_state = 70},
  [432] = {.lex_state = 70},
  [433] = {.lex_state = 70},
  [434] = {.lex_state = 70},
  [435] = {.lex_state = 70},
  [436] = {.lex_state = 70},
  [437] = {.lex_state = 70},
  [438] = {.lex_state = 70},
  [439] = {.lex_state = 70},
  [440] = {.lex_state = 70},
  [441] = {.lex_state = 70},
  [442] = {.lex_state = 70, .external_lex_state = 2},
  [443] = {.lex_state = 70, .external_lex_state = 2},
  [444] = {.lex_state = 70, .external_lex_state = 2},
  [445] = {.lex_state = 70, .external_lex_state = 2},
  [446] = {.lex_state = 70, .external_lex_state = 2},
  [447] = {.lex_state = 70, .external_lex_state = 2},
  [448] = {.lex_state = 70, .external_lex_state = 2},
  [449] = {.lex_state = 70, .external_lex_state = 2},
  [450] = {.lex_state = 70, .external_lex_state = 2},
  [451] = {.lex_state = 70, .external_lex_state = 2},
  [452] = {.lex_state = 70, .external_lex_state = 2},
  [453] = {.lex_state = 70, .external_lex_state = 2},
  [454] = {.lex_state = 70, .external_lex_state = 2},
  [455] = {.lex_state = 70, .external_lex_state = 2},
  [456] = {.lex_state = 70, .external_lex_state = 2},
  [457] = {.lex_state = 70, .external_lex_state = 2},
  [458] = {.lex_state = 70, .external_lex_state = 2},
  [459] = {.lex_state = 70, .external_lex_state = 2},
  [460] = {.lex_state = 70, .external_lex_state = 2},
  [461] = {.lex_state = 70, .external_lex_state = 2},
  [462] = {.lex_state = 70},
  [463] = {.lex_state = 70},
  [464] = {.lex_state = 70},
  [465] = {.lex_state = 70},
  [466] = {.lex_state = 70},
  [467] = {.lex_state = 70},
  [468] = {.lex_state = 70},
  [469] = {.lex_state = 70},
  [470] = {.lex_state = 70},
  [471] = {.lex_state = 70},
  [472] = {.lex_state = 70},
  [473] = {.lex_state = 70},
  [474] = {.lex_state = 70},
  [475] = {.lex_state = 70},
  [476] = {.lex_state = 70},
  [477] = {.lex_state = 70},
  [478] = {.lex_state = 70},
  [479] = {.lex_state = 70},
  [480] = {.lex_state = 70},
  [481] = {.lex_state = 70},
  [482] = {.lex_state = 70},
  [483] = {.lex_state = 70},
  [484] = {.lex_state = 70},
  [485] = {.lex_state = 70},
  [486] = {.lex_state = 70},
  [487] = {.lex_state = 70},
  [488] = {.lex_state = 70},
  [489] = {.lex_state = 70},
  [490] = {.lex_state = 70},
  [491] = {.lex_state = 70},
  [492] = {.lex_state = 70},
  [493] = {.lex_state = 70},
  [494] = {.lex_state = 70},
  [495] = {.lex_state = 70},
  [496] = {.lex_state = 70},
  [497] = {.lex_state = 70},
  [498] = {.lex_state = 70},
  [499] = {.lex_state = 70},
  [500] = {.lex_state = 70},
  [501] = {.lex_state = 70},
  [502] = {.lex_state = 70},
  [503] = {.lex_state = 70},
  [504] = {.lex_state = 70},
  [505] = {.lex_state = 70},
  [506] = {.lex_state = 70},
  [507] = {.lex_state = 70},
  [508] = {.lex_state = 70},
  [509] = {.lex_state = 70},
  [510] = {.lex_state = 70},
  [511] = {.lex_state = 70},
  [512] = {.lex_state = 70},
  [513] = {.lex_state = 70},
  [514] = {.lex_state = 70},
  [515] = {.lex_state = 70},
  [516] = {.lex_state = 70},
  [517] = {.lex_state = 70},
  [518] = {.lex_state = 70},
  [519] = {.lex_state = 70},
  [520] = {.lex_state = 70},
  [521] = {.lex_state = 70},
  [522] = {.lex_state = 70},
  [523] = {.lex_state = 70},
  [524] = {.lex_state = 70},
  [525] = {.lex_state = 70},
  [526] = {.lex_state = 70},
  [527] = {.lex_state = 70},
  [528] = {.lex_state = 70},
  [529] = {.lex_state = 70},
  [530] = {.lex_state = 70},
  [531] = {.lex_state = 70},
  [532] = {.lex_state = 70},
  [533] = {.lex_state = 70},
  [534] = {.lex_state = 70},
  [535] = {.lex_state = 70},
  [536] = {.lex_state = 70},
  [537] = {.lex_state = 70},
  [538] = {.lex_state = 70},
  [539] = {.lex_state = 70},
  [540] = {.lex_state = 70},
  [541] = {.lex_state = 70},
  [542] = {.lex_state = 70},
  [543] = {.lex_state = 70},
  [544] = {.lex_state = 70},
  [545] = {.lex_state = 70},
  [546] = {.lex_state = 70},
  [547] = {.lex_state = 70},
  [548] = {.lex_state = 70},
  [549] = {.lex_state = 70},
  [550] = {.lex_state = 70},
  [551] = {.lex_state = 70},
  [552] = {.lex_state = 70},
  [553] = {.lex_state = 70},
  [554] = {.lex_state = 70},
  [555] = {.lex_state = 70},
  [556] = {.lex_state = 70},
  [557] = {.lex_state = 70},
  [558] = {.lex_state = 70},
  [559] = {.lex_state = 70},
  [560] = {.lex_state = 70},
  [561] = {.lex_state = 70},
  [562] = {.lex_state = 70},
  [563] = {.lex_state = 70},
  [564] = {.lex_state = 70},
  [565] = {.lex_state = 70},
  [566] = {.lex_state = 70},
  [567] = {.lex_state = 70},
  [568] = {.lex_state = 70},
  [569] = {.lex_state = 70},
  [570] = {.lex_state = 70},
  [571] = {.lex_state = 71},
  [572] = {.lex_state = 71},
  [573] = {.lex_state = 71},
  [574] = {.lex_state = 71},
  [575] = {.lex_state = 71},
  [576] = {.lex_state = 71},
  [577] = {.lex_state = 71},
  [578] = {.lex_state = 71},
  [579] = {.lex_state = 71},
  [580] = {.lex_state = 71},
  [581] = {.lex_state = 71},
  [582] = {.lex_state = 71},
  [583] = {.lex_state = 71},
  [584] = {.lex_state = 71},
  [585] = {.lex_state = 71},
  [586] = {.lex_state = 71},
  [587] = {.lex_state = 71},
  [588] = {.lex_state = 71},
  [589] = {.lex_state = 71},
  [590] = {.lex_state = 71},
  [591] = {.lex_state = 71},
  [592] = {.lex_state = 71},
  [593] = {.lex_state = 71},
  [594] = {.lex_state = 71},
  [595] = {.lex_state = 71},
  [596] = {.lex_state = 71},
  [597] = {.lex_state = 71},
  [598] = {.lex_state = 71},
  [599] = {.lex_state = 71},
  [600] = {.lex_state = 71},
  [601] = {.lex_state = 71, .external_lex_state = 2},
  [602] = {.lex_state = 71},
  [603] = {.lex_state = 71, .external_lex_state = 2},
  [604] = {.lex_state = 71, .external_lex_state = 2},
  [605] = {.lex_state = 71, .external_lex_state = 2},
  [606] = {.lex_state = 71, .external_lex_state = 2},
  [607] = {.lex_state = 71, .external_lex_state = 2},
  [608] = {.lex_state = 71, .external_lex_state = 2},
  [609] = {.lex_state = 71, .external_lex_state = 2},
  [610] = {.lex_state = 71},
  [611] = {.lex_state = 71, .external_lex_state = 2},
  [612] = {.lex_state = 71, .external_lex_state = 2},
  [613] = {.lex_state = 71, .external_lex_state = 2},
  [614] = {.lex_state = 71},
  [615] = {.lex_state = 71, .external_lex_state = 2},
  [616] = {.lex_state = 71, .external_lex_state = 2},
  [617] = {.lex_state = 71},
  [618] = {.lex_state = 71, .external_lex_state = 2},
  [619] = {.lex_state = 71, .external_lex_state = 2},
  [620] = {.lex_state = 71, .external_lex_state = 2},
  [621] = {.lex_state = 71, .external_lex_state = 2},
  [622] = {.lex_state = 71, .external_lex_state = 2},
  [623] = {.lex_state = 71, .external_lex_state = 2},
  [624] = {.lex_state = 71, .external_lex_state = 2},
  [625] = {.lex_state = 71, .external_lex_state = 2},
  [626] = {.lex_state = 71},
  [627] = {.lex_state = 71},
  [628] = {.lex_state = 71, .external_lex_state = 2},
  [629] = {.lex_state = 71},
  [630] = {.lex_state = 71, .external_lex_state = 2},
  [631] = {.lex_state = 71},
  [632] = {.lex_state = 71},
  [633] = {.lex_state = 71, .external_lex_state = 2},
  [634] = {.lex_state = 71, .external_lex_state = 2},
  [635] = {.lex_state = 71, .external_lex_state = 2},
  [636] = {.lex_state = 71, .external_lex_state = 2},
  [637] = {.lex_state = 71},
  [638] = {.lex_state = 71, .external_lex_state = 2},
  [639] = {.lex_state = 71},
  [640] = {.lex_state = 71},
  [641] = {.lex_state = 71},
  [642] = {.lex_state = 71},
  [643] = {.lex_state = 71},
  [644] = {.lex_state = 71},
  [645] = {.lex_state = 71},
  [646] = {.lex_state = 71},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 10},
  [650] = {.lex_state = 9},
  [651] = {.lex_state = 10},
  [652] = {.lex_state = 10},
  [653] = {.lex_state = 9},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 10},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 10},
  [658] = {.lex_state = 73},
  [659] = {.lex_state = 73},
  [660] = {.lex_state = 9},
  [661] = {.lex_state = 15},
  [662] = {.lex_state = 10},
  [663] = {.lex_state = 10},
  [664] = {.lex_state = 10},
  [665] = {.lex_state = 10},
  [666] = {.lex_state = 10},
  [667] = {.lex_state = 10},
  [668] = {.lex_state = 10},
  [669] = {.lex_state = 10},
  [670] = {.lex_state = 15},
  [671] = {.lex_state = 10},
  [672] = {.lex_state = 10},
  [673] = {.lex_state = 10},
  [674] = {.lex_state = 9},
  [675] = {.lex_state = 10},
  [676] = {.lex_state = 10},
  [677] = {.lex_state = 10},
  [678] = {.lex_state = 10},
  [679] = {.lex_state = 10},
  [680] = {.lex_state = 10},
  [681] = {.lex_state = 9},
  [682] = {.lex_state = 9},
  [683] = {.lex_state = 9},
  [684] = {.lex_state = 18},
  [685] = {.lex_state = 16},
  [686] = {.lex_state = 9},
  [687] = {.lex_state = 9},
  [688] = {.lex_state = 9},
  [689] = {.lex_state = 9},
  [690] = {.lex_state = 9},
  [691] = {.lex_state = 16},
  [692] = {.lex_state = 9},
  [693] = {.lex_state = 9},
  [694] = {.lex_state = 9},
  [695] = {.lex_state = 9},
  [696] = {.lex_state = 9},
  [697] = {.lex_state = 16},
  [698] = {.lex_state = 9},
  [699] = {.lex_state = 9},
  [700] = {.lex_state = 9},
  [701] = {.lex_state = 16},
  [702] = {.lex_state = 9},
  [703] = {.lex_state = 9},
  [704] = {.lex_state = 16},
  [705] = {.lex_state = 9},
  [706] = {.lex_state = 9},
  [707] = {.lex_state = 9},
  [708] = {.lex_state = 9},
  [709] = {.lex_state = 9},
  [710] = {.lex_state = 9},
  [711] = {.lex_state = 9},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 9},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 9},
  [716] = {.lex_state = 9},
  [717] = {.lex_state = 9},
  [718] = {.lex_state = 9},
  [719] = {.lex_state = 18},
  [720] = {.lex_state = 9},
  [721] = {.lex_state = 9},
  [722] = {.lex_state = 9},
  [723] = {.lex_state = 9},
  [724] = {.lex_state = 9},
  [725] = {.lex_state = 9},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 9},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 9},
  [730] = {.lex_state = 9},
  [731] = {.lex_state = 9},
  [732] = {.lex_state = 9},
  [733] = {.lex_state = 9},
  [734] = {.lex_state = 9},
  [735] = {.lex_state = 9},
  [736] = {.lex_state = 9},
  [737] = {.lex_state = 9},
  [738] = {.lex_state = 16},
  [739] = {.lex_state = 9},
  [740] = {.lex_state = 9},
  [741] = {.lex_state = 18},
  [742] = {.lex_state = 18},
  [743] = {.lex_state = 9},
  [744] = {.lex_state = 9},
  [745] = {.lex_state = 9},
  [746] = {.lex_state = 9},
  [747] = {.lex_state = 9},
  [748] = {.lex_state = 9},
  [749] = {.lex_state = 9},
  [750] = {.lex_state = 9},
  [751] = {.lex_state = 9},
  [752] = {.lex_state = 9},
  [753] = {.lex_state = 9},
  [754] = {.lex_state = 9},
  [755] = {.lex_state = 9},
  [756] = {.lex_state = 9},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 18},
  [759] = {.lex_state = 18},
  [760] = {.lex_state = 9},
  [761] = {.lex_state = 9},
  [762] = {.lex_state = 9},
  [763] = {.lex_state = 9},
  [764] = {.lex_state = 9},
  [765] = {.lex_state = 9},
  [766] = {.lex_state = 13},
  [767] = {.lex_state = 9},
  [768] = {.lex_state = 9, .external_lex_state = 2},
  [769] = {.lex_state = 9},
  [770] = {.lex_state = 18},
  [771] = {.lex_state = 9},
  [772] = {.lex_state = 13},
  [773] = {.lex_state = 9, .external_lex_state = 2},
  [774] = {.lex_state = 9},
  [775] = {.lex_state = 10, .external_lex_state = 2},
  [776] = {.lex_state = 10, .external_lex_state = 2},
  [777] = {.lex_state = 10, .external_lex_state = 2},
  [778] = {.lex_state = 9, .external_lex_state = 2},
  [779] = {.lex_state = 9},
  [780] = {.lex_state = 10, .external_lex_state = 2},
  [781] = {.lex_state = 9, .external_lex_state = 2},
  [782] = {.lex_state = 10, .external_lex_state = 2},
  [783] = {.lex_state = 10, .external_lex_state = 2},
  [784] = {.lex_state = 9},
  [785] = {.lex_state = 10, .external_lex_state = 2},
  [786] = {.lex_state = 9, .external_lex_state = 2},
  [787] = {.lex_state = 10, .external_lex_state = 2},
  [788] = {.lex_state = 10, .external_lex_state = 2},
  [789] = {.lex_state = 10, .external_lex_state = 2},
  [790] = {.lex_state = 9, .external_lex_state = 2},
  [791] = {.lex_state = 10, .external_lex_state = 2},
  [792] = {.lex_state = 7},
  [793] = {.lex_state = 9},
  [794] = {.lex_state = 10, .external_lex_state = 2},
  [795] = {.lex_state = 10, .external_lex_state = 2},
  [796] = {.lex_state = 10, .external_lex_state = 2},
  [797] = {.lex_state = 10, .external_lex_state = 2},
  [798] = {.lex_state = 10, .external_lex_state = 2},
  [799] = {.lex_state = 10, .external_lex_state = 2},
  [800] = {.lex_state = 10, .external_lex_state = 2},
  [801] = {.lex_state = 10, .external_lex_state = 2},
  [802] = {.lex_state = 10, .external_lex_state = 2},
  [803] = {.lex_state = 10, .external_lex_state = 2},
  [804] = {.lex_state = 10, .external_lex_state = 2},
  [805] = {.lex_state = 10, .external_lex_state = 2},
  [806] = {.lex_state = 10, .external_lex_state = 2},
  [807] = {.lex_state = 16},
  [808] = {.lex_state = 16},
  [809] = {.lex_state = 13},
  [810] = {.lex_state = 9, .external_lex_state = 2},
  [811] = {.lex_state = 9, .external_lex_state = 2},
  [812] = {.lex_state = 9, .external_lex_state = 2},
  [813] = {.lex_state = 9, .external_lex_state = 2},
  [814] = {.lex_state = 9, .external_lex_state = 2},
  [815] = {.lex_state = 16},
  [816] = {.lex_state = 13},
  [817] = {.lex_state = 9, .external_lex_state = 2},
  [818] = {.lex_state = 9, .external_lex_state = 2},
  [819] = {.lex_state = 16},
  [820] = {.lex_state = 16},
  [821] = {.lex_state = 16},
  [822] = {.lex_state = 9, .external_lex_state = 2},
  [823] = {.lex_state = 16},
  [824] = {.lex_state = 9, .external_lex_state = 2},
  [825] = {.lex_state = 9, .external_lex_state = 2},
  [826] = {.lex_state = 9, .external_lex_state = 2},
  [827] = {.lex_state = 9, .external_lex_state = 2},
  [828] = {.lex_state = 9, .external_lex_state = 2},
  [829] = {.lex_state = 9, .external_lex_state = 2},
  [830] = {.lex_state = 9, .external_lex_state = 2},
  [831] = {.lex_state = 9, .external_lex_state = 2},
  [832] = {.lex_state = 9, .external_lex_state = 2},
  [833] = {.lex_state = 9, .external_lex_state = 2},
  [834] = {.lex_state = 9, .external_lex_state = 2},
  [835] = {.lex_state = 16},
  [836] = {.lex_state = 9, .external_lex_state = 2},
  [837] = {.lex_state = 9, .external_lex_state = 2},
  [838] = {.lex_state = 9, .external_lex_state = 2},
  [839] = {.lex_state = 9, .external_lex_state = 2},
  [840] = {.lex_state = 9, .external_lex_state = 2},
  [841] = {.lex_state = 9, .external_lex_state = 2},
  [842] = {.lex_state = 16},
  [843] = {.lex_state = 16},
  [844] = {.lex_state = 16},
  [845] = {.lex_state = 16},
  [846] = {.lex_state = 10, .external_lex_state = 2},
  [847] = {.lex_state = 16},
  [848] = {.lex_state = 10, .external_lex_state = 2},
  [849] = {.lex_state = 9, .external_lex_state = 2},
  [850] = {.lex_state = 9, .external_lex_state = 2},
  [851] = {.lex_state = 16},
  [852] = {.lex_state = 9, .external_lex_state = 2},
  [853] = {.lex_state = 9, .external_lex_state = 2},
  [854] = {.lex_state = 16},
  [855] = {.lex_state = 9, .external_lex_state = 2},
  [856] = {.lex_state = 9, .external_lex_state = 2},
  [857] = {.lex_state = 9, .external_lex_state = 2},
  [858] = {.lex_state = 9, .external_lex_state = 2},
  [859] = {.lex_state = 9, .external_lex_state = 2},
  [860] = {.lex_state = 9, .external_lex_state = 2},
  [861] = {.lex_state = 9, .external_lex_state = 2},
  [862] = {.lex_state = 9, .external_lex_state = 2},
  [863] = {.lex_state = 9, .external_lex_state = 2},
  [864] = {.lex_state = 9, .external_lex_state = 2},
  [865] = {.lex_state = 9, .external_lex_state = 2},
  [866] = {.lex_state = 9, .external_lex_state = 2},
  [867] = {.lex_state = 9, .external_lex_state = 2},
  [868] = {.lex_state = 9, .external_lex_state = 2},
  [869] = {.lex_state = 9, .external_lex_state = 2},
  [870] = {.lex_state = 9, .external_lex_state = 2},
  [871] = {.lex_state = 9},
  [872] = {.lex_state = 9, .external_lex_state = 2},
  [873] = {.lex_state = 9, .external_lex_state = 2},
  [874] = {.lex_state = 9, .external_lex_state = 2},
  [875] = {.lex_state = 9, .external_lex_state = 2},
  [876] = {.lex_state = 9, .external_lex_state = 2},
  [877] = {.lex_state = 9, .external_lex_state = 2},
  [878] = {.lex_state = 9, .external_lex_state = 2},
  [879] = {.lex_state = 9, .external_lex_state = 2},
  [880] = {.lex_state = 9, .external_lex_state = 2},
  [881] = {.lex_state = 9, .external_lex_state = 2},
  [882] = {.lex_state = 9, .external_lex_state = 2},
  [883] = {.lex_state = 9, .external_lex_state = 2},
  [884] = {.lex_state = 9, .external_lex_state = 2},
  [885] = {.lex_state = 9, .external_lex_state = 2},
  [886] = {.lex_state = 9, .external_lex_state = 2},
  [887] = {.lex_state = 9, .external_lex_state = 2},
  [888] = {.lex_state = 9, .external_lex_state = 2},
  [889] = {.lex_state = 9, .external_lex_state = 2},
  [890] = {.lex_state = 9, .external_lex_state = 2},
  [891] = {.lex_state = 9, .external_lex_state = 2},
  [892] = {.lex_state = 9, .external_lex_state = 2},
  [893] = {.lex_state = 9, .external_lex_state = 2},
  [894] = {.lex_state = 9, .external_lex_state = 2},
  [895] = {.lex_state = 9, .external_lex_state = 2},
  [896] = {.lex_state = 9},
  [897] = {.lex_state = 9, .external_lex_state = 2},
  [898] = {.lex_state = 9, .external_lex_state = 2},
  [899] = {.lex_state = 9, .external_lex_state = 2},
  [900] = {.lex_state = 9, .external_lex_state = 2},
  [901] = {.lex_state = 9, .external_lex_state = 2},
  [902] = {.lex_state = 9, .external_lex_state = 2},
  [903] = {.lex_state = 9, .external_lex_state = 2},
  [904] = {.lex_state = 9, .external_lex_state = 2},
  [905] = {.lex_state = 9, .external_lex_state = 2},
  [906] = {.lex_state = 13},
  [907] = {.lex_state = 13},
  [908] = {.lex_state = 13},
  [909] = {.lex_state = 13},
  [910] = {.lex_state = 13},
  [911] = {.lex_state = 13},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 13},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 13},
  [916] = {.lex_state = 13},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 13},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 13},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 13},
  [957] = {.lex_state = 13},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13, .external_lex_state = 2},
  [972] = {.lex_state = 13, .external_lex_state = 2},
  [973] = {.lex_state = 20},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 13},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 13},
  [984] = {.lex_state = 13},
  [985] = {.lex_state = 13},
  [986] = {.lex_state = 13},
  [987] = {.lex_state = 13},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 13},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 13},
  [992] = {.lex_state = 13},
  [993] = {.lex_state = 13},
  [994] = {.lex_state = 13},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 13},
  [998] = {.lex_state = 13},
  [999] = {.lex_state = 13},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 13},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 13},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 13},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 13},
  [1009] = {.lex_state = 13},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 13},
  [1012] = {.lex_state = 13},
  [1013] = {.lex_state = 13},
  [1014] = {.lex_state = 13},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 13},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 13},
  [1021] = {.lex_state = 13},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 13},
  [1024] = {.lex_state = 13},
  [1025] = {.lex_state = 13},
  [1026] = {.lex_state = 13},
  [1027] = {.lex_state = 13},
  [1028] = {.lex_state = 13},
  [1029] = {.lex_state = 13},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 13},
  [1032] = {.lex_state = 13},
  [1033] = {.lex_state = 13},
  [1034] = {.lex_state = 13},
  [1035] = {.lex_state = 13},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 13},
  [1039] = {.lex_state = 13},
  [1040] = {.lex_state = 13, .external_lex_state = 2},
  [1041] = {.lex_state = 13, .external_lex_state = 2},
  [1042] = {.lex_state = 13, .external_lex_state = 2},
  [1043] = {.lex_state = 13, .external_lex_state = 2},
  [1044] = {.lex_state = 13, .external_lex_state = 2},
  [1045] = {.lex_state = 13, .external_lex_state = 2},
  [1046] = {.lex_state = 13, .external_lex_state = 2},
  [1047] = {.lex_state = 13, .external_lex_state = 2},
  [1048] = {.lex_state = 13, .external_lex_state = 2},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 13, .external_lex_state = 2},
  [1052] = {.lex_state = 13, .external_lex_state = 2},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 13, .external_lex_state = 2},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 13, .external_lex_state = 2},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 13, .external_lex_state = 2},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 13, .external_lex_state = 2},
  [1063] = {.lex_state = 73},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 13, .external_lex_state = 2},
  [1095] = {.lex_state = 13, .external_lex_state = 2},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 13, .external_lex_state = 2},
  [1101] = {.lex_state = 13, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 13, .external_lex_state = 2},
  [1105] = {.lex_state = 13, .external_lex_state = 2},
  [1106] = {.lex_state = 13, .external_lex_state = 2},
  [1107] = {.lex_state = 13, .external_lex_state = 2},
  [1108] = {.lex_state = 13, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 13, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 13, .external_lex_state = 2},
  [1113] = {.lex_state = 13, .external_lex_state = 2},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 13, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 13, .external_lex_state = 2},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 13, .external_lex_state = 2},
  [1121] = {.lex_state = 13, .external_lex_state = 2},
  [1122] = {.lex_state = 13, .external_lex_state = 2},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 13, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 13, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 13, .external_lex_state = 2},
  [1137] = {.lex_state = 13, .external_lex_state = 2},
  [1138] = {.lex_state = 13, .external_lex_state = 2},
  [1139] = {.lex_state = 13, .external_lex_state = 2},
  [1140] = {.lex_state = 13, .external_lex_state = 2},
  [1141] = {.lex_state = 13},
  [1142] = {.lex_state = 13},
  [1143] = {.lex_state = 13},
  [1144] = {.lex_state = 13},
  [1145] = {.lex_state = 13},
  [1146] = {.lex_state = 13},
  [1147] = {.lex_state = 13},
  [1148] = {.lex_state = 13},
  [1149] = {.lex_state = 13},
  [1150] = {.lex_state = 13},
  [1151] = {.lex_state = 13},
  [1152] = {.lex_state = 13},
  [1153] = {.lex_state = 13},
  [1154] = {.lex_state = 13},
  [1155] = {.lex_state = 13},
  [1156] = {.lex_state = 13},
  [1157] = {.lex_state = 13},
  [1158] = {.lex_state = 13},
  [1159] = {.lex_state = 13},
  [1160] = {.lex_state = 13},
  [1161] = {.lex_state = 13},
  [1162] = {.lex_state = 13},
  [1163] = {.lex_state = 13},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 13},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 13},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 13},
  [1174] = {.lex_state = 13, .external_lex_state = 2},
  [1175] = {.lex_state = 19},
  [1176] = {.lex_state = 19},
  [1177] = {.lex_state = 19},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 19},
  [1180] = {.lex_state = 13},
  [1181] = {.lex_state = 13, .external_lex_state = 2},
  [1182] = {.lex_state = 13, .external_lex_state = 2},
  [1183] = {.lex_state = 13},
  [1184] = {.lex_state = 13},
  [1185] = {.lex_state = 13},
  [1186] = {.lex_state = 13, .external_lex_state = 2},
  [1187] = {.lex_state = 19},
  [1188] = {.lex_state = 13, .external_lex_state = 2},
  [1189] = {.lex_state = 19},
  [1190] = {.lex_state = 13},
  [1191] = {.lex_state = 19},
  [1192] = {.lex_state = 19},
  [1193] = {.lex_state = 19},
  [1194] = {.lex_state = 13},
  [1195] = {.lex_state = 13},
  [1196] = {.lex_state = 13, .external_lex_state = 2},
  [1197] = {.lex_state = 13},
  [1198] = {.lex_state = 13},
  [1199] = {.lex_state = 13, .external_lex_state = 2},
  [1200] = {.lex_state = 13},
  [1201] = {.lex_state = 73},
  [1202] = {.lex_state = 13},
  [1203] = {.lex_state = 13},
  [1204] = {.lex_state = 13},
  [1205] = {.lex_state = 13},
  [1206] = {.lex_state = 13},
  [1207] = {.lex_state = 13},
  [1208] = {.lex_state = 13, .external_lex_state = 2},
  [1209] = {.lex_state = 13},
  [1210] = {.lex_state = 13},
  [1211] = {.lex_state = 13},
  [1212] = {.lex_state = 13},
  [1213] = {.lex_state = 13},
  [1214] = {.lex_state = 13},
  [1215] = {.lex_state = 13},
  [1216] = {.lex_state = 13},
  [1217] = {.lex_state = 13},
  [1218] = {.lex_state = 13},
  [1219] = {.lex_state = 13},
  [1220] = {.lex_state = 13},
  [1221] = {.lex_state = 13, .external_lex_state = 2},
  [1222] = {.lex_state = 13, .external_lex_state = 2},
  [1223] = {.lex_state = 13},
  [1224] = {.lex_state = 13},
  [1225] = {.lex_state = 13, .external_lex_state = 2},
  [1226] = {.lex_state = 13, .external_lex_state = 2},
  [1227] = {.lex_state = 13, .external_lex_state = 2},
  [1228] = {.lex_state = 13},
  [1229] = {.lex_state = 13},
  [1230] = {.lex_state = 73},
  [1231] = {.lex_state = 13},
  [1232] = {.lex_state = 13},
  [1233] = {.lex_state = 13},
  [1234] = {.lex_state = 13},
  [1235] = {.lex_state = 13},
  [1236] = {.lex_state = 13},
  [1237] = {.lex_state = 13},
  [1238] = {.lex_state = 13},
  [1239] = {.lex_state = 13},
  [1240] = {.lex_state = 13},
  [1241] = {.lex_state = 13},
  [1242] = {.lex_state = 13},
  [1243] = {.lex_state = 13},
  [1244] = {.lex_state = 13},
  [1245] = {.lex_state = 13},
  [1246] = {.lex_state = 13},
  [1247] = {.lex_state = 19},
  [1248] = {.lex_state = 13},
  [1249] = {.lex_state = 13},
  [1250] = {.lex_state = 13},
  [1251] = {.lex_state = 13},
  [1252] = {.lex_state = 13},
  [1253] = {.lex_state = 13},
  [1254] = {.lex_state = 13},
  [1255] = {.lex_state = 13},
  [1256] = {.lex_state = 13},
  [1257] = {.lex_state = 13},
  [1258] = {.lex_state = 13},
  [1259] = {.lex_state = 13},
  [1260] = {.lex_state = 13},
  [1261] = {.lex_state = 13},
  [1262] = {.lex_state = 13},
  [1263] = {.lex_state = 13},
  [1264] = {.lex_state = 13},
  [1265] = {.lex_state = 13},
  [1266] = {.lex_state = 13},
  [1267] = {.lex_state = 13},
  [1268] = {.lex_state = 13},
  [1269] = {.lex_state = 13},
  [1270] = {.lex_state = 13},
  [1271] = {.lex_state = 13},
  [1272] = {.lex_state = 13},
  [1273] = {.lex_state = 13},
  [1274] = {.lex_state = 73},
  [1275] = {.lex_state = 13},
  [1276] = {.lex_state = 13},
  [1277] = {.lex_state = 19},
  [1278] = {.lex_state = 13},
  [1279] = {.lex_state = 13},
  [1280] = {.lex_state = 13},
  [1281] = {.lex_state = 13},
  [1282] = {.lex_state = 13},
  [1283] = {.lex_state = 19},
  [1284] = {.lex_state = 13},
  [1285] = {.lex_state = 13},
  [1286] = {.lex_state = 13},
  [1287] = {.lex_state = 13},
  [1288] = {.lex_state = 13},
  [1289] = {.lex_state = 13},
  [1290] = {.lex_state = 13},
  [1291] = {.lex_state = 13},
  [1292] = {.lex_state = 13},
  [1293] = {.lex_state = 13},
  [1294] = {.lex_state = 13},
  [1295] = {.lex_state = 13},
  [1296] = {.lex_state = 13},
  [1297] = {.lex_state = 13},
  [1298] = {.lex_state = 13},
  [1299] = {.lex_state = 13},
  [1300] = {.lex_state = 13},
  [1301] = {.lex_state = 13},
  [1302] = {.lex_state = 13},
  [1303] = {.lex_state = 13},
  [1304] = {.lex_state = 13},
  [1305] = {.lex_state = 19},
  [1306] = {.lex_state = 19},
  [1307] = {.lex_state = 13},
  [1308] = {.lex_state = 13},
  [1309] = {.lex_state = 73},
  [1310] = {.lex_state = 13},
  [1311] = {.lex_state = 13},
  [1312] = {.lex_state = 73},
  [1313] = {.lex_state = 73},
  [1314] = {.lex_state = 73},
  [1315] = {.lex_state = 73},
  [1316] = {.lex_state = 73},
  [1317] = {.lex_state = 73},
  [1318] = {.lex_state = 18},
  [1319] = {.lex_state = 18},
  [1320] = {.lex_state = 13},
  [1321] = {.lex_state = 13},
  [1322] = {.lex_state = 13},
  [1323] = {.lex_state = 13},
  [1324] = {.lex_state = 18},
  [1325] = {.lex_state = 18},
  [1326] = {.lex_state = 18},
  [1327] = {.lex_state = 13},
  [1328] = {.lex_state = 13},
  [1329] = {.lex_state = 18},
  [1330] = {.lex_state = 71},
  [1331] = {.lex_state = 71},
  [1332] = {.lex_state = 71},
  [1333] = {.lex_state = 13},
  [1334] = {.lex_state = 73},
  [1335] = {.lex_state = 13},
  [1336] = {.lex_state = 73},
  [1337] = {.lex_state = 3, .external_lex_state = 3},
  [1338] = {.lex_state = 3, .external_lex_state = 3},
  [1339] = {.lex_state = 19},
  [1340] = {.lex_state = 73},
  [1341] = {.lex_state = 73},
  [1342] = {.lex_state = 19},
  [1343] = {.lex_state = 3, .external_lex_state = 3},
  [1344] = {.lex_state = 3, .external_lex_state = 4},
  [1345] = {.lex_state = 3, .external_lex_state = 3},
  [1346] = {.lex_state = 3, .external_lex_state = 3},
  [1347] = {.lex_state = 73},
  [1348] = {.lex_state = 16},
  [1349] = {.lex_state = 19},
  [1350] = {.lex_state = 19},
  [1351] = {.lex_state = 21, .external_lex_state = 4},
  [1352] = {.lex_state = 19},
  [1353] = {.lex_state = 19},
  [1354] = {.lex_state = 19},
  [1355] = {.lex_state = 17},
  [1356] = {.lex_state = 19},
  [1357] = {.lex_state = 19},
  [1358] = {.lex_state = 10, .external_lex_state = 5},
  [1359] = {.lex_state = 19},
  [1360] = {.lex_state = 19},
  [1361] = {.lex_state = 19},
  [1362] = {.lex_state = 19},
  [1363] = {.lex_state = 19},
  [1364] = {.lex_state = 19},
  [1365] = {.lex_state = 10, .external_lex_state = 5},
  [1366] = {.lex_state = 10, .external_lex_state = 5},
  [1367] = {.lex_state = 19},
  [1368] = {.lex_state = 19},
  [1369] = {.lex_state = 19},
  [1370] = {.lex_state = 19},
  [1371] = {.lex_state = 19},
  [1372] = {.lex_state = 19},
  [1373] = {.lex_state = 19},
  [1374] = {.lex_state = 19},
  [1375] = {.lex_state = 10, .external_lex_state = 5},
  [1376] = {.lex_state = 19},
  [1377] = {.lex_state = 10, .external_lex_state = 5},
  [1378] = {.lex_state = 73},
  [1379] = {.lex_state = 3, .external_lex_state = 6},
  [1380] = {.lex_state = 19},
  [1381] = {.lex_state = 73},
  [1382] = {.lex_state = 19},
  [1383] = {.lex_state = 3, .external_lex_state = 6},
  [1384] = {.lex_state = 19},
  [1385] = {.lex_state = 19},
  [1386] = {.lex_state = 19},
  [1387] = {.lex_state = 19},
  [1388] = {.lex_state = 19},
  [1389] = {.lex_state = 19},
  [1390] = {.lex_state = 19},
  [1391] = {.lex_state = 73},
  [1392] = {.lex_state = 19},
  [1393] = {.lex_state = 19},
  [1394] = {.lex_state = 10, .external_lex_state = 7},
  [1395] = {.lex_state = 19},
  [1396] = {.lex_state = 19},
  [1397] = {.lex_state = 19},
  [1398] = {.lex_state = 10, .external_lex_state = 7},
  [1399] = {.lex_state = 19},
  [1400] = {.lex_state = 19},
  [1401] = {.lex_state = 19},
  [1402] = {.lex_state = 73},
  [1403] = {.lex_state = 19},
  [1404] = {.lex_state = 19},
  [1405] = {.lex_state = 10, .external_lex_state = 7},
  [1406] = {.lex_state = 10, .external_lex_state = 7},
  [1407] = {.lex_state = 19},
  [1408] = {.lex_state = 19},
  [1409] = {.lex_state = 10, .external_lex_state = 7},
  [1410] = {.lex_state = 19},
  [1411] = {.lex_state = 19},
  [1412] = {.lex_state = 19},
  [1413] = {.lex_state = 73},
  [1414] = {.lex_state = 73},
  [1415] = {.lex_state = 73},
  [1416] = {.lex_state = 73},
  [1417] = {.lex_state = 73},
  [1418] = {.lex_state = 73},
  [1419] = {.lex_state = 73},
  [1420] = {.lex_state = 73},
  [1421] = {.lex_state = 71},
  [1422] = {.lex_state = 73},
  [1423] = {.lex_state = 73},
  [1424] = {.lex_state = 71},
  [1425] = {.lex_state = 71},
  [1426] = {.lex_state = 3, .external_lex_state = 3},
  [1427] = {.lex_state = 3, .external_lex_state = 3},
  [1428] = {.lex_state = 3, .external_lex_state = 3},
  [1429] = {.lex_state = 3, .external_lex_state = 3},
  [1430] = {.lex_state = 3, .external_lex_state = 3},
  [1431] = {.lex_state = 73},
  [1432] = {.lex_state = 3, .external_lex_state = 3},
  [1433] = {.lex_state = 3, .external_lex_state = 3},
  [1434] = {.lex_state = 73},
  [1435] = {.lex_state = 73},
  [1436] = {.lex_state = 71},
  [1437] = {.lex_state = 71},
  [1438] = {.lex_state = 71},
  [1439] = {.lex_state = 3, .external_lex_state = 3},
  [1440] = {.lex_state = 10, .external_lex_state = 8},
  [1441] = {.lex_state = 73},
  [1442] = {.lex_state = 10, .external_lex_state = 8},
  [1443] = {.lex_state = 3, .external_lex_state = 3},
  [1444] = {.lex_state = 71},
  [1445] = {.lex_state = 71},
  [1446] = {.lex_state = 71},
  [1447] = {.lex_state = 73},
  [1448] = {.lex_state = 3, .external_lex_state = 3},
  [1449] = {.lex_state = 3, .external_lex_state = 3},
  [1450] = {.lex_state = 73},
  [1451] = {.lex_state = 73},
  [1452] = {.lex_state = 73},
  [1453] = {.lex_state = 73},
  [1454] = {.lex_state = 73},
  [1455] = {.lex_state = 73},
  [1456] = {.lex_state = 71},
  [1457] = {.lex_state = 71},
  [1458] = {.lex_state = 73},
  [1459] = {.lex_state = 73},
  [1460] = {.lex_state = 73},
  [1461] = {.lex_state = 73},
  [1462] = {.lex_state = 73},
  [1463] = {.lex_state = 73},
  [1464] = {.lex_state = 73},
  [1465] = {.lex_state = 73},
  [1466] = {.lex_state = 73},
  [1467] = {.lex_state = 73},
  [1468] = {.lex_state = 73},
  [1469] = {.lex_state = 73},
  [1470] = {.lex_state = 71},
  [1471] = {.lex_state = 73},
  [1472] = {.lex_state = 73},
  [1473] = {.lex_state = 71},
  [1474] = {.lex_state = 71},
  [1475] = {.lex_state = 73},
  [1476] = {.lex_state = 73},
  [1477] = {.lex_state = 73},
  [1478] = {.lex_state = 73},
  [1479] = {.lex_state = 71},
  [1480] = {.lex_state = 73},
  [1481] = {.lex_state = 73},
  [1482] = {.lex_state = 73},
  [1483] = {.lex_state = 73},
  [1484] = {.lex_state = 73},
  [1485] = {.lex_state = 73},
  [1486] = {.lex_state = 73},
  [1487] = {.lex_state = 73},
  [1488] = {.lex_state = 73},
  [1489] = {.lex_state = 71},
  [1490] = {.lex_state = 73},
  [1491] = {.lex_state = 71},
  [1492] = {.lex_state = 71},
  [1493] = {.lex_state = 73},
  [1494] = {.lex_state = 71},
  [1495] = {.lex_state = 73},
  [1496] = {.lex_state = 73},
  [1497] = {.lex_state = 10, .external_lex_state = 9},
  [1498] = {.lex_state = 71},
  [1499] = {.lex_state = 73},
  [1500] = {.lex_state = 73},
  [1501] = {.lex_state = 73},
  [1502] = {.lex_state = 73},
  [1503] = {.lex_state = 73},
  [1504] = {.lex_state = 73},
  [1505] = {.lex_state = 10, .external_lex_state = 9},
  [1506] = {.lex_state = 73},
  [1507] = {.lex_state = 73},
  [1508] = {.lex_state = 71},
  [1509] = {.lex_state = 71},
  [1510] = {.lex_state = 71},
  [1511] = {.lex_state = 71},
  [1512] = {.lex_state = 71},
  [1513] = {.lex_state = 71},
  [1514] = {.lex_state = 71},
  [1515] = {.lex_state = 71, .external_lex_state = 2},
  [1516] = {.lex_state = 71},
  [1517] = {.lex_state = 71},
  [1518] = {.lex_state = 71},
  [1519] = {.lex_state = 71},
  [1520] = {.lex_state = 71},
  [1521] = {.lex_state = 71},
  [1522] = {.lex_state = 71, .external_lex_state = 2},
  [1523] = {.lex_state = 10, .external_lex_state = 5},
  [1524] = {.lex_state = 10, .external_lex_state = 5},
  [1525] = {.lex_state = 10, .external_lex_state = 5},
  [1526] = {.lex_state = 10, .external_lex_state = 5},
  [1527] = {.lex_state = 10, .external_lex_state = 5},
  [1528] = {.lex_state = 71},
  [1529] = {.lex_state = 71},
  [1530] = {.lex_state = 9},
  [1531] = {.lex_state = 71},
  [1532] = {.lex_state = 71},
  [1533] = {.lex_state = 71},
  [1534] = {.lex_state = 71},
  [1535] = {.lex_state = 71},
  [1536] = {.lex_state = 10, .external_lex_state = 5},
  [1537] = {.lex_state = 10, .external_lex_state = 5},
  [1538] = {.lex_state = 10, .external_lex_state = 5},
  [1539] = {.lex_state = 73},
  [1540] = {.lex_state = 71},
  [1541] = {.lex_state = 10, .external_lex_state = 5},
  [1542] = {.lex_state = 73},
  [1543] = {.lex_state = 71},
  [1544] = {.lex_state = 71},
  [1545] = {.lex_state = 71},
  [1546] = {.lex_state = 9},
  [1547] = {.lex_state = 73},
  [1548] = {.lex_state = 71, .external_lex_state = 2},
  [1549] = {.lex_state = 10, .external_lex_state = 5},
  [1550] = {.lex_state = 71},
  [1551] = {.lex_state = 71},
  [1552] = {.lex_state = 71},
  [1553] = {.lex_state = 10, .external_lex_state = 5},
  [1554] = {.lex_state = 71},
  [1555] = {.lex_state = 71},
  [1556] = {.lex_state = 71},
  [1557] = {.lex_state = 73},
  [1558] = {.lex_state = 71},
  [1559] = {.lex_state = 71},
  [1560] = {.lex_state = 71},
  [1561] = {.lex_state = 71},
  [1562] = {.lex_state = 71, .external_lex_state = 2},
  [1563] = {.lex_state = 71},
  [1564] = {.lex_state = 71},
  [1565] = {.lex_state = 9},
  [1566] = {.lex_state = 73},
  [1567] = {.lex_state = 71},
  [1568] = {.lex_state = 71},
  [1569] = {.lex_state = 71},
  [1570] = {.lex_state = 10, .external_lex_state = 7},
  [1571] = {.lex_state = 71},
  [1572] = {.lex_state = 71},
  [1573] = {.lex_state = 71},
  [1574] = {.lex_state = 71},
  [1575] = {.lex_state = 71},
  [1576] = {.lex_state = 71},
  [1577] = {.lex_state = 71},
  [1578] = {.lex_state = 73},
  [1579] = {.lex_state = 10, .external_lex_state = 7},
  [1580] = {.lex_state = 71},
  [1581] = {.lex_state = 71},
  [1582] = {.lex_state = 71, .external_lex_state = 2},
  [1583] = {.lex_state = 71},
  [1584] = {.lex_state = 71},
  [1585] = {.lex_state = 71},
  [1586] = {.lex_state = 71},
  [1587] = {.lex_state = 71},
  [1588] = {.lex_state = 72, .external_lex_state = 10},
  [1589] = {.lex_state = 71},
  [1590] = {.lex_state = 73},
  [1591] = {.lex_state = 71},
  [1592] = {.lex_state = 71},
  [1593] = {.lex_state = 10, .external_lex_state = 7},
  [1594] = {.lex_state = 71},
  [1595] = {.lex_state = 10, .external_lex_state = 7},
  [1596] = {.lex_state = 10, .external_lex_state = 7},
  [1597] = {.lex_state = 71, .external_lex_state = 2},
  [1598] = {.lex_state = 71},
  [1599] = {.lex_state = 10, .external_lex_state = 7},
  [1600] = {.lex_state = 71},
  [1601] = {.lex_state = 73},
  [1602] = {.lex_state = 71},
  [1603] = {.lex_state = 71},
  [1604] = {.lex_state = 73},
  [1605] = {.lex_state = 71},
  [1606] = {.lex_state = 71},
  [1607] = {.lex_state = 71},
  [1608] = {.lex_state = 71},
  [1609] = {.lex_state = 10, .external_lex_state = 7},
  [1610] = {.lex_state = 71},
  [1611] = {.lex_state = 71},
  [1612] = {.lex_state = 71},
  [1613] = {.lex_state = 71, .external_lex_state = 2},
  [1614] = {.lex_state = 71},
  [1615] = {.lex_state = 71},
  [1616] = {.lex_state = 73},
  [1617] = {.lex_state = 71},
  [1618] = {.lex_state = 73},
  [1619] = {.lex_state = 71},
  [1620] = {.lex_state = 71},
  [1621] = {.lex_state = 73},
  [1622] = {.lex_state = 10, .external_lex_state = 7},
  [1623] = {.lex_state = 73},
  [1624] = {.lex_state = 71},
  [1625] = {.lex_state = 73},
  [1626] = {.lex_state = 71},
  [1627] = {.lex_state = 71},
  [1628] = {.lex_state = 71},
  [1629] = {.lex_state = 73},
  [1630] = {.lex_state = 71},
  [1631] = {.lex_state = 71},
  [1632] = {.lex_state = 71},
  [1633] = {.lex_state = 10, .external_lex_state = 7},
  [1634] = {.lex_state = 71},
  [1635] = {.lex_state = 10, .external_lex_state = 7},
  [1636] = {.lex_state = 71},
  [1637] = {.lex_state = 73},
  [1638] = {.lex_state = 71},
  [1639] = {.lex_state = 71},
  [1640] = {.lex_state = 71},
  [1641] = {.lex_state = 71},
  [1642] = {.lex_state = 73},
  [1643] = {.lex_state = 71},
  [1644] = {.lex_state = 71, .external_lex_state = 2},
  [1645] = {.lex_state = 71, .external_lex_state = 2},
  [1646] = {.lex_state = 71, .external_lex_state = 2},
  [1647] = {.lex_state = 71},
  [1648] = {.lex_state = 71},
  [1649] = {.lex_state = 71},
  [1650] = {.lex_state = 71, .external_lex_state = 2},
  [1651] = {.lex_state = 71},
  [1652] = {.lex_state = 71},
  [1653] = {.lex_state = 71},
  [1654] = {.lex_state = 71},
  [1655] = {.lex_state = 71},
  [1656] = {.lex_state = 71},
  [1657] = {.lex_state = 71},
  [1658] = {.lex_state = 71},
  [1659] = {.lex_state = 71, .external_lex_state = 2},
  [1660] = {.lex_state = 71},
  [1661] = {.lex_state = 71},
  [1662] = {.lex_state = 73},
  [1663] = {.lex_state = 71, .external_lex_state = 2},
  [1664] = {.lex_state = 73},
  [1665] = {.lex_state = 71},
  [1666] = {.lex_state = 71},
  [1667] = {.lex_state = 73},
  [1668] = {.lex_state = 72, .external_lex_state = 10},
  [1669] = {.lex_state = 73},
  [1670] = {.lex_state = 71},
  [1671] = {.lex_state = 71, .external_lex_state = 2},
  [1672] = {.lex_state = 71},
  [1673] = {.lex_state = 71},
  [1674] = {.lex_state = 71},
  [1675] = {.lex_state = 71, .external_lex_state = 2},
  [1676] = {.lex_state = 71, .external_lex_state = 2},
  [1677] = {.lex_state = 71, .external_lex_state = 2},
  [1678] = {.lex_state = 72, .external_lex_state = 10},
  [1679] = {.lex_state = 71},
  [1680] = {.lex_state = 71, .external_lex_state = 2},
  [1681] = {.lex_state = 71},
  [1682] = {.lex_state = 71, .external_lex_state = 2},
  [1683] = {.lex_state = 71},
  [1684] = {.lex_state = 71},
  [1685] = {.lex_state = 71},
  [1686] = {.lex_state = 71},
  [1687] = {.lex_state = 71},
  [1688] = {.lex_state = 71, .external_lex_state = 2},
  [1689] = {.lex_state = 71, .external_lex_state = 2},
  [1690] = {.lex_state = 71},
  [1691] = {.lex_state = 71},
  [1692] = {.lex_state = 71},
  [1693] = {.lex_state = 71},
  [1694] = {.lex_state = 71},
  [1695] = {.lex_state = 71, .external_lex_state = 2},
  [1696] = {.lex_state = 71},
  [1697] = {.lex_state = 71},
  [1698] = {.lex_state = 71, .external_lex_state = 2},
  [1699] = {.lex_state = 71},
  [1700] = {.lex_state = 72},
  [1701] = {.lex_state = 71},
  [1702] = {.lex_state = 71, .external_lex_state = 2},
  [1703] = {.lex_state = 71},
  [1704] = {.lex_state = 71},
  [1705] = {.lex_state = 71},
  [1706] = {.lex_state = 71},
  [1707] = {.lex_state = 71},
  [1708] = {.lex_state = 71, .external_lex_state = 2},
  [1709] = {.lex_state = 71, .external_lex_state = 2},
  [1710] = {.lex_state = 71, .external_lex_state = 2},
  [1711] = {.lex_state = 71},
  [1712] = {.lex_state = 71, .external_lex_state = 2},
  [1713] = {.lex_state = 71, .external_lex_state = 2},
  [1714] = {.lex_state = 71, .external_lex_state = 2},
  [1715] = {.lex_state = 71},
  [1716] = {.lex_state = 71, .external_lex_state = 2},
  [1717] = {.lex_state = 71},
  [1718] = {.lex_state = 71, .external_lex_state = 2},
  [1719] = {.lex_state = 71, .external_lex_state = 2},
  [1720] = {.lex_state = 71},
  [1721] = {.lex_state = 71, .external_lex_state = 2},
  [1722] = {.lex_state = 71},
  [1723] = {.lex_state = 71},
  [1724] = {.lex_state = 73},
  [1725] = {.lex_state = 71, .external_lex_state = 2},
  [1726] = {.lex_state = 71},
  [1727] = {.lex_state = 71, .external_lex_state = 2},
  [1728] = {.lex_state = 71, .external_lex_state = 2},
  [1729] = {.lex_state = 71, .external_lex_state = 2},
  [1730] = {.lex_state = 71, .external_lex_state = 2},
  [1731] = {.lex_state = 71},
  [1732] = {.lex_state = 71, .external_lex_state = 2},
  [1733] = {.lex_state = 71, .external_lex_state = 2},
  [1734] = {.lex_state = 71, .external_lex_state = 2},
  [1735] = {.lex_state = 73},
  [1736] = {.lex_state = 71, .external_lex_state = 2},
  [1737] = {.lex_state = 71},
  [1738] = {.lex_state = 71},
  [1739] = {.lex_state = 71},
  [1740] = {.lex_state = 73},
  [1741] = {.lex_state = 72},
  [1742] = {.lex_state = 71, .external_lex_state = 2},
  [1743] = {.lex_state = 71, .external_lex_state = 2},
  [1744] = {.lex_state = 71, .external_lex_state = 2},
  [1745] = {.lex_state = 71},
  [1746] = {.lex_state = 71, .external_lex_state = 2},
  [1747] = {.lex_state = 71},
  [1748] = {.lex_state = 71},
  [1749] = {.lex_state = 71},
  [1750] = {.lex_state = 71},
  [1751] = {.lex_state = 71},
  [1752] = {.lex_state = 71},
  [1753] = {.lex_state = 73},
  [1754] = {.lex_state = 71},
  [1755] = {.lex_state = 73},
  [1756] = {.lex_state = 71, .external_lex_state = 2},
  [1757] = {.lex_state = 71, .external_lex_state = 2},
  [1758] = {.lex_state = 71},
  [1759] = {.lex_state = 71},
  [1760] = {.lex_state = 71},
  [1761] = {.lex_state = 71, .external_lex_state = 2},
  [1762] = {.lex_state = 73},
  [1763] = {.lex_state = 71},
  [1764] = {.lex_state = 71},
  [1765] = {.lex_state = 71},
  [1766] = {.lex_state = 71, .external_lex_state = 2},
  [1767] = {.lex_state = 71},
  [1768] = {.lex_state = 71, .external_lex_state = 2},
  [1769] = {.lex_state = 71, .external_lex_state = 2},
  [1770] = {.lex_state = 71, .external_lex_state = 2},
  [1771] = {.lex_state = 71, .external_lex_state = 2},
  [1772] = {.lex_state = 71, .external_lex_state = 2},
  [1773] = {.lex_state = 71, .external_lex_state = 2},
  [1774] = {.lex_state = 71},
  [1775] = {.lex_state = 71},
  [1776] = {.lex_state = 71},
  [1777] = {.lex_state = 71, .external_lex_state = 2},
  [1778] = {.lex_state = 71, .external_lex_state = 2},
  [1779] = {.lex_state = 71},
  [1780] = {.lex_state = 71},
  [1781] = {.lex_state = 71},
  [1782] = {.lex_state = 71},
  [1783] = {.lex_state = 71},
  [1784] = {.lex_state = 71, .external_lex_state = 2},
  [1785] = {.lex_state = 71, .external_lex_state = 2},
  [1786] = {.lex_state = 71},
  [1787] = {.lex_state = 71, .external_lex_state = 2},
  [1788] = {.lex_state = 71, .external_lex_state = 2},
  [1789] = {.lex_state = 71, .external_lex_state = 2},
  [1790] = {.lex_state = 71},
  [1791] = {.lex_state = 71},
  [1792] = {.lex_state = 71},
  [1793] = {.lex_state = 71},
  [1794] = {.lex_state = 71, .external_lex_state = 2},
  [1795] = {.lex_state = 71},
  [1796] = {.lex_state = 71},
  [1797] = {.lex_state = 71, .external_lex_state = 2},
  [1798] = {.lex_state = 73},
  [1799] = {.lex_state = 72, .external_lex_state = 10},
  [1800] = {.lex_state = 71},
  [1801] = {.lex_state = 71, .external_lex_state = 2},
  [1802] = {.lex_state = 71},
  [1803] = {.lex_state = 71},
  [1804] = {.lex_state = 73},
  [1805] = {.lex_state = 71},
  [1806] = {.lex_state = 71},
  [1807] = {.lex_state = 71},
  [1808] = {.lex_state = 71, .external_lex_state = 2},
  [1809] = {.lex_state = 71},
  [1810] = {.lex_state = 71},
  [1811] = {.lex_state = 71, .external_lex_state = 2},
  [1812] = {.lex_state = 71},
  [1813] = {.lex_state = 71},
  [1814] = {.lex_state = 71},
  [1815] = {.lex_state = 71, .external_lex_state = 2},
  [1816] = {.lex_state = 71},
  [1817] = {.lex_state = 71},
  [1818] = {.lex_state = 71, .external_lex_state = 2},
  [1819] = {.lex_state = 71},
  [1820] = {.lex_state = 71},
  [1821] = {.lex_state = 71},
  [1822] = {.lex_state = 71},
  [1823] = {.lex_state = 71},
  [1824] = {.lex_state = 71, .external_lex_state = 2},
  [1825] = {.lex_state = 71, .external_lex_state = 2},
  [1826] = {.lex_state = 71, .external_lex_state = 2},
  [1827] = {.lex_state = 71, .external_lex_state = 2},
  [1828] = {.lex_state = 71},
  [1829] = {.lex_state = 71},
  [1830] = {.lex_state = 71, .external_lex_state = 2},
  [1831] = {.lex_state = 71, .external_lex_state = 2},
  [1832] = {.lex_state = 71},
  [1833] = {.lex_state = 71},
  [1834] = {.lex_state = 71},
  [1835] = {.lex_state = 71, .external_lex_state = 2},
  [1836] = {.lex_state = 71},
  [1837] = {.lex_state = 71},
  [1838] = {.lex_state = 71, .external_lex_state = 2},
  [1839] = {.lex_state = 71},
  [1840] = {.lex_state = 71},
  [1841] = {.lex_state = 71},
  [1842] = {.lex_state = 71, .external_lex_state = 2},
  [1843] = {.lex_state = 71, .external_lex_state = 2},
  [1844] = {.lex_state = 71, .external_lex_state = 2},
  [1845] = {.lex_state = 5, .external_lex_state = 11},
  [1846] = {.lex_state = 71},
  [1847] = {.lex_state = 71},
  [1848] = {.lex_state = 71},
  [1849] = {.lex_state = 71},
  [1850] = {.lex_state = 71},
  [1851] = {.lex_state = 71, .external_lex_state = 2},
  [1852] = {.lex_state = 16},
  [1853] = {.lex_state = 71, .external_lex_state = 2},
  [1854] = {.lex_state = 71, .external_lex_state = 2},
  [1855] = {.lex_state = 71, .external_lex_state = 2},
  [1856] = {.lex_state = 71, .external_lex_state = 2},
  [1857] = {.lex_state = 71},
  [1858] = {.lex_state = 71, .external_lex_state = 2},
  [1859] = {.lex_state = 71},
  [1860] = {.lex_state = 71, .external_lex_state = 2},
  [1861] = {.lex_state = 71, .external_lex_state = 2},
  [1862] = {.lex_state = 71, .external_lex_state = 2},
  [1863] = {.lex_state = 71, .external_lex_state = 2},
  [1864] = {.lex_state = 71},
  [1865] = {.lex_state = 71},
  [1866] = {.lex_state = 71},
  [1867] = {.lex_state = 71},
  [1868] = {.lex_state = 16},
  [1869] = {.lex_state = 71},
  [1870] = {.lex_state = 71},
  [1871] = {.lex_state = 71},
  [1872] = {.lex_state = 71},
  [1873] = {.lex_state = 71, .external_lex_state = 2},
  [1874] = {.lex_state = 71, .external_lex_state = 2},
  [1875] = {.lex_state = 71, .external_lex_state = 2},
  [1876] = {.lex_state = 71, .external_lex_state = 2},
  [1877] = {.lex_state = 71},
  [1878] = {.lex_state = 71, .external_lex_state = 2},
  [1879] = {.lex_state = 72},
  [1880] = {.lex_state = 71},
  [1881] = {.lex_state = 71},
  [1882] = {.lex_state = 71},
  [1883] = {.lex_state = 5, .external_lex_state = 11},
  [1884] = {.lex_state = 71},
  [1885] = {.lex_state = 71},
  [1886] = {.lex_state = 71},
  [1887] = {.lex_state = 71},
  [1888] = {.lex_state = 71, .external_lex_state = 12},
  [1889] = {.lex_state = 71},
  [1890] = {.lex_state = 71},
  [1891] = {.lex_state = 71},
  [1892] = {.lex_state = 71},
  [1893] = {.lex_state = 71},
  [1894] = {.lex_state = 71},
  [1895] = {.lex_state = 71},
  [1896] = {.lex_state = 71},
  [1897] = {.lex_state = 71},
  [1898] = {.lex_state = 71},
  [1899] = {.lex_state = 71},
  [1900] = {.lex_state = 71},
  [1901] = {.lex_state = 71},
  [1902] = {.lex_state = 71},
  [1903] = {.lex_state = 5, .external_lex_state = 13},
  [1904] = {.lex_state = 5, .external_lex_state = 13},
  [1905] = {.lex_state = 71},
  [1906] = {.lex_state = 71},
  [1907] = {.lex_state = 71},
  [1908] = {.lex_state = 71},
  [1909] = {.lex_state = 71},
  [1910] = {.lex_state = 71},
  [1911] = {.lex_state = 71},
  [1912] = {.lex_state = 71},
  [1913] = {.lex_state = 71},
  [1914] = {.lex_state = 71, .external_lex_state = 2},
  [1915] = {.lex_state = 71},
  [1916] = {.lex_state = 73},
  [1917] = {.lex_state = 71},
  [1918] = {.lex_state = 71},
  [1919] = {.lex_state = 71},
  [1920] = {.lex_state = 71},
  [1921] = {.lex_state = 71},
  [1922] = {.lex_state = 71},
  [1923] = {.lex_state = 71},
  [1924] = {.lex_state = 71},
  [1925] = {.lex_state = 71},
  [1926] = {.lex_state = 71},
  [1927] = {.lex_state = 71},
  [1928] = {.lex_state = 71},
  [1929] = {.lex_state = 71},
  [1930] = {.lex_state = 71},
  [1931] = {.lex_state = 71},
  [1932] = {.lex_state = 71},
  [1933] = {.lex_state = 71, .external_lex_state = 2},
  [1934] = {.lex_state = 71},
  [1935] = {.lex_state = 71},
  [1936] = {.lex_state = 71},
  [1937] = {.lex_state = 71, .external_lex_state = 2},
  [1938] = {.lex_state = 71},
  [1939] = {.lex_state = 71},
  [1940] = {.lex_state = 71},
  [1941] = {.lex_state = 71},
  [1942] = {.lex_state = 71, .external_lex_state = 2},
  [1943] = {.lex_state = 71, .external_lex_state = 2},
  [1944] = {.lex_state = 71},
  [1945] = {.lex_state = 71},
  [1946] = {.lex_state = 71},
  [1947] = {.lex_state = 71},
  [1948] = {.lex_state = 71},
  [1949] = {.lex_state = 73},
  [1950] = {.lex_state = 71},
  [1951] = {.lex_state = 71},
  [1952] = {.lex_state = 71},
  [1953] = {.lex_state = 71},
  [1954] = {.lex_state = 73},
  [1955] = {.lex_state = 71},
  [1956] = {.lex_state = 71},
  [1957] = {.lex_state = 71},
  [1958] = {.lex_state = 71},
  [1959] = {.lex_state = 71},
  [1960] = {.lex_state = 5, .external_lex_state = 13},
  [1961] = {.lex_state = 5, .external_lex_state = 13},
  [1962] = {.lex_state = 71},
  [1963] = {.lex_state = 71},
  [1964] = {.lex_state = 71},
  [1965] = {.lex_state = 71, .external_lex_state = 2},
  [1966] = {.lex_state = 71},
  [1967] = {.lex_state = 71},
  [1968] = {.lex_state = 71},
  [1969] = {.lex_state = 71},
  [1970] = {.lex_state = 71},
  [1971] = {.lex_state = 71},
  [1972] = {.lex_state = 71},
  [1973] = {.lex_state = 71},
  [1974] = {.lex_state = 71},
  [1975] = {.lex_state = 71},
  [1976] = {.lex_state = 71},
  [1977] = {.lex_state = 71},
  [1978] = {.lex_state = 71},
  [1979] = {.lex_state = 71},
  [1980] = {.lex_state = 71},
  [1981] = {.lex_state = 71},
  [1982] = {.lex_state = 71},
  [1983] = {.lex_state = 71},
  [1984] = {.lex_state = 71},
  [1985] = {.lex_state = 71},
  [1986] = {.lex_state = 71},
  [1987] = {.lex_state = 71},
  [1988] = {.lex_state = 71},
  [1989] = {.lex_state = 71},
  [1990] = {.lex_state = 71},
  [1991] = {.lex_state = 71},
  [1992] = {.lex_state = 71},
  [1993] = {.lex_state = 71},
  [1994] = {.lex_state = 71},
  [1995] = {.lex_state = 71},
  [1996] = {.lex_state = 71},
  [1997] = {.lex_state = 5, .external_lex_state = 13},
  [1998] = {.lex_state = 71},
  [1999] = {.lex_state = 5, .external_lex_state = 13},
  [2000] = {.lex_state = 71},
  [2001] = {.lex_state = 71},
  [2002] = {.lex_state = 71},
  [2003] = {.lex_state = 71},
  [2004] = {.lex_state = 71},
  [2005] = {.lex_state = 71},
  [2006] = {.lex_state = 71},
  [2007] = {.lex_state = 71},
  [2008] = {.lex_state = 71},
  [2009] = {.lex_state = 71},
  [2010] = {.lex_state = 71},
  [2011] = {.lex_state = 71},
  [2012] = {.lex_state = 71},
  [2013] = {.lex_state = 71},
  [2014] = {.lex_state = 71},
  [2015] = {.lex_state = 71},
  [2016] = {.lex_state = 71},
  [2017] = {.lex_state = 71},
  [2018] = {.lex_state = 71},
  [2019] = {.lex_state = 71},
  [2020] = {.lex_state = 71},
  [2021] = {.lex_state = 71},
  [2022] = {.lex_state = 73},
  [2023] = {.lex_state = 71},
  [2024] = {.lex_state = 71},
  [2025] = {.lex_state = 71},
  [2026] = {.lex_state = 71, .external_lex_state = 2},
  [2027] = {.lex_state = 71},
  [2028] = {.lex_state = 71},
  [2029] = {.lex_state = 71},
  [2030] = {.lex_state = 71},
  [2031] = {.lex_state = 71},
  [2032] = {.lex_state = 71},
  [2033] = {.lex_state = 71},
  [2034] = {.lex_state = 71},
  [2035] = {.lex_state = 71},
  [2036] = {.lex_state = 71},
  [2037] = {.lex_state = 71},
  [2038] = {.lex_state = 71},
  [2039] = {.lex_state = 71},
  [2040] = {.lex_state = 71},
  [2041] = {.lex_state = 71},
  [2042] = {.lex_state = 71},
  [2043] = {.lex_state = 71},
  [2044] = {.lex_state = 71},
  [2045] = {.lex_state = 71},
  [2046] = {.lex_state = 71},
  [2047] = {.lex_state = 71},
  [2048] = {.lex_state = 71},
  [2049] = {.lex_state = 71},
  [2050] = {.lex_state = 71},
  [2051] = {.lex_state = 71},
  [2052] = {.lex_state = 71},
  [2053] = {.lex_state = 71},
  [2054] = {.lex_state = 71},
  [2055] = {.lex_state = 71},
  [2056] = {.lex_state = 71},
  [2057] = {.lex_state = 71},
  [2058] = {.lex_state = 71},
  [2059] = {.lex_state = 71},
  [2060] = {.lex_state = 71},
  [2061] = {.lex_state = 71},
  [2062] = {.lex_state = 71},
  [2063] = {.lex_state = 71, .external_lex_state = 2},
  [2064] = {.lex_state = 71},
  [2065] = {.lex_state = 71},
  [2066] = {.lex_state = 71},
  [2067] = {.lex_state = 71},
  [2068] = {.lex_state = 71},
  [2069] = {.lex_state = 193, .external_lex_state = 14},
  [2070] = {.lex_state = 71},
  [2071] = {.lex_state = 71, .external_lex_state = 12},
  [2072] = {.lex_state = 71},
  [2073] = {.lex_state = 71},
  [2074] = {.lex_state = 71},
  [2075] = {.lex_state = 71},
  [2076] = {.lex_state = 71},
  [2077] = {.lex_state = 71},
  [2078] = {.lex_state = 71},
  [2079] = {.lex_state = 71},
  [2080] = {.lex_state = 71, .external_lex_state = 2},
  [2081] = {.lex_state = 71, .external_lex_state = 2},
  [2082] = {.lex_state = 71},
  [2083] = {.lex_state = 71},
  [2084] = {.lex_state = 71},
  [2085] = {.lex_state = 71},
  [2086] = {.lex_state = 71},
  [2087] = {.lex_state = 71},
  [2088] = {.lex_state = 71},
  [2089] = {.lex_state = 71},
  [2090] = {.lex_state = 71},
  [2091] = {.lex_state = 71},
  [2092] = {.lex_state = 71},
  [2093] = {.lex_state = 71},
  [2094] = {.lex_state = 71},
  [2095] = {.lex_state = 71},
  [2096] = {.lex_state = 71},
  [2097] = {.lex_state = 71},
  [2098] = {.lex_state = 71},
  [2099] = {.lex_state = 71},
  [2100] = {.lex_state = 71},
  [2101] = {.lex_state = 71},
  [2102] = {.lex_state = 71},
  [2103] = {.lex_state = 71, .external_lex_state = 2},
  [2104] = {.lex_state = 71},
  [2105] = {.lex_state = 71},
  [2106] = {.lex_state = 71},
  [2107] = {.lex_state = 71},
  [2108] = {.lex_state = 71},
  [2109] = {.lex_state = 71},
  [2110] = {.lex_state = 71},
  [2111] = {.lex_state = 71},
  [2112] = {.lex_state = 71},
  [2113] = {.lex_state = 71},
  [2114] = {.lex_state = 71},
  [2115] = {.lex_state = 71},
  [2116] = {.lex_state = 71},
  [2117] = {.lex_state = 71},
  [2118] = {.lex_state = 71},
  [2119] = {.lex_state = 71},
  [2120] = {.lex_state = 71, .external_lex_state = 2},
  [2121] = {.lex_state = 71},
  [2122] = {.lex_state = 71},
  [2123] = {.lex_state = 71},
  [2124] = {.lex_state = 71, .external_lex_state = 2},
  [2125] = {.lex_state = 71},
  [2126] = {.lex_state = 71, .external_lex_state = 2},
  [2127] = {.lex_state = 71},
  [2128] = {.lex_state = 71, .external_lex_state = 2},
  [2129] = {.lex_state = 71},
  [2130] = {.lex_state = 71},
  [2131] = {.lex_state = 71},
  [2132] = {.lex_state = 71},
  [2133] = {.lex_state = 71},
  [2134] = {.lex_state = 71},
  [2135] = {.lex_state = 71},
  [2136] = {.lex_state = 71},
  [2137] = {.lex_state = 71},
  [2138] = {.lex_state = 5, .external_lex_state = 11},
  [2139] = {.lex_state = 71},
  [2140] = {.lex_state = 71},
  [2141] = {.lex_state = 71},
  [2142] = {.lex_state = 71},
  [2143] = {.lex_state = 71},
  [2144] = {.lex_state = 71, .external_lex_state = 2},
  [2145] = {.lex_state = 71},
  [2146] = {.lex_state = 71},
  [2147] = {.lex_state = 71},
  [2148] = {.lex_state = 71},
  [2149] = {.lex_state = 71},
  [2150] = {.lex_state = 71},
  [2151] = {.lex_state = 71, .external_lex_state = 2},
  [2152] = {.lex_state = 71, .external_lex_state = 2},
  [2153] = {.lex_state = 71},
  [2154] = {.lex_state = 71, .external_lex_state = 2},
  [2155] = {.lex_state = 73},
  [2156] = {.lex_state = 71},
  [2157] = {.lex_state = 71},
  [2158] = {.lex_state = 71},
  [2159] = {.lex_state = 73, .external_lex_state = 10},
  [2160] = {.lex_state = 71},
  [2161] = {.lex_state = 71, .external_lex_state = 2},
  [2162] = {.lex_state = 71},
  [2163] = {.lex_state = 71, .external_lex_state = 2},
  [2164] = {.lex_state = 71},
  [2165] = {.lex_state = 71},
  [2166] = {.lex_state = 71},
  [2167] = {.lex_state = 71},
  [2168] = {.lex_state = 71},
  [2169] = {.lex_state = 71},
  [2170] = {.lex_state = 71},
  [2171] = {.lex_state = 71},
  [2172] = {.lex_state = 71},
  [2173] = {.lex_state = 71},
  [2174] = {.lex_state = 71},
  [2175] = {.lex_state = 71},
  [2176] = {.lex_state = 71},
  [2177] = {.lex_state = 71},
  [2178] = {.lex_state = 71},
  [2179] = {.lex_state = 71},
  [2180] = {.lex_state = 5, .external_lex_state = 13},
  [2181] = {.lex_state = 71},
  [2182] = {.lex_state = 71},
  [2183] = {.lex_state = 71},
  [2184] = {.lex_state = 71},
  [2185] = {.lex_state = 71},
  [2186] = {.lex_state = 71},
  [2187] = {.lex_state = 71},
  [2188] = {.lex_state = 71},
  [2189] = {.lex_state = 71},
  [2190] = {.lex_state = 71},
  [2191] = {.lex_state = 71},
  [2192] = {.lex_state = 71},
  [2193] = {.lex_state = 23},
  [2194] = {.lex_state = 71, .external_lex_state = 2},
  [2195] = {.lex_state = 71},
  [2196] = {.lex_state = 71},
  [2197] = {.lex_state = 71, .external_lex_state = 2},
  [2198] = {.lex_state = 71},
  [2199] = {.lex_state = 71, .external_lex_state = 2},
  [2200] = {.lex_state = 71, .external_lex_state = 2},
  [2201] = {.lex_state = 71, .external_lex_state = 2},
  [2202] = {.lex_state = 71},
  [2203] = {.lex_state = 71},
  [2204] = {.lex_state = 71},
  [2205] = {.lex_state = 71, .external_lex_state = 2},
  [2206] = {.lex_state = 71, .external_lex_state = 2},
  [2207] = {.lex_state = 71},
  [2208] = {.lex_state = 71, .external_lex_state = 2},
  [2209] = {.lex_state = 71, .external_lex_state = 2},
  [2210] = {.lex_state = 71, .external_lex_state = 2},
  [2211] = {.lex_state = 71, .external_lex_state = 2},
  [2212] = {.lex_state = 71},
  [2213] = {.lex_state = 71},
  [2214] = {.lex_state = 71},
  [2215] = {.lex_state = 71},
  [2216] = {.lex_state = 71},
  [2217] = {.lex_state = 71},
  [2218] = {.lex_state = 71},
  [2219] = {.lex_state = 71},
  [2220] = {.lex_state = 71},
  [2221] = {.lex_state = 71},
  [2222] = {.lex_state = 71},
  [2223] = {.lex_state = 71},
  [2224] = {.lex_state = 71},
  [2225] = {.lex_state = 71},
  [2226] = {.lex_state = 71},
  [2227] = {.lex_state = 71},
  [2228] = {.lex_state = 71},
  [2229] = {.lex_state = 71},
  [2230] = {.lex_state = 71, .external_lex_state = 2},
  [2231] = {.lex_state = 71},
  [2232] = {.lex_state = 71, .external_lex_state = 2},
  [2233] = {.lex_state = 71, .external_lex_state = 2},
  [2234] = {.lex_state = 71},
  [2235] = {.lex_state = 71},
  [2236] = {.lex_state = 71, .external_lex_state = 2},
  [2237] = {.lex_state = 71, .external_lex_state = 2},
  [2238] = {.lex_state = 71},
  [2239] = {.lex_state = 71},
  [2240] = {.lex_state = 71},
  [2241] = {.lex_state = 71},
  [2242] = {.lex_state = 71},
  [2243] = {.lex_state = 71},
  [2244] = {.lex_state = 71},
  [2245] = {.lex_state = 71},
  [2246] = {.lex_state = 71},
  [2247] = {.lex_state = 71},
  [2248] = {.lex_state = 71},
  [2249] = {.lex_state = 71},
  [2250] = {.lex_state = 71},
  [2251] = {.lex_state = 71},
  [2252] = {.lex_state = 71},
  [2253] = {.lex_state = 71},
  [2254] = {.lex_state = 71},
  [2255] = {.lex_state = 71},
  [2256] = {.lex_state = 71},
  [2257] = {.lex_state = 71},
  [2258] = {.lex_state = 5, .external_lex_state = 13},
  [2259] = {.lex_state = 71},
  [2260] = {.lex_state = 71},
  [2261] = {.lex_state = 71, .external_lex_state = 2},
  [2262] = {.lex_state = 71},
  [2263] = {.lex_state = 71},
  [2264] = {.lex_state = 5, .external_lex_state = 13},
  [2265] = {.lex_state = 71},
  [2266] = {.lex_state = 71},
  [2267] = {.lex_state = 5, .external_lex_state = 13},
  [2268] = {.lex_state = 71},
  [2269] = {.lex_state = 71},
  [2270] = {.lex_state = 71},
  [2271] = {.lex_state = 71},
  [2272] = {.lex_state = 71, .external_lex_state = 2},
  [2273] = {.lex_state = 71},
  [2274] = {.lex_state = 71},
  [2275] = {.lex_state = 71},
  [2276] = {.lex_state = 71, .external_lex_state = 2},
  [2277] = {.lex_state = 71},
  [2278] = {.lex_state = 71},
  [2279] = {.lex_state = 71, .external_lex_state = 2},
  [2280] = {.lex_state = 71, .external_lex_state = 2},
  [2281] = {.lex_state = 71, .external_lex_state = 2},
  [2282] = {.lex_state = 71, .external_lex_state = 2},
  [2283] = {.lex_state = 71},
  [2284] = {.lex_state = 71},
  [2285] = {.lex_state = 71},
  [2286] = {.lex_state = 71},
  [2287] = {.lex_state = 71},
  [2288] = {.lex_state = 71, .external_lex_state = 2},
  [2289] = {.lex_state = 71},
  [2290] = {.lex_state = 71, .external_lex_state = 2},
  [2291] = {.lex_state = 71},
  [2292] = {.lex_state = 71},
  [2293] = {.lex_state = 71, .external_lex_state = 2},
  [2294] = {.lex_state = 71},
  [2295] = {.lex_state = 71},
  [2296] = {.lex_state = 71},
  [2297] = {.lex_state = 71, .external_lex_state = 2},
  [2298] = {.lex_state = 71, .external_lex_state = 2},
  [2299] = {.lex_state = 71},
  [2300] = {.lex_state = 71},
  [2301] = {.lex_state = 71},
  [2302] = {.lex_state = 71},
  [2303] = {.lex_state = 71},
  [2304] = {.lex_state = 71},
  [2305] = {.lex_state = 71},
  [2306] = {.lex_state = 71},
  [2307] = {.lex_state = 71},
  [2308] = {.lex_state = 71, .external_lex_state = 2},
  [2309] = {.lex_state = 71},
  [2310] = {.lex_state = 71},
  [2311] = {.lex_state = 71},
  [2312] = {.lex_state = 71},
  [2313] = {.lex_state = 71},
  [2314] = {.lex_state = 71},
  [2315] = {.lex_state = 71, .external_lex_state = 2},
  [2316] = {.lex_state = 71},
  [2317] = {.lex_state = 71},
  [2318] = {.lex_state = 71},
  [2319] = {.lex_state = 71},
  [2320] = {.lex_state = 71},
  [2321] = {.lex_state = 71, .external_lex_state = 2},
  [2322] = {.lex_state = 71},
  [2323] = {.lex_state = 71},
  [2324] = {.lex_state = 71},
  [2325] = {.lex_state = 23},
  [2326] = {.lex_state = 71},
  [2327] = {.lex_state = 71},
  [2328] = {.lex_state = 71},
  [2329] = {.lex_state = 5, .external_lex_state = 13},
  [2330] = {.lex_state = 71},
  [2331] = {.lex_state = 71},
  [2332] = {.lex_state = 71},
  [2333] = {.lex_state = 71},
  [2334] = {.lex_state = 71},
  [2335] = {.lex_state = 71},
  [2336] = {.lex_state = 71},
  [2337] = {.lex_state = 71, .external_lex_state = 2},
  [2338] = {.lex_state = 71},
  [2339] = {.lex_state = 71},
  [2340] = {.lex_state = 71},
  [2341] = {.lex_state = 71},
  [2342] = {.lex_state = 71},
  [2343] = {.lex_state = 71, .external_lex_state = 2},
  [2344] = {.lex_state = 71},
  [2345] = {.lex_state = 71},
  [2346] = {.lex_state = 71},
  [2347] = {.lex_state = 71},
  [2348] = {.lex_state = 71},
  [2349] = {.lex_state = 71},
  [2350] = {.lex_state = 71},
  [2351] = {.lex_state = 71, .external_lex_state = 2},
  [2352] = {.lex_state = 71},
  [2353] = {.lex_state = 71},
  [2354] = {.lex_state = 71},
  [2355] = {.lex_state = 71},
  [2356] = {.lex_state = 71},
  [2357] = {.lex_state = 71},
  [2358] = {.lex_state = 71},
  [2359] = {.lex_state = 71},
  [2360] = {.lex_state = 71},
  [2361] = {.lex_state = 71},
  [2362] = {.lex_state = 71},
  [2363] = {.lex_state = 71},
  [2364] = {.lex_state = 71},
  [2365] = {.lex_state = 71},
  [2366] = {.lex_state = 71},
  [2367] = {.lex_state = 71},
  [2368] = {.lex_state = 71},
  [2369] = {.lex_state = 71},
  [2370] = {.lex_state = 71},
  [2371] = {.lex_state = 71},
  [2372] = {.lex_state = 71},
  [2373] = {.lex_state = 71, .external_lex_state = 2},
  [2374] = {.lex_state = 71},
  [2375] = {.lex_state = 71, .external_lex_state = 2},
  [2376] = {.lex_state = 5, .external_lex_state = 13},
  [2377] = {.lex_state = 71},
  [2378] = {.lex_state = 5, .external_lex_state = 13},
  [2379] = {.lex_state = 71},
  [2380] = {.lex_state = 71},
  [2381] = {.lex_state = 71},
  [2382] = {.lex_state = 71, .external_lex_state = 2},
  [2383] = {.lex_state = 71, .external_lex_state = 2},
  [2384] = {.lex_state = 71, .external_lex_state = 2},
  [2385] = {.lex_state = 71, .external_lex_state = 2},
  [2386] = {.lex_state = 71},
  [2387] = {.lex_state = 71},
  [2388] = {.lex_state = 71},
  [2389] = {.lex_state = 71, .external_lex_state = 2},
  [2390] = {.lex_state = 71, .external_lex_state = 2},
  [2391] = {.lex_state = 71},
  [2392] = {.lex_state = 71},
  [2393] = {.lex_state = 71, .external_lex_state = 2},
  [2394] = {.lex_state = 71},
  [2395] = {.lex_state = 71},
  [2396] = {.lex_state = 71, .external_lex_state = 2},
  [2397] = {.lex_state = 71},
  [2398] = {.lex_state = 71, .external_lex_state = 2},
  [2399] = {.lex_state = 71},
  [2400] = {.lex_state = 71},
  [2401] = {.lex_state = 71, .external_lex_state = 2},
  [2402] = {.lex_state = 71},
  [2403] = {.lex_state = 71},
  [2404] = {.lex_state = 71, .external_lex_state = 2},
  [2405] = {.lex_state = 71, .external_lex_state = 2},
  [2406] = {.lex_state = 71},
  [2407] = {.lex_state = 71, .external_lex_state = 2},
  [2408] = {.lex_state = 71},
  [2409] = {.lex_state = 71},
  [2410] = {.lex_state = 71},
  [2411] = {.lex_state = 71},
  [2412] = {.lex_state = 71, .external_lex_state = 2},
  [2413] = {.lex_state = 71},
  [2414] = {.lex_state = 71, .external_lex_state = 2},
  [2415] = {.lex_state = 71},
  [2416] = {.lex_state = 71},
  [2417] = {.lex_state = 71},
  [2418] = {.lex_state = 71},
  [2419] = {.lex_state = 71},
  [2420] = {.lex_state = 71},
  [2421] = {.lex_state = 71},
  [2422] = {.lex_state = 71},
  [2423] = {.lex_state = 71},
  [2424] = {.lex_state = 71},
  [2425] = {.lex_state = 71},
  [2426] = {.lex_state = 71},
  [2427] = {.lex_state = 71},
  [2428] = {.lex_state = 71},
  [2429] = {.lex_state = 71},
  [2430] = {.lex_state = 71, .external_lex_state = 13},
  [2431] = {.lex_state = 71},
  [2432] = {.lex_state = 71},
  [2433] = {.lex_state = 71},
  [2434] = {.lex_state = 71},
  [2435] = {.lex_state = 71},
  [2436] = {.lex_state = 71},
  [2437] = {.lex_state = 71},
  [2438] = {.lex_state = 71},
  [2439] = {.lex_state = 71},
  [2440] = {.lex_state = 71},
  [2441] = {.lex_state = 71},
  [2442] = {.lex_state = 71},
  [2443] = {.lex_state = 71},
  [2444] = {.lex_state = 71},
  [2445] = {.lex_state = 71},
  [2446] = {.lex_state = 71},
  [2447] = {.lex_state = 71},
  [2448] = {.lex_state = 71},
  [2449] = {.lex_state = 71},
  [2450] = {.lex_state = 71},
  [2451] = {.lex_state = 71},
  [2452] = {.lex_state = 71},
  [2453] = {.lex_state = 71},
  [2454] = {.lex_state = 71},
  [2455] = {.lex_state = 71, .external_lex_state = 13},
  [2456] = {.lex_state = 71},
  [2457] = {.lex_state = 71},
  [2458] = {.lex_state = 71},
  [2459] = {.lex_state = 71},
  [2460] = {.lex_state = 71},
  [2461] = {.lex_state = 71},
  [2462] = {.lex_state = 71, .external_lex_state = 13},
  [2463] = {.lex_state = 71},
  [2464] = {.lex_state = 71},
  [2465] = {.lex_state = 71},
  [2466] = {.lex_state = 71, .external_lex_state = 13},
  [2467] = {.lex_state = 71},
  [2468] = {.lex_state = 9},
  [2469] = {.lex_state = 9},
  [2470] = {.lex_state = 71},
  [2471] = {.lex_state = 71},
  [2472] = {.lex_state = 71},
  [2473] = {.lex_state = 71},
  [2474] = {.lex_state = 71},
  [2475] = {.lex_state = 71},
  [2476] = {.lex_state = 71},
  [2477] = {.lex_state = 71},
  [2478] = {.lex_state = 71},
  [2479] = {.lex_state = 71},
  [2480] = {.lex_state = 71},
  [2481] = {.lex_state = 71},
  [2482] = {.lex_state = 71},
  [2483] = {.lex_state = 71},
  [2484] = {.lex_state = 71},
  [2485] = {.lex_state = 71},
  [2486] = {.lex_state = 71},
  [2487] = {.lex_state = 71},
  [2488] = {.lex_state = 71},
  [2489] = {.lex_state = 71},
  [2490] = {.lex_state = 71},
  [2491] = {.lex_state = 71},
  [2492] = {.lex_state = 71},
  [2493] = {.lex_state = 71},
  [2494] = {.lex_state = 71},
  [2495] = {.lex_state = 71},
  [2496] = {.lex_state = 71},
  [2497] = {.lex_state = 71},
  [2498] = {.lex_state = 71},
  [2499] = {.lex_state = 71},
  [2500] = {.lex_state = 71},
  [2501] = {.lex_state = 71},
  [2502] = {.lex_state = 71},
  [2503] = {.lex_state = 71},
  [2504] = {.lex_state = 71},
  [2505] = {.lex_state = 71},
  [2506] = {.lex_state = 71},
  [2507] = {.lex_state = 71},
  [2508] = {.lex_state = 71},
  [2509] = {.lex_state = 71},
  [2510] = {.lex_state = 9},
  [2511] = {.lex_state = 9},
  [2512] = {.lex_state = 71},
  [2513] = {.lex_state = 71},
  [2514] = {.lex_state = 71},
  [2515] = {.lex_state = 71},
  [2516] = {.lex_state = 71},
  [2517] = {.lex_state = 71},
  [2518] = {.lex_state = 71},
  [2519] = {.lex_state = 71},
  [2520] = {.lex_state = 71},
  [2521] = {.lex_state = 71},
  [2522] = {.lex_state = 71},
  [2523] = {.lex_state = 71},
  [2524] = {.lex_state = 71},
  [2525] = {.lex_state = 71},
  [2526] = {.lex_state = 71},
  [2527] = {.lex_state = 71},
  [2528] = {.lex_state = 71},
  [2529] = {.lex_state = 71},
  [2530] = {.lex_state = 71},
  [2531] = {.lex_state = 71},
  [2532] = {.lex_state = 71},
  [2533] = {.lex_state = 71},
  [2534] = {.lex_state = 71},
  [2535] = {.lex_state = 71},
  [2536] = {.lex_state = 71},
  [2537] = {.lex_state = 71},
  [2538] = {.lex_state = 71},
  [2539] = {.lex_state = 71},
  [2540] = {.lex_state = 71},
  [2541] = {.lex_state = 71},
  [2542] = {.lex_state = 71, .external_lex_state = 12},
  [2543] = {.lex_state = 71},
  [2544] = {.lex_state = 71},
  [2545] = {.lex_state = 71},
  [2546] = {.lex_state = 71},
  [2547] = {.lex_state = 71},
  [2548] = {.lex_state = 71},
  [2549] = {.lex_state = 71},
  [2550] = {.lex_state = 71},
  [2551] = {.lex_state = 71},
  [2552] = {.lex_state = 71},
  [2553] = {.lex_state = 71, .external_lex_state = 12},
  [2554] = {.lex_state = 71, .external_lex_state = 12},
  [2555] = {.lex_state = 71},
  [2556] = {.lex_state = 71},
  [2557] = {.lex_state = 71},
  [2558] = {.lex_state = 71},
  [2559] = {.lex_state = 71},
  [2560] = {.lex_state = 71},
  [2561] = {.lex_state = 71},
  [2562] = {.lex_state = 71},
  [2563] = {.lex_state = 71},
  [2564] = {.lex_state = 71},
  [2565] = {.lex_state = 71},
  [2566] = {.lex_state = 71},
  [2567] = {.lex_state = 71},
  [2568] = {.lex_state = 71},
  [2569] = {.lex_state = 71},
  [2570] = {.lex_state = 71},
  [2571] = {.lex_state = 71},
  [2572] = {.lex_state = 71},
  [2573] = {.lex_state = 71},
  [2574] = {.lex_state = 71},
  [2575] = {.lex_state = 71},
  [2576] = {.lex_state = 71},
  [2577] = {.lex_state = 71},
  [2578] = {.lex_state = 71},
  [2579] = {.lex_state = 71},
  [2580] = {.lex_state = 71},
  [2581] = {.lex_state = 71},
  [2582] = {.lex_state = 71},
  [2583] = {.lex_state = 71},
  [2584] = {.lex_state = 71},
  [2585] = {.lex_state = 71},
  [2586] = {.lex_state = 71},
  [2587] = {.lex_state = 71},
  [2588] = {.lex_state = 71},
  [2589] = {.lex_state = 71},
  [2590] = {.lex_state = 71},
  [2591] = {.lex_state = 71},
  [2592] = {.lex_state = 71},
  [2593] = {.lex_state = 71},
  [2594] = {.lex_state = 71},
  [2595] = {.lex_state = 71},
  [2596] = {.lex_state = 71},
  [2597] = {.lex_state = 71},
  [2598] = {.lex_state = 71},
  [2599] = {.lex_state = 71},
  [2600] = {.lex_state = 71},
  [2601] = {.lex_state = 71},
  [2602] = {.lex_state = 71},
  [2603] = {.lex_state = 71},
  [2604] = {.lex_state = 71},
  [2605] = {.lex_state = 71},
  [2606] = {.lex_state = 71},
  [2607] = {.lex_state = 71},
  [2608] = {.lex_state = 71},
  [2609] = {.lex_state = 71},
  [2610] = {.lex_state = 71},
  [2611] = {.lex_state = 71},
  [2612] = {.lex_state = 71},
  [2613] = {.lex_state = 71},
  [2614] = {.lex_state = 71},
  [2615] = {.lex_state = 71},
  [2616] = {.lex_state = 71},
  [2617] = {.lex_state = 71},
  [2618] = {.lex_state = 71},
  [2619] = {.lex_state = 71},
  [2620] = {.lex_state = 71},
  [2621] = {.lex_state = 71},
  [2622] = {.lex_state = 71},
  [2623] = {.lex_state = 71},
  [2624] = {.lex_state = 71},
  [2625] = {.lex_state = 71, .external_lex_state = 13},
  [2626] = {.lex_state = 71, .external_lex_state = 13},
  [2627] = {.lex_state = 71},
  [2628] = {.lex_state = 71},
  [2629] = {.lex_state = 71},
  [2630] = {.lex_state = 71},
  [2631] = {.lex_state = 71, .external_lex_state = 12},
  [2632] = {.lex_state = 71},
  [2633] = {.lex_state = 71},
  [2634] = {.lex_state = 71},
  [2635] = {.lex_state = 71},
  [2636] = {.lex_state = 71},
  [2637] = {.lex_state = 71},
  [2638] = {.lex_state = 71},
  [2639] = {.lex_state = 71},
  [2640] = {.lex_state = 71},
  [2641] = {.lex_state = 71},
  [2642] = {.lex_state = 71},
  [2643] = {.lex_state = 71},
  [2644] = {.lex_state = 71},
  [2645] = {.lex_state = 71},
  [2646] = {.lex_state = 71},
  [2647] = {.lex_state = 71},
  [2648] = {.lex_state = 71},
  [2649] = {.lex_state = 71},
  [2650] = {.lex_state = 71},
  [2651] = {.lex_state = 71},
  [2652] = {(TSStateId)(-1)},
  [2653] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_QMARK_GT2] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_boolean] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2587),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2155),
    [aux_sym_text_repeat1] = STATE(1741),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(11),
    [aux_sym_text_token2] = ACTIONS(11),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [anon_sym_RBRACE] = ACTIONS(13),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_enum_case_token1] = ACTIONS(56),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(88),
    [aux_sym_declare_statement_token2] = ACTIONS(56),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(112),
    [aux_sym_while_statement_token2] = ACTIONS(56),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(118),
    [aux_sym_for_statement_token2] = ACTIONS(56),
    [aux_sym_foreach_statement_token1] = ACTIONS(121),
    [aux_sym_foreach_statement_token2] = ACTIONS(56),
    [aux_sym_if_statement_token1] = ACTIONS(124),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_match_default_expression_token1] = ACTIONS(56),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [aux_sym_switch_block_token1] = ACTIONS(56),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(216),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(224),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(224),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(224),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(318),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(320),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(320),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(322),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(324),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(324),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(324),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(326),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(328),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(328),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token2] = ACTIONS(340),
    [aux_sym_else_if_clause_token1] = ACTIONS(340),
    [aux_sym_else_clause_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_else_if_clause_token1] = ACTIONS(342),
    [aux_sym_else_clause_token1] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(344),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(347),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(353),
    [aux_sym_if_statement_token1] = ACTIONS(356),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_else_if_clause_token1] = ACTIONS(56),
    [aux_sym_else_clause_token1] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(340),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(340),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_empty_statement] = STATE(487),
    [sym_function_static_declaration] = STATE(487),
    [sym_global_declaration] = STATE(487),
    [sym_namespace_definition] = STATE(487),
    [sym_namespace_use_declaration] = STATE(487),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(487),
    [sym_interface_declaration] = STATE(487),
    [sym_enum_declaration] = STATE(487),
    [sym_class_declaration] = STATE(487),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(487),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(487),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(487),
    [sym_unset_statement] = STATE(487),
    [sym_declare_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_goto_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_foreach_statement] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_colon_block] = STATE(2651),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(487),
    [sym_compound_statement] = STATE(487),
    [sym_named_label_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_empty_statement] = STATE(487),
    [sym_function_static_declaration] = STATE(487),
    [sym_global_declaration] = STATE(487),
    [sym_namespace_definition] = STATE(487),
    [sym_namespace_use_declaration] = STATE(487),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(487),
    [sym_interface_declaration] = STATE(487),
    [sym_enum_declaration] = STATE(487),
    [sym_class_declaration] = STATE(487),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(487),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(487),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(487),
    [sym_unset_statement] = STATE(487),
    [sym_declare_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_goto_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_foreach_statement] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_colon_block] = STATE(2651),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(487),
    [sym_compound_statement] = STATE(487),
    [sym_named_label_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_empty_statement] = STATE(1977),
    [sym_function_static_declaration] = STATE(1977),
    [sym_global_declaration] = STATE(1977),
    [sym_namespace_definition] = STATE(1977),
    [sym_namespace_use_declaration] = STATE(1977),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1977),
    [sym_interface_declaration] = STATE(1977),
    [sym_enum_declaration] = STATE(1977),
    [sym_class_declaration] = STATE(1977),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1977),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1977),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1977),
    [sym_unset_statement] = STATE(1977),
    [sym_declare_statement] = STATE(1977),
    [sym_try_statement] = STATE(1977),
    [sym_goto_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_return_statement] = STATE(1977),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1977),
    [sym_do_statement] = STATE(1977),
    [sym_for_statement] = STATE(1977),
    [sym_foreach_statement] = STATE(1977),
    [sym_if_statement] = STATE(1977),
    [sym_colon_block] = STATE(2463),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1977),
    [sym_compound_statement] = STATE(1977),
    [sym_named_label_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_empty_statement] = STATE(1977),
    [sym_function_static_declaration] = STATE(1977),
    [sym_global_declaration] = STATE(1977),
    [sym_namespace_definition] = STATE(1977),
    [sym_namespace_use_declaration] = STATE(1977),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1977),
    [sym_interface_declaration] = STATE(1977),
    [sym_enum_declaration] = STATE(1977),
    [sym_class_declaration] = STATE(1977),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1977),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1977),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1977),
    [sym_unset_statement] = STATE(1977),
    [sym_declare_statement] = STATE(1977),
    [sym_try_statement] = STATE(1977),
    [sym_goto_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_return_statement] = STATE(1977),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1977),
    [sym_do_statement] = STATE(1977),
    [sym_for_statement] = STATE(1977),
    [sym_foreach_statement] = STATE(1977),
    [sym_if_statement] = STATE(1977),
    [sym_colon_block] = STATE(2463),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1977),
    [sym_compound_statement] = STATE(1977),
    [sym_named_label_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(431),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_empty_statement] = STATE(1952),
    [sym_function_static_declaration] = STATE(1952),
    [sym_global_declaration] = STATE(1952),
    [sym_namespace_definition] = STATE(1952),
    [sym_namespace_use_declaration] = STATE(1952),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1952),
    [sym_interface_declaration] = STATE(1952),
    [sym_enum_declaration] = STATE(1952),
    [sym_class_declaration] = STATE(1952),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1952),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1952),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1952),
    [sym_unset_statement] = STATE(1952),
    [sym_declare_statement] = STATE(1952),
    [sym_try_statement] = STATE(1952),
    [sym_goto_statement] = STATE(1952),
    [sym_continue_statement] = STATE(1952),
    [sym_break_statement] = STATE(1952),
    [sym_return_statement] = STATE(1952),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1952),
    [sym_do_statement] = STATE(1952),
    [sym_for_statement] = STATE(1952),
    [sym_foreach_statement] = STATE(1952),
    [sym_if_statement] = STATE(1952),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1952),
    [sym_compound_statement] = STATE(1952),
    [sym_named_label_statement] = STATE(1952),
    [sym_expression_statement] = STATE(1952),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_empty_statement] = STATE(1608),
    [sym_function_static_declaration] = STATE(1608),
    [sym_global_declaration] = STATE(1608),
    [sym_namespace_definition] = STATE(1608),
    [sym_namespace_use_declaration] = STATE(1608),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1608),
    [sym_interface_declaration] = STATE(1608),
    [sym_enum_declaration] = STATE(1608),
    [sym_class_declaration] = STATE(1608),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1608),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1608),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1608),
    [sym_unset_statement] = STATE(1608),
    [sym_declare_statement] = STATE(1608),
    [sym_try_statement] = STATE(1608),
    [sym_goto_statement] = STATE(1608),
    [sym_continue_statement] = STATE(1608),
    [sym_break_statement] = STATE(1608),
    [sym_return_statement] = STATE(1608),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1608),
    [sym_do_statement] = STATE(1608),
    [sym_for_statement] = STATE(1608),
    [sym_foreach_statement] = STATE(1608),
    [sym_if_statement] = STATE(1608),
    [sym_colon_block] = STATE(1617),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1608),
    [sym_compound_statement] = STATE(1608),
    [sym_named_label_statement] = STATE(1608),
    [sym_expression_statement] = STATE(1608),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_empty_statement] = STATE(1584),
    [sym_function_static_declaration] = STATE(1584),
    [sym_global_declaration] = STATE(1584),
    [sym_namespace_definition] = STATE(1584),
    [sym_namespace_use_declaration] = STATE(1584),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1584),
    [sym_interface_declaration] = STATE(1584),
    [sym_enum_declaration] = STATE(1584),
    [sym_class_declaration] = STATE(1584),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1584),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1584),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1584),
    [sym_unset_statement] = STATE(1584),
    [sym_declare_statement] = STATE(1584),
    [sym_try_statement] = STATE(1584),
    [sym_goto_statement] = STATE(1584),
    [sym_continue_statement] = STATE(1584),
    [sym_break_statement] = STATE(1584),
    [sym_return_statement] = STATE(1584),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1584),
    [sym_do_statement] = STATE(1584),
    [sym_for_statement] = STATE(1584),
    [sym_foreach_statement] = STATE(1584),
    [sym_if_statement] = STATE(1584),
    [sym_colon_block] = STATE(1617),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1584),
    [sym_compound_statement] = STATE(1584),
    [sym_named_label_statement] = STATE(1584),
    [sym_expression_statement] = STATE(1584),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(445),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(449),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_empty_statement] = STATE(424),
    [sym_function_static_declaration] = STATE(424),
    [sym_global_declaration] = STATE(424),
    [sym_namespace_definition] = STATE(424),
    [sym_namespace_use_declaration] = STATE(424),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(424),
    [sym_interface_declaration] = STATE(424),
    [sym_enum_declaration] = STATE(424),
    [sym_class_declaration] = STATE(424),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(424),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(424),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(424),
    [sym_unset_statement] = STATE(424),
    [sym_declare_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_foreach_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_colon_block] = STATE(1589),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(424),
    [sym_compound_statement] = STATE(424),
    [sym_named_label_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(451),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_empty_statement] = STATE(549),
    [sym_function_static_declaration] = STATE(549),
    [sym_global_declaration] = STATE(549),
    [sym_namespace_definition] = STATE(549),
    [sym_namespace_use_declaration] = STATE(549),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(549),
    [sym_interface_declaration] = STATE(549),
    [sym_enum_declaration] = STATE(549),
    [sym_class_declaration] = STATE(549),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(549),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(549),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(549),
    [sym_unset_statement] = STATE(549),
    [sym_declare_statement] = STATE(549),
    [sym_try_statement] = STATE(549),
    [sym_goto_statement] = STATE(549),
    [sym_continue_statement] = STATE(549),
    [sym_break_statement] = STATE(549),
    [sym_return_statement] = STATE(549),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(549),
    [sym_do_statement] = STATE(549),
    [sym_for_statement] = STATE(549),
    [sym_foreach_statement] = STATE(549),
    [sym_if_statement] = STATE(549),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(549),
    [sym_compound_statement] = STATE(549),
    [sym_named_label_statement] = STATE(549),
    [sym_expression_statement] = STATE(549),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_empty_statement] = STATE(486),
    [sym_function_static_declaration] = STATE(486),
    [sym_global_declaration] = STATE(486),
    [sym_namespace_definition] = STATE(486),
    [sym_namespace_use_declaration] = STATE(486),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(486),
    [sym_interface_declaration] = STATE(486),
    [sym_enum_declaration] = STATE(486),
    [sym_class_declaration] = STATE(486),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(486),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(486),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(486),
    [sym_unset_statement] = STATE(486),
    [sym_declare_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_foreach_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(486),
    [sym_compound_statement] = STATE(486),
    [sym_named_label_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(465),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(467),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_empty_statement] = STATE(423),
    [sym_function_static_declaration] = STATE(423),
    [sym_global_declaration] = STATE(423),
    [sym_namespace_definition] = STATE(423),
    [sym_namespace_use_declaration] = STATE(423),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(423),
    [sym_interface_declaration] = STATE(423),
    [sym_enum_declaration] = STATE(423),
    [sym_class_declaration] = STATE(423),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(423),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(423),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(423),
    [sym_unset_statement] = STATE(423),
    [sym_declare_statement] = STATE(423),
    [sym_try_statement] = STATE(423),
    [sym_goto_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(423),
    [sym_do_statement] = STATE(423),
    [sym_for_statement] = STATE(423),
    [sym_foreach_statement] = STATE(423),
    [sym_if_statement] = STATE(423),
    [sym_colon_block] = STATE(1589),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(423),
    [sym_compound_statement] = STATE(423),
    [sym_named_label_statement] = STATE(423),
    [sym_expression_statement] = STATE(423),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_empty_statement] = STATE(2088),
    [sym_function_static_declaration] = STATE(2088),
    [sym_global_declaration] = STATE(2088),
    [sym_namespace_definition] = STATE(2088),
    [sym_namespace_use_declaration] = STATE(2088),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2088),
    [sym_interface_declaration] = STATE(2088),
    [sym_enum_declaration] = STATE(2088),
    [sym_class_declaration] = STATE(2088),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2088),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2088),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2088),
    [sym_unset_statement] = STATE(2088),
    [sym_declare_statement] = STATE(2088),
    [sym_try_statement] = STATE(2088),
    [sym_goto_statement] = STATE(2088),
    [sym_continue_statement] = STATE(2088),
    [sym_break_statement] = STATE(2088),
    [sym_return_statement] = STATE(2088),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2088),
    [sym_do_statement] = STATE(2088),
    [sym_for_statement] = STATE(2088),
    [sym_foreach_statement] = STATE(2088),
    [sym_if_statement] = STATE(2088),
    [sym_colon_block] = STATE(2515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2088),
    [sym_compound_statement] = STATE(2088),
    [sym_named_label_statement] = STATE(2088),
    [sym_expression_statement] = STATE(2088),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_empty_statement] = STATE(475),
    [sym_function_static_declaration] = STATE(475),
    [sym_global_declaration] = STATE(475),
    [sym_namespace_definition] = STATE(475),
    [sym_namespace_use_declaration] = STATE(475),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(475),
    [sym_interface_declaration] = STATE(475),
    [sym_enum_declaration] = STATE(475),
    [sym_class_declaration] = STATE(475),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(475),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(475),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(475),
    [sym_unset_statement] = STATE(475),
    [sym_declare_statement] = STATE(475),
    [sym_try_statement] = STATE(475),
    [sym_goto_statement] = STATE(475),
    [sym_continue_statement] = STATE(475),
    [sym_break_statement] = STATE(475),
    [sym_return_statement] = STATE(475),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(475),
    [sym_do_statement] = STATE(475),
    [sym_for_statement] = STATE(475),
    [sym_foreach_statement] = STATE(475),
    [sym_if_statement] = STATE(475),
    [sym_colon_block] = STATE(2487),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(475),
    [sym_compound_statement] = STATE(475),
    [sym_named_label_statement] = STATE(475),
    [sym_expression_statement] = STATE(475),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_empty_statement] = STATE(549),
    [sym_function_static_declaration] = STATE(549),
    [sym_global_declaration] = STATE(549),
    [sym_namespace_definition] = STATE(549),
    [sym_namespace_use_declaration] = STATE(549),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(549),
    [sym_interface_declaration] = STATE(549),
    [sym_enum_declaration] = STATE(549),
    [sym_class_declaration] = STATE(549),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(549),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(549),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(549),
    [sym_unset_statement] = STATE(549),
    [sym_declare_statement] = STATE(549),
    [sym_try_statement] = STATE(549),
    [sym_goto_statement] = STATE(549),
    [sym_continue_statement] = STATE(549),
    [sym_break_statement] = STATE(549),
    [sym_return_statement] = STATE(549),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(549),
    [sym_do_statement] = STATE(549),
    [sym_for_statement] = STATE(549),
    [sym_foreach_statement] = STATE(549),
    [sym_if_statement] = STATE(549),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(549),
    [sym_compound_statement] = STATE(549),
    [sym_named_label_statement] = STATE(549),
    [sym_expression_statement] = STATE(549),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(469),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_empty_statement] = STATE(1952),
    [sym_function_static_declaration] = STATE(1952),
    [sym_global_declaration] = STATE(1952),
    [sym_namespace_definition] = STATE(1952),
    [sym_namespace_use_declaration] = STATE(1952),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1952),
    [sym_interface_declaration] = STATE(1952),
    [sym_enum_declaration] = STATE(1952),
    [sym_class_declaration] = STATE(1952),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1952),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1952),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1952),
    [sym_unset_statement] = STATE(1952),
    [sym_declare_statement] = STATE(1952),
    [sym_try_statement] = STATE(1952),
    [sym_goto_statement] = STATE(1952),
    [sym_continue_statement] = STATE(1952),
    [sym_break_statement] = STATE(1952),
    [sym_return_statement] = STATE(1952),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1952),
    [sym_do_statement] = STATE(1952),
    [sym_for_statement] = STATE(1952),
    [sym_foreach_statement] = STATE(1952),
    [sym_if_statement] = STATE(1952),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1952),
    [sym_compound_statement] = STATE(1952),
    [sym_named_label_statement] = STATE(1952),
    [sym_expression_statement] = STATE(1952),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_empty_statement] = STATE(2058),
    [sym_function_static_declaration] = STATE(2058),
    [sym_global_declaration] = STATE(2058),
    [sym_namespace_definition] = STATE(2058),
    [sym_namespace_use_declaration] = STATE(2058),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2058),
    [sym_interface_declaration] = STATE(2058),
    [sym_enum_declaration] = STATE(2058),
    [sym_class_declaration] = STATE(2058),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2058),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2058),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2058),
    [sym_unset_statement] = STATE(2058),
    [sym_declare_statement] = STATE(2058),
    [sym_try_statement] = STATE(2058),
    [sym_goto_statement] = STATE(2058),
    [sym_continue_statement] = STATE(2058),
    [sym_break_statement] = STATE(2058),
    [sym_return_statement] = STATE(2058),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2058),
    [sym_do_statement] = STATE(2058),
    [sym_for_statement] = STATE(2058),
    [sym_foreach_statement] = STATE(2058),
    [sym_if_statement] = STATE(2058),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2058),
    [sym_compound_statement] = STATE(2058),
    [sym_named_label_statement] = STATE(2058),
    [sym_expression_statement] = STATE(2058),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(475),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_empty_statement] = STATE(2058),
    [sym_function_static_declaration] = STATE(2058),
    [sym_global_declaration] = STATE(2058),
    [sym_namespace_definition] = STATE(2058),
    [sym_namespace_use_declaration] = STATE(2058),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2058),
    [sym_interface_declaration] = STATE(2058),
    [sym_enum_declaration] = STATE(2058),
    [sym_class_declaration] = STATE(2058),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2058),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2058),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2058),
    [sym_unset_statement] = STATE(2058),
    [sym_declare_statement] = STATE(2058),
    [sym_try_statement] = STATE(2058),
    [sym_goto_statement] = STATE(2058),
    [sym_continue_statement] = STATE(2058),
    [sym_break_statement] = STATE(2058),
    [sym_return_statement] = STATE(2058),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2058),
    [sym_do_statement] = STATE(2058),
    [sym_for_statement] = STATE(2058),
    [sym_foreach_statement] = STATE(2058),
    [sym_if_statement] = STATE(2058),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2058),
    [sym_compound_statement] = STATE(2058),
    [sym_named_label_statement] = STATE(2058),
    [sym_expression_statement] = STATE(2058),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(475),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_empty_statement] = STATE(465),
    [sym_function_static_declaration] = STATE(465),
    [sym_global_declaration] = STATE(465),
    [sym_namespace_definition] = STATE(465),
    [sym_namespace_use_declaration] = STATE(465),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(465),
    [sym_interface_declaration] = STATE(465),
    [sym_enum_declaration] = STATE(465),
    [sym_class_declaration] = STATE(465),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(465),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(465),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(465),
    [sym_unset_statement] = STATE(465),
    [sym_declare_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_foreach_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(465),
    [sym_compound_statement] = STATE(465),
    [sym_named_label_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(483),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(485),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_empty_statement] = STATE(475),
    [sym_function_static_declaration] = STATE(475),
    [sym_global_declaration] = STATE(475),
    [sym_namespace_definition] = STATE(475),
    [sym_namespace_use_declaration] = STATE(475),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(475),
    [sym_interface_declaration] = STATE(475),
    [sym_enum_declaration] = STATE(475),
    [sym_class_declaration] = STATE(475),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(475),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(475),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(475),
    [sym_unset_statement] = STATE(475),
    [sym_declare_statement] = STATE(475),
    [sym_try_statement] = STATE(475),
    [sym_goto_statement] = STATE(475),
    [sym_continue_statement] = STATE(475),
    [sym_break_statement] = STATE(475),
    [sym_return_statement] = STATE(475),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(475),
    [sym_do_statement] = STATE(475),
    [sym_for_statement] = STATE(475),
    [sym_foreach_statement] = STATE(475),
    [sym_if_statement] = STATE(475),
    [sym_colon_block] = STATE(2487),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(475),
    [sym_compound_statement] = STATE(475),
    [sym_named_label_statement] = STATE(475),
    [sym_expression_statement] = STATE(475),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_empty_statement] = STATE(2027),
    [sym_function_static_declaration] = STATE(2027),
    [sym_global_declaration] = STATE(2027),
    [sym_namespace_definition] = STATE(2027),
    [sym_namespace_use_declaration] = STATE(2027),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2027),
    [sym_interface_declaration] = STATE(2027),
    [sym_enum_declaration] = STATE(2027),
    [sym_class_declaration] = STATE(2027),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2027),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2027),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2027),
    [sym_unset_statement] = STATE(2027),
    [sym_declare_statement] = STATE(2027),
    [sym_try_statement] = STATE(2027),
    [sym_goto_statement] = STATE(2027),
    [sym_continue_statement] = STATE(2027),
    [sym_break_statement] = STATE(2027),
    [sym_return_statement] = STATE(2027),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2027),
    [sym_do_statement] = STATE(2027),
    [sym_for_statement] = STATE(2027),
    [sym_foreach_statement] = STATE(2027),
    [sym_if_statement] = STATE(2027),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2027),
    [sym_compound_statement] = STATE(2027),
    [sym_named_label_statement] = STATE(2027),
    [sym_expression_statement] = STATE(2027),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(495),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_empty_statement] = STATE(2088),
    [sym_function_static_declaration] = STATE(2088),
    [sym_global_declaration] = STATE(2088),
    [sym_namespace_definition] = STATE(2088),
    [sym_namespace_use_declaration] = STATE(2088),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2088),
    [sym_interface_declaration] = STATE(2088),
    [sym_enum_declaration] = STATE(2088),
    [sym_class_declaration] = STATE(2088),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2088),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2088),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2088),
    [sym_unset_statement] = STATE(2088),
    [sym_declare_statement] = STATE(2088),
    [sym_try_statement] = STATE(2088),
    [sym_goto_statement] = STATE(2088),
    [sym_continue_statement] = STATE(2088),
    [sym_break_statement] = STATE(2088),
    [sym_return_statement] = STATE(2088),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2088),
    [sym_do_statement] = STATE(2088),
    [sym_for_statement] = STATE(2088),
    [sym_foreach_statement] = STATE(2088),
    [sym_if_statement] = STATE(2088),
    [sym_colon_block] = STATE(2515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2088),
    [sym_compound_statement] = STATE(2088),
    [sym_named_label_statement] = STATE(2088),
    [sym_expression_statement] = STATE(2088),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_empty_statement] = STATE(1987),
    [sym_function_static_declaration] = STATE(1987),
    [sym_global_declaration] = STATE(1987),
    [sym_namespace_definition] = STATE(1987),
    [sym_namespace_use_declaration] = STATE(1987),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1987),
    [sym_interface_declaration] = STATE(1987),
    [sym_enum_declaration] = STATE(1987),
    [sym_class_declaration] = STATE(1987),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1987),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1987),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1987),
    [sym_unset_statement] = STATE(1987),
    [sym_declare_statement] = STATE(1987),
    [sym_try_statement] = STATE(1987),
    [sym_goto_statement] = STATE(1987),
    [sym_continue_statement] = STATE(1987),
    [sym_break_statement] = STATE(1987),
    [sym_return_statement] = STATE(1987),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1987),
    [sym_do_statement] = STATE(1987),
    [sym_for_statement] = STATE(1987),
    [sym_foreach_statement] = STATE(1987),
    [sym_if_statement] = STATE(1987),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1987),
    [sym_compound_statement] = STATE(1987),
    [sym_named_label_statement] = STATE(1987),
    [sym_expression_statement] = STATE(1987),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(503),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(507),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(509),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(511),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_empty_statement] = STATE(1962),
    [sym_function_static_declaration] = STATE(1962),
    [sym_global_declaration] = STATE(1962),
    [sym_namespace_definition] = STATE(1962),
    [sym_namespace_use_declaration] = STATE(1962),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1962),
    [sym_interface_declaration] = STATE(1962),
    [sym_enum_declaration] = STATE(1962),
    [sym_class_declaration] = STATE(1962),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1962),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1962),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1962),
    [sym_unset_statement] = STATE(1962),
    [sym_declare_statement] = STATE(1962),
    [sym_try_statement] = STATE(1962),
    [sym_goto_statement] = STATE(1962),
    [sym_continue_statement] = STATE(1962),
    [sym_break_statement] = STATE(1962),
    [sym_return_statement] = STATE(1962),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1962),
    [sym_do_statement] = STATE(1962),
    [sym_for_statement] = STATE(1962),
    [sym_foreach_statement] = STATE(1962),
    [sym_if_statement] = STATE(1962),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1962),
    [sym_compound_statement] = STATE(1962),
    [sym_named_label_statement] = STATE(1962),
    [sym_expression_statement] = STATE(1962),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(519),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(521),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(523),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_empty_statement] = STATE(493),
    [sym_function_static_declaration] = STATE(493),
    [sym_global_declaration] = STATE(493),
    [sym_namespace_definition] = STATE(493),
    [sym_namespace_use_declaration] = STATE(493),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(493),
    [sym_interface_declaration] = STATE(493),
    [sym_enum_declaration] = STATE(493),
    [sym_class_declaration] = STATE(493),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(493),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(493),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(493),
    [sym_unset_statement] = STATE(493),
    [sym_declare_statement] = STATE(493),
    [sym_try_statement] = STATE(493),
    [sym_goto_statement] = STATE(493),
    [sym_continue_statement] = STATE(493),
    [sym_break_statement] = STATE(493),
    [sym_return_statement] = STATE(493),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(493),
    [sym_do_statement] = STATE(493),
    [sym_for_statement] = STATE(493),
    [sym_foreach_statement] = STATE(493),
    [sym_if_statement] = STATE(493),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(493),
    [sym_compound_statement] = STATE(493),
    [sym_named_label_statement] = STATE(493),
    [sym_expression_statement] = STATE(493),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(527),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(529),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_empty_statement] = STATE(1962),
    [sym_function_static_declaration] = STATE(1962),
    [sym_global_declaration] = STATE(1962),
    [sym_namespace_definition] = STATE(1962),
    [sym_namespace_use_declaration] = STATE(1962),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1962),
    [sym_interface_declaration] = STATE(1962),
    [sym_enum_declaration] = STATE(1962),
    [sym_class_declaration] = STATE(1962),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1962),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1962),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1962),
    [sym_unset_statement] = STATE(1962),
    [sym_declare_statement] = STATE(1962),
    [sym_try_statement] = STATE(1962),
    [sym_goto_statement] = STATE(1962),
    [sym_continue_statement] = STATE(1962),
    [sym_break_statement] = STATE(1962),
    [sym_return_statement] = STATE(1962),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1962),
    [sym_do_statement] = STATE(1962),
    [sym_for_statement] = STATE(1962),
    [sym_foreach_statement] = STATE(1962),
    [sym_if_statement] = STATE(1962),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1962),
    [sym_compound_statement] = STATE(1962),
    [sym_named_label_statement] = STATE(1962),
    [sym_expression_statement] = STATE(1962),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(519),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(521),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(523),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_empty_statement] = STATE(1987),
    [sym_function_static_declaration] = STATE(1987),
    [sym_global_declaration] = STATE(1987),
    [sym_namespace_definition] = STATE(1987),
    [sym_namespace_use_declaration] = STATE(1987),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(1987),
    [sym_interface_declaration] = STATE(1987),
    [sym_enum_declaration] = STATE(1987),
    [sym_class_declaration] = STATE(1987),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(1987),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(1987),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(1987),
    [sym_unset_statement] = STATE(1987),
    [sym_declare_statement] = STATE(1987),
    [sym_try_statement] = STATE(1987),
    [sym_goto_statement] = STATE(1987),
    [sym_continue_statement] = STATE(1987),
    [sym_break_statement] = STATE(1987),
    [sym_return_statement] = STATE(1987),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(1987),
    [sym_do_statement] = STATE(1987),
    [sym_for_statement] = STATE(1987),
    [sym_foreach_statement] = STATE(1987),
    [sym_if_statement] = STATE(1987),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(1987),
    [sym_compound_statement] = STATE(1987),
    [sym_named_label_statement] = STATE(1987),
    [sym_expression_statement] = STATE(1987),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_empty_statement] = STATE(2027),
    [sym_function_static_declaration] = STATE(2027),
    [sym_global_declaration] = STATE(2027),
    [sym_namespace_definition] = STATE(2027),
    [sym_namespace_use_declaration] = STATE(2027),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2027),
    [sym_interface_declaration] = STATE(2027),
    [sym_enum_declaration] = STATE(2027),
    [sym_class_declaration] = STATE(2027),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2027),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2027),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2027),
    [sym_unset_statement] = STATE(2027),
    [sym_declare_statement] = STATE(2027),
    [sym_try_statement] = STATE(2027),
    [sym_goto_statement] = STATE(2027),
    [sym_continue_statement] = STATE(2027),
    [sym_break_statement] = STATE(2027),
    [sym_return_statement] = STATE(2027),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2027),
    [sym_do_statement] = STATE(2027),
    [sym_for_statement] = STATE(2027),
    [sym_foreach_statement] = STATE(2027),
    [sym_if_statement] = STATE(2027),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2027),
    [sym_compound_statement] = STATE(2027),
    [sym_named_label_statement] = STATE(2027),
    [sym_expression_statement] = STATE(2027),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_empty_statement] = STATE(465),
    [sym_function_static_declaration] = STATE(465),
    [sym_global_declaration] = STATE(465),
    [sym_namespace_definition] = STATE(465),
    [sym_namespace_use_declaration] = STATE(465),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(465),
    [sym_interface_declaration] = STATE(465),
    [sym_enum_declaration] = STATE(465),
    [sym_class_declaration] = STATE(465),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(465),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(465),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(465),
    [sym_unset_statement] = STATE(465),
    [sym_declare_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_foreach_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(465),
    [sym_compound_statement] = STATE(465),
    [sym_named_label_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(431),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_empty_statement] = STATE(486),
    [sym_function_static_declaration] = STATE(486),
    [sym_global_declaration] = STATE(486),
    [sym_namespace_definition] = STATE(486),
    [sym_namespace_use_declaration] = STATE(486),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(486),
    [sym_interface_declaration] = STATE(486),
    [sym_enum_declaration] = STATE(486),
    [sym_class_declaration] = STATE(486),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(486),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(486),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(486),
    [sym_unset_statement] = STATE(486),
    [sym_declare_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_foreach_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(486),
    [sym_compound_statement] = STATE(486),
    [sym_named_label_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_empty_statement] = STATE(493),
    [sym_function_static_declaration] = STATE(493),
    [sym_global_declaration] = STATE(493),
    [sym_namespace_definition] = STATE(493),
    [sym_namespace_use_declaration] = STATE(493),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(493),
    [sym_interface_declaration] = STATE(493),
    [sym_enum_declaration] = STATE(493),
    [sym_class_declaration] = STATE(493),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(493),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(493),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(493),
    [sym_unset_statement] = STATE(493),
    [sym_declare_statement] = STATE(493),
    [sym_try_statement] = STATE(493),
    [sym_goto_statement] = STATE(493),
    [sym_continue_statement] = STATE(493),
    [sym_break_statement] = STATE(493),
    [sym_return_statement] = STATE(493),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(493),
    [sym_do_statement] = STATE(493),
    [sym_for_statement] = STATE(493),
    [sym_foreach_statement] = STATE(493),
    [sym_if_statement] = STATE(493),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(493),
    [sym_compound_statement] = STATE(493),
    [sym_named_label_statement] = STATE(493),
    [sym_expression_statement] = STATE(493),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(527),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(529),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_empty_statement] = STATE(515),
    [sym_function_static_declaration] = STATE(515),
    [sym_global_declaration] = STATE(515),
    [sym_namespace_definition] = STATE(515),
    [sym_namespace_use_declaration] = STATE(515),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(515),
    [sym_interface_declaration] = STATE(515),
    [sym_enum_declaration] = STATE(515),
    [sym_class_declaration] = STATE(515),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(515),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(515),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(515),
    [sym_unset_statement] = STATE(515),
    [sym_declare_statement] = STATE(515),
    [sym_try_statement] = STATE(515),
    [sym_goto_statement] = STATE(515),
    [sym_continue_statement] = STATE(515),
    [sym_break_statement] = STATE(515),
    [sym_return_statement] = STATE(515),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(515),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(515),
    [sym_foreach_statement] = STATE(515),
    [sym_if_statement] = STATE(515),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(515),
    [sym_compound_statement] = STATE(515),
    [sym_named_label_statement] = STATE(515),
    [sym_expression_statement] = STATE(515),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(545),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_empty_statement] = STATE(2019),
    [sym_function_static_declaration] = STATE(2019),
    [sym_global_declaration] = STATE(2019),
    [sym_namespace_definition] = STATE(2019),
    [sym_namespace_use_declaration] = STATE(2019),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2019),
    [sym_interface_declaration] = STATE(2019),
    [sym_enum_declaration] = STATE(2019),
    [sym_class_declaration] = STATE(2019),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2019),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2019),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2019),
    [sym_unset_statement] = STATE(2019),
    [sym_declare_statement] = STATE(2019),
    [sym_try_statement] = STATE(2019),
    [sym_goto_statement] = STATE(2019),
    [sym_continue_statement] = STATE(2019),
    [sym_break_statement] = STATE(2019),
    [sym_return_statement] = STATE(2019),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2019),
    [sym_do_statement] = STATE(2019),
    [sym_for_statement] = STATE(2019),
    [sym_foreach_statement] = STATE(2019),
    [sym_if_statement] = STATE(2019),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2019),
    [sym_compound_statement] = STATE(2019),
    [sym_named_label_statement] = STATE(2019),
    [sym_expression_statement] = STATE(2019),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_empty_statement] = STATE(2054),
    [sym_function_static_declaration] = STATE(2054),
    [sym_global_declaration] = STATE(2054),
    [sym_namespace_definition] = STATE(2054),
    [sym_namespace_use_declaration] = STATE(2054),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2054),
    [sym_interface_declaration] = STATE(2054),
    [sym_enum_declaration] = STATE(2054),
    [sym_class_declaration] = STATE(2054),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2054),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2054),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2054),
    [sym_unset_statement] = STATE(2054),
    [sym_declare_statement] = STATE(2054),
    [sym_try_statement] = STATE(2054),
    [sym_goto_statement] = STATE(2054),
    [sym_continue_statement] = STATE(2054),
    [sym_break_statement] = STATE(2054),
    [sym_return_statement] = STATE(2054),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2054),
    [sym_do_statement] = STATE(2054),
    [sym_for_statement] = STATE(2054),
    [sym_foreach_statement] = STATE(2054),
    [sym_if_statement] = STATE(2054),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2054),
    [sym_compound_statement] = STATE(2054),
    [sym_named_label_statement] = STATE(2054),
    [sym_expression_statement] = STATE(2054),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_empty_statement] = STATE(2572),
    [sym_function_static_declaration] = STATE(2572),
    [sym_global_declaration] = STATE(2572),
    [sym_namespace_definition] = STATE(2572),
    [sym_namespace_use_declaration] = STATE(2572),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2572),
    [sym_interface_declaration] = STATE(2572),
    [sym_enum_declaration] = STATE(2572),
    [sym_class_declaration] = STATE(2572),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2572),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2572),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2572),
    [sym_unset_statement] = STATE(2572),
    [sym_declare_statement] = STATE(2572),
    [sym_try_statement] = STATE(2572),
    [sym_goto_statement] = STATE(2572),
    [sym_continue_statement] = STATE(2572),
    [sym_break_statement] = STATE(2572),
    [sym_return_statement] = STATE(2572),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2572),
    [sym_do_statement] = STATE(2572),
    [sym_for_statement] = STATE(2572),
    [sym_foreach_statement] = STATE(2572),
    [sym_if_statement] = STATE(2572),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2572),
    [sym_compound_statement] = STATE(2572),
    [sym_named_label_statement] = STATE(2572),
    [sym_expression_statement] = STATE(2572),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_empty_statement] = STATE(557),
    [sym_function_static_declaration] = STATE(557),
    [sym_global_declaration] = STATE(557),
    [sym_namespace_definition] = STATE(557),
    [sym_namespace_use_declaration] = STATE(557),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(557),
    [sym_interface_declaration] = STATE(557),
    [sym_enum_declaration] = STATE(557),
    [sym_class_declaration] = STATE(557),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(557),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(557),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(557),
    [sym_unset_statement] = STATE(557),
    [sym_declare_statement] = STATE(557),
    [sym_try_statement] = STATE(557),
    [sym_goto_statement] = STATE(557),
    [sym_continue_statement] = STATE(557),
    [sym_break_statement] = STATE(557),
    [sym_return_statement] = STATE(557),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(557),
    [sym_do_statement] = STATE(557),
    [sym_for_statement] = STATE(557),
    [sym_foreach_statement] = STATE(557),
    [sym_if_statement] = STATE(557),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(557),
    [sym_compound_statement] = STATE(557),
    [sym_named_label_statement] = STATE(557),
    [sym_expression_statement] = STATE(557),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_empty_statement] = STATE(2054),
    [sym_function_static_declaration] = STATE(2054),
    [sym_global_declaration] = STATE(2054),
    [sym_namespace_definition] = STATE(2054),
    [sym_namespace_use_declaration] = STATE(2054),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2054),
    [sym_interface_declaration] = STATE(2054),
    [sym_enum_declaration] = STATE(2054),
    [sym_class_declaration] = STATE(2054),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2054),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2054),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2054),
    [sym_unset_statement] = STATE(2054),
    [sym_declare_statement] = STATE(2054),
    [sym_try_statement] = STATE(2054),
    [sym_goto_statement] = STATE(2054),
    [sym_continue_statement] = STATE(2054),
    [sym_break_statement] = STATE(2054),
    [sym_return_statement] = STATE(2054),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2054),
    [sym_do_statement] = STATE(2054),
    [sym_for_statement] = STATE(2054),
    [sym_foreach_statement] = STATE(2054),
    [sym_if_statement] = STATE(2054),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2054),
    [sym_compound_statement] = STATE(2054),
    [sym_named_label_statement] = STATE(2054),
    [sym_expression_statement] = STATE(2054),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_empty_statement] = STATE(557),
    [sym_function_static_declaration] = STATE(557),
    [sym_global_declaration] = STATE(557),
    [sym_namespace_definition] = STATE(557),
    [sym_namespace_use_declaration] = STATE(557),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(557),
    [sym_interface_declaration] = STATE(557),
    [sym_enum_declaration] = STATE(557),
    [sym_class_declaration] = STATE(557),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(557),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(557),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(557),
    [sym_unset_statement] = STATE(557),
    [sym_declare_statement] = STATE(557),
    [sym_try_statement] = STATE(557),
    [sym_goto_statement] = STATE(557),
    [sym_continue_statement] = STATE(557),
    [sym_break_statement] = STATE(557),
    [sym_return_statement] = STATE(557),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(557),
    [sym_do_statement] = STATE(557),
    [sym_for_statement] = STATE(557),
    [sym_foreach_statement] = STATE(557),
    [sym_if_statement] = STATE(557),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(557),
    [sym_compound_statement] = STATE(557),
    [sym_named_label_statement] = STATE(557),
    [sym_expression_statement] = STATE(557),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_empty_statement] = STATE(494),
    [sym_function_static_declaration] = STATE(494),
    [sym_global_declaration] = STATE(494),
    [sym_namespace_definition] = STATE(494),
    [sym_namespace_use_declaration] = STATE(494),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(494),
    [sym_interface_declaration] = STATE(494),
    [sym_enum_declaration] = STATE(494),
    [sym_class_declaration] = STATE(494),
    [sym_final_modifier] = STATE(1889),
    [sym_abstract_modifier] = STATE(1889),
    [sym_readonly_modifier] = STATE(2609),
    [sym_const_declaration] = STATE(494),
    [sym__const_declaration] = STATE(521),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2607),
    [sym_function_definition] = STATE(494),
    [sym__function_definition_header] = STATE(2203),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(494),
    [sym_unset_statement] = STATE(494),
    [sym_declare_statement] = STATE(494),
    [sym_try_statement] = STATE(494),
    [sym_goto_statement] = STATE(494),
    [sym_continue_statement] = STATE(494),
    [sym_break_statement] = STATE(494),
    [sym_return_statement] = STATE(494),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(494),
    [sym_do_statement] = STATE(494),
    [sym_for_statement] = STATE(494),
    [sym_foreach_statement] = STATE(494),
    [sym_if_statement] = STATE(494),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(494),
    [sym_compound_statement] = STATE(494),
    [sym_named_label_statement] = STATE(494),
    [sym_expression_statement] = STATE(494),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1402),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_empty_statement] = STATE(2552),
    [sym_function_static_declaration] = STATE(2552),
    [sym_global_declaration] = STATE(2552),
    [sym_namespace_definition] = STATE(2552),
    [sym_namespace_use_declaration] = STATE(2552),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_trait_declaration] = STATE(2552),
    [sym_interface_declaration] = STATE(2552),
    [sym_enum_declaration] = STATE(2552),
    [sym_class_declaration] = STATE(2552),
    [sym_final_modifier] = STATE(1902),
    [sym_abstract_modifier] = STATE(1902),
    [sym_readonly_modifier] = STATE(2546),
    [sym_const_declaration] = STATE(2552),
    [sym__const_declaration] = STATE(2119),
    [sym_static_modifier] = STATE(2608),
    [sym_visibility_modifier] = STATE(2547),
    [sym_function_definition] = STATE(2552),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_echo_statement] = STATE(2552),
    [sym_unset_statement] = STATE(2552),
    [sym_declare_statement] = STATE(2552),
    [sym_try_statement] = STATE(2552),
    [sym_goto_statement] = STATE(2552),
    [sym_continue_statement] = STATE(2552),
    [sym_break_statement] = STATE(2552),
    [sym_return_statement] = STATE(2552),
    [sym_throw_expression] = STATE(1131),
    [sym_while_statement] = STATE(2552),
    [sym_do_statement] = STATE(2552),
    [sym_for_statement] = STATE(2552),
    [sym_foreach_statement] = STATE(2552),
    [sym_if_statement] = STATE(2552),
    [sym_match_expression] = STATE(1079),
    [sym_switch_statement] = STATE(2552),
    [sym_compound_statement] = STATE(2552),
    [sym_named_label_statement] = STATE(2552),
    [sym_expression_statement] = STATE(2552),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1378),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(974),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(919),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(559),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_yield_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(919),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_yield_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1089),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(1059),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(1059),
    [sym_yield_expression] = STATE(1066),
    [sym_array_element_initializer] = STATE(1090),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(643),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_yield_expression_token2] = ACTIONS(651),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1152),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(919),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_yield_expression_token2] = ACTIONS(673),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2427),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2505),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2484),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2583),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2581),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2484),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2437),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2512),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2521),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2514),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_cast_type] = STATE(2513),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(1897),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1898),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__array_destructing_repeat1] = STATE(1900),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(1897),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__array_destructing_repeat1] = STATE(1900),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(1897),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__array_destructing_repeat1] = STATE(1900),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(1897),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__array_destructing_repeat1] = STATE(1900),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(1897),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__array_destructing_repeat1] = STATE(1900),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2621),
    [sym_argument] = STATE(2142),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(707),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2527),
    [sym_argument] = STATE(1913),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2595),
    [sym_argument] = STATE(2118),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(717),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2588),
    [sym_argument] = STATE(2093),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(721),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2644),
    [sym_argument] = STATE(2147),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(725),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2467),
    [sym_argument] = STATE(1929),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(729),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2613),
    [sym_argument] = STATE(2130),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_variadic_placeholder] = STATE(2616),
    [sym_argument] = STATE(2134),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1898),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(745),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1921),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1894),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(1947),
    [sym_match_default_expression] = STATE(1947),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(759),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(761),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(1981),
    [sym_match_default_expression] = STATE(1981),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(777),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(779),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(789),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(2314),
    [sym_function_call_expression] = STATE(631),
    [sym_scoped_call_expression] = STATE(631),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(631),
    [sym_nullsafe_member_call_expression] = STATE(631),
    [sym_subscript_expression] = STATE(631),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(631),
    [sym_variable_name] = STATE(631),
    [sym_by_ref] = STATE(2316),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(821),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_argument] = STATE(2195),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(2196),
    [sym_match_default_expression] = STATE(2196),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(824),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(940),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(940),
    [sym_yield_expression] = STATE(923),
    [sym_array_element_initializer] = STATE(1993),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(2196),
    [sym_match_default_expression] = STATE(2196),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(826),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(2196),
    [sym_match_default_expression] = STATE(2196),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(828),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(2314),
    [sym_function_call_expression] = STATE(631),
    [sym_scoped_call_expression] = STATE(631),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(631),
    [sym_nullsafe_member_call_expression] = STATE(631),
    [sym_subscript_expression] = STATE(631),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(631),
    [sym_variable_name] = STATE(631),
    [sym_by_ref] = STATE(2316),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1895),
    [sym__array_destructing_element] = STATE(2314),
    [sym_function_call_expression] = STATE(631),
    [sym_scoped_call_expression] = STATE(631),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(631),
    [sym_nullsafe_member_call_expression] = STATE(631),
    [sym_subscript_expression] = STATE(631),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(631),
    [sym_variable_name] = STATE(631),
    [sym_by_ref] = STATE(2316),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(830),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(637),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(637),
    [sym_nullsafe_member_access_expression] = STATE(637),
    [sym_scoped_property_access_expression] = STATE(637),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(1877),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1923),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym__list_destructing_repeat1] = STATE(1924),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(833),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(835),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(2196),
    [sym_match_default_expression] = STATE(2196),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(191),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1207),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2263),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1474),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(641),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(641),
    [sym_nullsafe_member_access_expression] = STATE(641),
    [sym_scoped_property_access_expression] = STATE(641),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(1983),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(627),
    [sym_scoped_call_expression] = STATE(627),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(627),
    [sym_nullsafe_member_call_expression] = STATE(627),
    [sym_subscript_expression] = STATE(627),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(627),
    [sym_variable_name] = STATE(627),
    [sym_by_ref] = STATE(2386),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(839),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym_match_condition_list] = STATE(2447),
    [sym_match_conditional_expression] = STATE(2196),
    [sym_match_default_expression] = STATE(2196),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_foreach_pair] = STATE(2433),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2413),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2433),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2494),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(841),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2580),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(843),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2646),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(845),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2601),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(847),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_foreach_pair] = STATE(2477),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1235),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2318),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2477),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2485),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2541),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(851),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2478),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(853),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2576),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(855),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2574),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(857),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2610),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2605),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(861),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2633),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(863),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2472),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(865),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2443),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(867),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2582),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(869),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2431),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(871),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2465),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(873),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2436),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(875),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2645),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(877),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2636),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2438),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(881),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_foreach_pair] = STATE(2577),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1218),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2235),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2577),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2569),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2639),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_foreach_pair] = STATE(2498),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1215),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2302),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2498),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__expressions] = STATE(2486),
    [sym_sequence_expression] = STATE(2215),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1125),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(1065),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1226),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(891),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(893),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2166),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2618),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym__expressions] = STATE(2233),
    [sym_sequence_expression] = STATE(2236),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2177),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1456),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(963),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(963),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(963),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1225),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(897),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(646),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(646),
    [sym_nullsafe_member_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(646),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(1992),
    [sym_function_call_expression] = STATE(640),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(640),
    [sym_variable_name] = STATE(640),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1231),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2369),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1473),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1227),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(899),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(963),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(901),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(975),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(963),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym__expressions] = STATE(2281),
    [sym_sequence_expression] = STATE(2236),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1208),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(903),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(905),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1242),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(911),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(979),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_sequence_expression] = STATE(2414),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1188),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(915),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(917),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_sequence_expression] = STATE(2182),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1204),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_sequence_expression] = STATE(2182),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1229),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1282),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1133),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1254),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(933),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1171),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1033),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1010),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1083),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1256),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1001),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1206),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1011),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1003),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1261),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1016),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1101),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1106),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1108),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1109),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1110),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1111),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1112),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1113),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1115),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1116),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1117),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1040),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1119),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1120),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1121),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1127),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1006),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1005),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1135),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1209),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1198),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1279),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1210),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1240),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1234),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1267),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1233),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1022),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1285),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1286),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1211),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(992),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1244),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(949),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(986),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1012),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(977),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1013),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1144),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(908),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(908),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1308),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(913),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1084),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1015),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1147),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1236),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1157),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1133),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1223),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1165),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1142),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1000),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1302),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1098),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(949),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1172),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1162),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(994),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1160),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(979),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1158),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(978),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1301),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1168),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(913),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1163),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1156),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1154),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1216),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(981),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1002),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1151),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1249),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1045),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1296),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1014),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(908),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1096),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1058),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(913),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(982),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(983),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1017),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1095),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(984),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(985),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1019),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1009),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(987),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(988),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1020),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1094),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1060),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1050),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1054),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1092),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1150),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1021),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(989),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1145),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1143),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1148),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1018),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1024),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1153),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1200),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1159),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1035),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1026),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(991),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1030),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1166),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1061),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1028),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1146),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1079),
    [sym__expression] = STATE(1174),
    [sym__unary_expression] = STATE(1071),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(1066),
    [sym_reference_assignment_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym_require_expression] = STATE(1066),
    [sym_require_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(993),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(949),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1036),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(995),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1149),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(996),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1025),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(997),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1220),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1155),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(990),
    [sym__expression] = STATE(998),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(602),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(602),
    [sym_nullsafe_member_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(602),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1031),
    [sym__expression] = STATE(1032),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(923),
    [sym_reference_assignment_expression] = STATE(923),
    [sym_conditional_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_include_expression] = STATE(923),
    [sym_include_once_expression] = STATE(923),
    [sym_require_expression] = STATE(923),
    [sym_require_once_expression] = STATE(923),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_catch_clause] = STATE(434),
    [sym_finally_clause] = STATE(434),
    [aux_sym_try_statement_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_name] = ACTIONS(937),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(937),
    [aux_sym_global_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_definition_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(937),
    [anon_sym_BSLASH] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [aux_sym_trait_declaration_token1] = ACTIONS(937),
    [aux_sym_interface_declaration_token1] = ACTIONS(937),
    [aux_sym_enum_declaration_token1] = ACTIONS(937),
    [aux_sym_enum_case_token1] = ACTIONS(937),
    [aux_sym_class_declaration_token1] = ACTIONS(937),
    [aux_sym_final_modifier_token1] = ACTIONS(937),
    [aux_sym_abstract_modifier_token1] = ACTIONS(937),
    [aux_sym_readonly_modifier_token1] = ACTIONS(937),
    [aux_sym_visibility_modifier_token1] = ACTIONS(937),
    [aux_sym_visibility_modifier_token2] = ACTIONS(937),
    [aux_sym_visibility_modifier_token3] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [aux_sym_cast_type_token1] = ACTIONS(937),
    [aux_sym_echo_statement_token1] = ACTIONS(937),
    [anon_sym_unset] = ACTIONS(937),
    [aux_sym_declare_statement_token1] = ACTIONS(937),
    [aux_sym_declare_statement_token2] = ACTIONS(937),
    [sym_float] = ACTIONS(937),
    [aux_sym_try_statement_token1] = ACTIONS(937),
    [aux_sym_catch_clause_token1] = ACTIONS(939),
    [aux_sym_finally_clause_token1] = ACTIONS(941),
    [aux_sym_goto_statement_token1] = ACTIONS(937),
    [aux_sym_continue_statement_token1] = ACTIONS(937),
    [aux_sym_break_statement_token1] = ACTIONS(937),
    [sym_integer] = ACTIONS(937),
    [aux_sym_return_statement_token1] = ACTIONS(937),
    [aux_sym_throw_expression_token1] = ACTIONS(937),
    [aux_sym_while_statement_token1] = ACTIONS(937),
    [aux_sym_while_statement_token2] = ACTIONS(937),
    [aux_sym_do_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token2] = ACTIONS(937),
    [aux_sym_foreach_statement_token1] = ACTIONS(937),
    [aux_sym_foreach_statement_token2] = ACTIONS(937),
    [aux_sym_if_statement_token1] = ACTIONS(937),
    [aux_sym_if_statement_token2] = ACTIONS(937),
    [aux_sym_else_if_clause_token1] = ACTIONS(937),
    [aux_sym_else_clause_token1] = ACTIONS(937),
    [aux_sym_match_expression_token1] = ACTIONS(937),
    [aux_sym_match_default_expression_token1] = ACTIONS(937),
    [aux_sym_switch_statement_token1] = ACTIONS(937),
    [aux_sym_switch_block_token1] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(935),
    [aux_sym_clone_expression_token1] = ACTIONS(937),
    [aux_sym_print_intrinsic_token1] = ACTIONS(937),
    [aux_sym_object_creation_expression_token1] = ACTIONS(937),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [aux_sym__list_destructing_token1] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(935),
    [anon_sym_self] = ACTIONS(937),
    [anon_sym_parent] = ACTIONS(937),
    [anon_sym_POUND_LBRACK] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(935),
    [aux_sym_encapsed_string_token1] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [aux_sym_string_token1] = ACTIONS(935),
    [anon_sym_LT_LT_LT] = ACTIONS(935),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [sym_boolean] = ACTIONS(937),
    [sym_null] = ACTIONS(937),
    [anon_sym_DOLLAR] = ACTIONS(935),
    [aux_sym_yield_expression_token1] = ACTIONS(937),
    [aux_sym_include_expression_token1] = ACTIONS(937),
    [aux_sym_include_once_expression_token1] = ACTIONS(937),
    [aux_sym_require_expression_token1] = ACTIONS(937),
    [aux_sym_require_once_expression_token1] = ACTIONS(937),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_catch_clause] = STATE(434),
    [sym_finally_clause] = STATE(434),
    [aux_sym_try_statement_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_name] = ACTIONS(945),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(945),
    [aux_sym_global_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(945),
    [anon_sym_BSLASH] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [aux_sym_trait_declaration_token1] = ACTIONS(945),
    [aux_sym_interface_declaration_token1] = ACTIONS(945),
    [aux_sym_enum_declaration_token1] = ACTIONS(945),
    [aux_sym_enum_case_token1] = ACTIONS(945),
    [aux_sym_class_declaration_token1] = ACTIONS(945),
    [aux_sym_final_modifier_token1] = ACTIONS(945),
    [aux_sym_abstract_modifier_token1] = ACTIONS(945),
    [aux_sym_readonly_modifier_token1] = ACTIONS(945),
    [aux_sym_visibility_modifier_token1] = ACTIONS(945),
    [aux_sym_visibility_modifier_token2] = ACTIONS(945),
    [aux_sym_visibility_modifier_token3] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [aux_sym_cast_type_token1] = ACTIONS(945),
    [aux_sym_echo_statement_token1] = ACTIONS(945),
    [anon_sym_unset] = ACTIONS(945),
    [aux_sym_declare_statement_token1] = ACTIONS(945),
    [aux_sym_declare_statement_token2] = ACTIONS(945),
    [sym_float] = ACTIONS(945),
    [aux_sym_try_statement_token1] = ACTIONS(945),
    [aux_sym_catch_clause_token1] = ACTIONS(947),
    [aux_sym_finally_clause_token1] = ACTIONS(950),
    [aux_sym_goto_statement_token1] = ACTIONS(945),
    [aux_sym_continue_statement_token1] = ACTIONS(945),
    [aux_sym_break_statement_token1] = ACTIONS(945),
    [sym_integer] = ACTIONS(945),
    [aux_sym_return_statement_token1] = ACTIONS(945),
    [aux_sym_throw_expression_token1] = ACTIONS(945),
    [aux_sym_while_statement_token1] = ACTIONS(945),
    [aux_sym_while_statement_token2] = ACTIONS(945),
    [aux_sym_do_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token2] = ACTIONS(945),
    [aux_sym_foreach_statement_token1] = ACTIONS(945),
    [aux_sym_foreach_statement_token2] = ACTIONS(945),
    [aux_sym_if_statement_token1] = ACTIONS(945),
    [aux_sym_if_statement_token2] = ACTIONS(945),
    [aux_sym_else_if_clause_token1] = ACTIONS(945),
    [aux_sym_else_clause_token1] = ACTIONS(945),
    [aux_sym_match_expression_token1] = ACTIONS(945),
    [aux_sym_match_default_expression_token1] = ACTIONS(945),
    [aux_sym_switch_statement_token1] = ACTIONS(945),
    [aux_sym_switch_block_token1] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [aux_sym_clone_expression_token1] = ACTIONS(945),
    [aux_sym_print_intrinsic_token1] = ACTIONS(945),
    [aux_sym_object_creation_expression_token1] = ACTIONS(945),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [aux_sym__list_destructing_token1] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(945),
    [anon_sym_parent] = ACTIONS(945),
    [anon_sym_POUND_LBRACK] = ACTIONS(943),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [aux_sym_encapsed_string_token1] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [aux_sym_string_token1] = ACTIONS(943),
    [anon_sym_LT_LT_LT] = ACTIONS(943),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_boolean] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [aux_sym_yield_expression_token1] = ACTIONS(945),
    [aux_sym_include_expression_token1] = ACTIONS(945),
    [aux_sym_include_once_expression_token1] = ACTIONS(945),
    [aux_sym_require_expression_token1] = ACTIONS(945),
    [aux_sym_require_once_expression_token1] = ACTIONS(945),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1007),
    [sym_unary_op_expression] = STATE(1007),
    [sym_exponentiation_expression] = STATE(914),
    [sym_clone_expression] = STATE(1007),
    [sym__primary_expression] = STATE(1007),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(914),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(914),
    [sym_augmented_assignment_expression] = STATE(914),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2435),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_else_if_clause] = STATE(501),
    [sym_else_clause] = STATE(500),
    [aux_sym_if_statement_repeat1] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_name] = ACTIONS(955),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(955),
    [aux_sym_global_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_definition_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(955),
    [anon_sym_BSLASH] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [aux_sym_trait_declaration_token1] = ACTIONS(955),
    [aux_sym_interface_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_case_token1] = ACTIONS(955),
    [aux_sym_class_declaration_token1] = ACTIONS(955),
    [aux_sym_final_modifier_token1] = ACTIONS(955),
    [aux_sym_abstract_modifier_token1] = ACTIONS(955),
    [aux_sym_readonly_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token2] = ACTIONS(955),
    [aux_sym_visibility_modifier_token3] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_cast_type_token1] = ACTIONS(955),
    [aux_sym_echo_statement_token1] = ACTIONS(955),
    [anon_sym_unset] = ACTIONS(955),
    [aux_sym_declare_statement_token1] = ACTIONS(955),
    [aux_sym_declare_statement_token2] = ACTIONS(955),
    [sym_float] = ACTIONS(955),
    [aux_sym_try_statement_token1] = ACTIONS(955),
    [aux_sym_goto_statement_token1] = ACTIONS(955),
    [aux_sym_continue_statement_token1] = ACTIONS(955),
    [aux_sym_break_statement_token1] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [aux_sym_return_statement_token1] = ACTIONS(955),
    [aux_sym_throw_expression_token1] = ACTIONS(955),
    [aux_sym_while_statement_token1] = ACTIONS(955),
    [aux_sym_while_statement_token2] = ACTIONS(955),
    [aux_sym_do_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token2] = ACTIONS(955),
    [aux_sym_foreach_statement_token1] = ACTIONS(955),
    [aux_sym_foreach_statement_token2] = ACTIONS(955),
    [aux_sym_if_statement_token1] = ACTIONS(955),
    [aux_sym_if_statement_token2] = ACTIONS(955),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(959),
    [aux_sym_match_expression_token1] = ACTIONS(955),
    [aux_sym_match_default_expression_token1] = ACTIONS(955),
    [aux_sym_switch_statement_token1] = ACTIONS(955),
    [aux_sym_switch_block_token1] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(953),
    [aux_sym_clone_expression_token1] = ACTIONS(955),
    [aux_sym_print_intrinsic_token1] = ACTIONS(955),
    [aux_sym_object_creation_expression_token1] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym__list_destructing_token1] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(955),
    [anon_sym_parent] = ACTIONS(955),
    [anon_sym_POUND_LBRACK] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [aux_sym_encapsed_string_token1] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [aux_sym_string_token1] = ACTIONS(953),
    [anon_sym_LT_LT_LT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_boolean] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [aux_sym_yield_expression_token1] = ACTIONS(955),
    [aux_sym_include_expression_token1] = ACTIONS(955),
    [aux_sym_include_once_expression_token1] = ACTIONS(955),
    [aux_sym_require_expression_token1] = ACTIONS(955),
    [aux_sym_require_once_expression_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_else_if_clause] = STATE(501),
    [sym_else_clause] = STATE(500),
    [aux_sym_if_statement_repeat1] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_name] = ACTIONS(955),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(955),
    [aux_sym_global_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_definition_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(955),
    [anon_sym_BSLASH] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [aux_sym_trait_declaration_token1] = ACTIONS(955),
    [aux_sym_interface_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_case_token1] = ACTIONS(955),
    [aux_sym_class_declaration_token1] = ACTIONS(955),
    [aux_sym_final_modifier_token1] = ACTIONS(955),
    [aux_sym_abstract_modifier_token1] = ACTIONS(955),
    [aux_sym_readonly_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token2] = ACTIONS(955),
    [aux_sym_visibility_modifier_token3] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_cast_type_token1] = ACTIONS(955),
    [aux_sym_echo_statement_token1] = ACTIONS(955),
    [anon_sym_unset] = ACTIONS(955),
    [aux_sym_declare_statement_token1] = ACTIONS(955),
    [aux_sym_declare_statement_token2] = ACTIONS(955),
    [sym_float] = ACTIONS(955),
    [aux_sym_try_statement_token1] = ACTIONS(955),
    [aux_sym_goto_statement_token1] = ACTIONS(955),
    [aux_sym_continue_statement_token1] = ACTIONS(955),
    [aux_sym_break_statement_token1] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [aux_sym_return_statement_token1] = ACTIONS(955),
    [aux_sym_throw_expression_token1] = ACTIONS(955),
    [aux_sym_while_statement_token1] = ACTIONS(955),
    [aux_sym_while_statement_token2] = ACTIONS(955),
    [aux_sym_do_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token2] = ACTIONS(955),
    [aux_sym_foreach_statement_token1] = ACTIONS(955),
    [aux_sym_foreach_statement_token2] = ACTIONS(955),
    [aux_sym_if_statement_token1] = ACTIONS(955),
    [aux_sym_if_statement_token2] = ACTIONS(955),
    [aux_sym_else_if_clause_token1] = ACTIONS(961),
    [aux_sym_else_clause_token1] = ACTIONS(964),
    [aux_sym_match_expression_token1] = ACTIONS(955),
    [aux_sym_match_default_expression_token1] = ACTIONS(955),
    [aux_sym_switch_statement_token1] = ACTIONS(955),
    [aux_sym_switch_block_token1] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(953),
    [aux_sym_clone_expression_token1] = ACTIONS(955),
    [aux_sym_print_intrinsic_token1] = ACTIONS(955),
    [aux_sym_object_creation_expression_token1] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym__list_destructing_token1] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(955),
    [anon_sym_parent] = ACTIONS(955),
    [anon_sym_POUND_LBRACK] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [aux_sym_encapsed_string_token1] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [aux_sym_string_token1] = ACTIONS(953),
    [anon_sym_LT_LT_LT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_boolean] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [aux_sym_yield_expression_token1] = ACTIONS(955),
    [aux_sym_include_expression_token1] = ACTIONS(955),
    [aux_sym_include_once_expression_token1] = ACTIONS(955),
    [aux_sym_require_expression_token1] = ACTIONS(955),
    [aux_sym_require_once_expression_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1170),
    [sym_unary_op_expression] = STATE(1170),
    [sym_exponentiation_expression] = STATE(914),
    [sym_clone_expression] = STATE(1170),
    [sym__primary_expression] = STATE(1170),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(914),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(914),
    [sym_augmented_assignment_expression] = STATE(914),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(629),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(629),
    [sym_variable_name] = STATE(629),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(501),
    [sym_else_clause] = STATE(560),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_name] = ACTIONS(969),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(969),
    [aux_sym_global_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(969),
    [anon_sym_BSLASH] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym_trait_declaration_token1] = ACTIONS(969),
    [aux_sym_interface_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_case_token1] = ACTIONS(969),
    [aux_sym_class_declaration_token1] = ACTIONS(969),
    [aux_sym_final_modifier_token1] = ACTIONS(969),
    [aux_sym_abstract_modifier_token1] = ACTIONS(969),
    [aux_sym_readonly_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token3] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [aux_sym_cast_type_token1] = ACTIONS(969),
    [aux_sym_echo_statement_token1] = ACTIONS(969),
    [anon_sym_unset] = ACTIONS(969),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_declare_statement_token2] = ACTIONS(969),
    [sym_float] = ACTIONS(969),
    [aux_sym_try_statement_token1] = ACTIONS(969),
    [aux_sym_goto_statement_token1] = ACTIONS(969),
    [aux_sym_continue_statement_token1] = ACTIONS(969),
    [aux_sym_break_statement_token1] = ACTIONS(969),
    [sym_integer] = ACTIONS(969),
    [aux_sym_return_statement_token1] = ACTIONS(969),
    [aux_sym_throw_expression_token1] = ACTIONS(969),
    [aux_sym_while_statement_token1] = ACTIONS(969),
    [aux_sym_while_statement_token2] = ACTIONS(969),
    [aux_sym_do_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token2] = ACTIONS(969),
    [aux_sym_foreach_statement_token1] = ACTIONS(969),
    [aux_sym_foreach_statement_token2] = ACTIONS(969),
    [aux_sym_if_statement_token1] = ACTIONS(969),
    [aux_sym_if_statement_token2] = ACTIONS(969),
    [aux_sym_else_if_clause_token1] = ACTIONS(971),
    [aux_sym_else_clause_token1] = ACTIONS(974),
    [aux_sym_match_expression_token1] = ACTIONS(969),
    [aux_sym_match_default_expression_token1] = ACTIONS(969),
    [aux_sym_switch_statement_token1] = ACTIONS(969),
    [aux_sym_switch_block_token1] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [aux_sym_clone_expression_token1] = ACTIONS(969),
    [aux_sym_print_intrinsic_token1] = ACTIONS(969),
    [aux_sym_object_creation_expression_token1] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [aux_sym__list_destructing_token1] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(969),
    [anon_sym_parent] = ACTIONS(969),
    [anon_sym_POUND_LBRACK] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_encapsed_string_token1] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [aux_sym_string_token1] = ACTIONS(967),
    [anon_sym_LT_LT_LT] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_boolean] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [aux_sym_yield_expression_token1] = ACTIONS(969),
    [aux_sym_include_expression_token1] = ACTIONS(969),
    [aux_sym_include_once_expression_token1] = ACTIONS(969),
    [aux_sym_require_expression_token1] = ACTIONS(969),
    [aux_sym_require_once_expression_token1] = ACTIONS(969),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_else_if_clause] = STATE(501),
    [sym_else_clause] = STATE(560),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_name] = ACTIONS(969),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(969),
    [aux_sym_global_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(969),
    [anon_sym_BSLASH] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym_trait_declaration_token1] = ACTIONS(969),
    [aux_sym_interface_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_case_token1] = ACTIONS(969),
    [aux_sym_class_declaration_token1] = ACTIONS(969),
    [aux_sym_final_modifier_token1] = ACTIONS(969),
    [aux_sym_abstract_modifier_token1] = ACTIONS(969),
    [aux_sym_readonly_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token3] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [aux_sym_cast_type_token1] = ACTIONS(969),
    [aux_sym_echo_statement_token1] = ACTIONS(969),
    [anon_sym_unset] = ACTIONS(969),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_declare_statement_token2] = ACTIONS(969),
    [sym_float] = ACTIONS(969),
    [aux_sym_try_statement_token1] = ACTIONS(969),
    [aux_sym_goto_statement_token1] = ACTIONS(969),
    [aux_sym_continue_statement_token1] = ACTIONS(969),
    [aux_sym_break_statement_token1] = ACTIONS(969),
    [sym_integer] = ACTIONS(969),
    [aux_sym_return_statement_token1] = ACTIONS(969),
    [aux_sym_throw_expression_token1] = ACTIONS(969),
    [aux_sym_while_statement_token1] = ACTIONS(969),
    [aux_sym_while_statement_token2] = ACTIONS(969),
    [aux_sym_do_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token2] = ACTIONS(969),
    [aux_sym_foreach_statement_token1] = ACTIONS(969),
    [aux_sym_foreach_statement_token2] = ACTIONS(969),
    [aux_sym_if_statement_token1] = ACTIONS(969),
    [aux_sym_if_statement_token2] = ACTIONS(969),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(959),
    [aux_sym_match_expression_token1] = ACTIONS(969),
    [aux_sym_match_default_expression_token1] = ACTIONS(969),
    [aux_sym_switch_statement_token1] = ACTIONS(969),
    [aux_sym_switch_block_token1] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [aux_sym_clone_expression_token1] = ACTIONS(969),
    [aux_sym_print_intrinsic_token1] = ACTIONS(969),
    [aux_sym_object_creation_expression_token1] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [aux_sym__list_destructing_token1] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(969),
    [anon_sym_parent] = ACTIONS(969),
    [anon_sym_POUND_LBRACK] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_encapsed_string_token1] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [aux_sym_string_token1] = ACTIONS(967),
    [anon_sym_LT_LT_LT] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_boolean] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [aux_sym_yield_expression_token1] = ACTIONS(969),
    [aux_sym_include_expression_token1] = ACTIONS(969),
    [aux_sym_include_once_expression_token1] = ACTIONS(969),
    [aux_sym_require_expression_token1] = ACTIONS(969),
    [aux_sym_require_once_expression_token1] = ACTIONS(969),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(1004),
    [sym_unary_op_expression] = STATE(1004),
    [sym_exponentiation_expression] = STATE(914),
    [sym_clone_expression] = STATE(1004),
    [sym__primary_expression] = STATE(1004),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(914),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(914),
    [sym_augmented_assignment_expression] = STATE(914),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2448),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(596),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(596),
    [sym_variable_name] = STATE(596),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(1103),
    [sym_unary_op_expression] = STATE(1103),
    [sym_exponentiation_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1103),
    [sym__primary_expression] = STATE(1103),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1104),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2207),
    [sym__array_destructing] = STATE(2207),
    [sym_function_call_expression] = STATE(603),
    [sym_scoped_call_expression] = STATE(603),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(603),
    [sym_nullsafe_member_call_expression] = STATE(603),
    [sym_subscript_expression] = STATE(603),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(603),
    [sym_variable_name] = STATE(603),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_else_if_clause] = STATE(501),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(977),
    [sym_name] = ACTIONS(979),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(979),
    [aux_sym_global_declaration_token1] = ACTIONS(979),
    [aux_sym_namespace_definition_token1] = ACTIONS(979),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(979),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(979),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(979),
    [anon_sym_BSLASH] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(977),
    [aux_sym_trait_declaration_token1] = ACTIONS(979),
    [aux_sym_interface_declaration_token1] = ACTIONS(979),
    [aux_sym_enum_declaration_token1] = ACTIONS(979),
    [aux_sym_enum_case_token1] = ACTIONS(979),
    [aux_sym_class_declaration_token1] = ACTIONS(979),
    [aux_sym_final_modifier_token1] = ACTIONS(979),
    [aux_sym_abstract_modifier_token1] = ACTIONS(979),
    [aux_sym_readonly_modifier_token1] = ACTIONS(979),
    [aux_sym_visibility_modifier_token1] = ACTIONS(979),
    [aux_sym_visibility_modifier_token2] = ACTIONS(979),
    [aux_sym_visibility_modifier_token3] = ACTIONS(979),
    [aux_sym__arrow_function_header_token1] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(977),
    [aux_sym_cast_type_token1] = ACTIONS(979),
    [aux_sym_echo_statement_token1] = ACTIONS(979),
    [anon_sym_unset] = ACTIONS(979),
    [aux_sym_declare_statement_token1] = ACTIONS(979),
    [aux_sym_declare_statement_token2] = ACTIONS(979),
    [sym_float] = ACTIONS(979),
    [aux_sym_try_statement_token1] = ACTIONS(979),
    [aux_sym_goto_statement_token1] = ACTIONS(979),
    [aux_sym_continue_statement_token1] = ACTIONS(979),
    [aux_sym_break_statement_token1] = ACTIONS(979),
    [sym_integer] = ACTIONS(979),
    [aux_sym_return_statement_token1] = ACTIONS(979),
    [aux_sym_throw_expression_token1] = ACTIONS(979),
    [aux_sym_while_statement_token1] = ACTIONS(979),
    [aux_sym_while_statement_token2] = ACTIONS(979),
    [aux_sym_do_statement_token1] = ACTIONS(979),
    [aux_sym_for_statement_token1] = ACTIONS(979),
    [aux_sym_for_statement_token2] = ACTIONS(979),
    [aux_sym_foreach_statement_token1] = ACTIONS(979),
    [aux_sym_foreach_statement_token2] = ACTIONS(979),
    [aux_sym_if_statement_token1] = ACTIONS(979),
    [aux_sym_if_statement_token2] = ACTIONS(979),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(979),
    [aux_sym_match_expression_token1] = ACTIONS(979),
    [aux_sym_match_default_expression_token1] = ACTIONS(979),
    [aux_sym_switch_statement_token1] = ACTIONS(979),
    [aux_sym_switch_block_token1] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(977),
    [aux_sym_clone_expression_token1] = ACTIONS(979),
    [aux_sym_print_intrinsic_token1] = ACTIONS(979),
    [aux_sym_object_creation_expression_token1] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(977),
    [anon_sym_DASH_DASH] = ACTIONS(977),
    [aux_sym__list_destructing_token1] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(979),
    [anon_sym_parent] = ACTIONS(979),
    [anon_sym_POUND_LBRACK] = ACTIONS(977),
    [anon_sym_SQUOTE] = ACTIONS(977),
    [aux_sym_encapsed_string_token1] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(977),
    [aux_sym_string_token1] = ACTIONS(977),
    [anon_sym_LT_LT_LT] = ACTIONS(977),
    [anon_sym_BQUOTE] = ACTIONS(977),
    [sym_boolean] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [anon_sym_DOLLAR] = ACTIONS(977),
    [aux_sym_yield_expression_token1] = ACTIONS(979),
    [aux_sym_include_expression_token1] = ACTIONS(979),
    [aux_sym_include_once_expression_token1] = ACTIONS(979),
    [aux_sym_require_expression_token1] = ACTIONS(979),
    [aux_sym_require_once_expression_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_match_expression] = STATE(2434),
    [sym__unary_expression] = STATE(1093),
    [sym_unary_op_expression] = STATE(1069),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1069),
    [sym__primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(635),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2600),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1696),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(986),
    [sym_name] = ACTIONS(988),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(986),
    [aux_sym_function_static_declaration_token1] = ACTIONS(988),
    [aux_sym_global_declaration_token1] = ACTIONS(988),
    [aux_sym_namespace_definition_token1] = ACTIONS(988),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(988),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(988),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(988),
    [anon_sym_BSLASH] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(986),
    [aux_sym_trait_declaration_token1] = ACTIONS(988),
    [aux_sym_interface_declaration_token1] = ACTIONS(988),
    [aux_sym_enum_declaration_token1] = ACTIONS(988),
    [aux_sym_enum_case_token1] = ACTIONS(988),
    [aux_sym_class_declaration_token1] = ACTIONS(988),
    [aux_sym_final_modifier_token1] = ACTIONS(988),
    [aux_sym_abstract_modifier_token1] = ACTIONS(988),
    [aux_sym_readonly_modifier_token1] = ACTIONS(988),
    [aux_sym_visibility_modifier_token1] = ACTIONS(988),
    [aux_sym_visibility_modifier_token2] = ACTIONS(988),
    [aux_sym_visibility_modifier_token3] = ACTIONS(988),
    [aux_sym__arrow_function_header_token1] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(986),
    [aux_sym_cast_type_token1] = ACTIONS(988),
    [aux_sym_echo_statement_token1] = ACTIONS(988),
    [anon_sym_unset] = ACTIONS(988),
    [aux_sym_declare_statement_token1] = ACTIONS(988),
    [aux_sym_declare_statement_token2] = ACTIONS(988),
    [sym_float] = ACTIONS(988),
    [aux_sym_try_statement_token1] = ACTIONS(988),
    [aux_sym_catch_clause_token1] = ACTIONS(988),
    [aux_sym_finally_clause_token1] = ACTIONS(988),
    [aux_sym_goto_statement_token1] = ACTIONS(988),
    [aux_sym_continue_statement_token1] = ACTIONS(988),
    [aux_sym_break_statement_token1] = ACTIONS(988),
    [sym_integer] = ACTIONS(988),
    [aux_sym_return_statement_token1] = ACTIONS(988),
    [aux_sym_throw_expression_token1] = ACTIONS(988),
    [aux_sym_while_statement_token1] = ACTIONS(988),
    [aux_sym_while_statement_token2] = ACTIONS(988),
    [aux_sym_do_statement_token1] = ACTIONS(988),
    [aux_sym_for_statement_token1] = ACTIONS(988),
    [aux_sym_for_statement_token2] = ACTIONS(988),
    [aux_sym_foreach_statement_token1] = ACTIONS(988),
    [aux_sym_foreach_statement_token2] = ACTIONS(988),
    [aux_sym_if_statement_token1] = ACTIONS(988),
    [aux_sym_if_statement_token2] = ACTIONS(988),
    [aux_sym_else_if_clause_token1] = ACTIONS(988),
    [aux_sym_else_clause_token1] = ACTIONS(988),
    [aux_sym_match_expression_token1] = ACTIONS(988),
    [aux_sym_match_default_expression_token1] = ACTIONS(988),
    [aux_sym_switch_statement_token1] = ACTIONS(988),
    [aux_sym_switch_block_token1] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(988),
    [anon_sym_DASH] = ACTIONS(988),
    [anon_sym_TILDE] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(986),
    [aux_sym_clone_expression_token1] = ACTIONS(988),
    [aux_sym_print_intrinsic_token1] = ACTIONS(988),
    [aux_sym_object_creation_expression_token1] = ACTIONS(988),
    [anon_sym_PLUS_PLUS] = ACTIONS(986),
    [anon_sym_DASH_DASH] = ACTIONS(986),
    [aux_sym__list_destructing_token1] = ACTIONS(988),
    [anon_sym_LBRACK] = ACTIONS(986),
    [anon_sym_self] = ACTIONS(988),
    [anon_sym_parent] = ACTIONS(988),
    [anon_sym_POUND_LBRACK] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(986),
    [aux_sym_encapsed_string_token1] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(986),
    [aux_sym_string_token1] = ACTIONS(986),
    [anon_sym_LT_LT_LT] = ACTIONS(986),
    [anon_sym_BQUOTE] = ACTIONS(986),
    [sym_boolean] = ACTIONS(988),
    [sym_null] = ACTIONS(988),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [aux_sym_yield_expression_token1] = ACTIONS(988),
    [aux_sym_include_expression_token1] = ACTIONS(988),
    [aux_sym_include_once_expression_token1] = ACTIONS(988),
    [aux_sym_require_expression_token1] = ACTIONS(988),
    [aux_sym_require_once_expression_token1] = ACTIONS(988),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(2528),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(639),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_function_call_expression] = STATE(610),
    [sym_scoped_call_expression] = STATE(610),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(610),
    [sym_nullsafe_member_call_expression] = STATE(610),
    [sym_subscript_expression] = STATE(610),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(610),
    [sym_variable_name] = STATE(610),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(992),
    [sym_name] = ACTIONS(994),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(992),
    [aux_sym_function_static_declaration_token1] = ACTIONS(994),
    [aux_sym_global_declaration_token1] = ACTIONS(994),
    [aux_sym_namespace_definition_token1] = ACTIONS(994),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(994),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(994),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(994),
    [anon_sym_BSLASH] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [aux_sym_trait_declaration_token1] = ACTIONS(994),
    [aux_sym_interface_declaration_token1] = ACTIONS(994),
    [aux_sym_enum_declaration_token1] = ACTIONS(994),
    [aux_sym_enum_case_token1] = ACTIONS(994),
    [aux_sym_class_declaration_token1] = ACTIONS(994),
    [aux_sym_final_modifier_token1] = ACTIONS(994),
    [aux_sym_abstract_modifier_token1] = ACTIONS(994),
    [aux_sym_readonly_modifier_token1] = ACTIONS(994),
    [aux_sym_visibility_modifier_token1] = ACTIONS(994),
    [aux_sym_visibility_modifier_token2] = ACTIONS(994),
    [aux_sym_visibility_modifier_token3] = ACTIONS(994),
    [aux_sym__arrow_function_header_token1] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(992),
    [aux_sym_cast_type_token1] = ACTIONS(994),
    [aux_sym_echo_statement_token1] = ACTIONS(994),
    [anon_sym_unset] = ACTIONS(994),
    [aux_sym_declare_statement_token1] = ACTIONS(994),
    [aux_sym_declare_statement_token2] = ACTIONS(994),
    [sym_float] = ACTIONS(994),
    [aux_sym_try_statement_token1] = ACTIONS(994),
    [aux_sym_catch_clause_token1] = ACTIONS(994),
    [aux_sym_finally_clause_token1] = ACTIONS(994),
    [aux_sym_goto_statement_token1] = ACTIONS(994),
    [aux_sym_continue_statement_token1] = ACTIONS(994),
    [aux_sym_break_statement_token1] = ACTIONS(994),
    [sym_integer] = ACTIONS(994),
    [aux_sym_return_statement_token1] = ACTIONS(994),
    [aux_sym_throw_expression_token1] = ACTIONS(994),
    [aux_sym_while_statement_token1] = ACTIONS(994),
    [aux_sym_while_statement_token2] = ACTIONS(994),
    [aux_sym_do_statement_token1] = ACTIONS(994),
    [aux_sym_for_statement_token1] = ACTIONS(994),
    [aux_sym_for_statement_token2] = ACTIONS(994),
    [aux_sym_foreach_statement_token1] = ACTIONS(994),
    [aux_sym_foreach_statement_token2] = ACTIONS(994),
    [aux_sym_if_statement_token1] = ACTIONS(994),
    [aux_sym_if_statement_token2] = ACTIONS(994),
    [aux_sym_else_if_clause_token1] = ACTIONS(994),
    [aux_sym_else_clause_token1] = ACTIONS(994),
    [aux_sym_match_expression_token1] = ACTIONS(994),
    [aux_sym_match_default_expression_token1] = ACTIONS(994),
    [aux_sym_switch_statement_token1] = ACTIONS(994),
    [aux_sym_switch_block_token1] = ACTIONS(994),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [aux_sym_clone_expression_token1] = ACTIONS(994),
    [aux_sym_print_intrinsic_token1] = ACTIONS(994),
    [aux_sym_object_creation_expression_token1] = ACTIONS(994),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym__list_destructing_token1] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_self] = ACTIONS(994),
    [anon_sym_parent] = ACTIONS(994),
    [anon_sym_POUND_LBRACK] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [aux_sym_encapsed_string_token1] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [aux_sym_string_token1] = ACTIONS(992),
    [anon_sym_LT_LT_LT] = ACTIONS(992),
    [anon_sym_BQUOTE] = ACTIONS(992),
    [sym_boolean] = ACTIONS(994),
    [sym_null] = ACTIONS(994),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [aux_sym_yield_expression_token1] = ACTIONS(994),
    [aux_sym_include_expression_token1] = ACTIONS(994),
    [aux_sym_include_once_expression_token1] = ACTIONS(994),
    [aux_sym_require_expression_token1] = ACTIONS(994),
    [aux_sym_require_once_expression_token1] = ACTIONS(994),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym_name] = ACTIONS(998),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_function_static_declaration_token1] = ACTIONS(998),
    [aux_sym_global_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_definition_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(998),
    [anon_sym_BSLASH] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym_trait_declaration_token1] = ACTIONS(998),
    [aux_sym_interface_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_case_token1] = ACTIONS(998),
    [aux_sym_class_declaration_token1] = ACTIONS(998),
    [aux_sym_final_modifier_token1] = ACTIONS(998),
    [aux_sym_abstract_modifier_token1] = ACTIONS(998),
    [aux_sym_readonly_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token2] = ACTIONS(998),
    [aux_sym_visibility_modifier_token3] = ACTIONS(998),
    [aux_sym__arrow_function_header_token1] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [aux_sym_cast_type_token1] = ACTIONS(998),
    [aux_sym_echo_statement_token1] = ACTIONS(998),
    [anon_sym_unset] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token2] = ACTIONS(998),
    [sym_float] = ACTIONS(998),
    [aux_sym_try_statement_token1] = ACTIONS(998),
    [aux_sym_catch_clause_token1] = ACTIONS(998),
    [aux_sym_finally_clause_token1] = ACTIONS(998),
    [aux_sym_goto_statement_token1] = ACTIONS(998),
    [aux_sym_continue_statement_token1] = ACTIONS(998),
    [aux_sym_break_statement_token1] = ACTIONS(998),
    [sym_integer] = ACTIONS(998),
    [aux_sym_return_statement_token1] = ACTIONS(998),
    [aux_sym_throw_expression_token1] = ACTIONS(998),
    [aux_sym_while_statement_token1] = ACTIONS(998),
    [aux_sym_while_statement_token2] = ACTIONS(998),
    [aux_sym_do_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token2] = ACTIONS(998),
    [aux_sym_foreach_statement_token1] = ACTIONS(998),
    [aux_sym_foreach_statement_token2] = ACTIONS(998),
    [aux_sym_if_statement_token1] = ACTIONS(998),
    [aux_sym_if_statement_token2] = ACTIONS(998),
    [aux_sym_else_if_clause_token1] = ACTIONS(998),
    [aux_sym_else_clause_token1] = ACTIONS(998),
    [aux_sym_match_expression_token1] = ACTIONS(998),
    [aux_sym_match_default_expression_token1] = ACTIONS(998),
    [aux_sym_switch_statement_token1] = ACTIONS(998),
    [aux_sym_switch_block_token1] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(998),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [aux_sym_clone_expression_token1] = ACTIONS(998),
    [aux_sym_print_intrinsic_token1] = ACTIONS(998),
    [aux_sym_object_creation_expression_token1] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [aux_sym__list_destructing_token1] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_self] = ACTIONS(998),
    [anon_sym_parent] = ACTIONS(998),
    [anon_sym_POUND_LBRACK] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [aux_sym_encapsed_string_token1] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_string_token1] = ACTIONS(996),
    [anon_sym_LT_LT_LT] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [sym_boolean] = ACTIONS(998),
    [sym_null] = ACTIONS(998),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [aux_sym_yield_expression_token1] = ACTIONS(998),
    [aux_sym_include_expression_token1] = ACTIONS(998),
    [aux_sym_include_once_expression_token1] = ACTIONS(998),
    [aux_sym_require_expression_token1] = ACTIONS(998),
    [aux_sym_require_once_expression_token1] = ACTIONS(998),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1000),
    [sym_name] = ACTIONS(1002),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1000),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1002),
    [aux_sym_global_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_definition_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1002),
    [anon_sym_BSLASH] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [aux_sym_trait_declaration_token1] = ACTIONS(1002),
    [aux_sym_interface_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_case_token1] = ACTIONS(1002),
    [aux_sym_class_declaration_token1] = ACTIONS(1002),
    [aux_sym_final_modifier_token1] = ACTIONS(1002),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1002),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1002),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [aux_sym_cast_type_token1] = ACTIONS(1002),
    [aux_sym_echo_statement_token1] = ACTIONS(1002),
    [anon_sym_unset] = ACTIONS(1002),
    [aux_sym_declare_statement_token1] = ACTIONS(1002),
    [aux_sym_declare_statement_token2] = ACTIONS(1002),
    [sym_float] = ACTIONS(1002),
    [aux_sym_try_statement_token1] = ACTIONS(1002),
    [aux_sym_catch_clause_token1] = ACTIONS(1002),
    [aux_sym_finally_clause_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(1002),
    [aux_sym_continue_statement_token1] = ACTIONS(1002),
    [aux_sym_break_statement_token1] = ACTIONS(1002),
    [sym_integer] = ACTIONS(1002),
    [aux_sym_return_statement_token1] = ACTIONS(1002),
    [aux_sym_throw_expression_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token2] = ACTIONS(1002),
    [aux_sym_do_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token2] = ACTIONS(1002),
    [aux_sym_foreach_statement_token1] = ACTIONS(1002),
    [aux_sym_foreach_statement_token2] = ACTIONS(1002),
    [aux_sym_if_statement_token1] = ACTIONS(1002),
    [aux_sym_if_statement_token2] = ACTIONS(1002),
    [aux_sym_else_if_clause_token1] = ACTIONS(1002),
    [aux_sym_else_clause_token1] = ACTIONS(1002),
    [aux_sym_match_expression_token1] = ACTIONS(1002),
    [aux_sym_match_default_expression_token1] = ACTIONS(1002),
    [aux_sym_switch_statement_token1] = ACTIONS(1002),
    [aux_sym_switch_block_token1] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1002),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1000),
    [aux_sym_clone_expression_token1] = ACTIONS(1002),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1002),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1000),
    [anon_sym_DASH_DASH] = ACTIONS(1000),
    [aux_sym__list_destructing_token1] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_self] = ACTIONS(1002),
    [anon_sym_parent] = ACTIONS(1002),
    [anon_sym_POUND_LBRACK] = ACTIONS(1000),
    [anon_sym_SQUOTE] = ACTIONS(1000),
    [aux_sym_encapsed_string_token1] = ACTIONS(1000),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [aux_sym_string_token1] = ACTIONS(1000),
    [anon_sym_LT_LT_LT] = ACTIONS(1000),
    [anon_sym_BQUOTE] = ACTIONS(1000),
    [sym_boolean] = ACTIONS(1002),
    [sym_null] = ACTIONS(1002),
    [anon_sym_DOLLAR] = ACTIONS(1000),
    [aux_sym_yield_expression_token1] = ACTIONS(1002),
    [aux_sym_include_expression_token1] = ACTIONS(1002),
    [aux_sym_include_once_expression_token1] = ACTIONS(1002),
    [aux_sym_require_expression_token1] = ACTIONS(1002),
    [aux_sym_require_once_expression_token1] = ACTIONS(1002),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(2496),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(1141),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1141),
    [sym__primary_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym_name] = ACTIONS(1006),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1004),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1006),
    [aux_sym_global_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_definition_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1006),
    [anon_sym_BSLASH] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym_trait_declaration_token1] = ACTIONS(1006),
    [aux_sym_interface_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_case_token1] = ACTIONS(1006),
    [aux_sym_class_declaration_token1] = ACTIONS(1006),
    [aux_sym_final_modifier_token1] = ACTIONS(1006),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1006),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1006),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [aux_sym_cast_type_token1] = ACTIONS(1006),
    [aux_sym_echo_statement_token1] = ACTIONS(1006),
    [anon_sym_unset] = ACTIONS(1006),
    [aux_sym_declare_statement_token1] = ACTIONS(1006),
    [aux_sym_declare_statement_token2] = ACTIONS(1006),
    [sym_float] = ACTIONS(1006),
    [aux_sym_try_statement_token1] = ACTIONS(1006),
    [aux_sym_catch_clause_token1] = ACTIONS(1006),
    [aux_sym_finally_clause_token1] = ACTIONS(1006),
    [aux_sym_goto_statement_token1] = ACTIONS(1006),
    [aux_sym_continue_statement_token1] = ACTIONS(1006),
    [aux_sym_break_statement_token1] = ACTIONS(1006),
    [sym_integer] = ACTIONS(1006),
    [aux_sym_return_statement_token1] = ACTIONS(1006),
    [aux_sym_throw_expression_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token2] = ACTIONS(1006),
    [aux_sym_do_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token2] = ACTIONS(1006),
    [aux_sym_foreach_statement_token1] = ACTIONS(1006),
    [aux_sym_foreach_statement_token2] = ACTIONS(1006),
    [aux_sym_if_statement_token1] = ACTIONS(1006),
    [aux_sym_if_statement_token2] = ACTIONS(1006),
    [aux_sym_else_if_clause_token1] = ACTIONS(1006),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1006),
    [aux_sym_match_default_expression_token1] = ACTIONS(1006),
    [aux_sym_switch_statement_token1] = ACTIONS(1006),
    [aux_sym_switch_block_token1] = ACTIONS(1006),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1004),
    [aux_sym_clone_expression_token1] = ACTIONS(1006),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1006),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1004),
    [anon_sym_DASH_DASH] = ACTIONS(1004),
    [aux_sym__list_destructing_token1] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(1004),
    [anon_sym_self] = ACTIONS(1006),
    [anon_sym_parent] = ACTIONS(1006),
    [anon_sym_POUND_LBRACK] = ACTIONS(1004),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [aux_sym_encapsed_string_token1] = ACTIONS(1004),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [aux_sym_string_token1] = ACTIONS(1004),
    [anon_sym_LT_LT_LT] = ACTIONS(1004),
    [anon_sym_BQUOTE] = ACTIONS(1004),
    [sym_boolean] = ACTIONS(1006),
    [sym_null] = ACTIONS(1006),
    [anon_sym_DOLLAR] = ACTIONS(1004),
    [aux_sym_yield_expression_token1] = ACTIONS(1006),
    [aux_sym_include_expression_token1] = ACTIONS(1006),
    [aux_sym_include_once_expression_token1] = ACTIONS(1006),
    [aux_sym_require_expression_token1] = ACTIONS(1006),
    [aux_sym_require_once_expression_token1] = ACTIONS(1006),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [sym_name] = ACTIONS(1010),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1008),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1010),
    [aux_sym_global_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_definition_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1010),
    [anon_sym_BSLASH] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym_trait_declaration_token1] = ACTIONS(1010),
    [aux_sym_interface_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_case_token1] = ACTIONS(1010),
    [aux_sym_class_declaration_token1] = ACTIONS(1010),
    [aux_sym_final_modifier_token1] = ACTIONS(1010),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1010),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1010),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [aux_sym_cast_type_token1] = ACTIONS(1010),
    [aux_sym_echo_statement_token1] = ACTIONS(1010),
    [anon_sym_unset] = ACTIONS(1010),
    [aux_sym_declare_statement_token1] = ACTIONS(1010),
    [aux_sym_declare_statement_token2] = ACTIONS(1010),
    [sym_float] = ACTIONS(1010),
    [aux_sym_try_statement_token1] = ACTIONS(1010),
    [aux_sym_catch_clause_token1] = ACTIONS(1010),
    [aux_sym_finally_clause_token1] = ACTIONS(1010),
    [aux_sym_goto_statement_token1] = ACTIONS(1010),
    [aux_sym_continue_statement_token1] = ACTIONS(1010),
    [aux_sym_break_statement_token1] = ACTIONS(1010),
    [sym_integer] = ACTIONS(1010),
    [aux_sym_return_statement_token1] = ACTIONS(1010),
    [aux_sym_throw_expression_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token2] = ACTIONS(1010),
    [aux_sym_do_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token2] = ACTIONS(1010),
    [aux_sym_foreach_statement_token1] = ACTIONS(1010),
    [aux_sym_foreach_statement_token2] = ACTIONS(1010),
    [aux_sym_if_statement_token1] = ACTIONS(1010),
    [aux_sym_if_statement_token2] = ACTIONS(1010),
    [aux_sym_else_if_clause_token1] = ACTIONS(1010),
    [aux_sym_else_clause_token1] = ACTIONS(1010),
    [aux_sym_match_expression_token1] = ACTIONS(1010),
    [aux_sym_match_default_expression_token1] = ACTIONS(1010),
    [aux_sym_switch_statement_token1] = ACTIONS(1010),
    [aux_sym_switch_block_token1] = ACTIONS(1010),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1008),
    [aux_sym_clone_expression_token1] = ACTIONS(1010),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1010),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1010),
    [anon_sym_PLUS_PLUS] = ACTIONS(1008),
    [anon_sym_DASH_DASH] = ACTIONS(1008),
    [aux_sym__list_destructing_token1] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1008),
    [anon_sym_self] = ACTIONS(1010),
    [anon_sym_parent] = ACTIONS(1010),
    [anon_sym_POUND_LBRACK] = ACTIONS(1008),
    [anon_sym_SQUOTE] = ACTIONS(1008),
    [aux_sym_encapsed_string_token1] = ACTIONS(1008),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [aux_sym_string_token1] = ACTIONS(1008),
    [anon_sym_LT_LT_LT] = ACTIONS(1008),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_boolean] = ACTIONS(1010),
    [sym_null] = ACTIONS(1010),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [aux_sym_yield_expression_token1] = ACTIONS(1010),
    [aux_sym_include_expression_token1] = ACTIONS(1010),
    [aux_sym_include_once_expression_token1] = ACTIONS(1010),
    [aux_sym_require_expression_token1] = ACTIONS(1010),
    [aux_sym_require_once_expression_token1] = ACTIONS(1010),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(2444),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym_match_expression] = STATE(2528),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(910),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(693),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_expression] = STATE(910),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2492),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1652),
    [sym_array_creation_expression] = STATE(693),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(693),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1555),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_name] = ACTIONS(1014),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1016),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1014),
    [aux_sym_global_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_definition_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1014),
    [anon_sym_BSLASH] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym_trait_declaration_token1] = ACTIONS(1014),
    [aux_sym_interface_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_case_token1] = ACTIONS(1014),
    [aux_sym_class_declaration_token1] = ACTIONS(1014),
    [aux_sym_final_modifier_token1] = ACTIONS(1014),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1014),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1014),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [aux_sym_cast_type_token1] = ACTIONS(1014),
    [aux_sym_echo_statement_token1] = ACTIONS(1014),
    [anon_sym_unset] = ACTIONS(1014),
    [aux_sym_declare_statement_token1] = ACTIONS(1014),
    [aux_sym_declare_statement_token2] = ACTIONS(1014),
    [sym_float] = ACTIONS(1014),
    [aux_sym_try_statement_token1] = ACTIONS(1014),
    [aux_sym_goto_statement_token1] = ACTIONS(1014),
    [aux_sym_continue_statement_token1] = ACTIONS(1014),
    [aux_sym_break_statement_token1] = ACTIONS(1014),
    [sym_integer] = ACTIONS(1014),
    [aux_sym_return_statement_token1] = ACTIONS(1014),
    [aux_sym_throw_expression_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token2] = ACTIONS(1014),
    [aux_sym_do_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token2] = ACTIONS(1014),
    [aux_sym_foreach_statement_token1] = ACTIONS(1014),
    [aux_sym_foreach_statement_token2] = ACTIONS(1014),
    [aux_sym_if_statement_token1] = ACTIONS(1014),
    [aux_sym_if_statement_token2] = ACTIONS(1014),
    [aux_sym_else_if_clause_token1] = ACTIONS(1014),
    [aux_sym_else_clause_token1] = ACTIONS(1014),
    [aux_sym_match_expression_token1] = ACTIONS(1014),
    [aux_sym_match_default_expression_token1] = ACTIONS(1014),
    [aux_sym_switch_statement_token1] = ACTIONS(1014),
    [aux_sym_switch_block_token1] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [aux_sym_clone_expression_token1] = ACTIONS(1014),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1014),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1014),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [aux_sym__list_destructing_token1] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(1014),
    [anon_sym_parent] = ACTIONS(1014),
    [anon_sym_POUND_LBRACK] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [aux_sym_encapsed_string_token1] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_string_token1] = ACTIONS(1012),
    [anon_sym_LT_LT_LT] = ACTIONS(1012),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [sym_boolean] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [anon_sym_DOLLAR] = ACTIONS(1012),
    [aux_sym_yield_expression_token1] = ACTIONS(1014),
    [aux_sym_include_expression_token1] = ACTIONS(1014),
    [aux_sym_include_once_expression_token1] = ACTIONS(1014),
    [aux_sym_require_expression_token1] = ACTIONS(1014),
    [aux_sym_require_once_expression_token1] = ACTIONS(1014),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1016),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1018),
    [sym_name] = ACTIONS(1020),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1022),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1020),
    [aux_sym_global_declaration_token1] = ACTIONS(1020),
    [aux_sym_namespace_definition_token1] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1020),
    [anon_sym_BSLASH] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1018),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [aux_sym_trait_declaration_token1] = ACTIONS(1020),
    [aux_sym_interface_declaration_token1] = ACTIONS(1020),
    [aux_sym_enum_declaration_token1] = ACTIONS(1020),
    [aux_sym_enum_case_token1] = ACTIONS(1020),
    [aux_sym_class_declaration_token1] = ACTIONS(1020),
    [aux_sym_final_modifier_token1] = ACTIONS(1020),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1020),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1020),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1020),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [aux_sym_cast_type_token1] = ACTIONS(1020),
    [aux_sym_echo_statement_token1] = ACTIONS(1020),
    [anon_sym_unset] = ACTIONS(1020),
    [aux_sym_declare_statement_token1] = ACTIONS(1020),
    [aux_sym_declare_statement_token2] = ACTIONS(1020),
    [sym_float] = ACTIONS(1020),
    [aux_sym_try_statement_token1] = ACTIONS(1020),
    [aux_sym_goto_statement_token1] = ACTIONS(1020),
    [aux_sym_continue_statement_token1] = ACTIONS(1020),
    [aux_sym_break_statement_token1] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1020),
    [aux_sym_return_statement_token1] = ACTIONS(1020),
    [aux_sym_throw_expression_token1] = ACTIONS(1020),
    [aux_sym_while_statement_token1] = ACTIONS(1020),
    [aux_sym_while_statement_token2] = ACTIONS(1020),
    [aux_sym_do_statement_token1] = ACTIONS(1020),
    [aux_sym_for_statement_token1] = ACTIONS(1020),
    [aux_sym_for_statement_token2] = ACTIONS(1020),
    [aux_sym_foreach_statement_token1] = ACTIONS(1020),
    [aux_sym_foreach_statement_token2] = ACTIONS(1020),
    [aux_sym_if_statement_token1] = ACTIONS(1020),
    [aux_sym_if_statement_token2] = ACTIONS(1020),
    [aux_sym_else_if_clause_token1] = ACTIONS(1020),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1020),
    [aux_sym_match_default_expression_token1] = ACTIONS(1020),
    [aux_sym_switch_statement_token1] = ACTIONS(1020),
    [aux_sym_switch_block_token1] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_BANG] = ACTIONS(1018),
    [aux_sym_clone_expression_token1] = ACTIONS(1020),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1020),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1018),
    [anon_sym_DASH_DASH] = ACTIONS(1018),
    [aux_sym__list_destructing_token1] = ACTIONS(1020),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [anon_sym_self] = ACTIONS(1020),
    [anon_sym_parent] = ACTIONS(1020),
    [anon_sym_POUND_LBRACK] = ACTIONS(1018),
    [anon_sym_SQUOTE] = ACTIONS(1018),
    [aux_sym_encapsed_string_token1] = ACTIONS(1018),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [aux_sym_string_token1] = ACTIONS(1018),
    [anon_sym_LT_LT_LT] = ACTIONS(1018),
    [anon_sym_BQUOTE] = ACTIONS(1018),
    [sym_boolean] = ACTIONS(1020),
    [sym_null] = ACTIONS(1020),
    [anon_sym_DOLLAR] = ACTIONS(1018),
    [aux_sym_yield_expression_token1] = ACTIONS(1020),
    [aux_sym_include_expression_token1] = ACTIONS(1020),
    [aux_sym_include_once_expression_token1] = ACTIONS(1020),
    [aux_sym_require_expression_token1] = ACTIONS(1020),
    [aux_sym_require_once_expression_token1] = ACTIONS(1020),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1022),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_name] = ACTIONS(1026),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1028),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1026),
    [aux_sym_global_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_definition_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1026),
    [anon_sym_BSLASH] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [aux_sym_trait_declaration_token1] = ACTIONS(1026),
    [aux_sym_interface_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_case_token1] = ACTIONS(1026),
    [aux_sym_class_declaration_token1] = ACTIONS(1026),
    [aux_sym_final_modifier_token1] = ACTIONS(1026),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1026),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1026),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [aux_sym_cast_type_token1] = ACTIONS(1026),
    [aux_sym_echo_statement_token1] = ACTIONS(1026),
    [anon_sym_unset] = ACTIONS(1026),
    [aux_sym_declare_statement_token1] = ACTIONS(1026),
    [aux_sym_declare_statement_token2] = ACTIONS(1026),
    [sym_float] = ACTIONS(1026),
    [aux_sym_try_statement_token1] = ACTIONS(1026),
    [aux_sym_goto_statement_token1] = ACTIONS(1026),
    [aux_sym_continue_statement_token1] = ACTIONS(1026),
    [aux_sym_break_statement_token1] = ACTIONS(1026),
    [sym_integer] = ACTIONS(1026),
    [aux_sym_return_statement_token1] = ACTIONS(1026),
    [aux_sym_throw_expression_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token2] = ACTIONS(1026),
    [aux_sym_do_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token2] = ACTIONS(1026),
    [aux_sym_foreach_statement_token1] = ACTIONS(1026),
    [aux_sym_foreach_statement_token2] = ACTIONS(1026),
    [aux_sym_if_statement_token1] = ACTIONS(1026),
    [aux_sym_if_statement_token2] = ACTIONS(1026),
    [aux_sym_else_if_clause_token1] = ACTIONS(1026),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1026),
    [aux_sym_match_default_expression_token1] = ACTIONS(1026),
    [aux_sym_switch_statement_token1] = ACTIONS(1026),
    [aux_sym_switch_block_token1] = ACTIONS(1026),
    [anon_sym_AT] = ACTIONS(1024),
    [anon_sym_PLUS] = ACTIONS(1026),
    [anon_sym_DASH] = ACTIONS(1026),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [aux_sym_clone_expression_token1] = ACTIONS(1026),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1026),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1026),
    [anon_sym_PLUS_PLUS] = ACTIONS(1024),
    [anon_sym_DASH_DASH] = ACTIONS(1024),
    [aux_sym__list_destructing_token1] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [anon_sym_self] = ACTIONS(1026),
    [anon_sym_parent] = ACTIONS(1026),
    [anon_sym_POUND_LBRACK] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [aux_sym_encapsed_string_token1] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [aux_sym_string_token1] = ACTIONS(1024),
    [anon_sym_LT_LT_LT] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(1024),
    [sym_boolean] = ACTIONS(1026),
    [sym_null] = ACTIONS(1026),
    [anon_sym_DOLLAR] = ACTIONS(1024),
    [aux_sym_yield_expression_token1] = ACTIONS(1026),
    [aux_sym_include_expression_token1] = ACTIONS(1026),
    [aux_sym_include_once_expression_token1] = ACTIONS(1026),
    [aux_sym_require_expression_token1] = ACTIONS(1026),
    [aux_sym_require_once_expression_token1] = ACTIONS(1026),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1028),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_name] = ACTIONS(1032),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1030),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1032),
    [aux_sym_global_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_definition_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1032),
    [anon_sym_BSLASH] = ACTIONS(1030),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [aux_sym_trait_declaration_token1] = ACTIONS(1032),
    [aux_sym_interface_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_case_token1] = ACTIONS(1032),
    [aux_sym_class_declaration_token1] = ACTIONS(1032),
    [aux_sym_final_modifier_token1] = ACTIONS(1032),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1032),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1032),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [aux_sym_cast_type_token1] = ACTIONS(1032),
    [aux_sym_echo_statement_token1] = ACTIONS(1032),
    [anon_sym_unset] = ACTIONS(1032),
    [aux_sym_declare_statement_token1] = ACTIONS(1032),
    [aux_sym_declare_statement_token2] = ACTIONS(1032),
    [sym_float] = ACTIONS(1032),
    [aux_sym_try_statement_token1] = ACTIONS(1032),
    [aux_sym_goto_statement_token1] = ACTIONS(1032),
    [aux_sym_continue_statement_token1] = ACTIONS(1032),
    [aux_sym_break_statement_token1] = ACTIONS(1032),
    [sym_integer] = ACTIONS(1032),
    [aux_sym_return_statement_token1] = ACTIONS(1032),
    [aux_sym_throw_expression_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token2] = ACTIONS(1032),
    [aux_sym_do_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token2] = ACTIONS(1032),
    [aux_sym_foreach_statement_token1] = ACTIONS(1032),
    [aux_sym_foreach_statement_token2] = ACTIONS(1032),
    [aux_sym_if_statement_token1] = ACTIONS(1032),
    [aux_sym_if_statement_token2] = ACTIONS(1032),
    [aux_sym_else_if_clause_token1] = ACTIONS(1032),
    [aux_sym_else_clause_token1] = ACTIONS(1032),
    [aux_sym_match_expression_token1] = ACTIONS(1032),
    [aux_sym_match_default_expression_token1] = ACTIONS(1032),
    [aux_sym_switch_statement_token1] = ACTIONS(1032),
    [aux_sym_switch_block_token1] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [aux_sym_clone_expression_token1] = ACTIONS(1032),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1032),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [aux_sym__list_destructing_token1] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1030),
    [anon_sym_self] = ACTIONS(1032),
    [anon_sym_parent] = ACTIONS(1032),
    [anon_sym_POUND_LBRACK] = ACTIONS(1030),
    [anon_sym_SQUOTE] = ACTIONS(1030),
    [aux_sym_encapsed_string_token1] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [aux_sym_string_token1] = ACTIONS(1030),
    [anon_sym_LT_LT_LT] = ACTIONS(1030),
    [anon_sym_BQUOTE] = ACTIONS(1030),
    [sym_boolean] = ACTIONS(1032),
    [sym_null] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1030),
    [aux_sym_yield_expression_token1] = ACTIONS(1032),
    [aux_sym_include_expression_token1] = ACTIONS(1032),
    [aux_sym_include_once_expression_token1] = ACTIONS(1032),
    [aux_sym_require_expression_token1] = ACTIONS(1032),
    [aux_sym_require_once_expression_token1] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1030),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1034),
    [sym_name] = ACTIONS(1036),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1038),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1036),
    [aux_sym_global_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_definition_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1036),
    [anon_sym_BSLASH] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1034),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [aux_sym_trait_declaration_token1] = ACTIONS(1036),
    [aux_sym_interface_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_case_token1] = ACTIONS(1036),
    [aux_sym_class_declaration_token1] = ACTIONS(1036),
    [aux_sym_final_modifier_token1] = ACTIONS(1036),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1036),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1036),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1036),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [aux_sym_cast_type_token1] = ACTIONS(1036),
    [aux_sym_echo_statement_token1] = ACTIONS(1036),
    [anon_sym_unset] = ACTIONS(1036),
    [aux_sym_declare_statement_token1] = ACTIONS(1036),
    [aux_sym_declare_statement_token2] = ACTIONS(1036),
    [sym_float] = ACTIONS(1036),
    [aux_sym_try_statement_token1] = ACTIONS(1036),
    [aux_sym_goto_statement_token1] = ACTIONS(1036),
    [aux_sym_continue_statement_token1] = ACTIONS(1036),
    [aux_sym_break_statement_token1] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1036),
    [aux_sym_return_statement_token1] = ACTIONS(1036),
    [aux_sym_throw_expression_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token2] = ACTIONS(1036),
    [aux_sym_do_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token2] = ACTIONS(1036),
    [aux_sym_foreach_statement_token1] = ACTIONS(1036),
    [aux_sym_foreach_statement_token2] = ACTIONS(1036),
    [aux_sym_if_statement_token1] = ACTIONS(1036),
    [aux_sym_if_statement_token2] = ACTIONS(1036),
    [aux_sym_else_if_clause_token1] = ACTIONS(1036),
    [aux_sym_else_clause_token1] = ACTIONS(1036),
    [aux_sym_match_expression_token1] = ACTIONS(1036),
    [aux_sym_match_default_expression_token1] = ACTIONS(1036),
    [aux_sym_switch_statement_token1] = ACTIONS(1036),
    [aux_sym_switch_block_token1] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1034),
    [anon_sym_BANG] = ACTIONS(1034),
    [aux_sym_clone_expression_token1] = ACTIONS(1036),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1036),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1034),
    [aux_sym__list_destructing_token1] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_self] = ACTIONS(1036),
    [anon_sym_parent] = ACTIONS(1036),
    [anon_sym_POUND_LBRACK] = ACTIONS(1034),
    [anon_sym_SQUOTE] = ACTIONS(1034),
    [aux_sym_encapsed_string_token1] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [aux_sym_string_token1] = ACTIONS(1034),
    [anon_sym_LT_LT_LT] = ACTIONS(1034),
    [anon_sym_BQUOTE] = ACTIONS(1034),
    [sym_boolean] = ACTIONS(1036),
    [sym_null] = ACTIONS(1036),
    [anon_sym_DOLLAR] = ACTIONS(1034),
    [aux_sym_yield_expression_token1] = ACTIONS(1036),
    [aux_sym_include_expression_token1] = ACTIONS(1036),
    [aux_sym_include_once_expression_token1] = ACTIONS(1036),
    [aux_sym_require_expression_token1] = ACTIONS(1036),
    [aux_sym_require_once_expression_token1] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1038),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1044),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [sym_boolean] = ACTIONS(1042),
    [sym_null] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1044),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_name] = ACTIONS(1048),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1050),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1048),
    [aux_sym_global_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_definition_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1048),
    [anon_sym_BSLASH] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [aux_sym_trait_declaration_token1] = ACTIONS(1048),
    [aux_sym_interface_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_case_token1] = ACTIONS(1048),
    [aux_sym_class_declaration_token1] = ACTIONS(1048),
    [aux_sym_final_modifier_token1] = ACTIONS(1048),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1048),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [aux_sym_cast_type_token1] = ACTIONS(1048),
    [aux_sym_echo_statement_token1] = ACTIONS(1048),
    [anon_sym_unset] = ACTIONS(1048),
    [aux_sym_declare_statement_token1] = ACTIONS(1048),
    [aux_sym_declare_statement_token2] = ACTIONS(1048),
    [sym_float] = ACTIONS(1048),
    [aux_sym_try_statement_token1] = ACTIONS(1048),
    [aux_sym_goto_statement_token1] = ACTIONS(1048),
    [aux_sym_continue_statement_token1] = ACTIONS(1048),
    [aux_sym_break_statement_token1] = ACTIONS(1048),
    [sym_integer] = ACTIONS(1048),
    [aux_sym_return_statement_token1] = ACTIONS(1048),
    [aux_sym_throw_expression_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token2] = ACTIONS(1048),
    [aux_sym_do_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token2] = ACTIONS(1048),
    [aux_sym_foreach_statement_token1] = ACTIONS(1048),
    [aux_sym_foreach_statement_token2] = ACTIONS(1048),
    [aux_sym_if_statement_token1] = ACTIONS(1048),
    [aux_sym_if_statement_token2] = ACTIONS(1048),
    [aux_sym_else_if_clause_token1] = ACTIONS(1048),
    [aux_sym_else_clause_token1] = ACTIONS(1048),
    [aux_sym_match_expression_token1] = ACTIONS(1048),
    [aux_sym_match_default_expression_token1] = ACTIONS(1048),
    [aux_sym_switch_statement_token1] = ACTIONS(1048),
    [aux_sym_switch_block_token1] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [aux_sym_clone_expression_token1] = ACTIONS(1048),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1048),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [aux_sym__list_destructing_token1] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_self] = ACTIONS(1048),
    [anon_sym_parent] = ACTIONS(1048),
    [anon_sym_POUND_LBRACK] = ACTIONS(1046),
    [anon_sym_SQUOTE] = ACTIONS(1046),
    [aux_sym_encapsed_string_token1] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [aux_sym_string_token1] = ACTIONS(1046),
    [anon_sym_LT_LT_LT] = ACTIONS(1046),
    [anon_sym_BQUOTE] = ACTIONS(1046),
    [sym_boolean] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1046),
    [aux_sym_yield_expression_token1] = ACTIONS(1048),
    [aux_sym_include_expression_token1] = ACTIONS(1048),
    [aux_sym_include_once_expression_token1] = ACTIONS(1048),
    [aux_sym_require_expression_token1] = ACTIONS(1048),
    [aux_sym_require_once_expression_token1] = ACTIONS(1048),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1050),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1056),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [sym_boolean] = ACTIONS(1054),
    [sym_null] = ACTIONS(1054),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1056),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1058),
    [sym_name] = ACTIONS(1060),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1060),
    [aux_sym_global_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_definition_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [aux_sym_trait_declaration_token1] = ACTIONS(1060),
    [aux_sym_interface_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_case_token1] = ACTIONS(1060),
    [aux_sym_class_declaration_token1] = ACTIONS(1060),
    [aux_sym_final_modifier_token1] = ACTIONS(1060),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1060),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1060),
    [aux_sym_echo_statement_token1] = ACTIONS(1060),
    [anon_sym_unset] = ACTIONS(1060),
    [aux_sym_declare_statement_token1] = ACTIONS(1060),
    [aux_sym_declare_statement_token2] = ACTIONS(1060),
    [sym_float] = ACTIONS(1060),
    [aux_sym_try_statement_token1] = ACTIONS(1060),
    [aux_sym_goto_statement_token1] = ACTIONS(1060),
    [aux_sym_continue_statement_token1] = ACTIONS(1060),
    [aux_sym_break_statement_token1] = ACTIONS(1060),
    [sym_integer] = ACTIONS(1060),
    [aux_sym_return_statement_token1] = ACTIONS(1060),
    [aux_sym_throw_expression_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token2] = ACTIONS(1060),
    [aux_sym_do_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token2] = ACTIONS(1060),
    [aux_sym_foreach_statement_token1] = ACTIONS(1060),
    [aux_sym_foreach_statement_token2] = ACTIONS(1060),
    [aux_sym_if_statement_token1] = ACTIONS(1060),
    [aux_sym_if_statement_token2] = ACTIONS(1060),
    [aux_sym_else_if_clause_token1] = ACTIONS(1060),
    [aux_sym_else_clause_token1] = ACTIONS(1060),
    [aux_sym_match_expression_token1] = ACTIONS(1060),
    [aux_sym_match_default_expression_token1] = ACTIONS(1060),
    [aux_sym_switch_statement_token1] = ACTIONS(1060),
    [aux_sym_switch_block_token1] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [aux_sym_clone_expression_token1] = ACTIONS(1060),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1060),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1058),
    [aux_sym__list_destructing_token1] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_self] = ACTIONS(1060),
    [anon_sym_parent] = ACTIONS(1060),
    [anon_sym_POUND_LBRACK] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [aux_sym_encapsed_string_token1] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [aux_sym_string_token1] = ACTIONS(1058),
    [anon_sym_LT_LT_LT] = ACTIONS(1058),
    [anon_sym_BQUOTE] = ACTIONS(1058),
    [sym_boolean] = ACTIONS(1060),
    [sym_null] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [aux_sym_yield_expression_token1] = ACTIONS(1060),
    [aux_sym_include_expression_token1] = ACTIONS(1060),
    [aux_sym_include_once_expression_token1] = ACTIONS(1060),
    [aux_sym_require_expression_token1] = ACTIONS(1060),
    [aux_sym_require_once_expression_token1] = ACTIONS(1060),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1062),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [sym_boolean] = ACTIONS(1066),
    [sym_null] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1068),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_name] = ACTIONS(1072),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1072),
    [aux_sym_global_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_definition_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [aux_sym_trait_declaration_token1] = ACTIONS(1072),
    [aux_sym_interface_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_case_token1] = ACTIONS(1072),
    [aux_sym_class_declaration_token1] = ACTIONS(1072),
    [aux_sym_final_modifier_token1] = ACTIONS(1072),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1072),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1072),
    [aux_sym_echo_statement_token1] = ACTIONS(1072),
    [anon_sym_unset] = ACTIONS(1072),
    [aux_sym_declare_statement_token1] = ACTIONS(1072),
    [aux_sym_declare_statement_token2] = ACTIONS(1072),
    [sym_float] = ACTIONS(1072),
    [aux_sym_try_statement_token1] = ACTIONS(1072),
    [aux_sym_goto_statement_token1] = ACTIONS(1072),
    [aux_sym_continue_statement_token1] = ACTIONS(1072),
    [aux_sym_break_statement_token1] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1072),
    [aux_sym_return_statement_token1] = ACTIONS(1072),
    [aux_sym_throw_expression_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token2] = ACTIONS(1072),
    [aux_sym_do_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token2] = ACTIONS(1072),
    [aux_sym_foreach_statement_token1] = ACTIONS(1072),
    [aux_sym_foreach_statement_token2] = ACTIONS(1072),
    [aux_sym_if_statement_token1] = ACTIONS(1072),
    [aux_sym_if_statement_token2] = ACTIONS(1072),
    [aux_sym_else_if_clause_token1] = ACTIONS(1072),
    [aux_sym_else_clause_token1] = ACTIONS(1072),
    [aux_sym_match_expression_token1] = ACTIONS(1072),
    [aux_sym_match_default_expression_token1] = ACTIONS(1072),
    [aux_sym_switch_statement_token1] = ACTIONS(1072),
    [aux_sym_switch_block_token1] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_BANG] = ACTIONS(1070),
    [aux_sym_clone_expression_token1] = ACTIONS(1072),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1072),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [aux_sym__list_destructing_token1] = ACTIONS(1072),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_self] = ACTIONS(1072),
    [anon_sym_parent] = ACTIONS(1072),
    [anon_sym_POUND_LBRACK] = ACTIONS(1070),
    [anon_sym_SQUOTE] = ACTIONS(1070),
    [aux_sym_encapsed_string_token1] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [aux_sym_string_token1] = ACTIONS(1070),
    [anon_sym_LT_LT_LT] = ACTIONS(1070),
    [anon_sym_BQUOTE] = ACTIONS(1070),
    [sym_boolean] = ACTIONS(1072),
    [sym_null] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1070),
    [aux_sym_yield_expression_token1] = ACTIONS(1072),
    [aux_sym_include_expression_token1] = ACTIONS(1072),
    [aux_sym_include_once_expression_token1] = ACTIONS(1072),
    [aux_sym_require_expression_token1] = ACTIONS(1072),
    [aux_sym_require_once_expression_token1] = ACTIONS(1072),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1074),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_boolean] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1080),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [sym_boolean] = ACTIONS(1084),
    [sym_null] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1086),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [sym_boolean] = ACTIONS(1090),
    [sym_null] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1092),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [sym_boolean] = ACTIONS(1096),
    [sym_null] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1098),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [sym_boolean] = ACTIONS(1102),
    [sym_null] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1104),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [sym_boolean] = ACTIONS(1108),
    [sym_null] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1106),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [sym_boolean] = ACTIONS(1112),
    [sym_null] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1114),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [sym_boolean] = ACTIONS(1118),
    [sym_null] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1120),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [sym_boolean] = ACTIONS(1124),
    [sym_null] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1126),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [sym_boolean] = ACTIONS(1130),
    [sym_null] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [sym_boolean] = ACTIONS(1134),
    [sym_null] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [sym_boolean] = ACTIONS(1138),
    [sym_null] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [sym_boolean] = ACTIONS(1142),
    [sym_null] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [sym_boolean] = ACTIONS(1142),
    [sym_null] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [sym_boolean] = ACTIONS(1146),
    [sym_null] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [sym_boolean] = ACTIONS(1150),
    [sym_null] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [sym_boolean] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_boolean] = ACTIONS(1158),
    [sym_null] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [sym_boolean] = ACTIONS(1162),
    [sym_null] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [sym_boolean] = ACTIONS(1166),
    [sym_null] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [sym_boolean] = ACTIONS(1170),
    [sym_null] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [sym_boolean] = ACTIONS(1174),
    [sym_null] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [sym_boolean] = ACTIONS(1178),
    [sym_null] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [sym_boolean] = ACTIONS(1182),
    [sym_null] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [sym_boolean] = ACTIONS(1186),
    [sym_null] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [sym_boolean] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [sym_boolean] = ACTIONS(1194),
    [sym_null] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [sym_boolean] = ACTIONS(1198),
    [sym_null] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [sym_boolean] = ACTIONS(1198),
    [sym_null] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [sym_boolean] = ACTIONS(1202),
    [sym_null] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [sym_boolean] = ACTIONS(1206),
    [sym_null] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [sym_boolean] = ACTIONS(1210),
    [sym_null] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [sym_boolean] = ACTIONS(1214),
    [sym_null] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_boolean] = ACTIONS(1218),
    [sym_null] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [sym_boolean] = ACTIONS(1222),
    [sym_null] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_boolean] = ACTIONS(1218),
    [sym_null] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [sym_boolean] = ACTIONS(1226),
    [sym_null] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [sym_boolean] = ACTIONS(1230),
    [sym_null] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [sym_boolean] = ACTIONS(1234),
    [sym_null] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [sym_boolean] = ACTIONS(1238),
    [sym_null] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [sym_boolean] = ACTIONS(1230),
    [sym_null] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [sym_boolean] = ACTIONS(1242),
    [sym_null] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [sym_boolean] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [sym_boolean] = ACTIONS(1250),
    [sym_null] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [sym_boolean] = ACTIONS(1254),
    [sym_null] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [sym_boolean] = ACTIONS(1258),
    [sym_null] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [sym_boolean] = ACTIONS(1262),
    [sym_null] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [sym_boolean] = ACTIONS(1266),
    [sym_null] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [sym_boolean] = ACTIONS(1270),
    [sym_null] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym_name] = ACTIONS(1006),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1004),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1006),
    [aux_sym_global_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_definition_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1006),
    [anon_sym_BSLASH] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym_trait_declaration_token1] = ACTIONS(1006),
    [aux_sym_interface_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_case_token1] = ACTIONS(1006),
    [aux_sym_class_declaration_token1] = ACTIONS(1006),
    [aux_sym_final_modifier_token1] = ACTIONS(1006),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1006),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1006),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [aux_sym_cast_type_token1] = ACTIONS(1006),
    [aux_sym_echo_statement_token1] = ACTIONS(1006),
    [anon_sym_unset] = ACTIONS(1006),
    [aux_sym_declare_statement_token1] = ACTIONS(1006),
    [aux_sym_declare_statement_token2] = ACTIONS(1006),
    [sym_float] = ACTIONS(1006),
    [aux_sym_try_statement_token1] = ACTIONS(1006),
    [aux_sym_goto_statement_token1] = ACTIONS(1006),
    [aux_sym_continue_statement_token1] = ACTIONS(1006),
    [aux_sym_break_statement_token1] = ACTIONS(1006),
    [sym_integer] = ACTIONS(1006),
    [aux_sym_return_statement_token1] = ACTIONS(1006),
    [aux_sym_throw_expression_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token2] = ACTIONS(1006),
    [aux_sym_do_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token2] = ACTIONS(1006),
    [aux_sym_foreach_statement_token1] = ACTIONS(1006),
    [aux_sym_foreach_statement_token2] = ACTIONS(1006),
    [aux_sym_if_statement_token1] = ACTIONS(1006),
    [aux_sym_if_statement_token2] = ACTIONS(1006),
    [aux_sym_else_if_clause_token1] = ACTIONS(1006),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1006),
    [aux_sym_match_default_expression_token1] = ACTIONS(1006),
    [aux_sym_switch_statement_token1] = ACTIONS(1006),
    [aux_sym_switch_block_token1] = ACTIONS(1006),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1004),
    [aux_sym_clone_expression_token1] = ACTIONS(1006),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1006),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1004),
    [anon_sym_DASH_DASH] = ACTIONS(1004),
    [aux_sym__list_destructing_token1] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(1004),
    [anon_sym_self] = ACTIONS(1006),
    [anon_sym_parent] = ACTIONS(1006),
    [anon_sym_POUND_LBRACK] = ACTIONS(1004),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [aux_sym_encapsed_string_token1] = ACTIONS(1004),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [aux_sym_string_token1] = ACTIONS(1004),
    [anon_sym_LT_LT_LT] = ACTIONS(1004),
    [anon_sym_BQUOTE] = ACTIONS(1004),
    [sym_boolean] = ACTIONS(1006),
    [sym_null] = ACTIONS(1006),
    [anon_sym_DOLLAR] = ACTIONS(1004),
    [aux_sym_yield_expression_token1] = ACTIONS(1006),
    [aux_sym_include_expression_token1] = ACTIONS(1006),
    [aux_sym_include_once_expression_token1] = ACTIONS(1006),
    [aux_sym_require_expression_token1] = ACTIONS(1006),
    [aux_sym_require_once_expression_token1] = ACTIONS(1006),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [sym_boolean] = ACTIONS(1274),
    [sym_null] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [sym_boolean] = ACTIONS(1278),
    [sym_null] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_boolean] = ACTIONS(1282),
    [sym_null] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [sym_boolean] = ACTIONS(1286),
    [sym_null] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [sym_boolean] = ACTIONS(1290),
    [sym_null] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [sym_boolean] = ACTIONS(1294),
    [sym_null] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [sym_boolean] = ACTIONS(1298),
    [sym_null] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [sym_boolean] = ACTIONS(1286),
    [sym_null] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym_name] = ACTIONS(998),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_function_static_declaration_token1] = ACTIONS(998),
    [aux_sym_global_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_definition_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(998),
    [anon_sym_BSLASH] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym_trait_declaration_token1] = ACTIONS(998),
    [aux_sym_interface_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_case_token1] = ACTIONS(998),
    [aux_sym_class_declaration_token1] = ACTIONS(998),
    [aux_sym_final_modifier_token1] = ACTIONS(998),
    [aux_sym_abstract_modifier_token1] = ACTIONS(998),
    [aux_sym_readonly_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token2] = ACTIONS(998),
    [aux_sym_visibility_modifier_token3] = ACTIONS(998),
    [aux_sym__arrow_function_header_token1] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [aux_sym_cast_type_token1] = ACTIONS(998),
    [aux_sym_echo_statement_token1] = ACTIONS(998),
    [anon_sym_unset] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token2] = ACTIONS(998),
    [sym_float] = ACTIONS(998),
    [aux_sym_try_statement_token1] = ACTIONS(998),
    [aux_sym_goto_statement_token1] = ACTIONS(998),
    [aux_sym_continue_statement_token1] = ACTIONS(998),
    [aux_sym_break_statement_token1] = ACTIONS(998),
    [sym_integer] = ACTIONS(998),
    [aux_sym_return_statement_token1] = ACTIONS(998),
    [aux_sym_throw_expression_token1] = ACTIONS(998),
    [aux_sym_while_statement_token1] = ACTIONS(998),
    [aux_sym_while_statement_token2] = ACTIONS(998),
    [aux_sym_do_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token2] = ACTIONS(998),
    [aux_sym_foreach_statement_token1] = ACTIONS(998),
    [aux_sym_foreach_statement_token2] = ACTIONS(998),
    [aux_sym_if_statement_token1] = ACTIONS(998),
    [aux_sym_if_statement_token2] = ACTIONS(998),
    [aux_sym_else_if_clause_token1] = ACTIONS(998),
    [aux_sym_else_clause_token1] = ACTIONS(998),
    [aux_sym_match_expression_token1] = ACTIONS(998),
    [aux_sym_match_default_expression_token1] = ACTIONS(998),
    [aux_sym_switch_statement_token1] = ACTIONS(998),
    [aux_sym_switch_block_token1] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(998),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [aux_sym_clone_expression_token1] = ACTIONS(998),
    [aux_sym_print_intrinsic_token1] = ACTIONS(998),
    [aux_sym_object_creation_expression_token1] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [aux_sym__list_destructing_token1] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_self] = ACTIONS(998),
    [anon_sym_parent] = ACTIONS(998),
    [anon_sym_POUND_LBRACK] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [aux_sym_encapsed_string_token1] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_string_token1] = ACTIONS(996),
    [anon_sym_LT_LT_LT] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [sym_boolean] = ACTIONS(998),
    [sym_null] = ACTIONS(998),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [aux_sym_yield_expression_token1] = ACTIONS(998),
    [aux_sym_include_expression_token1] = ACTIONS(998),
    [aux_sym_include_once_expression_token1] = ACTIONS(998),
    [aux_sym_require_expression_token1] = ACTIONS(998),
    [aux_sym_require_once_expression_token1] = ACTIONS(998),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [sym_boolean] = ACTIONS(1302),
    [sym_null] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [sym_boolean] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [sym_boolean] = ACTIONS(1310),
    [sym_null] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [sym_boolean] = ACTIONS(1314),
    [sym_null] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [sym_boolean] = ACTIONS(1318),
    [sym_null] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [sym_boolean] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [sym_boolean] = ACTIONS(1326),
    [sym_null] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [sym_boolean] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [sym_boolean] = ACTIONS(1334),
    [sym_null] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [sym_boolean] = ACTIONS(1338),
    [sym_null] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [sym_boolean] = ACTIONS(1342),
    [sym_null] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [sym_boolean] = ACTIONS(1346),
    [sym_null] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [sym_boolean] = ACTIONS(1350),
    [sym_null] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [sym_boolean] = ACTIONS(1354),
    [sym_null] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [sym_boolean] = ACTIONS(1358),
    [sym_null] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [sym_boolean] = ACTIONS(1108),
    [sym_null] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [sym_boolean] = ACTIONS(1362),
    [sym_null] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [sym_boolean] = ACTIONS(1310),
    [sym_null] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [sym_boolean] = ACTIONS(1366),
    [sym_null] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [sym_boolean] = ACTIONS(1370),
    [sym_null] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_boolean] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [sym_boolean] = ACTIONS(1378),
    [sym_null] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [sym_boolean] = ACTIONS(1382),
    [sym_null] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_boolean] = ACTIONS(1386),
    [sym_null] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [sym_boolean] = ACTIONS(1390),
    [sym_null] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_boolean] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [sym_boolean] = ACTIONS(1398),
    [sym_null] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [sym_boolean] = ACTIONS(1362),
    [sym_null] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [sym_boolean] = ACTIONS(1402),
    [sym_null] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_boolean] = ACTIONS(1406),
    [sym_null] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [sym_boolean] = ACTIONS(1410),
    [sym_null] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [sym_boolean] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_boolean] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [sym_boolean] = ACTIONS(1422),
    [sym_null] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_boolean] = ACTIONS(1426),
    [sym_null] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [sym_boolean] = ACTIONS(1430),
    [sym_null] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [sym_boolean] = ACTIONS(1434),
    [sym_null] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_boolean] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_boolean] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [sym_boolean] = ACTIONS(1442),
    [sym_null] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [sym_boolean] = ACTIONS(1446),
    [sym_null] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym_boolean] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym_boolean] = ACTIONS(1454),
    [sym_null] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [sym_boolean] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [sym_boolean] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [sym_boolean] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_boolean] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [sym_boolean] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_boolean] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [sym_boolean] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_boolean] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [sym_boolean] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [sym_boolean] = ACTIONS(1494),
    [sym_null] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_name] = ACTIONS(1032),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1030),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1032),
    [aux_sym_global_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_definition_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1032),
    [anon_sym_BSLASH] = ACTIONS(1030),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [aux_sym_trait_declaration_token1] = ACTIONS(1032),
    [aux_sym_interface_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_case_token1] = ACTIONS(1032),
    [aux_sym_class_declaration_token1] = ACTIONS(1032),
    [aux_sym_final_modifier_token1] = ACTIONS(1032),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1032),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1032),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [aux_sym_cast_type_token1] = ACTIONS(1032),
    [aux_sym_echo_statement_token1] = ACTIONS(1032),
    [anon_sym_unset] = ACTIONS(1032),
    [aux_sym_declare_statement_token1] = ACTIONS(1032),
    [aux_sym_declare_statement_token2] = ACTIONS(1032),
    [sym_float] = ACTIONS(1032),
    [aux_sym_try_statement_token1] = ACTIONS(1032),
    [aux_sym_goto_statement_token1] = ACTIONS(1032),
    [aux_sym_continue_statement_token1] = ACTIONS(1032),
    [aux_sym_break_statement_token1] = ACTIONS(1032),
    [sym_integer] = ACTIONS(1032),
    [aux_sym_return_statement_token1] = ACTIONS(1032),
    [aux_sym_throw_expression_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token2] = ACTIONS(1032),
    [aux_sym_do_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token2] = ACTIONS(1032),
    [aux_sym_foreach_statement_token1] = ACTIONS(1032),
    [aux_sym_foreach_statement_token2] = ACTIONS(1032),
    [aux_sym_if_statement_token1] = ACTIONS(1032),
    [aux_sym_if_statement_token2] = ACTIONS(1032),
    [aux_sym_else_if_clause_token1] = ACTIONS(1032),
    [aux_sym_else_clause_token1] = ACTIONS(1032),
    [aux_sym_match_expression_token1] = ACTIONS(1032),
    [aux_sym_match_default_expression_token1] = ACTIONS(1032),
    [aux_sym_switch_statement_token1] = ACTIONS(1032),
    [aux_sym_switch_block_token1] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [aux_sym_clone_expression_token1] = ACTIONS(1032),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1032),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [aux_sym__list_destructing_token1] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1030),
    [anon_sym_self] = ACTIONS(1032),
    [anon_sym_parent] = ACTIONS(1032),
    [anon_sym_POUND_LBRACK] = ACTIONS(1030),
    [anon_sym_SQUOTE] = ACTIONS(1030),
    [aux_sym_encapsed_string_token1] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [aux_sym_string_token1] = ACTIONS(1030),
    [anon_sym_LT_LT_LT] = ACTIONS(1030),
    [anon_sym_BQUOTE] = ACTIONS(1030),
    [sym_boolean] = ACTIONS(1032),
    [sym_null] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1030),
    [aux_sym_yield_expression_token1] = ACTIONS(1032),
    [aux_sym_include_expression_token1] = ACTIONS(1032),
    [aux_sym_include_once_expression_token1] = ACTIONS(1032),
    [aux_sym_require_expression_token1] = ACTIONS(1032),
    [aux_sym_require_once_expression_token1] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [anon_sym_COLON] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [sym_boolean] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [sym_qualified_name] = STATE(825),
    [sym_namespace_name_as_prefix] = STATE(2612),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2604),
    [sym_arrow_function] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym__primary_expression] = STATE(1056),
    [sym_parenthesized_expression] = STATE(817),
    [sym_class_constant_access_expression] = STATE(901),
    [sym_print_intrinsic] = STATE(1131),
    [sym_anonymous_function_creation_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_update_expression] = STATE(1131),
    [sym_cast_variable] = STATE(848),
    [sym_member_access_expression] = STATE(848),
    [sym_nullsafe_member_access_expression] = STATE(848),
    [sym_scoped_property_access_expression] = STATE(848),
    [sym_function_call_expression] = STATE(776),
    [sym_scoped_call_expression] = STATE(776),
    [sym__scope_resolution_qualifier] = STATE(2425),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(776),
    [sym_nullsafe_member_call_expression] = STATE(776),
    [sym_subscript_expression] = STATE(776),
    [sym__dereferencable_expression] = STATE(1705),
    [sym_array_creation_expression] = STATE(817),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1762),
    [sym_encapsed_string] = STATE(875),
    [sym_string] = STATE(875),
    [sym_heredoc] = STATE(875),
    [sym_nowdoc] = STATE(875),
    [sym_shell_command_expression] = STATE(1131),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(776),
    [sym_variable_name] = STATE(776),
    [sym__reserved_identifier] = STATE(1545),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [sym_qualified_name] = STATE(699),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2441),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__primary_expression] = STATE(909),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_variable] = STATE(714),
    [sym_member_access_expression] = STATE(714),
    [sym_nullsafe_member_access_expression] = STATE(714),
    [sym_scoped_property_access_expression] = STATE(714),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2529),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1661),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1531),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [sym_qualified_name] = STATE(699),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__primary_expression] = STATE(909),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_variable] = STATE(714),
    [sym_member_access_expression] = STATE(714),
    [sym_nullsafe_member_access_expression] = STATE(714),
    [sym_scoped_property_access_expression] = STATE(714),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2529),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1661),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1531),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [sym_qualified_name] = STATE(699),
    [sym_namespace_name_as_prefix] = STATE(2475),
    [sym_namespace_name] = STATE(2611),
    [sym_static_modifier] = STATE(2608),
    [sym__arrow_function_header] = STATE(2480),
    [sym_arrow_function] = STATE(935),
    [sym_throw_expression] = STATE(935),
    [sym__primary_expression] = STATE(909),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(784),
    [sym_print_intrinsic] = STATE(935),
    [sym_anonymous_function_creation_expression] = STATE(935),
    [sym_object_creation_expression] = STATE(935),
    [sym_update_expression] = STATE(935),
    [sym_cast_variable] = STATE(714),
    [sym_member_access_expression] = STATE(714),
    [sym_nullsafe_member_access_expression] = STATE(714),
    [sym_scoped_property_access_expression] = STATE(714),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2529),
    [sym_relative_scope] = STATE(2599),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1661),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1353),
    [sym_attribute_list] = STATE(1755),
    [sym_encapsed_string] = STATE(746),
    [sym_string] = STATE(746),
    [sym_heredoc] = STATE(746),
    [sym_nowdoc] = STATE(746),
    [sym_shell_command_expression] = STATE(935),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1531),
    [aux_sym_attribute_list_repeat1] = STATE(1342),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_EQ] = ACTIONS(1514),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_base_clause_token1] = ACTIONS(1512),
    [anon_sym_COLON] = ACTIONS(1514),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_RPAREN] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_STAR_STAR] = ACTIONS(1514),
    [anon_sym_COLON_COLON] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1512),
    [anon_sym_STAR_EQ] = ACTIONS(1512),
    [anon_sym_SLASH_EQ] = ACTIONS(1512),
    [anon_sym_PERCENT_EQ] = ACTIONS(1512),
    [anon_sym_PLUS_EQ] = ACTIONS(1512),
    [anon_sym_DASH_EQ] = ACTIONS(1512),
    [anon_sym_DOT_EQ] = ACTIONS(1512),
    [anon_sym_LT_LT_EQ] = ACTIONS(1512),
    [anon_sym_GT_GT_EQ] = ACTIONS(1512),
    [anon_sym_AMP_EQ] = ACTIONS(1512),
    [anon_sym_CARET_EQ] = ACTIONS(1512),
    [anon_sym_PIPE_EQ] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1512),
    [anon_sym_DASH_GT] = ACTIONS(1512),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1512),
    [aux_sym_binary_expression_token1] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK] = ACTIONS(1514),
    [aux_sym_binary_expression_token2] = ACTIONS(1512),
    [aux_sym_binary_expression_token3] = ACTIONS(1512),
    [aux_sym_binary_expression_token4] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT_GT] = ACTIONS(1512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_LT_EQ_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(1516),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_base_clause_token1] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1520),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1518),
    [anon_sym_EQ_GT] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_QMARK] = ACTIONS(1520),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_STAR_STAR] = ACTIONS(1520),
    [anon_sym_COLON_COLON] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1518),
    [anon_sym_STAR_EQ] = ACTIONS(1518),
    [anon_sym_SLASH_EQ] = ACTIONS(1518),
    [anon_sym_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_DOT_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP_EQ] = ACTIONS(1518),
    [anon_sym_CARET_EQ] = ACTIONS(1518),
    [anon_sym_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1518),
    [anon_sym_DASH_GT] = ACTIONS(1518),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [aux_sym_binary_expression_token1] = ACTIONS(1518),
    [anon_sym_QMARK_QMARK] = ACTIONS(1520),
    [aux_sym_binary_expression_token2] = ACTIONS(1518),
    [aux_sym_binary_expression_token3] = ACTIONS(1518),
    [aux_sym_binary_expression_token4] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_LT_GT] = ACTIONS(1518),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_LT_EQ_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [sym_comment] = ACTIONS(1516),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_base_clause_token1] = ACTIONS(1522),
    [anon_sym_COLON] = ACTIONS(1524),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1522),
    [anon_sym_EQ_GT] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_STAR_STAR] = ACTIONS(1524),
    [anon_sym_COLON_COLON] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_DOT_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [aux_sym_binary_expression_token1] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK] = ACTIONS(1524),
    [aux_sym_binary_expression_token2] = ACTIONS(1522),
    [aux_sym_binary_expression_token3] = ACTIONS(1522),
    [aux_sym_binary_expression_token4] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [sym_comment] = ACTIONS(1516),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1528),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_base_clause_token1] = ACTIONS(1526),
    [anon_sym_COLON] = ACTIONS(1528),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1526),
    [anon_sym_EQ_GT] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_QMARK] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_STAR_STAR] = ACTIONS(1528),
    [anon_sym_COLON_COLON] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1526),
    [anon_sym_STAR_EQ] = ACTIONS(1526),
    [anon_sym_SLASH_EQ] = ACTIONS(1526),
    [anon_sym_PERCENT_EQ] = ACTIONS(1526),
    [anon_sym_PLUS_EQ] = ACTIONS(1526),
    [anon_sym_DASH_EQ] = ACTIONS(1526),
    [anon_sym_DOT_EQ] = ACTIONS(1526),
    [anon_sym_LT_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_AMP_EQ] = ACTIONS(1526),
    [anon_sym_CARET_EQ] = ACTIONS(1526),
    [anon_sym_PIPE_EQ] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1526),
    [anon_sym_DASH_GT] = ACTIONS(1526),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [aux_sym_binary_expression_token1] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK] = ACTIONS(1528),
    [aux_sym_binary_expression_token2] = ACTIONS(1526),
    [aux_sym_binary_expression_token3] = ACTIONS(1526),
    [aux_sym_binary_expression_token4] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_LT_GT] = ACTIONS(1526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_LT_EQ_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [sym_comment] = ACTIONS(1516),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(575), 1,
      sym_text_interpolation,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1542), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [87] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_text_interpolation,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1546), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [166] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(577), 1,
      sym_text_interpolation,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1550), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [245] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_text_interpolation,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1554), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1552), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [324] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1558), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1556), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_text_interpolation,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1562), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(581), 1,
      sym_text_interpolation,
    ACTIONS(1566), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_text_interpolation,
    ACTIONS(1570), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(583), 1,
      sym_text_interpolation,
    ACTIONS(1574), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1578), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1586), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1590), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1542), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1620), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1695] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1779] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1863] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1942] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1628), 1,
      anon_sym_RPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(600), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2031] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(601), 1,
      sym_text_interpolation,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1542), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2114] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2193] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_text_interpolation,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2276] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(604), 1,
      sym_text_interpolation,
    STATE(634), 1,
      sym_arguments,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1552), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2351] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(605), 1,
      sym_text_interpolation,
    STATE(619), 1,
      sym_arguments,
    ACTIONS(1562), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2426] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    STATE(606), 1,
      sym_text_interpolation,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2509] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_text_interpolation,
    STATE(612), 1,
      sym_arguments,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1556), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2584] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_text_interpolation,
    STATE(633), 1,
      sym_arguments,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2659] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(609), 1,
      sym_text_interpolation,
    STATE(624), 1,
      sym_arguments,
    ACTIONS(1550), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2734] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1542), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2817] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2887] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1578), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2957] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3027] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3109] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3179] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3249] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3327] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3397] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1566), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3467] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1524), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1522), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3537] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1520), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1518), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3607] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3677] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3747] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1590), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3817] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1528), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3887] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1644), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3971] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4055] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1514), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1512), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4125] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4207] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1574), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4277] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4361] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4439] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1586), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4509] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4579] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1542), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4656] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4733] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1628), 1,
      anon_sym_RPAREN,
    STATE(637), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4816] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4893] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_EQ,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1542), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4970] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_arguments,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5053] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5131] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5209] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5285] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1644), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5363] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1530), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5439] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1530), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1532), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5516] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(668), 1,
      sym_arguments,
    ACTIONS(1546), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5581] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_text_interpolation,
    STATE(672), 1,
      sym_arguments,
    ACTIONS(1554), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5646] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_text_interpolation,
    STATE(663), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5713] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5774] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_text_interpolation,
    STATE(663), 1,
      sym_arguments,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5843] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_text_interpolation,
    STATE(666), 1,
      sym_arguments,
    ACTIONS(1550), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5908] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_text_interpolation,
    STATE(731), 1,
      sym_arguments,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5979] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(590), 1,
      sym_arguments,
    STATE(654), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6050] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_text_interpolation,
    STATE(673), 1,
      sym_arguments,
    ACTIONS(1558), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6115] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(656), 1,
      sym_text_interpolation,
    STATE(663), 1,
      sym_arguments,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6186] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(657), 1,
      sym_text_interpolation,
    STATE(679), 1,
      sym_arguments,
    ACTIONS(1562), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6251] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1669), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1671), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1675), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1677), 1,
      sym_var_modifier,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(658), 1,
      sym_text_interpolation,
    STATE(1063), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1317), 1,
      sym__modifier,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1777), 1,
      sym_property_element,
    STATE(1778), 1,
      sym__function_definition_header,
    STATE(2025), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(1679), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1315), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6360] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1669), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1671), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1675), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1677), 1,
      sym_var_modifier,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(659), 1,
      sym_text_interpolation,
    STATE(1063), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1317), 1,
      sym__modifier,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1851), 1,
      sym_property_element,
    STATE(1855), 1,
      sym__function_definition_header,
    STATE(2121), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(1679), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1315), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6469] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(590), 1,
      sym_arguments,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6540] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1689), 1,
      sym_name,
    ACTIONS(1691), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(661), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1679), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2532), 1,
      sym_attribute_list,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2628), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1731), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(694), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(698), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1540), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6650] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6710] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6770] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6830] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1574), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6890] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1590), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1528), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1586), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7070] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1582), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7130] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1697), 1,
      sym_name,
    ACTIONS(1701), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    STATE(670), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1692), 1,
      sym__dereferencable_expression,
    STATE(2563), 1,
      sym__scope_resolution_qualifier,
    STATE(2568), 1,
      sym_attribute_list,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(841), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1731), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1699), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(836), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(838), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1540), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7240] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7300] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7360] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1578), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7420] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1707), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1514), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7544] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1520), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7604] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1524), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7664] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7724] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1566), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7784] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1711), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1709), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7904] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(682), 1,
      sym_text_interpolation,
    STATE(765), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7967] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_arguments,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8032] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_COMMA,
    ACTIONS(1717), 1,
      anon_sym_RPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1917), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8139] = 26,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1727), 1,
      sym_name,
    ACTIONS(1733), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1736), 1,
      anon_sym_BSLASH,
    ACTIONS(1739), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1744), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1747), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1759), 1,
      anon_sym_DOLLAR,
    STATE(1564), 1,
      sym_class_constant_access_expression,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(1750), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(1753), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(685), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2154), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1730), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1731), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1540), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8240] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8305] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8370] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8435] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8500] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(581), 1,
      sym_arguments,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8561] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2040), 1,
      sym__list_destructing,
    STATE(2042), 1,
      sym_by_ref,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1520), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1438), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8668] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8731] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8796] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(906), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8861] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(695), 1,
      sym_text_interpolation,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8926] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(762), 1,
      sym_arguments,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8989] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      sym_name,
    ACTIONS(1785), 1,
      anon_sym_RBRACE,
    STATE(685), 1,
      aux_sym_use_list_repeat1,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(1564), 1,
      sym_class_constant_access_expression,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2154), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1731), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1540), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9092] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9157] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_arguments,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9222] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(757), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9285] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2189), 1,
      sym_by_ref,
    STATE(2191), 1,
      sym__list_destructing,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1561), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1498), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9392] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9457] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9520] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      sym_name,
    ACTIONS(1787), 1,
      anon_sym_RBRACE,
    STATE(697), 1,
      aux_sym_use_list_repeat1,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(1564), 1,
      sym_class_constant_access_expression,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2154), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1731), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1540), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9623] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(673), 1,
      sym_arguments,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1707), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9686] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(581), 1,
      sym_arguments,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9749] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(707), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9814] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9875] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9938] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9999] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10062] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10123] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10184] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10247] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(725), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10310] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10373] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_text_interpolation,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10436] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10497] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(1789), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1896), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10604] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10662] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1496), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1498), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10720] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10778] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1795), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1793), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10894] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1514), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1799), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1797), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11068] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1803), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11126] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1807), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1811), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1809), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11242] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1600), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11302] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1819), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11360] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1823), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11476] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11534] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11592] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11650] = 28,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(738), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2273), 1,
      sym_by_ref,
    STATE(2274), 1,
      sym__array_destructing,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1532), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1494), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [11754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11812] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11870] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(1837), 1,
      anon_sym_RPAREN,
    STATE(741), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2344), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11974] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(742), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2344), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12078] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12136] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1524), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12194] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12252] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1847), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12310] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12370] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1853), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12428] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1857), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12486] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1861), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12544] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12602] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12660] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12718] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12776] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12834] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12892] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12950] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(1875), 1,
      anon_sym_RPAREN,
    STATE(758), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2344), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13054] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(1877), 1,
      anon_sym_RPAREN,
    STATE(759), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2344), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13158] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13216] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13274] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13332] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13390] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13448] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13506] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(998), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(996), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13563] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13622] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(590), 1,
      sym_arguments,
    STATE(768), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13689] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13748] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(770), 1,
      sym_text_interpolation,
    STATE(973), 1,
      sym_attribute_list,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1667), 1,
      sym__type,
    STATE(1916), 1,
      sym_reference_modifier,
    STATE(1918), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2344), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13849] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1004), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13967] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(622), 1,
      sym_arguments,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14034] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14093] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      sym_text_interpolation,
    STATE(802), 1,
      sym_arguments,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14154] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(776), 1,
      sym_text_interpolation,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14219] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(777), 1,
      sym_text_interpolation,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14282] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(778), 1,
      sym_text_interpolation,
    STATE(794), 1,
      sym_arguments,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14349] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14408] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(780), 1,
      sym_text_interpolation,
    STATE(800), 1,
      sym_arguments,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14469] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14536] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_text_interpolation,
    STATE(789), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14597] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(803), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14658] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14717] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14778] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1895), 1,
      anon_sym_COLON,
    STATE(622), 1,
      sym_arguments,
    STATE(786), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14846] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14902] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14958] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15014] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1897), 1,
      anon_sym_COLON,
    STATE(622), 1,
      sym_arguments,
    STATE(790), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15082] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1524), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15138] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1901), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1899), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_boolean,
      sym_null,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15194] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_COLON,
    STATE(590), 1,
      sym_arguments,
    STATE(793), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15318] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15374] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15430] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15486] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1514), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15542] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15598] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15654] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15710] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15766] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15878] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15934] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15990] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1508), 1,
      anon_sym_LPAREN,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1905), 1,
      sym_name,
    STATE(807), 1,
      sym_text_interpolation,
    STATE(1661), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2529), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1531), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1563), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(712), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(649), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16085] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(808), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1521), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1437), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16180] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1030), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16235] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(581), 1,
      sym_arguments,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16292] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16349] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16404] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(813), 1,
      sym_text_interpolation,
    STATE(878), 1,
      sym_arguments,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16463] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_text_interpolation,
    STATE(868), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16524] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(815), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(712), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1445), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16619] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1108), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1106), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16674] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16735] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(818), 1,
      sym_text_interpolation,
    STATE(868), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16796] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1907), 1,
      sym_name,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(819), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2614), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1554), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(767), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(688), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16891] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(820), 1,
      sym_text_interpolation,
    STATE(1672), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2594), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1550), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1529), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(903), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(824), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16986] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1907), 1,
      sym_name,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2614), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1554), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(779), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(695), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17081] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17138] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(823), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(774), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1731), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1436), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17233] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(824), 1,
      sym_text_interpolation,
    STATE(868), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17294] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17355] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17414] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17473] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17532] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17591] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(581), 1,
      sym_arguments,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17650] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17711] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17772] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(612), 1,
      sym_arguments,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1707), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17831] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17892] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1915), 1,
      sym_name,
    STATE(835), 1,
      sym_text_interpolation,
    STATE(1701), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(687), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1731), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(689), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(769), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1540), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [17987] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(836), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18048] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(800), 1,
      sym_arguments,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1707), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18107] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(1048), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18168] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym_text_interpolation,
    STATE(873), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18227] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(840), 1,
      sym_text_interpolation,
    STATE(876), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18286] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(841), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18347] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1907), 1,
      sym_name,
    STATE(842), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2504), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(774), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1554), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1731), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(686), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18442] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(1672), 1,
      sym__dereferencable_expression,
    STATE(2439), 1,
      sym__scope_resolution_qualifier,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(905), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1550), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1529), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1731), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(818), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18537] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(844), 1,
      sym_text_interpolation,
    STATE(1672), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2594), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1550), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1529), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(904), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(814), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18632] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(1919), 1,
      sym_name,
    STATE(845), 1,
      sym_text_interpolation,
    STATE(1643), 1,
      sym__dereferencable_expression,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2602), 1,
      sym__scope_resolution_qualifier,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(831), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1731), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1699), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(902), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1540), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [18727] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18784] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(847), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1511), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1444), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18879] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18938] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18995] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19056] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2586), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1545), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1556), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(846), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(777), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19151] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(889), 1,
      sym_arguments,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19210] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(872), 1,
      sym_arguments,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19269] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1766), 1,
      sym_name,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__dereferencable_expression,
    STATE(1731), 1,
      sym_class_constant_access_expression,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__scope_resolution_qualifier,
    STATE(2599), 1,
      sym_relative_scope,
    STATE(2611), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1555), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1540), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1534), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1492), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19364] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19421] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1711), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1709), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19476] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19533] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19587] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1819), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19641] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19803] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1799), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1797), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19857] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1524), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19911] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19965] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20019] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20073] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20127] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20181] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20235] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20291] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20345] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20399] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1811), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1809), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20453] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20507] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20561] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1496), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1498), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20615] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20669] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1520), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20723] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1861), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20777] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20831] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1514), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20885] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20941] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20995] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21049] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21103] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1600), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21159] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21213] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21267] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1795), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1793), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21321] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21375] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21429] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21483] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21537] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21591] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21649] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1807), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21703] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21757] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21811] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21865] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21920] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1687), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21975] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22030] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22085] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22140] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1815), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22192] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22244] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22296] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1937), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22348] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22400] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1947), 1,
      aux_sym_binary_expression_token1,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22454] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1951), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22506] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22558] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1959), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22662] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1963), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22714] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1967), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22766] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1971), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22818] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1975), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22870] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1979), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22922] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1983), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22974] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23026] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23078] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1987), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1991), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23182] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23234] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1520), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23286] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23338] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23390] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23442] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23494] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23546] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23598] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1781), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23650] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(1532), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23702] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1524), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23962] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24014] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24066] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24118] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24170] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24274] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24326] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24378] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(1687), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24430] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24534] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24638] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24690] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24742] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24794] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24846] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24898] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1514), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25002] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25106] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25210] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25314] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25366] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25470] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25522] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1030), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25573] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1108), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1106), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25624] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(2149), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(973), 1,
      sym_text_interpolation,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym__types,
    STATE(1669), 1,
      sym__type,
    STATE(1954), 1,
      sym_reference_modifier,
    STATE(1958), 1,
      sym_variable_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [25708] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2153), 1,
      anon_sym_EQ_GT,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2033), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25796] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2117), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25882] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2191), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25968] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26048] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    ACTIONS(2197), 1,
      anon_sym_QMARK,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26128] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2199), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26208] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_STAR_STAR,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26260] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 21,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26318] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 23,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26374] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26434] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1687), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26498] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26568] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2203), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26654] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26728] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26804] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26886] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_STAR_STAR,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26938] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27022] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27108] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27188] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27274] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27354] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27408] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27480] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27548] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27628] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27714] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27800] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27886] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27972] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_STAR_STAR,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28024] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28104] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2189), 1,
      anon_sym_PERCENT,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2187), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28241] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1687), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28304] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28389] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28468] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28547] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [28604] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28659] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2203), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28744] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [28803] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28882] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28951] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29034] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29107] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [29182] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29263] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29342] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2199), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29421] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29500] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29585] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29664] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29715] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29800] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2265), 1,
      anon_sym_EQ_GT,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2033), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29887] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29940] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29991] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30076] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30147] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2117), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30232] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30317] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30402] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30487] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2191), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30572] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2239), 1,
      anon_sym_PERCENT,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2237), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1687), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30639] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1687), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30701] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1987), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(1514), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30797] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30845] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30893] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2203), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [30977] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31025] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31073] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(1815), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31121] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31169] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31217] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(1520), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31265] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31313] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31361] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31409] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(1937), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31505] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31553] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31631] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31679] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31757] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31841] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31889] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2307), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2312), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2315), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2318), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2321), 1,
      sym_var_modifier,
    STATE(1317), 1,
      sym__modifier,
    ACTIONS(2310), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    STATE(1063), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2324), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2305), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31953] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(1524), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32001] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32049] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32097] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32145] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32193] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_STAR_STAR,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32243] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32291] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token1,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32341] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32389] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32437] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32485] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32533] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32581] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32629] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(1971), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32677] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_STAR_STAR,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32727] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32775] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32823] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32871] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32955] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33039] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33087] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(1951), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33135] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33183] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33231] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    ACTIONS(2331), 1,
      anon_sym_EQ_GT,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2033), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33317] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(1975), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33365] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33413] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33497] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33545] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2191), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33629] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33713] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33797] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33845] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33923] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33971] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34019] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34103] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34151] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_STAR_STAR,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34201] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34249] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34297] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1687), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34363] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34411] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34481] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34533] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34611] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34689] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34771] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34851] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(1959), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34899] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34973] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35045] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35113] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35161] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35219] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35273] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35329] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35377] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35425] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(998), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(996), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35473] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2117), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35557] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(1687), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1685), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35653] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(1006), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1004), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35701] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(1781), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1779), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35797] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(1532), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35845] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(1963), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35893] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2199), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35971] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(1979), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36019] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2279), 1,
      anon_sym_PERCENT,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2277), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36097] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(1967), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36145] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36193] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(1991), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36241] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36289] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(1983), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36337] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_STAR_STAR,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36386] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36469] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36536] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2203), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36619] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36690] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36767] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36850] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1687), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36911] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36988] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [37061] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37138] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    ACTIONS(2373), 1,
      anon_sym_EQ_GT,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2033), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37223] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [37280] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37359] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_STAR_STAR,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37408] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [37489] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37572] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37623] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 20,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37676] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [37745] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2117), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37828] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [37893] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37970] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2191), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38053] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38136] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1687), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1685), 18,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [38191] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2199), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38268] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38345] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1685), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38422] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_STAR_STAR,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(1955), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38471] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38554] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38637] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_PERCENT,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38720] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38801] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1175), 1,
      sym_text_interpolation,
    STATE(1176), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [38892] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1176), 1,
      sym_text_interpolation,
    STATE(1177), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [38983] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2399), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2402), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2405), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2408), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
    ACTIONS(2413), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2416), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2419), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2422), 1,
      sym_var_modifier,
    ACTIONS(2428), 1,
      anon_sym_POUND_LBRACK,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    STATE(1177), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2425), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39072] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    ACTIONS(2431), 1,
      anon_sym_EQ_GT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2033), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39155] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1177), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1179), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39246] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    ACTIONS(2437), 1,
      anon_sym_EQ_GT,
    STATE(1180), 1,
      sym_text_interpolation,
    STATE(2036), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39331] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2439), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39412] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    ACTIONS(2443), 1,
      anon_sym_COMMA,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39495] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(1183), 1,
      sym_text_interpolation,
    STATE(1269), 1,
      sym_readonly_modifier,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1945), 1,
      sym_variable_name,
    STATE(2403), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39568] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(1184), 1,
      sym_text_interpolation,
    STATE(1238), 1,
      sym_readonly_modifier,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2020), 1,
      sym_variable_name,
    STATE(2149), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39641] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_EQ_GT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39724] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2447), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39805] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1177), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1187), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39896] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    ACTIONS(2443), 1,
      anon_sym_COMMA,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39979] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2453), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1179), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1189), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40070] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2455), 1,
      anon_sym_EQ_GT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40153] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1177), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1191), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40244] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1187), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1192), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40335] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    ACTIONS(2461), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1191), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1193), 1,
      sym_text_interpolation,
    STATE(1230), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1397), 1,
      sym__member_declaration,
    STATE(1399), 1,
      sym__class_const_declaration,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1395), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40426] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40506] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40588] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40668] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_SEMI,
    ACTIONS(2469), 1,
      anon_sym_COMMA,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40750] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2471), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40830] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40910] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40990] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2479), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1201), 1,
      sym_text_interpolation,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(2596), 1,
      sym_visibility_modifier,
    ACTIONS(2481), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2477), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41040] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41122] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41202] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2451), 1,
      anon_sym_SEMI,
    ACTIONS(2469), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41284] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41364] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2491), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41444] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41524] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41604] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41684] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41764] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2501), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41844] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2503), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41924] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42004] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42084] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42166] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2511), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42246] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42326] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42408] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2517), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42488] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2519), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42568] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42648] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42728] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42808] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42888] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42968] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43048] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_GT_EQ,
    ACTIONS(2275), 1,
      anon_sym_DOT,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    ACTIONS(2281), 1,
      anon_sym_AMP,
    ACTIONS(2283), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_PIPE,
    ACTIONS(2287), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2291), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2293), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_CARET,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2273), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2279), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2301), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2303), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43128] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2535), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43208] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    ACTIONS(2451), 1,
      anon_sym_RPAREN,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43290] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2479), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1230), 1,
      sym_text_interpolation,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(2596), 1,
      sym_visibility_modifier,
    ACTIONS(2481), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2477), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [43340] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43420] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2539), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43500] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43580] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2349), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2353), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2355), 1,
      anon_sym_CARET,
    ACTIONS(2363), 1,
      anon_sym_GT_EQ,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2357), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2361), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2359), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43660] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    ACTIONS(2545), 1,
      anon_sym_RPAREN,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43742] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2547), 1,
      anon_sym_RBRACE,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43821] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2549), 1,
      anon_sym_RBRACE,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43900] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(1238), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2090), 1,
      sym_variable_name,
    STATE(2224), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43967] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2551), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44046] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44125] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44204] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2557), 1,
      anon_sym_RBRACK,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44283] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44362] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44441] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44520] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2561), 1,
      anon_sym_RBRACK,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44599] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(2567), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    STATE(1247), 1,
      sym_text_interpolation,
    STATE(1277), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 1,
      sym_attribute_list,
    STATE(1340), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1408), 1,
      sym__enum_member_declaration,
    STATE(1452), 1,
      sym__modifier,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1407), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44680] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44759] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2581), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44838] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44917] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44996] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45075] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2589), 1,
      anon_sym_RBRACE,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45154] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2591), 1,
      anon_sym_COLON,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45233] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45312] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2595), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45391] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2597), 1,
      anon_sym_EQ_GT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45470] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45549] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2601), 1,
      anon_sym_COLON,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45628] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45707] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45786] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45865] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45944] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46023] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46102] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46181] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46260] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46339] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(1269), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2012), 1,
      sym_variable_name,
    STATE(2347), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46406] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2621), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46485] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      anon_sym_RBRACK,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46564] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46643] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46722] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2629), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2627), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46765] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46844] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46923] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2567), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    STATE(1283), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 1,
      sym_attribute_list,
    STATE(1340), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1408), 1,
      sym__enum_member_declaration,
    STATE(1452), 1,
      sym__modifier,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1407), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47004] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47083] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47162] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47241] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47320] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2645), 1,
      anon_sym_RBRACK,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47399] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2647), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2650), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2653), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    ACTIONS(2658), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2661), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2664), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2667), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2670), 1,
      sym_var_modifier,
    ACTIONS(2676), 1,
      anon_sym_POUND_LBRACK,
    STATE(1336), 1,
      sym_attribute_list,
    STATE(1340), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1408), 1,
      sym__enum_member_declaration,
    STATE(1452), 1,
      sym__modifier,
    STATE(1784), 1,
      sym__function_definition_header,
    STATE(1283), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2673), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1407), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47478] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47557] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47636] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47715] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_GT_EQ,
    ACTIONS(2235), 1,
      anon_sym_DOT,
    ACTIONS(2237), 1,
      anon_sym_SLASH,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2249), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2251), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2253), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2259), 1,
      anon_sym_CARET,
    ACTIONS(2637), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2233), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2261), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47794] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2685), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47873] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47952] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48031] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48110] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48189] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48268] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2693), 1,
      anon_sym_EQ_GT,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48347] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2695), 1,
      anon_sym_COLON,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48426] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48505] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48584] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48663] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2703), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48742] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2705), 1,
      anon_sym_EQ_GT,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48821] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48900] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48979] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49058] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49137] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2567), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1305), 1,
      sym_text_interpolation,
    STATE(1336), 1,
      sym_attribute_list,
    STATE(1340), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1408), 1,
      sym__enum_member_declaration,
    STATE(1452), 1,
      sym__modifier,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1407), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [49218] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2567), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1306), 1,
      sym_text_interpolation,
    STATE(1336), 1,
      sym_attribute_list,
    STATE(1340), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1408), 1,
      sym__enum_member_declaration,
    STATE(1452), 1,
      sym__modifier,
    STATE(1784), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1407), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [49299] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49378] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_AMP,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2163), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2165), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2167), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2173), 1,
      anon_sym_CARET,
    ACTIONS(2181), 1,
      anon_sym_GT_EQ,
    ACTIONS(2185), 1,
      anon_sym_DOT,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2189), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2179), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2177), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2723), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49499] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_name,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    ACTIONS(2733), 1,
      sym_bottom_type,
    STATE(1310), 1,
      sym_text_interpolation,
    STATE(1548), 1,
      sym__types,
    STATE(1730), 1,
      sym_qualified_name,
    STATE(2080), 1,
      sym__type,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(2103), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1729), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2729), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49563] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    ACTIONS(2735), 1,
      sym_bottom_type,
    STATE(1311), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym__types,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2424), 1,
      sym__type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1662), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49627] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2739), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2737), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49669] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2741), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2481), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2477), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49713] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2745), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2743), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2481), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2477), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49795] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2749), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2747), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2753), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2751), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49877] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2759), 1,
      anon_sym_POUND_LBRACK,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1318), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2757), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2755), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49921] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1723), 1,
      anon_sym_POUND_LBRACK,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1319), 1,
      sym_text_interpolation,
    STATE(1326), 1,
      sym_attribute_group,
    ACTIONS(2764), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2762), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49967] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_name,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    STATE(1320), 1,
      sym_text_interpolation,
    STATE(1730), 1,
      sym_qualified_name,
    STATE(1835), 1,
      sym__types,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1729), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2729), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50021] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_name,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    STATE(1321), 1,
      sym_text_interpolation,
    STATE(1730), 1,
      sym_qualified_name,
    STATE(1830), 1,
      sym__types,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1729), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2729), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50075] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    STATE(1322), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50129] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1681), 1,
      anon_sym_QMARK,
    STATE(1323), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1578), 1,
      sym__types,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50183] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2768), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2766), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50221] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2772), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2770), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50259] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2776), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2774), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50297] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1327), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1578), 1,
      sym__types,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50351] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1328), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1625), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50405] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2780), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2778), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50443] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2544), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1629), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50490] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    STATE(1331), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1629), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1673), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50537] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2727), 1,
      sym_name,
    STATE(1332), 1,
      sym_text_interpolation,
    STATE(1730), 1,
      sym_qualified_name,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1689), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2729), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50584] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2723), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_readonly_modifier_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50618] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2377), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2383), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2391), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2393), 1,
      sym_var_modifier,
    STATE(659), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1201), 1,
      sym_final_modifier,
    STATE(1313), 1,
      sym_visibility_modifier,
    STATE(1317), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_text_interpolation,
    STATE(1400), 1,
      sym__const_declaration,
    STATE(1768), 1,
      sym__function_definition_header,
    ACTIONS(2395), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1315), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
  [50677] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2749), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2747), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50710] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    ACTIONS(2782), 1,
      aux_sym_enum_case_token1,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1341), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1452), 1,
      sym__modifier,
    STATE(1768), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50762] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
    ACTIONS(2786), 1,
      sym_escape_sequence,
    ACTIONS(2790), 1,
      sym__new_line,
    ACTIONS(2793), 1,
      anon_sym_DOLLAR,
    ACTIONS(2795), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2797), 1,
      sym_heredoc_end,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1343), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2788), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50816] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_LBRACE,
    ACTIONS(2802), 1,
      sym_escape_sequence,
    ACTIONS(2808), 1,
      sym__new_line,
    ACTIONS(2811), 1,
      anon_sym_DOLLAR,
    ACTIONS(2814), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2817), 1,
      sym_heredoc_end,
    STATE(1343), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1338), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2805), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50868] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2819), 1,
      anon_sym_POUND_LBRACK,
    STATE(1353), 1,
      sym_attribute_group,
    STATE(1339), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2757), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [50901] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1452), 1,
      sym__modifier,
    STATE(1778), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50950] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2563), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2571), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2575), 1,
      sym_var_modifier,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1452), 1,
      sym__modifier,
    STATE(1855), 1,
      sym__function_definition_header,
    ACTIONS(2577), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50999] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1353), 1,
      sym_attribute_group,
    ACTIONS(2764), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [51034] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
    ACTIONS(2786), 1,
      sym_escape_sequence,
    ACTIONS(2793), 1,
      anon_sym_DOLLAR,
    ACTIONS(2795), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2822), 1,
      sym__new_line,
    ACTIONS(2824), 1,
      sym_heredoc_end,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1346), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2788), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51085] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
    ACTIONS(2786), 1,
      sym_escape_sequence,
    ACTIONS(2793), 1,
      anon_sym_DOLLAR,
    ACTIONS(2795), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2826), 1,
      sym__new_line,
    STATE(1337), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1343), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2788), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51136] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
    ACTIONS(2786), 1,
      sym_escape_sequence,
    ACTIONS(2793), 1,
      anon_sym_DOLLAR,
    ACTIONS(2795), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2817), 1,
      sym_heredoc_end,
    ACTIONS(2828), 1,
      sym__new_line,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1346), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2788), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51187] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(2833), 1,
      sym_escape_sequence,
    ACTIONS(2839), 1,
      sym__new_line,
    ACTIONS(2841), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2847), 1,
      sym_heredoc_end,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1346), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2836), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51236] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2310), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2849), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2852), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2855), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2858), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2861), 1,
      sym_var_modifier,
    STATE(1452), 1,
      sym__modifier,
    STATE(1347), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2864), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51280] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1348), 1,
      sym_text_interpolation,
    ACTIONS(2867), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1739), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [51310] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2768), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2772), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51364] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2786), 1,
      sym_escape_sequence,
    ACTIONS(2788), 1,
      anon_sym_BSLASHu,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    ACTIONS(2871), 1,
      anon_sym_DOLLAR,
    STATE(1345), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1383), 1,
      sym_variable_name,
    STATE(1429), 1,
      sym__simple_string_member_access_expression,
    STATE(1426), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1430), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2795), 4,
      sym_encapsed_string_chars_heredoc,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51409] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1352), 1,
      sym_text_interpolation,
    ACTIONS(2780), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51436] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1353), 1,
      sym_text_interpolation,
    ACTIONS(2776), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51463] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1354), 1,
      sym_text_interpolation,
    ACTIONS(2873), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51489] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2877), 1,
      sym_integer,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(2479), 1,
      sym__string,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2875), 3,
      sym_float,
      sym_boolean,
      sym_null,
    STATE(746), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [51527] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1356), 1,
      sym_text_interpolation,
    ACTIONS(2879), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1357), 1,
      sym_text_interpolation,
    ACTIONS(2881), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51579] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2886), 1,
      sym_escape_sequence,
    ACTIONS(2889), 1,
      anon_sym_BSLASHu,
    ACTIONS(2895), 1,
      anon_sym_DQUOTE,
    ACTIONS(2897), 1,
      anon_sym_DOLLAR,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1526), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1358), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1527), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1537), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [51623] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2900), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51649] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1360), 1,
      sym_text_interpolation,
    ACTIONS(2900), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51675] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2902), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51701] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1362), 1,
      sym_text_interpolation,
    ACTIONS(2904), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51727] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2904), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51753] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(2906), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51779] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LBRACE,
    ACTIONS(2910), 1,
      sym_escape_sequence,
    ACTIONS(2912), 1,
      anon_sym_BSLASHu,
    ACTIONS(2916), 1,
      anon_sym_DQUOTE,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR,
    STATE(1358), 1,
      aux_sym__interpolated_string_body,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1526), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2914), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1527), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1537), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [51825] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LBRACE,
    ACTIONS(2910), 1,
      sym_escape_sequence,
    ACTIONS(2912), 1,
      anon_sym_BSLASHu,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR,
    ACTIONS(2920), 1,
      anon_sym_DQUOTE,
    STATE(1358), 1,
      aux_sym__interpolated_string_body,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1526), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2914), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1527), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1537), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [51871] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1367), 1,
      sym_text_interpolation,
    ACTIONS(2922), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51897] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2924), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51923] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51949] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2873), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(996), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52001] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52027] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(1004), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52053] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2928), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52079] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LBRACE,
    ACTIONS(2910), 1,
      sym_escape_sequence,
    ACTIONS(2912), 1,
      anon_sym_BSLASHu,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR,
    ACTIONS(2930), 1,
      anon_sym_DQUOTE,
    STATE(1366), 1,
      aux_sym__interpolated_string_body,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1526), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2914), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1527), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1537), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [52125] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2932), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52151] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LBRACE,
    ACTIONS(2910), 1,
      sym_escape_sequence,
    ACTIONS(2912), 1,
      anon_sym_BSLASHu,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR,
    ACTIONS(2934), 1,
      anon_sym_DQUOTE,
    STATE(1365), 1,
      aux_sym__interpolated_string_body,
    STATE(1377), 1,
      sym_text_interpolation,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1526), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2914), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1527), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1537), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [52197] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2936), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2938), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2940), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2942), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2946), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1378), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      sym__function_definition_header,
    STATE(2530), 1,
      sym_static_modifier,
    STATE(2558), 1,
      sym_readonly_modifier,
    STATE(1899), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [52244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(1604), 4,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1606), 9,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [52271] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(2948), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52296] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_name,
    ACTIONS(2956), 1,
      anon_sym_BSLASH,
    STATE(1381), 1,
      sym_text_interpolation,
    STATE(1827), 1,
      sym_namespace_use_clause,
    STATE(2548), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2954), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(1316), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52362] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_DASH_GT,
    ACTIONS(2962), 1,
      anon_sym_LBRACK,
    ACTIONS(2966), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2964), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2958), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [52395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(1480), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52420] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2968), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52445] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2970), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52470] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2972), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52495] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2974), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52520] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2976), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52545] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2978), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52570] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_name,
    ACTIONS(2982), 1,
      anon_sym_BSLASH,
    STATE(1391), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_namespace_use_clause,
    STATE(2592), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2980), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52611] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2984), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52636] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2986), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52661] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_BSLASHu,
    ACTIONS(2994), 1,
      anon_sym_BQUOTE,
    ACTIONS(2996), 1,
      anon_sym_DOLLAR,
    STATE(1394), 1,
      sym_text_interpolation,
    STATE(1405), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1497), 1,
      sym_variable_name,
    STATE(1599), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2990), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1595), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [52704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52729] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52754] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1397), 1,
      sym_text_interpolation,
    ACTIONS(3002), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52779] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_BSLASHu,
    ACTIONS(2996), 1,
      anon_sym_DOLLAR,
    ACTIONS(3004), 1,
      anon_sym_BQUOTE,
    STATE(1398), 1,
      sym_text_interpolation,
    STATE(1405), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1497), 1,
      sym_variable_name,
    STATE(1599), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2990), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1595), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [52822] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52847] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52872] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52897] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2387), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2936), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2938), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2946), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3012), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3014), 1,
      aux_sym_class_declaration_token1,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym__function_definition_header,
    STATE(2530), 1,
      sym_static_modifier,
    STATE(2531), 1,
      sym_readonly_modifier,
    STATE(1909), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [52944] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52969] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52994] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      anon_sym_BSLASHu,
    ACTIONS(3029), 1,
      anon_sym_BQUOTE,
    ACTIONS(3031), 1,
      anon_sym_DOLLAR,
    STATE(1497), 1,
      sym_variable_name,
    STATE(1599), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3023), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1405), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1593), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1595), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53035] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_BSLASHu,
    ACTIONS(2996), 1,
      anon_sym_DOLLAR,
    ACTIONS(3034), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1406), 1,
      sym_text_interpolation,
    STATE(1497), 1,
      sym_variable_name,
    STATE(1599), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2990), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1595), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53078] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53103] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53128] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_BSLASHu,
    ACTIONS(2996), 1,
      anon_sym_DOLLAR,
    ACTIONS(3040), 1,
      anon_sym_BQUOTE,
    STATE(1398), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1497), 1,
      sym_variable_name,
    STATE(1599), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2990), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1595), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53171] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(1204), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1411), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53221] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53246] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3050), 1,
      anon_sym_RBRACK,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53286] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3052), 1,
      anon_sym_RBRACK,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53326] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3054), 1,
      anon_sym_RBRACK,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53366] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3056), 1,
      anon_sym_RBRACK,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53406] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_name,
    ACTIONS(3058), 1,
      anon_sym_BSLASH,
    STATE(1417), 1,
      sym_text_interpolation,
    STATE(1789), 1,
      sym_namespace_use_clause,
    STATE(2522), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53443] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53480] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53517] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_name,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1943), 1,
      sym_namespace_use_clause,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53554] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3060), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1772), 1,
      sym_variable_name,
    STATE(1773), 1,
      sym_static_variable_declaration,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53589] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(1906), 1,
      sym_attribute,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53626] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_name,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_namespace_use_clause,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53663] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3060), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1772), 1,
      sym_variable_name,
    STATE(1824), 1,
      sym_static_variable_declaration,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53698] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3066), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(590), 1,
      sym_arguments,
    STATE(1425), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3070), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3068), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(1604), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1606), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53781] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(2847), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2839), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3074), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3072), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(2964), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2958), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53853] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3076), 1,
      sym_name,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1782), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(1596), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1598), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(1612), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1614), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53935] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(1972), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53969] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3080), 1,
      sym_name,
    STATE(1435), 1,
      sym_text_interpolation,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1613), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54003] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(1762), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54031] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(3084), 1,
      anon_sym_RPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(2034), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54063] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3090), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3088), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54119] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(3092), 1,
      anon_sym_DASH_GT,
    ACTIONS(3094), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(2964), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54149] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3098), 1,
      sym_name,
    STATE(1441), 1,
      sym_text_interpolation,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_namespace_name_as_prefix,
    STATE(1873), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54183] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(1604), 9,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54207] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3102), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3100), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54231] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(3104), 1,
      anon_sym_RPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1444), 1,
      sym_text_interpolation,
    STATE(1976), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54263] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(1542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54291] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3106), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1446), 1,
      sym_text_interpolation,
    ACTIONS(1592), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54319] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3108), 1,
      sym_name,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
    STATE(2125), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3112), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3110), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3116), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3114), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54401] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(652), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54430] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(2629), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54451] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(2753), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54472] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(1453), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3124), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54497] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(700), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54526] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3130), 1,
      sym_name,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(682), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54555] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(2463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54582] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54611] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3134), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym__reserved_identifier,
    STATE(696), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54642] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3138), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(647), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54671] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1460), 1,
      sym_text_interpolation,
    ACTIONS(2745), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54692] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(674), 1,
      sym__reserved_identifier,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(579), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54723] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54752] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(577), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54781] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3154), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(577), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54810] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3156), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(1465), 1,
      sym_text_interpolation,
    ACTIONS(3154), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(576), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54839] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3160), 1,
      sym_name,
    ACTIONS(3162), 1,
      anon_sym_LBRACE,
    STATE(1466), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(855), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54868] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3164), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(857), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54897] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(674), 1,
      sym__reserved_identifier,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(708), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54928] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1469), 1,
      sym_text_interpolation,
    ACTIONS(2725), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54949] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(590), 1,
      sym_arguments,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54978] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3168), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55009] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3134), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym__reserved_identifier,
    STATE(1551), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55040] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55067] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(2493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55094] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3172), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(3174), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(783), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55123] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(674), 1,
      sym__reserved_identifier,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(826), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55154] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3178), 1,
      sym_name,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_text_interpolation,
    ACTIONS(3174), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(785), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55183] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1478), 1,
      sym_text_interpolation,
    ACTIONS(2481), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55204] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_arguments,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55233] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(2739), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55254] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3182), 1,
      sym_name,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(1539), 1,
      sym_reference_modifier,
    STATE(1636), 1,
      sym_formal_parameters,
    STATE(2222), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55287] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3156), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(1482), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(576), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55316] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3186), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_text_interpolation,
    ACTIONS(3188), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55345] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(2749), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55366] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3192), 1,
      sym_name,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(1552), 1,
      sym__reserved_identifier,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55397] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_name,
    ACTIONS(3196), 1,
      anon_sym_LBRACE,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(3188), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(608), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55426] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(674), 1,
      sym__reserved_identifier,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(703), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55457] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3198), 1,
      sym_name,
    ACTIONS(3200), 1,
      anon_sym_LBRACE,
    STATE(705), 1,
      sym__reserved_identifier,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(655), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55488] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(868), 1,
      sym_arguments,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55517] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3202), 1,
      sym_name,
    ACTIONS(3204), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym__reserved_identifier,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(607), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55548] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1491), 1,
      sym_text_interpolation,
    ACTIONS(2513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55575] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(3206), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55602] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3208), 1,
      sym_name,
    ACTIONS(3210), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(1559), 1,
      sym__reserved_identifier,
    STATE(1560), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55633] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(3212), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55660] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3208), 1,
      sym_name,
    ACTIONS(3210), 1,
      anon_sym_LBRACE,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(1559), 1,
      sym__reserved_identifier,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55691] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3214), 1,
      sym_name,
    ACTIONS(3216), 1,
      anon_sym_LBRACE,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(713), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55720] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(3218), 1,
      anon_sym_DASH_GT,
    ACTIONS(3220), 1,
      anon_sym_LBRACK,
    ACTIONS(3222), 1,
      sym_execution_string_chars_after_variable,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(2964), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [55749] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1498), 1,
      sym_text_interpolation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55776] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3226), 1,
      sym_name,
    ACTIONS(3228), 1,
      anon_sym_LBRACE,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55805] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3230), 1,
      sym_name,
    ACTIONS(3232), 1,
      anon_sym_LBRACE,
    STATE(1500), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55834] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3234), 1,
      sym_name,
    ACTIONS(3236), 1,
      anon_sym_LBRACE,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(827), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55863] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3238), 1,
      sym_name,
    ACTIONS(3240), 1,
      anon_sym_LBRACE,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(828), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55892] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(674), 1,
      sym__reserved_identifier,
    STATE(1503), 1,
      sym_text_interpolation,
    STATE(849), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55923] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3182), 1,
      sym_name,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1547), 1,
      sym_reference_modifier,
    STATE(1591), 1,
      sym_formal_parameters,
    STATE(2222), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55956] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(1604), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [55979] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3242), 1,
      sym_name,
    ACTIONS(3244), 1,
      anon_sym_LBRACE,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(839), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56008] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3246), 1,
      sym_name,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(2952), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(840), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56037] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(663), 1,
      sym_arguments,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56066] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    STATE(1509), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1783), 1,
      sym_named_type,
    STATE(2030), 1,
      sym_type_list,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
  [56100] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(906), 1,
      sym_declaration_list,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1574), 1,
      sym_arguments,
    STATE(1872), 1,
      sym_base_clause,
    STATE(2241), 1,
      sym_class_interface_clause,
  [56134] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(3104), 1,
      anon_sym_RPAREN,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(1976), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56160] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym_declaration_list,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(1592), 1,
      sym_arguments,
    STATE(1765), 1,
      sym_base_clause,
    STATE(2388), 1,
      sym_class_interface_clause,
  [56194] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1048), 1,
      sym_declaration_list,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(1576), 1,
      sym_arguments,
    STATE(1840), 1,
      sym_base_clause,
    STATE(2374), 1,
      sym_class_interface_clause,
  [56228] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(945), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3261), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(943), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1514), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [56256] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_LBRACE,
    STATE(1361), 1,
      sym_use_list,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(1597), 1,
      aux_sym_base_clause_repeat1,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56288] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3060), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56314] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(962), 1,
      sym_declaration_list,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(1628), 1,
      sym_arguments,
    STATE(1822), 1,
      sym_base_clause,
    STATE(2410), 1,
      sym_class_interface_clause,
  [56348] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(937), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3270), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3272), 1,
      aux_sym_finally_clause_token1,
    STATE(1514), 1,
      aux_sym_try_statement_repeat1,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(935), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [56378] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(1783), 1,
      sym_named_type,
    STATE(2031), 1,
      sym_type_list,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
  [56412] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    STATE(1520), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56438] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(3084), 1,
      anon_sym_RPAREN,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(2034), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56464] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(1522), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3124), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56487] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_BSLASHu,
    STATE(1523), 1,
      sym_text_interpolation,
    ACTIONS(3090), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_BSLASHu,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(3116), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56529] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    STATE(1525), 1,
      sym_text_interpolation,
    ACTIONS(1612), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56550] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_BSLASHu,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(3074), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56571] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(2964), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56592] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3276), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3279), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3274), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1528), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [56617] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(868), 1,
      sym_arguments,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56640] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3284), 1,
      anon_sym_DASH,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3282), 2,
      sym_integer,
      sym_name,
    STATE(2450), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [56667] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_arguments,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56690] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(3212), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56711] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(762), 1,
      sym_arguments,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(1705), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56734] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(3206), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56755] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3286), 1,
      anon_sym_AMP,
    ACTIONS(3291), 1,
      anon_sym_PIPE,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(1683), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1684), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3288), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [56782] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(1604), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56803] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3295), 1,
      anon_sym_BSLASHu,
    STATE(1537), 1,
      sym_text_interpolation,
    ACTIONS(3293), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56824] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_BSLASHu,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(3297), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56845] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    ACTIONS(3301), 1,
      sym_name,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(2285), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56872] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56895] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1596), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56916] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      sym_name,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_reference_modifier,
    STATE(2284), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56943] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56966] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_name,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_qualified_name,
    STATE(2143), 1,
      sym_named_type,
    STATE(2475), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_namespace_name,
  [56997] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(1545), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57020] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3284), 1,
      anon_sym_DASH,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3282), 2,
      sym_integer,
      sym_name,
    STATE(2450), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [57047] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    ACTIONS(3301), 1,
      sym_name,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(1626), 1,
      sym_formal_parameters,
    STATE(2285), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57074] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_AMP,
    ACTIONS(3307), 1,
      anon_sym_PIPE,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1663), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1688), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3288), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [57101] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_BSLASHu,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(2895), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57122] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(868), 1,
      sym_arguments,
    STATE(1550), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57145] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(762), 1,
      sym_arguments,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(1556), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57168] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(800), 1,
      sym_arguments,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(1705), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57191] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_BSLASHu,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(3112), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57212] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_arguments,
    STATE(1554), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57235] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57258] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57281] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(1901), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1899), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57302] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_arguments,
    STATE(1558), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57325] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(1705), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(1560), 1,
      sym_text_interpolation,
    ACTIONS(1556), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57371] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57392] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(3313), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1562), 1,
      sym_text_interpolation,
    STATE(1914), 1,
      sym_namespace_aliasing_clause,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3311), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57419] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_arguments,
    STATE(1563), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57442] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3064), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3066), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57465] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3284), 1,
      anon_sym_DASH,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(2591), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3282), 2,
      sym_integer,
      sym_name,
    STATE(2450), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [57492] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1566), 1,
      sym_text_interpolation,
    ACTIONS(3124), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57511] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3319), 1,
      aux_sym_switch_block_token1,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(1612), 1,
      aux_sym_switch_block_repeat1,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [57537] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(1848), 1,
      sym_anonymous_function_use_clause,
    STATE(2411), 1,
      sym__return_type,
  [57565] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(953), 1,
      sym_compound_statement,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      sym_anonymous_function_use_clause,
    STATE(2330), 1,
      sym__return_type,
  [57593] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    STATE(1570), 1,
      sym_text_interpolation,
    ACTIONS(1612), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57613] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(1634), 1,
      aux_sym_switch_block_repeat1,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [57639] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_compound_statement,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1814), 1,
      sym_anonymous_function_use_clause,
    STATE(2311), 1,
      sym__return_type,
  [57667] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_compound_statement,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1807), 1,
      sym_anonymous_function_use_clause,
    STATE(2253), 1,
      sym__return_type,
  [57695] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(961), 1,
      sym_declaration_list,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1821), 1,
      sym_base_clause,
    STATE(2409), 1,
      sym_class_interface_clause,
  [57723] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1099), 1,
      sym_compound_statement,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1806), 1,
      sym_anonymous_function_use_clause,
    STATE(2254), 1,
      sym__return_type,
  [57751] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_declaration_list,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym_base_clause,
    STATE(2336), 1,
      sym_class_interface_clause,
  [57779] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      sym_base_clause,
    STATE(2257), 1,
      sym_class_interface_clause,
  [57807] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(3331), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57825] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(1596), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57845] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(932), 1,
      sym_compound_statement,
    STATE(1580), 1,
      sym_text_interpolation,
    STATE(1871), 1,
      sym_anonymous_function_use_clause,
    STATE(2324), 1,
      sym__return_type,
  [57873] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      sym_base_clause,
    STATE(2303), 1,
      sym_class_interface_clause,
  [57901] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3333), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57923] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1713), 1,
      sym_declaration_list,
    STATE(1882), 1,
      sym_base_clause,
    STATE(2310), 1,
      sym_class_interface_clause,
  [57951] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3337), 1,
      aux_sym_else_clause_token1,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1627), 1,
      aux_sym_if_statement_repeat1,
    STATE(2067), 1,
      sym_else_clause,
    STATE(2068), 1,
      sym_else_if_clause,
  [57979] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(1585), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2322), 1,
      sym_arguments,
    ACTIONS(3339), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58005] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3341), 1,
      aux_sym_switch_block_token1,
    STATE(1586), 1,
      sym_text_interpolation,
    STATE(1594), 1,
      aux_sym_switch_block_repeat1,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [58031] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    STATE(1587), 1,
      sym_text_interpolation,
    STATE(1598), 1,
      aux_sym_switch_block_repeat1,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [58057] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3345), 1,
      sym_php_tag,
    ACTIONS(3349), 1,
      sym__eof,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1668), 1,
      aux_sym_text_repeat1,
    STATE(2159), 1,
      sym_text,
    ACTIONS(3347), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [58083] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3353), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3355), 1,
      aux_sym_else_clause_token1,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1600), 1,
      aux_sym_if_statement_repeat2,
    STATE(1978), 1,
      sym_else_if_clause_2,
    STATE(2449), 1,
      sym_else_clause_2,
  [58111] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58135] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_compound_statement,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      sym_anonymous_function_use_clause,
    STATE(2289), 1,
      sym__return_type,
  [58163] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_declaration_list,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_base_clause,
    STATE(2286), 1,
      sym_class_interface_clause,
  [58191] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(2964), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58211] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3359), 1,
      aux_sym_switch_block_token1,
    STATE(1528), 1,
      aux_sym_switch_block_repeat1,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [58237] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_BSLASHu,
    STATE(1595), 1,
      sym_text_interpolation,
    ACTIONS(3361), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58257] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_BSLASHu,
    STATE(1596), 1,
      sym_text_interpolation,
    ACTIONS(3029), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58277] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_LBRACE,
    STATE(1374), 1,
      sym_use_list,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58303] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    STATE(1528), 1,
      aux_sym_switch_block_repeat1,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [58329] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_BSLASHu,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(3074), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58349] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3355), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_if_statement_token2,
    STATE(1600), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      aux_sym_if_statement_repeat2,
    STATE(1978), 1,
      sym_else_if_clause_2,
    STATE(2501), 1,
      sym_else_clause_2,
  [58377] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58401] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(967), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3373), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3376), 1,
      aux_sym_else_clause_token1,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1697), 1,
      aux_sym_if_statement_repeat1,
    STATE(2053), 1,
      sym_else_clause,
    STATE(2068), 1,
      sym_else_if_clause,
  [58429] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(1721), 1,
      sym_declaration_list,
    STATE(1813), 1,
      sym_base_clause,
    STATE(2349), 1,
      sym_class_interface_clause,
  [58457] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58481] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_text_interpolation,
    STATE(1650), 1,
      sym_declaration_list,
    STATE(1836), 1,
      sym_base_clause,
    STATE(2418), 1,
      sym_class_interface_clause,
  [58509] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(948), 1,
      sym_compound_statement,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1881), 1,
      sym_anonymous_function_use_clause,
    STATE(2359), 1,
      sym__return_type,
  [58537] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(1607), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      sym_base_clause,
    STATE(2367), 1,
      sym_class_interface_clause,
  [58565] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3379), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3382), 1,
      aux_sym_else_clause_token1,
    STATE(1602), 1,
      aux_sym_if_statement_repeat1,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(2067), 1,
      sym_else_clause,
    STATE(2068), 1,
      sym_else_if_clause,
  [58593] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_BSLASHu,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(3090), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58613] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1780), 1,
      aux_sym_base_clause_repeat1,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3387), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58639] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(950), 1,
      sym_compound_statement,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_anonymous_function_use_clause,
    STATE(2366), 1,
      sym__return_type,
  [58667] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3389), 1,
      aux_sym_switch_block_token1,
    STATE(1528), 1,
      aux_sym_switch_block_repeat1,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [58693] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_LBRACE,
    STATE(1361), 1,
      sym_use_list,
    STATE(1597), 1,
      aux_sym_base_clause_repeat1,
    STATE(1613), 1,
      sym_text_interpolation,
    ACTIONS(3264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58719] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      sym_anonymous_function_use_clause,
    STATE(2365), 1,
      sym__return_type,
  [58747] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3355), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3391), 1,
      aux_sym_if_statement_token2,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      aux_sym_if_statement_repeat2,
    STATE(1978), 1,
      sym_else_if_clause_2,
    STATE(2476), 1,
      sym_else_clause_2,
  [58775] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1756), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58799] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3355), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3393), 1,
      aux_sym_if_statement_token2,
    STATE(1615), 1,
      aux_sym_if_statement_repeat2,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1978), 1,
      sym_else_if_clause_2,
    STATE(2499), 1,
      sym_else_clause_2,
  [58827] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58851] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      sym_declaration_list,
    STATE(1880), 1,
      sym_base_clause,
    STATE(2213), 1,
      sym_class_interface_clause,
  [58879] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1712), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2370), 1,
      sym_class_interface_clause,
  [58907] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1621), 1,
      sym_text_interpolation,
    ACTIONS(3395), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58925] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1622), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58945] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_AMP,
    ACTIONS(3401), 1,
      anon_sym_PIPE,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1664), 1,
      aux_sym_union_type_repeat1,
    STATE(1798), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3288), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58971] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(945), 1,
      sym_compound_statement,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      sym_anonymous_function_use_clause,
    STATE(2160), 1,
      sym__return_type,
  [58999] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1625), 1,
      sym_text_interpolation,
    ACTIONS(3403), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59017] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_compound_statement,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1795), 1,
      sym_anonymous_function_use_clause,
    STATE(2421), 1,
      sym__return_type,
  [59045] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(967), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3337), 1,
      aux_sym_else_clause_token1,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(1697), 1,
      aux_sym_if_statement_repeat1,
    STATE(2053), 1,
      sym_else_clause,
    STATE(2068), 1,
      sym_else_if_clause,
  [59073] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(951), 1,
      sym_declaration_list,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1857), 1,
      sym_base_clause,
    STATE(2379), 1,
      sym_class_interface_clause,
  [59101] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1629), 1,
      sym_text_interpolation,
    ACTIONS(3405), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59119] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1867), 1,
      sym_base_clause,
    STATE(2168), 1,
      sym_class_interface_clause,
  [59147] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(966), 1,
      sym_compound_statement,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      sym_anonymous_function_use_clause,
    STATE(2422), 1,
      sym__return_type,
  [59175] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_compound_statement,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      sym_anonymous_function_use_clause,
    STATE(2175), 1,
      sym__return_type,
  [59203] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_BSLASHu,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(3116), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59223] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3317), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(1528), 1,
      aux_sym_switch_block_repeat1,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1763), 2,
      sym_case_statement,
      sym_default_statement,
  [59249] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_BSLASHu,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(3112), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59269] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_compound_statement,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_anonymous_function_use_clause,
    STATE(2363), 1,
      sym__return_type,
  [59297] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59321] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_declaration_list,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2242), 1,
      sym_class_interface_clause,
  [59349] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      sym_base_clause,
    STATE(2360), 1,
      sym_class_interface_clause,
  [59377] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1646), 1,
      sym_declaration_list,
    STATE(1847), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [59405] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1749), 1,
      sym_anonymous_function_use_clause,
    STATE(2354), 1,
      sym__return_type,
  [59433] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1965), 1,
      sym_const_element,
    STATE(2590), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59457] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3413), 1,
      anon_sym_DASH_GT,
    ACTIONS(3415), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3417), 1,
      anon_sym_LBRACK,
    STATE(1643), 1,
      sym_text_interpolation,
  [59482] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1014), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1644), 1,
      sym_text_interpolation,
    ACTIONS(1012), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59503] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1645), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59524] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1048), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(1046), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59545] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    ACTIONS(3427), 1,
      anon_sym_COLON,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(2065), 1,
      sym_enum_declaration_list,
    STATE(2420), 1,
      sym_class_interface_clause,
  [59570] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      anon_sym_COLON,
    STATE(472), 1,
      sym_enum_declaration_list,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(2361), 1,
      sym_class_interface_clause,
  [59595] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASH,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1653), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3433), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [59616] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1042), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(1040), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59637] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3439), 1,
      sym_name,
    ACTIONS(3441), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(593), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59660] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    ACTIONS(3445), 1,
      anon_sym_DASH_GT,
    ACTIONS(3447), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3449), 1,
      anon_sym_LBRACK,
    STATE(1652), 1,
      sym_text_interpolation,
  [59685] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASH,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1707), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3451), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [59706] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3453), 1,
      sym_name,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(613), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59729] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3457), 1,
      sym_name,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(1750), 1,
      sym_namespace_name,
    STATE(2010), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3459), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [59752] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3461), 1,
      sym_name,
    ACTIONS(3463), 1,
      anon_sym_BSLASH,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1659), 1,
      sym_namespace_name,
    STATE(2117), 1,
      sym_compound_statement,
  [59777] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3465), 1,
      sym_name,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(1570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59800] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      sym_visibility_modifier,
    ACTIONS(3473), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [59821] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_BSLASH,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      sym_compound_statement,
    ACTIONS(3475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(988), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1660), 1,
      sym_text_interpolation,
    ACTIONS(986), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59863] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3479), 1,
      anon_sym_LBRACE,
    ACTIONS(3481), 1,
      anon_sym_DASH_GT,
    ACTIONS(3483), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3485), 1,
      anon_sym_LBRACK,
    STATE(1661), 1,
      sym_text_interpolation,
  [59888] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1662), 1,
      sym_text_interpolation,
    ACTIONS(3487), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59905] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_AMP,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1680), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3489), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59926] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3401), 1,
      anon_sym_PIPE,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1735), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3491), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59947] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1433), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59970] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1002), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1666), 1,
      sym_text_interpolation,
    ACTIONS(1000), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59989] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1949), 1,
      sym_reference_modifier,
    STATE(1951), 1,
      sym_variable_name,
  [60014] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3501), 1,
      sym_php_tag,
    ACTIONS(3503), 1,
      sym__eof,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1678), 1,
      aux_sym_text_repeat1,
    ACTIONS(3347), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [60037] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3505), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(2022), 1,
      sym_reference_modifier,
    STATE(2023), 1,
      sym_variable_name,
  [60062] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3507), 1,
      sym_name,
    ACTIONS(3509), 1,
      anon_sym_LBRACE,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(795), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60085] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60106] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3417), 1,
      anon_sym_LBRACK,
    ACTIONS(3513), 1,
      anon_sym_DASH_GT,
    ACTIONS(3515), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1672), 1,
      sym_text_interpolation,
  [60131] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_DOLLAR,
    ACTIONS(3517), 1,
      sym_name,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(869), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60154] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    ACTIONS(3521), 1,
      anon_sym_COLON,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(2097), 1,
      sym_enum_declaration_list,
    STATE(2198), 1,
      sym_class_interface_clause,
  [60179] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1675), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60200] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1072), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(1070), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60221] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_PIPE,
    STATE(1677), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3331), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3530), 1,
      sym_php_tag,
    ACTIONS(3535), 1,
      sym__eof,
    ACTIONS(3532), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1678), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [60261] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    ACTIONS(3539), 1,
      anon_sym_DASH_GT,
    ACTIONS(3541), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3543), 1,
      anon_sym_LBRACK,
    STATE(1679), 1,
      sym_text_interpolation,
  [60286] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    STATE(1680), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3545), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60305] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3550), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3552), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3555), 1,
      aux_sym_else_clause_token1,
    STATE(1978), 1,
      sym_else_if_clause_2,
    STATE(1681), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [60328] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym__return_type,
    ACTIONS(3557), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60349] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3286), 1,
      anon_sym_AMP,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1694), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3489), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60370] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3291), 1,
      anon_sym_PIPE,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1693), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3491), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60391] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    ACTIONS(3543), 1,
      anon_sym_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3563), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1685), 1,
      sym_text_interpolation,
  [60416] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3565), 1,
      sym_name,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(1433), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60439] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3567), 1,
      sym_name,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(678), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60462] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_PIPE,
    STATE(1677), 1,
      aux_sym_union_type_repeat1,
    STATE(1688), 1,
      sym_text_interpolation,
    ACTIONS(3491), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60483] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1689), 1,
      sym_text_interpolation,
    ACTIONS(3405), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [60500] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      sym_name,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60523] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    ACTIONS(3449), 1,
      anon_sym_LBRACK,
    ACTIONS(3573), 1,
      anon_sym_DASH_GT,
    ACTIONS(3575), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1691), 1,
      sym_text_interpolation,
  [60548] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3417), 1,
      anon_sym_LBRACK,
    ACTIONS(3577), 1,
      anon_sym_DASH_GT,
    ACTIONS(3579), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1692), 1,
      sym_text_interpolation,
  [60573] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_PIPE,
    STATE(1693), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3331), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60592] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_AMP,
    STATE(1694), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3545), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60611] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1060), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(1058), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60632] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3589), 1,
      anon_sym_LBRACE,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT,
    ACTIONS(3593), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3595), 1,
      anon_sym_LBRACK,
    STATE(1696), 1,
      sym_text_interpolation,
  [60657] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(977), 1,
      aux_sym_while_statement_token1,
    ACTIONS(979), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3597), 1,
      aux_sym_else_if_clause_token1,
    STATE(2068), 1,
      sym_else_if_clause,
    STATE(1697), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [60680] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_EQ,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      sym_property_initializer,
    ACTIONS(3600), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60701] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3270), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3272), 1,
      aux_sym_finally_clause_token1,
    STATE(1518), 1,
      aux_sym_try_statement_repeat1,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [60724] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3530), 1,
      sym_php_tag,
    ACTIONS(3535), 1,
      ts_builtin_sym_end,
    ACTIONS(3604), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1700), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [60745] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    ACTIONS(3543), 1,
      anon_sym_LBRACK,
    ACTIONS(3607), 1,
      anon_sym_DASH_GT,
    ACTIONS(3609), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1701), 1,
      sym_text_interpolation,
  [60770] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BSLASH,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3433), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60791] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(2028), 1,
      aux_sym_base_clause_repeat1,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
  [60816] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3616), 1,
      sym_name,
    ACTIONS(3618), 1,
      anon_sym_LBRACE,
    ACTIONS(3620), 1,
      anon_sym_DOLLAR,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1525), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60839] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    ACTIONS(3624), 1,
      anon_sym_DASH_GT,
    ACTIONS(3626), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3628), 1,
      anon_sym_LBRACK,
    STATE(1705), 1,
      sym_text_interpolation,
  [60864] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_AMP,
    ACTIONS(3632), 1,
      anon_sym_RPAREN,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(2156), 2,
      sym_variable_name,
      sym_variable_reference,
  [60887] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_BSLASH,
    STATE(1707), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3634), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [60906] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_BSLASH,
    STATE(1708), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3634), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60925] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_BSLASH,
    STATE(547), 1,
      sym_compound_statement,
    STATE(1709), 1,
      sym_text_interpolation,
    ACTIONS(3642), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60948] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3644), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60969] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1010), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1711), 1,
      sym_text_interpolation,
    ACTIONS(1008), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60988] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1712), 1,
      sym_text_interpolation,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3646), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61009] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1020), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1713), 1,
      sym_text_interpolation,
    ACTIONS(1018), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61030] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3313), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1914), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3311), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61051] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_LBRACE,
    ACTIONS(3620), 1,
      anon_sym_DOLLAR,
    ACTIONS(3650), 1,
      sym_name,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(1525), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61074] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1026), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1716), 1,
      sym_text_interpolation,
    ACTIONS(1024), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61095] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3457), 1,
      sym_name,
    STATE(1717), 1,
      sym_text_interpolation,
    STATE(1750), 1,
      sym_namespace_name,
    STATE(2164), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3459), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [61118] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1718), 1,
      sym_text_interpolation,
    ACTIONS(1052), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61139] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1084), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1719), 1,
      sym_text_interpolation,
    ACTIONS(1082), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3656), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61160] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3658), 1,
      anon_sym_COLON,
    STATE(503), 1,
      sym_enum_declaration_list,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(2301), 1,
      sym_class_interface_clause,
  [61185] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1721), 1,
      sym_text_interpolation,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61206] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_AMP,
    ACTIONS(3662), 1,
      anon_sym_RPAREN,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(2156), 2,
      sym_variable_name,
      sym_variable_reference,
  [61229] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3461), 1,
      sym_name,
    ACTIONS(3463), 1,
      anon_sym_BSLASH,
    STATE(545), 1,
      sym_compound_statement,
    STATE(1709), 1,
      sym_namespace_name,
    STATE(1723), 1,
      sym_text_interpolation,
  [61254] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym_name,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(2202), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61275] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_COMMA,
    STATE(1725), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3333), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61294] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(994), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(992), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61313] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1727), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61334] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON,
    STATE(1728), 1,
      sym_text_interpolation,
    STATE(2081), 1,
      sym__return_type,
    ACTIONS(3671), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61355] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1729), 1,
      sym_text_interpolation,
    ACTIONS(3403), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61372] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1730), 1,
      sym_text_interpolation,
    ACTIONS(3124), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61389] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1731), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61406] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_BSLASH,
    STATE(1708), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(3451), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61427] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3395), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61444] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1036), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1734), 1,
      sym_text_interpolation,
    ACTIONS(1034), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61465] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_PIPE,
    STATE(1735), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3331), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61484] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(1094), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3681), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61505] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3683), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3685), 1,
      aux_sym_finally_clause_token1,
    STATE(420), 1,
      aux_sym_try_statement_repeat1,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(434), 2,
      sym_catch_clause,
      sym_finally_clause,
  [61528] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3333), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61549] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3687), 1,
      sym_name,
    ACTIONS(3689), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_text_interpolation,
    STATE(752), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61572] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1740), 1,
      sym_text_interpolation,
    ACTIONS(3545), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61589] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3501), 1,
      sym_php_tag,
    ACTIONS(3503), 1,
      ts_builtin_sym_end,
    STATE(1700), 1,
      aux_sym_text_repeat1,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(11), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [61612] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61632] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1743), 1,
      sym_text_interpolation,
    ACTIONS(3695), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61648] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      sym_text_interpolation,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61668] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_declaration_list,
    STATE(1745), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      sym_class_interface_clause,
  [61690] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3701), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61710] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1118), 1,
      sym_compound_statement,
    STATE(1747), 1,
      sym_text_interpolation,
    STATE(2252), 1,
      sym__return_type,
  [61732] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(1748), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_class_interface_clause,
  [61754] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_compound_statement,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(2234), 1,
      sym__return_type,
  [61776] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3705), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(2231), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61796] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1751), 1,
      sym_text_interpolation,
    ACTIONS(3707), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [61812] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(2490), 1,
      sym_declare_directive,
    ACTIONS(3709), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [61830] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_AMP,
    ACTIONS(3545), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1753), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [61848] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_formal_parameters,
    STATE(1754), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym_reference_modifier,
  [61870] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2946), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3714), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3716), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(2530), 1,
      sym_static_modifier,
  [61892] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61912] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61932] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(2517), 1,
      sym_declare_directive,
    ACTIONS(3709), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [61950] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      sym_base_clause,
  [61972] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(2322), 1,
      sym_arguments,
    ACTIONS(3339), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61992] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62012] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2936), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2946), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3724), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(2530), 1,
      sym_static_modifier,
  [62034] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1763), 1,
      sym_text_interpolation,
    ACTIONS(3726), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [62050] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1764), 1,
      sym_text_interpolation,
    ACTIONS(3728), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [62066] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_declaration_list,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(2286), 1,
      sym_class_interface_clause,
  [62088] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(1794), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62108] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_declaration_list,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(2287), 1,
      sym_class_interface_clause,
  [62130] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SEMI,
    ACTIONS(3734), 1,
      anon_sym_LBRACE,
    ACTIONS(3736), 1,
      sym__automatic_semicolon,
    STATE(1364), 1,
      sym_compound_statement,
    STATE(1768), 1,
      sym_text_interpolation,
  [62152] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_COMMA,
    ACTIONS(3738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1769), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [62170] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1770), 1,
      sym_text_interpolation,
    ACTIONS(3634), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [62186] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_COMMA,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(1788), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62206] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3749), 1,
      anon_sym_EQ,
    STATE(1772), 1,
      sym_text_interpolation,
    ACTIONS(3747), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62224] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62244] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1614), 1,
      sym_formal_parameters,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      sym_reference_modifier,
  [62266] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2540), 1,
      sym_declare_directive,
    ACTIONS(3709), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [62284] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_enum_declaration_list,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2320), 1,
      sym_class_interface_clause,
  [62306] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(1860), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3755), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62326] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_LBRACE,
    ACTIONS(3759), 1,
      anon_sym_SEMI,
    ACTIONS(3761), 1,
      sym__automatic_semicolon,
    STATE(1368), 1,
      sym_compound_statement,
    STATE(1778), 1,
      sym_text_interpolation,
  [62348] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      sym_formal_parameters,
    STATE(2332), 1,
      sym_reference_modifier,
  [62370] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3763), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [62390] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2003), 1,
      sym_enum_declaration_list,
    STATE(2313), 1,
      sym_class_interface_clause,
  [62412] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_base_clause_repeat1,
    STATE(1782), 1,
      sym_text_interpolation,
    ACTIONS(3387), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [62432] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_PIPE,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3765), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [62452] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_LBRACE,
    ACTIONS(3769), 1,
      anon_sym_SEMI,
    ACTIONS(3771), 1,
      sym__automatic_semicolon,
    STATE(1357), 1,
      sym_compound_statement,
    STATE(1784), 1,
      sym_text_interpolation,
  [62474] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    ACTIONS(3773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1785), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [62492] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym_reference_modifier,
  [62514] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(1815), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62534] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1788), 1,
      sym_text_interpolation,
    ACTIONS(3780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62554] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1789), 1,
      sym_text_interpolation,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62574] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_formal_parameters,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(2305), 1,
      sym_reference_modifier,
  [62596] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_declaration_list,
    STATE(1791), 1,
      sym_text_interpolation,
    STATE(2192), 1,
      sym_class_interface_clause,
  [62618] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_AMP,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(2024), 2,
      sym_variable_name,
      sym_variable_reference,
  [62638] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1636), 1,
      sym_formal_parameters,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(2295), 1,
      sym_reference_modifier,
  [62660] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62680] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1047), 1,
      sym_compound_statement,
    STATE(1795), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      sym__return_type,
  [62702] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(3695), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [62718] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1797), 1,
      sym_text_interpolation,
    ACTIONS(3784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62738] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_AMP,
    STATE(1753), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3489), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3791), 1,
      sym__eof,
    STATE(1799), 1,
      sym_text_interpolation,
    ACTIONS(3789), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [62776] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1800), 1,
      sym_text_interpolation,
    ACTIONS(3793), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [62792] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    ACTIONS(3795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1801), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [62810] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(1802), 1,
      sym_text_interpolation,
    STATE(2176), 1,
      sym_class_interface_clause,
  [62832] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_compound_statement,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(2345), 1,
      sym__return_type,
  [62854] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1804), 1,
      sym_text_interpolation,
    ACTIONS(1709), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [62870] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_formal_parameters,
    STATE(1805), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      sym_reference_modifier,
  [62892] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_compound_statement,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(2173), 1,
      sym__return_type,
  [62914] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym_compound_statement,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      sym__return_type,
  [62936] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1808), 1,
      sym_text_interpolation,
    ACTIONS(3800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62956] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_compound_statement,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2423), 1,
      sym__return_type,
  [62978] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_enum_declaration_list,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2171), 1,
      sym_class_interface_clause,
  [63000] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1811), 1,
      sym_text_interpolation,
    ACTIONS(3802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63020] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(2169), 1,
      sym_class_interface_clause,
  [63042] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_declaration_list,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym_class_interface_clause,
  [63064] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(969), 1,
      sym_compound_statement,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(2397), 1,
      sym__return_type,
  [63086] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_COMMA,
    ACTIONS(3804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1815), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [63104] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym__return_type,
  [63126] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(2006), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_reference_modifier,
  [63148] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3809), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63168] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2061), 1,
      sym_enum_declaration_list,
    STATE(2387), 1,
      sym_class_interface_clause,
  [63190] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_formal_parameters,
    STATE(1820), 1,
      sym_text_interpolation,
    STATE(2364), 1,
      sym_reference_modifier,
  [63212] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(954), 1,
      sym_declaration_list,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_class_interface_clause,
  [63234] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(951), 1,
      sym_declaration_list,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(2379), 1,
      sym_class_interface_clause,
  [63256] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_AMP,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(2156), 2,
      sym_variable_name,
      sym_variable_reference,
  [63276] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63296] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(1875), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63316] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1826), 1,
      sym_text_interpolation,
    ACTIONS(3793), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63332] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63352] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(2419), 1,
      sym_class_interface_clause,
  [63374] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3705), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63394] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1830), 1,
      sym_text_interpolation,
    ACTIONS(3545), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [63410] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3819), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63430] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1832), 1,
      sym_text_interpolation,
    STATE(2561), 1,
      sym_declare_directive,
    ACTIONS(3709), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63448] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1833), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      sym_formal_parameters,
    STATE(2256), 1,
      sym_reference_modifier,
  [63470] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      aux_sym_base_clause_token1,
    STATE(1834), 1,
      sym_text_interpolation,
    STATE(2098), 1,
      sym_declaration_list,
    STATE(2275), 1,
      sym_base_clause,
  [63492] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3331), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63508] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1710), 1,
      sym_declaration_list,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(2371), 1,
      sym_class_interface_clause,
  [63530] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2227), 1,
      sym_reference_modifier,
  [63552] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1838), 1,
      sym_text_interpolation,
    ACTIONS(3821), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63572] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_AMP,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_formal_parameters,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2416), 1,
      sym_reference_modifier,
  [63594] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_declaration_list,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_class_interface_clause,
  [63616] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1841), 1,
      sym_text_interpolation,
    ACTIONS(3823), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [63632] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1842), 1,
      sym_text_interpolation,
    ACTIONS(3825), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63652] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3825), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63672] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1844), 1,
      sym_text_interpolation,
    ACTIONS(3802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3829), 1,
      sym_nowdoc_string,
    ACTIONS(3827), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1845), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [63710] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(946), 1,
      sym_compound_statement,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2355), 1,
      sym__return_type,
  [63732] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_declaration_list,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(2352), 1,
      sym_class_interface_clause,
  [63754] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(943), 1,
      sym_compound_statement,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(2346), 1,
      sym__return_type,
  [63776] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_PIPE,
    ACTIONS(3832), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1849), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [63794] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1850), 1,
      sym_text_interpolation,
    ACTIONS(3634), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63810] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3837), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63830] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3839), 1,
      sym_integer,
    STATE(1852), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      sym_string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
  [63850] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63870] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1854), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat2,
  [63888] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_LBRACE,
    ACTIONS(3848), 1,
      anon_sym_SEMI,
    ACTIONS(3850), 1,
      sym__automatic_semicolon,
    STATE(1367), 1,
      sym_compound_statement,
    STATE(1855), 1,
      sym_text_interpolation,
  [63910] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63930] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2335), 1,
      sym_class_interface_clause,
  [63952] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1858), 1,
      sym_text_interpolation,
    ACTIONS(3854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63972] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2326), 1,
      sym_class_interface_clause,
  [63994] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64014] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1861), 1,
      sym_text_interpolation,
    ACTIONS(3823), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64030] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1862), 1,
      sym_text_interpolation,
    ACTIONS(3858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64050] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1863), 1,
      sym_text_interpolation,
    ACTIONS(3707), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64066] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2323), 1,
      sym__return_type,
  [64088] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(3860), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64104] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_COMMA,
    ACTIONS(3333), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1866), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [64122] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      sym_class_interface_clause,
  [64144] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_integer,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      sym_string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
  [64164] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_PIPE,
    STATE(1849), 1,
      aux_sym_type_list_repeat1,
    STATE(1869), 1,
      sym_text_interpolation,
    ACTIONS(3867), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [64184] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_compound_statement,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      sym__return_type,
  [64206] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(920), 1,
      sym_compound_statement,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2292), 1,
      sym__return_type,
  [64228] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    STATE(961), 1,
      sym_declaration_list,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      sym_class_interface_clause,
  [64250] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1873), 1,
      sym_text_interpolation,
    ACTIONS(3333), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [64266] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_COMMA,
    STATE(1815), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64286] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1875), 1,
      sym_text_interpolation,
    ACTIONS(3871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64306] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1876), 1,
      sym_text_interpolation,
    ACTIONS(3873), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64326] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_EQ,
    ACTIONS(3877), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      aux_sym__list_destructing_repeat1,
  [64348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1878), 1,
      sym_text_interpolation,
    ACTIONS(3873), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3791), 1,
      ts_builtin_sym_end,
    STATE(1879), 1,
      sym_text_interpolation,
    ACTIONS(3789), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [64386] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      sym_declaration_list,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym_class_interface_clause,
  [64408] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(907), 1,
      sym_compound_statement,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym__return_type,
  [64430] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_declaration_list,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      sym_class_interface_clause,
  [64452] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_nowdoc_string,
    STATE(1845), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1883), 1,
      sym_text_interpolation,
    ACTIONS(3879), 2,
      sym_heredoc_end,
      sym__new_line,
  [64472] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    STATE(957), 1,
      sym_compound_statement,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2358), 1,
      sym__return_type,
  [64494] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      aux_sym__list_destructing_repeat1,
  [64513] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3885), 1,
      anon_sym_COMMA,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
  [64532] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(1771), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64549] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_SQUOTE,
    ACTIONS(3889), 1,
      anon_sym_DQUOTE,
    ACTIONS(3891), 1,
      sym_heredoc_start,
    STATE(1888), 1,
      sym_text_interpolation,
  [64568] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3893), 1,
      aux_sym_class_declaration_token1,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym_readonly_modifier,
  [64587] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_BSLASH,
    ACTIONS(3895), 1,
      sym_name,
    STATE(1890), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym_namespace_name,
  [64606] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3897), 1,
      anon_sym_EQ_GT,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(2495), 1,
      sym__return_type,
  [64625] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_COMMA,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    STATE(1892), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [64642] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_LBRACE,
    ACTIONS(3906), 1,
      anon_sym_COLON,
    STATE(464), 1,
      sym_switch_block,
    STATE(1893), 1,
      sym_text_interpolation,
  [64661] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    ACTIONS(3910), 1,
      anon_sym_RPAREN,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym_array_creation_expression_repeat1,
  [64680] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_EQ,
    STATE(1895), 1,
      sym_text_interpolation,
    ACTIONS(3912), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64697] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_COMMA,
    ACTIONS(3916), 1,
      anon_sym_RPAREN,
    STATE(1896), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      aux_sym_formal_parameters_repeat1,
  [64716] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COMMA,
    ACTIONS(3920), 1,
      anon_sym_RBRACK,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(1925), 1,
      aux_sym__array_destructing_repeat1,
  [64735] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_COMMA,
    ACTIONS(3924), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(1926), 1,
      aux_sym_array_creation_expression_repeat1,
  [64754] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3926), 1,
      aux_sym_class_declaration_token1,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2565), 1,
      sym_readonly_modifier,
  [64773] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COMMA,
    ACTIONS(3920), 1,
      anon_sym_RBRACK,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      aux_sym__array_destructing_repeat1,
  [64792] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACK,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      aux_sym_attribute_group_repeat1,
  [64811] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3932), 1,
      aux_sym_class_declaration_token1,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2555), 1,
      sym_readonly_modifier,
  [64830] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym__new_line,
    ACTIONS(3936), 1,
      sym_heredoc_end,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      sym_heredoc_body,
  [64849] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym__new_line,
    ACTIONS(3938), 1,
      sym_heredoc_end,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2329), 1,
      sym_heredoc_body,
  [64868] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(773), 1,
      anon_sym_RBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(1994), 1,
      aux_sym_array_creation_expression_repeat1,
  [64887] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_COMMA,
    ACTIONS(3944), 1,
      anon_sym_RBRACK,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(1907), 1,
      aux_sym_attribute_group_repeat1,
  [64906] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_RBRACK,
    ACTIONS(3946), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(1996), 1,
      aux_sym_attribute_group_repeat1,
  [64925] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_COMMA,
    ACTIONS(3950), 1,
      anon_sym_RBRACK,
    STATE(1905), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1908), 1,
      sym_text_interpolation,
  [64944] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2944), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3952), 1,
      aux_sym_class_declaration_token1,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2457), 1,
      sym_readonly_modifier,
  [64963] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(1772), 1,
      sym_variable_name,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      sym_static_variable_declaration,
  [64982] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_LBRACE,
    ACTIONS(3956), 1,
      anon_sym_COLON,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2087), 1,
      sym_switch_block,
  [65001] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(1937), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [65018] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    ACTIONS(3960), 1,
      anon_sym_RPAREN,
    STATE(1913), 1,
      sym_text_interpolation,
    STATE(1963), 1,
      aux_sym_arguments_repeat1,
  [65037] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1914), 1,
      sym_text_interpolation,
    ACTIONS(3962), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65052] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym_name,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(2393), 1,
      sym_namespace_use_group,
  [65071] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(3968), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      sym_variable_name,
  [65090] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_COMMA,
    ACTIONS(3972), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(1946), 1,
      aux_sym_formal_parameters_repeat1,
  [65109] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    STATE(1918), 1,
      sym_text_interpolation,
    ACTIONS(3974), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65126] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3671), 1,
      anon_sym_LBRACE,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym__return_type,
  [65145] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3978), 1,
      anon_sym_EQ_GT,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2428), 1,
      sym__return_type,
  [65164] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_COMMA,
    ACTIONS(3982), 1,
      anon_sym_RPAREN,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(1974), 1,
      aux_sym_array_creation_expression_repeat1,
  [65183] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1922), 1,
      sym_text_interpolation,
    ACTIONS(3984), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [65198] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_RPAREN,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
  [65217] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_RPAREN,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      aux_sym__list_destructing_repeat1,
  [65236] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COMMA,
    ACTIONS(3986), 1,
      anon_sym_RBRACK,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      aux_sym__array_destructing_repeat1,
  [65255] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      sym_text_interpolation,
    STATE(1994), 1,
      aux_sym_array_creation_expression_repeat1,
  [65274] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    ACTIONS(3993), 1,
      anon_sym_RBRACK,
    STATE(1927), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [65291] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3050), 1,
      anon_sym_RBRACK,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(1996), 1,
      aux_sym_attribute_group_repeat1,
  [65310] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_COMMA,
    ACTIONS(3999), 1,
      anon_sym_RPAREN,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(2001), 1,
      aux_sym_arguments_repeat1,
  [65329] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(2015), 1,
      aux_sym_formal_parameters_repeat1,
  [65348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4003), 1,
      anon_sym_EQ_GT,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2456), 1,
      sym__return_type,
  [65367] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4005), 1,
      anon_sym_EQ_GT,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2459), 1,
      sym__return_type,
  [65386] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(3804), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65401] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1934), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65435] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1936), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65452] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1937), 1,
      sym_text_interpolation,
    ACTIONS(3738), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65467] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1938), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65484] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(767), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_COMMA,
    STATE(1892), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1939), 1,
      sym_text_interpolation,
  [65503] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    ACTIONS(4009), 1,
      sym_name,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(2351), 1,
      sym_namespace_use_group,
  [65522] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1941), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65539] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4011), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65554] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(3795), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65569] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_EQ,
    STATE(1944), 1,
      sym_text_interpolation,
    ACTIONS(4013), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_EQ,
    STATE(1945), 1,
      sym_text_interpolation,
    ACTIONS(4017), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65603] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_RPAREN,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(2015), 1,
      aux_sym_formal_parameters_repeat1,
  [65622] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4023), 1,
      anon_sym_COMMA,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(1991), 1,
      aux_sym_match_block_repeat1,
  [65641] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65658] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(4027), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2016), 1,
      sym_variable_name,
  [65677] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1950), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65694] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_EQ,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65711] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65728] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65745] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(4033), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2017), 1,
      sym_variable_name,
  [65764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65781] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65798] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65815] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_EQ,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(4035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65832] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      sym__return_type,
  [65851] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4039), 1,
      sym__new_line,
    ACTIONS(4041), 1,
      sym_heredoc_end,
    STATE(1960), 1,
      sym_text_interpolation,
    STATE(2378), 1,
      sym_nowdoc_body,
  [65870] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym__new_line,
    ACTIONS(4043), 1,
      sym_heredoc_end,
    STATE(1961), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_heredoc_body,
  [65889] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65906] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
  [65925] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65942] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(3773), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65957] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65974] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65991] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66008] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66025] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66042] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66059] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1972), 1,
      sym_text_interpolation,
    STATE(2028), 1,
      aux_sym_base_clause_repeat1,
  [66078] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66095] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1892), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1974), 1,
      sym_text_interpolation,
  [66114] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66131] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(4049), 1,
      anon_sym_RPAREN,
    STATE(1976), 1,
      sym_text_interpolation,
    STATE(2029), 1,
      aux_sym_unset_statement_repeat1,
  [66150] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66167] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4053), 1,
      aux_sym_else_clause_token1,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [66184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66201] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym_name,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    STATE(1980), 1,
      sym_text_interpolation,
    STATE(2351), 1,
      sym_namespace_use_group,
  [66220] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4057), 1,
      anon_sym_RBRACE,
    STATE(1981), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      aux_sym_match_block_repeat1,
  [66239] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66256] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_EQ,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(4059), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66273] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(4061), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [66288] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66305] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_RPAREN,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      aux_sym__list_destructing_repeat1,
  [66324] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66341] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(4065), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [66356] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_RPAREN,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(1989), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [66373] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66390] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(826), 1,
      anon_sym_RBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      sym_text_interpolation,
    STATE(2141), 1,
      aux_sym_match_block_repeat1,
  [66409] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_EQ,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [66426] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(3902), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [66441] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_RBRACK,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    STATE(1994), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [66458] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66475] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4080), 1,
      anon_sym_RBRACK,
    STATE(1996), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [66492] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4039), 1,
      sym__new_line,
    ACTIONS(4082), 1,
      sym_heredoc_end,
    STATE(1997), 1,
      sym_text_interpolation,
    STATE(2267), 1,
      sym_nowdoc_body,
  [66511] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66528] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym__new_line,
    ACTIONS(4084), 1,
      sym_heredoc_end,
    STATE(1999), 1,
      sym_text_interpolation,
    STATE(2264), 1,
      sym_heredoc_body,
  [66547] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66564] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_COMMA,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
  [66583] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4088), 1,
      anon_sym_EQ_GT,
    STATE(2002), 1,
      sym_text_interpolation,
    STATE(2535), 1,
      sym__return_type,
  [66602] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66619] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    STATE(2004), 1,
      sym_text_interpolation,
    STATE(2551), 1,
      sym__return_type,
  [66638] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66655] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4092), 1,
      anon_sym_EQ_GT,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2579), 1,
      sym__return_type,
  [66674] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66691] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    ACTIONS(4009), 1,
      sym_name,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2232), 1,
      sym_namespace_use_group,
  [66710] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66727] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RBRACE,
    STATE(2010), 1,
      sym_text_interpolation,
    STATE(2078), 1,
      aux_sym_namespace_use_group_repeat1,
  [66746] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66763] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(4098), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66797] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(4102), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66814] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RPAREN,
    STATE(2015), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [66831] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_EQ,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(4111), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66848] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_EQ,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(4115), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66865] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66882] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(4119), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66916] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66933] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(4123), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2022), 1,
      sym_text_interpolation,
    STATE(2100), 1,
      sym_variable_name,
  [66952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(4125), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66969] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    ACTIONS(4131), 1,
      anon_sym_RPAREN,
    STATE(2024), 1,
      sym_text_interpolation,
    STATE(2116), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [66988] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1862), 1,
      sym_property_element,
    STATE(2025), 1,
      sym_text_interpolation,
  [67007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(4133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67024] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67041] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(4137), 1,
      anon_sym_LBRACE,
    STATE(1866), 1,
      aux_sym_base_clause_repeat1,
    STATE(2028), 1,
      sym_text_interpolation,
  [67060] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_RPAREN,
    ACTIONS(4139), 1,
      anon_sym_COMMA,
    STATE(2029), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [67077] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(4142), 1,
      anon_sym_RPAREN,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2473), 1,
      sym_variable_name,
  [67096] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    ACTIONS(4144), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      sym_text_interpolation,
    STATE(2606), 1,
      sym_variable_name,
  [67115] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67132] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    ACTIONS(4009), 1,
      sym_name,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym_namespace_use_group,
  [67151] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    ACTIONS(4146), 1,
      anon_sym_RPAREN,
    STATE(2029), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2034), 1,
      sym_text_interpolation,
  [67170] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(824), 1,
      anon_sym_RBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2141), 1,
      aux_sym_match_block_repeat1,
  [67189] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    ACTIONS(4150), 1,
      anon_sym_EQ_GT,
    STATE(2036), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym_match_condition_list_repeat1,
  [67208] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67225] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    ACTIONS(4009), 1,
      sym_name,
    STATE(2038), 1,
      sym_text_interpolation,
    STATE(2396), 1,
      sym_namespace_use_group,
  [67244] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym_name,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    STATE(2039), 1,
      sym_text_interpolation,
    STATE(2396), 1,
      sym_namespace_use_group,
  [67263] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2137), 1,
      aux_sym__list_destructing_repeat1,
  [67282] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67299] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      aux_sym__list_destructing_repeat1,
  [67318] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(4154), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67333] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(4156), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym_name,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    STATE(2045), 1,
      sym_text_interpolation,
    STATE(2321), 1,
      sym_namespace_use_group,
  [67367] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67384] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67401] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67435] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67452] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67469] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67486] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67503] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67520] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67537] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67554] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67571] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67588] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67622] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67639] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67656] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(4158), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67671] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67688] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67705] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67722] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67739] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67756] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_nowdoc_string,
    ACTIONS(4160), 1,
      anon_sym_,
    STATE(1883), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2069), 1,
      sym_text_interpolation,
  [67775] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_COMMA,
    ACTIONS(4165), 1,
      anon_sym_RPAREN,
    STATE(2070), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [67792] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4171), 1,
      sym_heredoc_start,
    STATE(2071), 1,
      sym_text_interpolation,
  [67811] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_COLON,
    ACTIONS(4173), 1,
      anon_sym_EQ_GT,
    STATE(2072), 1,
      sym_text_interpolation,
    STATE(2643), 1,
      sym__return_type,
  [67830] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    STATE(1825), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67847] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67864] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67881] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67898] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2077), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67915] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_COMMA,
    ACTIONS(4175), 1,
      anon_sym_RBRACE,
    STATE(2078), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      aux_sym_namespace_use_group_repeat1,
  [67934] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67951] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(4177), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67966] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(4179), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67981] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(4181), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67998] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68015] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68032] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68049] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68066] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68083] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68100] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68117] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4185), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68134] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68151] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_EQ,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(4189), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68168] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    ACTIONS(4195), 1,
      anon_sym_RPAREN,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2102), 1,
      aux_sym_arguments_repeat1,
  [68187] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68204] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68221] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68238] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68255] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68272] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68289] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_EQ,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(4197), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68306] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68323] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_COMMA,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
    STATE(2102), 1,
      sym_text_interpolation,
  [68342] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(3487), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68357] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2104), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68374] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68391] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68408] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68425] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(781), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
    STATE(2108), 1,
      sym_text_interpolation,
  [68444] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68461] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68478] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68495] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68510] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68527] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68544] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68561] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RPAREN,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    STATE(2116), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [68580] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68597] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    ACTIONS(4211), 1,
      anon_sym_RPAREN,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2118), 1,
      sym_text_interpolation,
  [68616] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2119), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68633] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2120), 1,
      sym_text_interpolation,
    ACTIONS(2725), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [68648] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1856), 1,
      sym_property_element,
    STATE(2121), 1,
      sym_text_interpolation,
  [68667] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68684] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(1698), 1,
      sym_variable_name,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2144), 1,
      sym_property_element,
  [68703] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(4213), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68718] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(3333), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68733] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(4215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68750] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(809), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4219), 1,
      anon_sym_COMMA,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
    STATE(2127), 1,
      sym_text_interpolation,
  [68769] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym_name,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(4223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68786] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4227), 1,
      aux_sym_else_clause_token1,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(4225), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [68803] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    ACTIONS(4231), 1,
      anon_sym_RPAREN,
    STATE(2127), 1,
      aux_sym_arguments_repeat1,
    STATE(2130), 1,
      sym_text_interpolation,
  [68822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_EQ_GT,
    ACTIONS(4233), 1,
      anon_sym_COMMA,
    STATE(2131), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [68839] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(4236), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68854] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_RPAREN,
    STATE(1989), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2133), 1,
      sym_text_interpolation,
  [68873] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      aux_sym_arguments_repeat1,
  [68892] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_COMMA,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
    STATE(2135), 1,
      sym_text_interpolation,
  [68911] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(4246), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68926] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    STATE(1989), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2137), 1,
      sym_text_interpolation,
  [68945] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(4250), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [68960] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(4252), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68975] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_COMMA,
    STATE(2070), 1,
      aux_sym_arguments_repeat1,
    STATE(2140), 1,
      sym_text_interpolation,
  [68994] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACE,
    STATE(2141), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [69011] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    STATE(2135), 1,
      aux_sym_arguments_repeat1,
    STATE(2142), 1,
      sym_text_interpolation,
  [69030] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(3832), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69045] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(3843), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69060] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    ACTIONS(4268), 1,
      anon_sym_RPAREN,
    STATE(2145), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69077] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(4270), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69094] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RPAREN,
    STATE(1886), 1,
      aux_sym_arguments_repeat1,
    STATE(2147), 1,
      sym_text_interpolation,
  [69113] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym_COMMA,
    ACTIONS(4281), 1,
      anon_sym_RBRACE,
    STATE(2148), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [69130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2092), 1,
      sym_variable_name,
    STATE(2149), 1,
      sym_text_interpolation,
  [69146] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(507), 1,
      sym_compound_statement,
    STATE(2150), 1,
      sym_text_interpolation,
  [69162] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(4283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69176] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(4285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69190] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(888), 1,
      sym_arguments,
    STATE(2153), 1,
      sym_text_interpolation,
  [69206] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(4287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69220] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(505), 1,
      ts_builtin_sym_end,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4289), 1,
      sym_php_tag,
    STATE(2155), 1,
      sym_text_interpolation,
  [69236] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(4268), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69250] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(4291), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [69264] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(4293), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69278] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(4295), 2,
      sym__eof,
      sym_php_tag,
  [69292] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(956), 1,
      sym_compound_statement,
    STATE(2160), 1,
      sym_text_interpolation,
  [69308] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69322] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_compound_statement,
    STATE(2162), 1,
      sym_text_interpolation,
  [69338] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(4299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69352] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(4281), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69366] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(4301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69380] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2166), 1,
      sym_text_interpolation,
  [69396] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      sym_name,
    STATE(2167), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym_namespace_name,
  [69412] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(2168), 1,
      sym_text_interpolation,
  [69428] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(2169), 1,
      sym_text_interpolation,
  [69444] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    STATE(2170), 1,
      sym_text_interpolation,
  [69460] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_enum_declaration_list,
    STATE(2171), 1,
      sym_text_interpolation,
  [69476] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_compound_statement,
    STATE(2172), 1,
      sym_text_interpolation,
  [69492] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1136), 1,
      sym_compound_statement,
    STATE(2173), 1,
      sym_text_interpolation,
  [69508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      sym_name,
    STATE(2174), 1,
      sym_text_interpolation,
    STATE(2566), 1,
      sym_namespace_name,
  [69524] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1140), 1,
      sym_compound_statement,
    STATE(2175), 1,
      sym_text_interpolation,
  [69540] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(2176), 1,
      sym_text_interpolation,
  [69556] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(2463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69570] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1737), 1,
      sym_compound_statement,
    STATE(2178), 1,
      sym_text_interpolation,
  [69586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      sym_name,
    STATE(2179), 1,
      sym_text_interpolation,
    STATE(2560), 1,
      sym_namespace_name,
  [69602] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(3879), 2,
      sym_heredoc_end,
      sym__new_line,
  [69616] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    STATE(2181), 1,
      sym_text_interpolation,
  [69632] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2182), 1,
      sym_text_interpolation,
    ACTIONS(2451), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [69646] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    STATE(2183), 1,
      sym_text_interpolation,
  [69662] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1114), 1,
      sym_compound_statement,
    STATE(2184), 1,
      sym_text_interpolation,
  [69678] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(2185), 1,
      sym_text_interpolation,
  [69694] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(4310), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [69708] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    STATE(2187), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      sym_parenthesized_expression,
  [69724] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    STATE(1893), 1,
      sym_parenthesized_expression,
    STATE(2188), 1,
      sym_text_interpolation,
  [69740] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    STATE(743), 1,
      sym_arguments,
    STATE(2190), 1,
      sym_text_interpolation,
  [69770] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(4314), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69784] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1041), 1,
      sym_declaration_list,
    STATE(2192), 1,
      sym_text_interpolation,
  [69800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_SQUOTE,
    ACTIONS(4318), 1,
      sym_string_value,
    STATE(2193), 1,
      sym_text_interpolation,
  [69816] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(4320), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69830] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(4165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69844] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(4259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_SEMI,
    ACTIONS(4324), 1,
      sym__automatic_semicolon,
    STATE(2197), 1,
      sym_text_interpolation,
  [69874] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(2075), 1,
      sym_enum_declaration_list,
    STATE(2198), 1,
      sym_text_interpolation,
  [69890] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69904] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(4326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69918] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69932] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2202), 1,
      sym_text_interpolation,
  [69948] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(512), 1,
      sym_compound_statement,
    STATE(2203), 1,
      sym_text_interpolation,
  [69964] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_compound_statement,
    STATE(2204), 1,
      sym_text_interpolation,
  [69980] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(4330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69994] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2206), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70008] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(3875), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70022] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2208), 1,
      sym_text_interpolation,
    ACTIONS(4334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70036] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(4336), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70050] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(4338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70064] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2211), 1,
      sym_text_interpolation,
    ACTIONS(4340), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70078] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4342), 1,
      sym_name,
    STATE(2212), 1,
      sym_text_interpolation,
    STATE(2525), 1,
      sym_namespace_name,
  [70094] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      sym_declaration_list,
    STATE(2213), 1,
      sym_text_interpolation,
  [70110] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_BSLASH,
    STATE(2214), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_namespace_name_repeat1,
  [70126] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(2441), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [70140] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(4345), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [70154] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(4347), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70168] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_arguments,
    STATE(2218), 1,
      sym_text_interpolation,
  [70184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2158), 1,
      sym_variable_name,
    STATE(2219), 1,
      sym_text_interpolation,
  [70200] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(4349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70214] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      sym_name,
    STATE(2221), 1,
      sym_text_interpolation,
    STATE(2520), 1,
      sym_namespace_name,
  [70230] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1919), 1,
      sym_formal_parameters,
    STATE(2222), 1,
      sym_text_interpolation,
  [70246] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_declaration_list,
    STATE(2223), 1,
      sym_text_interpolation,
  [70262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2146), 1,
      sym_variable_name,
    STATE(2224), 1,
      sym_text_interpolation,
  [70278] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70292] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2226), 1,
      sym_text_interpolation,
    ACTIONS(4353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70306] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1626), 1,
      sym_formal_parameters,
    STATE(2227), 1,
      sym_text_interpolation,
  [70322] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_LPAREN,
    ACTIONS(4357), 1,
      anon_sym_RPAREN,
    STATE(2228), 1,
      sym_text_interpolation,
  [70338] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4011), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70352] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2230), 1,
      sym_text_interpolation,
    ACTIONS(4359), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70366] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(3817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70380] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4361), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70394] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70408] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1088), 1,
      sym_compound_statement,
    STATE(2234), 1,
      sym_text_interpolation,
  [70424] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2235), 1,
      sym_text_interpolation,
  [70440] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(2441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70454] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70468] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_match_block,
    STATE(2238), 1,
      sym_text_interpolation,
  [70484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1660), 1,
      sym_compound_statement,
    STATE(2239), 1,
      sym_text_interpolation,
  [70500] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(4369), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70514] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(961), 1,
      sym_declaration_list,
    STATE(2241), 1,
      sym_text_interpolation,
  [70530] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(2242), 1,
      sym_text_interpolation,
  [70546] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1699), 1,
      sym_compound_statement,
    STATE(2243), 1,
      sym_text_interpolation,
  [70562] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4372), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2244), 1,
      sym_text_interpolation,
  [70578] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
    STATE(2245), 1,
      sym_text_interpolation,
  [70594] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    STATE(2246), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_parenthesized_expression,
  [70610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    STATE(1911), 1,
      sym_parenthesized_expression,
    STATE(2247), 1,
      sym_text_interpolation,
  [70626] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2048), 1,
      sym_compound_statement,
    STATE(2248), 1,
      sym_text_interpolation,
  [70642] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    STATE(2249), 1,
      sym_text_interpolation,
  [70658] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_BSLASH,
    STATE(1707), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2250), 1,
      sym_text_interpolation,
  [70674] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(2251), 1,
      sym_text_interpolation,
  [70690] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(2252), 1,
      sym_text_interpolation,
  [70706] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_compound_statement,
    STATE(2253), 1,
      sym_text_interpolation,
  [70722] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_compound_statement,
    STATE(2254), 1,
      sym_text_interpolation,
  [70738] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_arguments,
    STATE(2255), 1,
      sym_text_interpolation,
  [70754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1920), 1,
      sym_formal_parameters,
    STATE(2256), 1,
      sym_text_interpolation,
  [70770] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(2257), 1,
      sym_text_interpolation,
  [70786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4377), 1,
      sym__new_line,
    ACTIONS(4379), 1,
      sym_heredoc_end,
    STATE(2258), 1,
      sym_text_interpolation,
  [70802] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_declaration_list,
    STATE(2259), 1,
      sym_text_interpolation,
  [70818] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_formal_parameters,
    STATE(2260), 1,
      sym_text_interpolation,
  [70834] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(4381), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70848] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_match_block,
    STATE(2262), 1,
      sym_text_interpolation,
  [70864] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(2493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4385), 1,
      sym__new_line,
    ACTIONS(4387), 1,
      sym_heredoc_end,
    STATE(2264), 1,
      sym_text_interpolation,
  [70894] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4389), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2265), 1,
      sym_text_interpolation,
  [70910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      sym_name,
    STATE(2266), 1,
      sym_text_interpolation,
    STATE(2452), 1,
      sym_namespace_name,
  [70926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4391), 1,
      sym__new_line,
    ACTIONS(4393), 1,
      sym_heredoc_end,
    STATE(2267), 1,
      sym_text_interpolation,
  [70942] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1568), 1,
      sym_formal_parameters,
    STATE(2268), 1,
      sym_text_interpolation,
  [70958] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym_parenthesized_expression,
    STATE(2269), 1,
      sym_text_interpolation,
  [70974] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    STATE(2270), 1,
      sym_text_interpolation,
  [70990] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(4395), 2,
      anon_sym_string,
      anon_sym_int,
  [71004] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2272), 1,
      sym_text_interpolation,
    ACTIONS(4397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71018] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(3212), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71032] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71046] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_declaration_list,
    STATE(2275), 1,
      sym_text_interpolation,
  [71062] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(4399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71076] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2277), 1,
      sym_text_interpolation,
    STATE(2394), 1,
      sym_variable_name,
  [71092] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_LPAREN,
    STATE(2278), 1,
      sym_text_interpolation,
    STATE(2389), 1,
      sym_parenthesized_expression,
  [71108] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(4403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71122] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(4405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71136] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(4407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71150] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(4409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71164] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(2099), 1,
      sym_declaration_list,
    STATE(2283), 1,
      sym_text_interpolation,
  [71180] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_LPAREN,
    STATE(1728), 1,
      sym_formal_parameters,
    STATE(2284), 1,
      sym_text_interpolation,
  [71196] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1959), 1,
      sym_formal_parameters,
    STATE(2285), 1,
      sym_text_interpolation,
  [71212] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_declaration_list,
    STATE(2286), 1,
      sym_text_interpolation,
  [71228] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(2287), 1,
      sym_text_interpolation,
  [71244] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(4411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71258] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1100), 1,
      sym_compound_statement,
    STATE(2289), 1,
      sym_text_interpolation,
  [71274] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2290), 1,
      sym_text_interpolation,
    ACTIONS(437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71288] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_declaration_list,
    STATE(2291), 1,
      sym_text_interpolation,
  [71304] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(915), 1,
      sym_compound_statement,
    STATE(2292), 1,
      sym_text_interpolation,
  [71320] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2293), 1,
      sym_text_interpolation,
    ACTIONS(523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71334] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(2294), 1,
      sym_text_interpolation,
  [71350] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(2295), 1,
      sym_text_interpolation,
  [71366] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1666), 1,
      sym_compound_statement,
    STATE(2296), 1,
      sym_text_interpolation,
  [71382] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_SEMI,
    ACTIONS(4415), 1,
      sym__automatic_semicolon,
    STATE(2297), 1,
      sym_text_interpolation,
  [71398] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(4417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71412] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(4419), 2,
      anon_sym_string,
      anon_sym_int,
  [71426] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(441), 1,
      anon_sym_COLON,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2129), 1,
      sym_colon_block,
    STATE(2300), 1,
      sym_text_interpolation,
  [71442] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_enum_declaration_list,
    STATE(2301), 1,
      sym_text_interpolation,
  [71458] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2302), 1,
      sym_text_interpolation,
  [71474] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_text_interpolation,
  [71490] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym_formal_parameters,
    STATE(2304), 1,
      sym_text_interpolation,
  [71506] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1580), 1,
      sym_formal_parameters,
    STATE(2305), 1,
      sym_text_interpolation,
  [71522] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4421), 2,
      anon_sym_string,
      anon_sym_int,
  [71536] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
    STATE(2307), 1,
      sym_text_interpolation,
  [71552] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2308), 1,
      sym_text_interpolation,
    ACTIONS(4423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71566] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_LPAREN,
    STATE(2309), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym_parenthesized_expression,
  [71582] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_declaration_list,
    STATE(2310), 1,
      sym_text_interpolation,
  [71598] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(933), 1,
      sym_compound_statement,
    STATE(2311), 1,
      sym_text_interpolation,
  [71614] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_text_interpolation,
  [71630] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(1969), 1,
      sym_enum_declaration_list,
    STATE(2313), 1,
      sym_text_interpolation,
  [71646] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2314), 1,
      sym_text_interpolation,
    ACTIONS(3993), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71660] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(4425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71674] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2316), 1,
      sym_text_interpolation,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71688] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(916), 1,
      sym_compound_statement,
    STATE(2317), 1,
      sym_text_interpolation,
  [71704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RPAREN,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2318), 1,
      sym_text_interpolation,
  [71720] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2111), 1,
      sym_compound_statement,
    STATE(2319), 1,
      sym_text_interpolation,
  [71736] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_enum_declaration_list,
    STATE(2320), 1,
      sym_text_interpolation,
  [71752] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(3800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71766] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(4427), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(917), 1,
      sym_compound_statement,
    STATE(2323), 1,
      sym_text_interpolation,
  [71796] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(921), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym_text_interpolation,
  [71812] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_SQUOTE,
    ACTIONS(4431), 1,
      sym_string_value,
    STATE(2325), 1,
      sym_text_interpolation,
  [71828] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1644), 1,
      sym_declaration_list,
    STATE(2326), 1,
      sym_text_interpolation,
  [71844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2327), 1,
      sym_text_interpolation,
  [71860] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_compound_statement,
    STATE(2328), 1,
      sym_text_interpolation,
  [71876] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4433), 1,
      sym__new_line,
    ACTIONS(4435), 1,
      sym_heredoc_end,
    STATE(2329), 1,
      sym_text_interpolation,
  [71892] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(970), 1,
      sym_compound_statement,
    STATE(2330), 1,
      sym_text_interpolation,
  [71908] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2331), 1,
      sym_text_interpolation,
    ACTIONS(2513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71922] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(2002), 1,
      sym_formal_parameters,
    STATE(2332), 1,
      sym_text_interpolation,
  [71938] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_parenthesized_expression,
    STATE(2333), 1,
      sym_text_interpolation,
  [71954] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2220), 1,
      sym_variable_name,
    STATE(2334), 1,
      sym_text_interpolation,
  [71970] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_text_interpolation,
  [71986] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_declaration_list,
    STATE(2336), 1,
      sym_text_interpolation,
  [72002] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_SEMI,
    ACTIONS(4439), 1,
      sym__automatic_semicolon,
    STATE(2337), 1,
      sym_text_interpolation,
  [72018] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2225), 1,
      sym_variable_name,
    STATE(2338), 1,
      sym_text_interpolation,
  [72034] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72048] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1711), 1,
      sym_compound_statement,
    STATE(2340), 1,
      sym_text_interpolation,
  [72064] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2226), 1,
      sym_variable_name,
    STATE(2341), 1,
      sym_text_interpolation,
  [72080] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2342), 1,
      sym_text_interpolation,
    ACTIONS(4443), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72094] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2343), 1,
      sym_text_interpolation,
    ACTIONS(4445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72108] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(4109), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72122] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(941), 1,
      sym_compound_statement,
    STATE(2345), 1,
      sym_text_interpolation,
  [72138] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(926), 1,
      sym_compound_statement,
    STATE(2346), 1,
      sym_text_interpolation,
  [72154] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2082), 1,
      sym_variable_name,
    STATE(2347), 1,
      sym_text_interpolation,
  [72170] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(4447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_declaration_list,
    STATE(2349), 1,
      sym_text_interpolation,
  [72200] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4449), 1,
      sym_name,
    STATE(1829), 1,
      sym_namespace_name,
    STATE(2350), 1,
      sym_text_interpolation,
  [72216] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72230] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_declaration_list,
    STATE(2352), 1,
      sym_text_interpolation,
  [72246] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_compound_statement,
    STATE(2353), 1,
      sym_text_interpolation,
  [72262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_compound_statement,
    STATE(2354), 1,
      sym_text_interpolation,
  [72278] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(928), 1,
      sym_compound_statement,
    STATE(2355), 1,
      sym_text_interpolation,
  [72294] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(2072), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_text_interpolation,
  [72310] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(2004), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym_text_interpolation,
  [72326] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(965), 1,
      sym_compound_statement,
    STATE(2358), 1,
      sym_text_interpolation,
  [72342] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(929), 1,
      sym_compound_statement,
    STATE(2359), 1,
      sym_text_interpolation,
  [72358] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_text_interpolation,
  [72374] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
    STATE(2361), 1,
      sym_text_interpolation,
  [72390] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(4453), 2,
      anon_sym_string,
      anon_sym_int,
  [72404] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_compound_statement,
    STATE(2363), 1,
      sym_text_interpolation,
  [72420] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_text_interpolation,
  [72436] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1043), 1,
      sym_compound_statement,
    STATE(2365), 1,
      sym_text_interpolation,
  [72452] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(931), 1,
      sym_compound_statement,
    STATE(2366), 1,
      sym_text_interpolation,
  [72468] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_declaration_list,
    STATE(2367), 1,
      sym_text_interpolation,
  [72484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(2368), 1,
      sym_text_interpolation,
  [72500] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2369), 1,
      sym_text_interpolation,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72514] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_text_interpolation,
  [72530] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1736), 1,
      sym_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [72546] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1695), 1,
      sym_declaration_list,
    STATE(2372), 1,
      sym_text_interpolation,
  [72562] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2373), 1,
      sym_text_interpolation,
    ACTIONS(4455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_text_interpolation,
  [72592] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2375), 1,
      sym_text_interpolation,
    ACTIONS(4457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4459), 1,
      sym__new_line,
    ACTIONS(4461), 1,
      sym_heredoc_end,
    STATE(2376), 1,
      sym_text_interpolation,
  [72622] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(4080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4463), 1,
      sym__new_line,
    ACTIONS(4465), 1,
      sym_heredoc_end,
    STATE(2378), 1,
      sym_text_interpolation,
  [72652] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_text_interpolation,
  [72668] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(4467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72682] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_text_interpolation,
  [72698] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(4470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72712] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_SEMI,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    STATE(2383), 1,
      sym_text_interpolation,
  [72728] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72742] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2385), 1,
      sym_text_interpolation,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72756] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    ACTIONS(1647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72770] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_enum_declaration_list,
    STATE(2387), 1,
      sym_text_interpolation,
  [72786] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [72802] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2389), 1,
      sym_text_interpolation,
    ACTIONS(4480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72816] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2390), 1,
      sym_text_interpolation,
    ACTIONS(3369), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72830] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2391), 1,
      sym_text_interpolation,
    ACTIONS(4482), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [72844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(2392), 1,
      sym_text_interpolation,
  [72860] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2393), 1,
      sym_text_interpolation,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72874] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2394), 1,
      sym_text_interpolation,
    ACTIONS(4484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72888] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2348), 1,
      sym_variable_name,
    STATE(2395), 1,
      sym_text_interpolation,
  [72904] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2396), 1,
      sym_text_interpolation,
    ACTIONS(4486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72918] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(942), 1,
      sym_compound_statement,
    STATE(2397), 1,
      sym_text_interpolation,
  [72934] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2398), 1,
      sym_text_interpolation,
    ACTIONS(4488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72948] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(361), 1,
      anon_sym_COLON,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      sym_colon_block,
  [72964] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    STATE(2300), 1,
      sym_parenthesized_expression,
    STATE(2400), 1,
      sym_text_interpolation,
  [72980] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72994] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2402), 1,
      sym_text_interpolation,
  [73010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2014), 1,
      sym_variable_name,
    STATE(2403), 1,
      sym_text_interpolation,
  [73026] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2404), 1,
      sym_text_interpolation,
    ACTIONS(4492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73040] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2405), 1,
      sym_text_interpolation,
    ACTIONS(4494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    STATE(2406), 1,
      sym_text_interpolation,
  [73070] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2407), 1,
      sym_text_interpolation,
    ACTIONS(3407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73084] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2342), 1,
      sym_variable_name,
    STATE(2408), 1,
      sym_text_interpolation,
  [73100] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_declaration_list,
    STATE(2409), 1,
      sym_text_interpolation,
  [73116] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_declaration_list,
    STATE(2410), 1,
      sym_text_interpolation,
  [73132] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(944), 1,
      sym_compound_statement,
    STATE(2411), 1,
      sym_text_interpolation,
  [73148] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2412), 1,
      sym_text_interpolation,
    ACTIONS(4496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73162] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2413), 1,
      sym_text_interpolation,
  [73178] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2414), 1,
      sym_text_interpolation,
    ACTIONS(2451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73192] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_text_interpolation,
  [73208] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(2416), 1,
      sym_text_interpolation,
  [73224] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_DOLLAR,
    STATE(2339), 1,
      sym_variable_name,
    STATE(2417), 1,
      sym_text_interpolation,
  [73240] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1710), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_text_interpolation,
  [73256] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(2419), 1,
      sym_text_interpolation,
  [73272] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACE,
    STATE(2013), 1,
      sym_enum_declaration_list,
    STATE(2420), 1,
      sym_text_interpolation,
  [73288] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1046), 1,
      sym_compound_statement,
    STATE(2421), 1,
      sym_text_interpolation,
  [73304] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(947), 1,
      sym_compound_statement,
    STATE(2422), 1,
      sym_text_interpolation,
  [73320] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(1049), 1,
      sym_compound_statement,
    STATE(2423), 1,
      sym_text_interpolation,
  [73336] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2424), 1,
      sym_text_interpolation,
    ACTIONS(4177), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [73350] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_COLON_COLON,
    STATE(2425), 1,
      sym_text_interpolation,
  [73363] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym_name,
    STATE(2426), 1,
      sym_text_interpolation,
  [73376] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_RPAREN,
    STATE(2427), 1,
      sym_text_interpolation,
  [73389] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_EQ_GT,
    STATE(2428), 1,
      sym_text_interpolation,
  [73402] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(2429), 1,
      sym_text_interpolation,
  [73415] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4506), 1,
      sym_heredoc_end,
    STATE(2430), 1,
      sym_text_interpolation,
  [73428] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2431), 1,
      sym_text_interpolation,
  [73441] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_RBRACK,
    STATE(2432), 1,
      sym_text_interpolation,
  [73454] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    STATE(2433), 1,
      sym_text_interpolation,
  [73467] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_STAR_STAR,
    STATE(2434), 1,
      sym_text_interpolation,
  [73480] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    STATE(2435), 1,
      sym_text_interpolation,
  [73493] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
  [73506] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_RPAREN,
    STATE(2437), 1,
      sym_text_interpolation,
  [73519] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    STATE(2438), 1,
      sym_text_interpolation,
  [73532] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_COLON_COLON,
    STATE(2439), 1,
      sym_text_interpolation,
  [73545] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_EQ,
    STATE(2440), 1,
      sym_text_interpolation,
  [73558] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_EQ_GT,
    STATE(2441), 1,
      sym_text_interpolation,
  [73571] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    STATE(2442), 1,
      sym_text_interpolation,
  [73584] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(841), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2443), 1,
      sym_text_interpolation,
  [73597] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(2444), 1,
      sym_text_interpolation,
  [73610] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_RBRACE,
    STATE(2445), 1,
      sym_text_interpolation,
  [73623] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_EQ_GT,
    STATE(2446), 1,
      sym_text_interpolation,
  [73636] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(2447), 1,
      sym_text_interpolation,
  [73649] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_EQ,
    STATE(2448), 1,
      sym_text_interpolation,
  [73662] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4528), 1,
      aux_sym_if_statement_token2,
    STATE(2449), 1,
      sym_text_interpolation,
  [73675] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RBRACK,
    STATE(2450), 1,
      sym_text_interpolation,
  [73688] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4532), 1,
      sym_integer,
    STATE(2451), 1,
      sym_text_interpolation,
  [73701] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_BSLASH,
    STATE(2452), 1,
      sym_text_interpolation,
  [73714] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_name,
    STATE(2453), 1,
      sym_text_interpolation,
  [73727] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RBRACK,
    STATE(2454), 1,
      sym_text_interpolation,
  [73740] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym_heredoc_end,
    STATE(2455), 1,
      sym_text_interpolation,
  [73753] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_EQ_GT,
    STATE(2456), 1,
      sym_text_interpolation,
  [73766] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4544), 1,
      aux_sym_class_declaration_token1,
    STATE(2457), 1,
      sym_text_interpolation,
  [73779] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym_name,
    STATE(2458), 1,
      sym_text_interpolation,
  [73792] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_EQ_GT,
    STATE(2459), 1,
      sym_text_interpolation,
  [73805] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4550), 1,
      sym_name,
    STATE(2460), 1,
      sym_text_interpolation,
  [73818] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    STATE(2461), 1,
      sym_text_interpolation,
  [73831] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4554), 1,
      sym_heredoc_end,
    STATE(2462), 1,
      sym_text_interpolation,
  [73844] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4556), 1,
      aux_sym_foreach_statement_token2,
    STATE(2463), 1,
      sym_text_interpolation,
  [73857] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4558), 1,
      sym_name,
    STATE(2464), 1,
      sym_text_interpolation,
  [73870] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
    STATE(2465), 1,
      sym_text_interpolation,
  [73883] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym_heredoc_end,
    STATE(2466), 1,
      sym_text_interpolation,
  [73896] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3999), 1,
      anon_sym_RPAREN,
    STATE(2467), 1,
      sym_text_interpolation,
  [73909] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_DQUOTE2,
    STATE(2468), 1,
      sym_text_interpolation,
  [73922] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_SQUOTE2,
    STATE(2469), 1,
      sym_text_interpolation,
  [73935] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(2470), 1,
      sym_text_interpolation,
  [73948] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4568), 1,
      sym_name,
    STATE(2471), 1,
      sym_text_interpolation,
  [73961] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
  [73974] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_text_interpolation,
  [73987] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_name,
    STATE(2474), 1,
      sym_text_interpolation,
  [74000] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4574), 1,
      sym_name,
    STATE(2475), 1,
      sym_text_interpolation,
  [74013] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_if_statement_token2,
    STATE(2476), 1,
      sym_text_interpolation,
  [74026] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RPAREN,
    STATE(2477), 1,
      sym_text_interpolation,
  [74039] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2478), 1,
      sym_text_interpolation,
  [74052] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_RPAREN,
    STATE(2479), 1,
      sym_text_interpolation,
  [74065] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_EQ_GT,
    STATE(2480), 1,
      sym_text_interpolation,
  [74078] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    STATE(2481), 1,
      sym_text_interpolation,
  [74091] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4009), 1,
      sym_name,
    STATE(2482), 1,
      sym_text_interpolation,
  [74104] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_RBRACK,
    STATE(2483), 1,
      sym_text_interpolation,
  [74117] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
    STATE(2484), 1,
      sym_text_interpolation,
  [74130] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_SEMI,
    STATE(2485), 1,
      sym_text_interpolation,
  [74143] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2486), 1,
      sym_text_interpolation,
  [74156] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4586), 1,
      aux_sym_while_statement_token2,
    STATE(2487), 1,
      sym_text_interpolation,
  [74169] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4588), 1,
      sym_name,
    STATE(2488), 1,
      sym_text_interpolation,
  [74182] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    STATE(2489), 1,
      sym_text_interpolation,
  [74195] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
    STATE(2490), 1,
      sym_text_interpolation,
  [74208] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_EQ,
    STATE(2491), 1,
      sym_text_interpolation,
  [74221] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_COLON_COLON,
    STATE(2492), 1,
      sym_text_interpolation,
  [74234] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3982), 1,
      anon_sym_RPAREN,
    STATE(2493), 1,
      sym_text_interpolation,
  [74247] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_text_interpolation,
  [74260] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_EQ_GT,
    STATE(2495), 1,
      sym_text_interpolation,
  [74273] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_STAR_STAR,
    STATE(2496), 1,
      sym_text_interpolation,
  [74286] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3439), 1,
      sym_name,
    STATE(2497), 1,
      sym_text_interpolation,
  [74299] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    STATE(2498), 1,
      sym_text_interpolation,
  [74312] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_if_statement_token2,
    STATE(2499), 1,
      sym_text_interpolation,
  [74325] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4604), 1,
      aux_sym_if_statement_token2,
    STATE(2500), 1,
      sym_text_interpolation,
  [74338] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4606), 1,
      aux_sym_if_statement_token2,
    STATE(2501), 1,
      sym_text_interpolation,
  [74351] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_EQ_GT,
    STATE(2502), 1,
      sym_text_interpolation,
  [74364] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_EQ,
    STATE(2503), 1,
      sym_text_interpolation,
  [74377] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_COLON_COLON,
    STATE(2504), 1,
      sym_text_interpolation,
  [74390] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN,
    STATE(2505), 1,
      sym_text_interpolation,
  [74403] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym_name,
    STATE(2506), 1,
      sym_text_interpolation,
  [74416] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_EQ,
    STATE(2507), 1,
      sym_text_interpolation,
  [74429] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_LPAREN,
    STATE(2508), 1,
      sym_text_interpolation,
  [74442] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym_name,
    STATE(2509), 1,
      sym_text_interpolation,
  [74455] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_DQUOTE2,
    STATE(2510), 1,
      sym_text_interpolation,
  [74468] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_SQUOTE2,
    STATE(2511), 1,
      sym_text_interpolation,
  [74481] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RPAREN,
    STATE(2512), 1,
      sym_text_interpolation,
  [74494] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_RPAREN,
    STATE(2513), 1,
      sym_text_interpolation,
  [74507] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
    STATE(2514), 1,
      sym_text_interpolation,
  [74520] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4634), 1,
      aux_sym_while_statement_token2,
    STATE(2515), 1,
      sym_text_interpolation,
  [74533] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_RPAREN,
    STATE(2516), 1,
      sym_text_interpolation,
  [74546] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      sym_text_interpolation,
  [74559] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_RBRACK,
    STATE(2518), 1,
      sym_text_interpolation,
  [74572] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym_name,
    STATE(2519), 1,
      sym_text_interpolation,
  [74585] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_BSLASH,
    STATE(2520), 1,
      sym_text_interpolation,
  [74598] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN,
    STATE(2521), 1,
      sym_text_interpolation,
  [74611] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_BSLASH,
    STATE(2522), 1,
      sym_text_interpolation,
  [74624] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_name,
    STATE(2523), 1,
      sym_text_interpolation,
  [74637] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_name,
    STATE(2524), 1,
      sym_text_interpolation,
  [74650] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_BSLASH,
    STATE(2525), 1,
      sym_text_interpolation,
  [74663] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2526), 1,
      sym_text_interpolation,
  [74676] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RPAREN,
    STATE(2527), 1,
      sym_text_interpolation,
  [74689] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_STAR_STAR,
    STATE(2528), 1,
      sym_text_interpolation,
  [74702] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_COLON_COLON,
    STATE(2529), 1,
      sym_text_interpolation,
  [74715] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4658), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2530), 1,
      sym_text_interpolation,
  [74728] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3952), 1,
      aux_sym_class_declaration_token1,
    STATE(2531), 1,
      sym_text_interpolation,
  [74741] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4660), 1,
      aux_sym_class_declaration_token1,
    STATE(2532), 1,
      sym_text_interpolation,
  [74754] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
    STATE(2533), 1,
      sym_text_interpolation,
  [74767] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4664), 1,
      sym_name,
    STATE(2534), 1,
      sym_text_interpolation,
  [74780] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_EQ_GT,
    STATE(2535), 1,
      sym_text_interpolation,
  [74793] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4668), 1,
      aux_sym_class_declaration_token1,
    STATE(2536), 1,
      sym_text_interpolation,
  [74806] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym_name,
    STATE(2537), 1,
      sym_text_interpolation,
  [74819] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym_name,
    STATE(2538), 1,
      sym_text_interpolation,
  [74832] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4672), 1,
      sym_name,
    STATE(2539), 1,
      sym_text_interpolation,
  [74845] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_text_interpolation,
  [74858] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_SEMI,
    STATE(2541), 1,
      sym_text_interpolation,
  [74871] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_heredoc_start,
    STATE(2542), 1,
      sym_text_interpolation,
  [74884] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_name,
    STATE(2543), 1,
      sym_text_interpolation,
  [74897] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4682), 1,
      sym_name,
    STATE(2544), 1,
      sym_text_interpolation,
  [74910] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_SQUOTE,
    STATE(2545), 1,
      sym_text_interpolation,
  [74923] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3932), 1,
      aux_sym_class_declaration_token1,
    STATE(2546), 1,
      sym_text_interpolation,
  [74936] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2547), 1,
      sym_text_interpolation,
  [74949] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_BSLASH,
    STATE(2548), 1,
      sym_text_interpolation,
  [74962] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_SQUOTE,
    STATE(2549), 1,
      sym_text_interpolation,
  [74975] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4692), 1,
      sym_name,
    STATE(2550), 1,
      sym_text_interpolation,
  [74988] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_EQ_GT,
    STATE(2551), 1,
      sym_text_interpolation,
  [75001] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4696), 1,
      aux_sym_while_statement_token1,
    STATE(2552), 1,
      sym_text_interpolation,
  [75014] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_heredoc_start,
    STATE(2553), 1,
      sym_text_interpolation,
  [75027] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4700), 1,
      sym_heredoc_start,
    STATE(2554), 1,
      sym_text_interpolation,
  [75040] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4702), 1,
      aux_sym_class_declaration_token1,
    STATE(2555), 1,
      sym_text_interpolation,
  [75053] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2556), 1,
      sym_text_interpolation,
  [75066] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_LPAREN,
    STATE(2557), 1,
      sym_text_interpolation,
  [75079] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_class_declaration_token1,
    STATE(2558), 1,
      sym_text_interpolation,
  [75092] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_BSLASH,
    STATE(2559), 1,
      sym_text_interpolation,
  [75105] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_BSLASH,
    STATE(2560), 1,
      sym_text_interpolation,
  [75118] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RPAREN,
    STATE(2561), 1,
      sym_text_interpolation,
  [75131] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4712), 1,
      sym_name,
    STATE(2562), 1,
      sym_text_interpolation,
  [75144] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_COLON_COLON,
    STATE(2563), 1,
      sym_text_interpolation,
  [75157] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_text_interpolation,
  [75170] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4716), 1,
      aux_sym_class_declaration_token1,
    STATE(2565), 1,
      sym_text_interpolation,
  [75183] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_BSLASH,
    STATE(2566), 1,
      sym_text_interpolation,
  [75196] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_RPAREN,
    STATE(2567), 1,
      sym_text_interpolation,
  [75209] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4720), 1,
      aux_sym_class_declaration_token1,
    STATE(2568), 1,
      sym_text_interpolation,
  [75222] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(855), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2569), 1,
      sym_text_interpolation,
  [75235] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4722), 1,
      sym_name,
    STATE(2570), 1,
      sym_text_interpolation,
  [75248] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_name,
    STATE(2571), 1,
      sym_text_interpolation,
  [75261] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4726), 1,
      aux_sym_while_statement_token1,
    STATE(2572), 1,
      sym_text_interpolation,
  [75274] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_RPAREN,
    STATE(2573), 1,
      sym_text_interpolation,
  [75287] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2574), 1,
      sym_text_interpolation,
  [75300] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym_name,
    STATE(2575), 1,
      sym_text_interpolation,
  [75313] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_SEMI,
    STATE(2576), 1,
      sym_text_interpolation,
  [75326] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    STATE(2577), 1,
      sym_text_interpolation,
  [75339] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4732), 1,
      sym_name,
    STATE(2578), 1,
      sym_text_interpolation,
  [75352] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_EQ_GT,
    STATE(2579), 1,
      sym_text_interpolation,
  [75365] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2580), 1,
      sym_text_interpolation,
  [75378] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [75391] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_RPAREN,
    STATE(2582), 1,
      sym_text_interpolation,
  [75404] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
    STATE(2583), 1,
      sym_text_interpolation,
  [75417] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_RPAREN,
    STATE(2584), 1,
      sym_text_interpolation,
  [75430] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_name,
    STATE(2585), 1,
      sym_text_interpolation,
  [75443] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_COLON_COLON,
    STATE(2586), 1,
      sym_text_interpolation,
  [75456] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4746), 1,
      ts_builtin_sym_end,
    STATE(2587), 1,
      sym_text_interpolation,
  [75469] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_text_interpolation,
  [75482] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_BSLASH,
    STATE(2589), 1,
      sym_text_interpolation,
  [75495] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_EQ,
    STATE(2590), 1,
      sym_text_interpolation,
  [75508] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RBRACK,
    STATE(2591), 1,
      sym_text_interpolation,
  [75521] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_BSLASH,
    STATE(2592), 1,
      sym_text_interpolation,
  [75534] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_COLON_COLON,
    STATE(2593), 1,
      sym_text_interpolation,
  [75547] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_COLON_COLON,
    STATE(2594), 1,
      sym_text_interpolation,
  [75560] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_RPAREN,
    STATE(2595), 1,
      sym_text_interpolation,
  [75573] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4758), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2596), 1,
      sym_text_interpolation,
  [75586] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3453), 1,
      sym_name,
    STATE(2597), 1,
      sym_text_interpolation,
  [75599] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LPAREN,
    STATE(2598), 1,
      sym_text_interpolation,
  [75612] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COLON_COLON,
    STATE(2599), 1,
      sym_text_interpolation,
  [75625] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_COLON_COLON,
    STATE(2600), 1,
      sym_text_interpolation,
  [75638] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(861), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2601), 1,
      sym_text_interpolation,
  [75651] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_COLON_COLON,
    STATE(2602), 1,
      sym_text_interpolation,
  [75664] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_EQ,
    STATE(2603), 1,
      sym_text_interpolation,
  [75677] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_EQ_GT,
    STATE(2604), 1,
      sym_text_interpolation,
  [75690] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_SEMI,
    STATE(2605), 1,
      sym_text_interpolation,
  [75703] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
    STATE(2606), 1,
      sym_text_interpolation,
  [75716] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4774), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2607), 1,
      sym_text_interpolation,
  [75729] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4776), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2608), 1,
      sym_text_interpolation,
  [75742] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3893), 1,
      aux_sym_class_declaration_token1,
    STATE(2609), 1,
      sym_text_interpolation,
  [75755] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2610), 1,
      sym_text_interpolation,
  [75768] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_BSLASH,
    STATE(2611), 1,
      sym_text_interpolation,
  [75781] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4780), 1,
      sym_name,
    STATE(2612), 1,
      sym_text_interpolation,
  [75794] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_RPAREN,
    STATE(2613), 1,
      sym_text_interpolation,
  [75807] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_COLON_COLON,
    STATE(2614), 1,
      sym_text_interpolation,
  [75820] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LPAREN,
    STATE(2615), 1,
      sym_text_interpolation,
  [75833] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    STATE(2616), 1,
      sym_text_interpolation,
  [75846] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [75859] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    STATE(2618), 1,
      sym_text_interpolation,
  [75872] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_LPAREN,
    STATE(2619), 1,
      sym_text_interpolation,
  [75885] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_LPAREN,
    STATE(2620), 1,
      sym_text_interpolation,
  [75898] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    STATE(2621), 1,
      sym_text_interpolation,
  [75911] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    STATE(2622), 1,
      sym_text_interpolation,
  [75924] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_LPAREN,
    STATE(2623), 1,
      sym_text_interpolation,
  [75937] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4796), 1,
      sym_name,
    STATE(2624), 1,
      sym_text_interpolation,
  [75950] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_heredoc_end,
    STATE(2625), 1,
      sym_text_interpolation,
  [75963] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_heredoc_end,
    STATE(2626), 1,
      sym_text_interpolation,
  [75976] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_LPAREN,
    STATE(2627), 1,
      sym_text_interpolation,
  [75989] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_COLON_COLON,
    STATE(2628), 1,
      sym_text_interpolation,
  [76002] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_LPAREN,
    STATE(2629), 1,
      sym_text_interpolation,
  [76015] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    STATE(2630), 1,
      sym_text_interpolation,
  [76028] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4810), 1,
      sym_heredoc_start,
    STATE(2631), 1,
      sym_text_interpolation,
  [76041] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LPAREN,
    STATE(2632), 1,
      sym_text_interpolation,
  [76054] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(879), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2633), 1,
      sym_text_interpolation,
  [76067] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_name,
    STATE(2634), 1,
      sym_text_interpolation,
  [76080] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
    STATE(2635), 1,
      sym_text_interpolation,
  [76093] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_text_interpolation,
  [76106] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN,
    STATE(2637), 1,
      sym_text_interpolation,
  [76119] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
    STATE(2638), 1,
      sym_text_interpolation,
  [76132] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_SEMI,
    STATE(2639), 1,
      sym_text_interpolation,
  [76145] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_name,
    STATE(2640), 1,
      sym_text_interpolation,
  [76158] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_text_interpolation,
  [76171] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_LPAREN,
    STATE(2642), 1,
      sym_text_interpolation,
  [76184] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_EQ_GT,
    STATE(2643), 1,
      sym_text_interpolation,
  [76197] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4276), 1,
      anon_sym_RPAREN,
    STATE(2644), 1,
      sym_text_interpolation,
  [76210] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_SEMI,
    STATE(2645), 1,
      sym_text_interpolation,
  [76223] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RPAREN,
    STATE(2646), 1,
      sym_text_interpolation,
  [76236] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LPAREN,
    STATE(2647), 1,
      sym_text_interpolation,
  [76249] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_LPAREN,
    STATE(2648), 1,
      sym_text_interpolation,
  [76262] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_LPAREN,
    STATE(2649), 1,
      sym_text_interpolation,
  [76275] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_LPAREN,
    STATE(2650), 1,
      sym_text_interpolation,
  [76288] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4846), 1,
      aux_sym_foreach_statement_token2,
    STATE(2651), 1,
      sym_text_interpolation,
  [76301] = 1,
    ACTIONS(4848), 1,
      ts_builtin_sym_end,
  [76305] = 1,
    ACTIONS(4850), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(575)] = 0,
  [SMALL_STATE(576)] = 87,
  [SMALL_STATE(577)] = 166,
  [SMALL_STATE(578)] = 245,
  [SMALL_STATE(579)] = 324,
  [SMALL_STATE(580)] = 403,
  [SMALL_STATE(581)] = 482,
  [SMALL_STATE(582)] = 556,
  [SMALL_STATE(583)] = 630,
  [SMALL_STATE(584)] = 704,
  [SMALL_STATE(585)] = 778,
  [SMALL_STATE(586)] = 852,
  [SMALL_STATE(587)] = 926,
  [SMALL_STATE(588)] = 1000,
  [SMALL_STATE(589)] = 1074,
  [SMALL_STATE(590)] = 1148,
  [SMALL_STATE(591)] = 1222,
  [SMALL_STATE(592)] = 1296,
  [SMALL_STATE(593)] = 1370,
  [SMALL_STATE(594)] = 1444,
  [SMALL_STATE(595)] = 1529,
  [SMALL_STATE(596)] = 1610,
  [SMALL_STATE(597)] = 1695,
  [SMALL_STATE(598)] = 1779,
  [SMALL_STATE(599)] = 1863,
  [SMALL_STATE(600)] = 1942,
  [SMALL_STATE(601)] = 2031,
  [SMALL_STATE(602)] = 2114,
  [SMALL_STATE(603)] = 2193,
  [SMALL_STATE(604)] = 2276,
  [SMALL_STATE(605)] = 2351,
  [SMALL_STATE(606)] = 2426,
  [SMALL_STATE(607)] = 2509,
  [SMALL_STATE(608)] = 2584,
  [SMALL_STATE(609)] = 2659,
  [SMALL_STATE(610)] = 2734,
  [SMALL_STATE(611)] = 2817,
  [SMALL_STATE(612)] = 2887,
  [SMALL_STATE(613)] = 2957,
  [SMALL_STATE(614)] = 3027,
  [SMALL_STATE(615)] = 3109,
  [SMALL_STATE(616)] = 3179,
  [SMALL_STATE(617)] = 3249,
  [SMALL_STATE(618)] = 3327,
  [SMALL_STATE(619)] = 3397,
  [SMALL_STATE(620)] = 3467,
  [SMALL_STATE(621)] = 3537,
  [SMALL_STATE(622)] = 3607,
  [SMALL_STATE(623)] = 3677,
  [SMALL_STATE(624)] = 3747,
  [SMALL_STATE(625)] = 3817,
  [SMALL_STATE(626)] = 3887,
  [SMALL_STATE(627)] = 3971,
  [SMALL_STATE(628)] = 4055,
  [SMALL_STATE(629)] = 4125,
  [SMALL_STATE(630)] = 4207,
  [SMALL_STATE(631)] = 4277,
  [SMALL_STATE(632)] = 4361,
  [SMALL_STATE(633)] = 4439,
  [SMALL_STATE(634)] = 4509,
  [SMALL_STATE(635)] = 4579,
  [SMALL_STATE(636)] = 4656,
  [SMALL_STATE(637)] = 4733,
  [SMALL_STATE(638)] = 4816,
  [SMALL_STATE(639)] = 4893,
  [SMALL_STATE(640)] = 4970,
  [SMALL_STATE(641)] = 5053,
  [SMALL_STATE(642)] = 5131,
  [SMALL_STATE(643)] = 5209,
  [SMALL_STATE(644)] = 5285,
  [SMALL_STATE(645)] = 5363,
  [SMALL_STATE(646)] = 5439,
  [SMALL_STATE(647)] = 5516,
  [SMALL_STATE(648)] = 5581,
  [SMALL_STATE(649)] = 5646,
  [SMALL_STATE(650)] = 5713,
  [SMALL_STATE(651)] = 5774,
  [SMALL_STATE(652)] = 5843,
  [SMALL_STATE(653)] = 5908,
  [SMALL_STATE(654)] = 5979,
  [SMALL_STATE(655)] = 6050,
  [SMALL_STATE(656)] = 6115,
  [SMALL_STATE(657)] = 6186,
  [SMALL_STATE(658)] = 6251,
  [SMALL_STATE(659)] = 6360,
  [SMALL_STATE(660)] = 6469,
  [SMALL_STATE(661)] = 6540,
  [SMALL_STATE(662)] = 6650,
  [SMALL_STATE(663)] = 6710,
  [SMALL_STATE(664)] = 6770,
  [SMALL_STATE(665)] = 6830,
  [SMALL_STATE(666)] = 6890,
  [SMALL_STATE(667)] = 6950,
  [SMALL_STATE(668)] = 7010,
  [SMALL_STATE(669)] = 7070,
  [SMALL_STATE(670)] = 7130,
  [SMALL_STATE(671)] = 7240,
  [SMALL_STATE(672)] = 7300,
  [SMALL_STATE(673)] = 7360,
  [SMALL_STATE(674)] = 7420,
  [SMALL_STATE(675)] = 7484,
  [SMALL_STATE(676)] = 7544,
  [SMALL_STATE(677)] = 7604,
  [SMALL_STATE(678)] = 7664,
  [SMALL_STATE(679)] = 7724,
  [SMALL_STATE(680)] = 7784,
  [SMALL_STATE(681)] = 7844,
  [SMALL_STATE(682)] = 7904,
  [SMALL_STATE(683)] = 7967,
  [SMALL_STATE(684)] = 8032,
  [SMALL_STATE(685)] = 8139,
  [SMALL_STATE(686)] = 8240,
  [SMALL_STATE(687)] = 8305,
  [SMALL_STATE(688)] = 8370,
  [SMALL_STATE(689)] = 8435,
  [SMALL_STATE(690)] = 8500,
  [SMALL_STATE(691)] = 8561,
  [SMALL_STATE(692)] = 8668,
  [SMALL_STATE(693)] = 8731,
  [SMALL_STATE(694)] = 8796,
  [SMALL_STATE(695)] = 8861,
  [SMALL_STATE(696)] = 8926,
  [SMALL_STATE(697)] = 8989,
  [SMALL_STATE(698)] = 9092,
  [SMALL_STATE(699)] = 9157,
  [SMALL_STATE(700)] = 9222,
  [SMALL_STATE(701)] = 9285,
  [SMALL_STATE(702)] = 9392,
  [SMALL_STATE(703)] = 9457,
  [SMALL_STATE(704)] = 9520,
  [SMALL_STATE(705)] = 9623,
  [SMALL_STATE(706)] = 9686,
  [SMALL_STATE(707)] = 9749,
  [SMALL_STATE(708)] = 9814,
  [SMALL_STATE(709)] = 9875,
  [SMALL_STATE(710)] = 9938,
  [SMALL_STATE(711)] = 9999,
  [SMALL_STATE(712)] = 10062,
  [SMALL_STATE(713)] = 10123,
  [SMALL_STATE(714)] = 10184,
  [SMALL_STATE(715)] = 10247,
  [SMALL_STATE(716)] = 10310,
  [SMALL_STATE(717)] = 10373,
  [SMALL_STATE(718)] = 10436,
  [SMALL_STATE(719)] = 10497,
  [SMALL_STATE(720)] = 10604,
  [SMALL_STATE(721)] = 10662,
  [SMALL_STATE(722)] = 10720,
  [SMALL_STATE(723)] = 10778,
  [SMALL_STATE(724)] = 10836,
  [SMALL_STATE(725)] = 10894,
  [SMALL_STATE(726)] = 10952,
  [SMALL_STATE(727)] = 11010,
  [SMALL_STATE(728)] = 11068,
  [SMALL_STATE(729)] = 11126,
  [SMALL_STATE(730)] = 11184,
  [SMALL_STATE(731)] = 11242,
  [SMALL_STATE(732)] = 11302,
  [SMALL_STATE(733)] = 11360,
  [SMALL_STATE(734)] = 11418,
  [SMALL_STATE(735)] = 11476,
  [SMALL_STATE(736)] = 11534,
  [SMALL_STATE(737)] = 11592,
  [SMALL_STATE(738)] = 11650,
  [SMALL_STATE(739)] = 11754,
  [SMALL_STATE(740)] = 11812,
  [SMALL_STATE(741)] = 11870,
  [SMALL_STATE(742)] = 11974,
  [SMALL_STATE(743)] = 12078,
  [SMALL_STATE(744)] = 12136,
  [SMALL_STATE(745)] = 12194,
  [SMALL_STATE(746)] = 12252,
  [SMALL_STATE(747)] = 12310,
  [SMALL_STATE(748)] = 12370,
  [SMALL_STATE(749)] = 12428,
  [SMALL_STATE(750)] = 12486,
  [SMALL_STATE(751)] = 12544,
  [SMALL_STATE(752)] = 12602,
  [SMALL_STATE(753)] = 12660,
  [SMALL_STATE(754)] = 12718,
  [SMALL_STATE(755)] = 12776,
  [SMALL_STATE(756)] = 12834,
  [SMALL_STATE(757)] = 12892,
  [SMALL_STATE(758)] = 12950,
  [SMALL_STATE(759)] = 13054,
  [SMALL_STATE(760)] = 13158,
  [SMALL_STATE(761)] = 13216,
  [SMALL_STATE(762)] = 13274,
  [SMALL_STATE(763)] = 13332,
  [SMALL_STATE(764)] = 13390,
  [SMALL_STATE(765)] = 13448,
  [SMALL_STATE(766)] = 13506,
  [SMALL_STATE(767)] = 13563,
  [SMALL_STATE(768)] = 13622,
  [SMALL_STATE(769)] = 13689,
  [SMALL_STATE(770)] = 13748,
  [SMALL_STATE(771)] = 13849,
  [SMALL_STATE(772)] = 13910,
  [SMALL_STATE(773)] = 13967,
  [SMALL_STATE(774)] = 14034,
  [SMALL_STATE(775)] = 14093,
  [SMALL_STATE(776)] = 14154,
  [SMALL_STATE(777)] = 14219,
  [SMALL_STATE(778)] = 14282,
  [SMALL_STATE(779)] = 14349,
  [SMALL_STATE(780)] = 14408,
  [SMALL_STATE(781)] = 14469,
  [SMALL_STATE(782)] = 14536,
  [SMALL_STATE(783)] = 14597,
  [SMALL_STATE(784)] = 14658,
  [SMALL_STATE(785)] = 14717,
  [SMALL_STATE(786)] = 14778,
  [SMALL_STATE(787)] = 14846,
  [SMALL_STATE(788)] = 14902,
  [SMALL_STATE(789)] = 14958,
  [SMALL_STATE(790)] = 15014,
  [SMALL_STATE(791)] = 15082,
  [SMALL_STATE(792)] = 15138,
  [SMALL_STATE(793)] = 15194,
  [SMALL_STATE(794)] = 15262,
  [SMALL_STATE(795)] = 15318,
  [SMALL_STATE(796)] = 15374,
  [SMALL_STATE(797)] = 15430,
  [SMALL_STATE(798)] = 15486,
  [SMALL_STATE(799)] = 15542,
  [SMALL_STATE(800)] = 15598,
  [SMALL_STATE(801)] = 15654,
  [SMALL_STATE(802)] = 15710,
  [SMALL_STATE(803)] = 15766,
  [SMALL_STATE(804)] = 15822,
  [SMALL_STATE(805)] = 15878,
  [SMALL_STATE(806)] = 15934,
  [SMALL_STATE(807)] = 15990,
  [SMALL_STATE(808)] = 16085,
  [SMALL_STATE(809)] = 16180,
  [SMALL_STATE(810)] = 16235,
  [SMALL_STATE(811)] = 16292,
  [SMALL_STATE(812)] = 16349,
  [SMALL_STATE(813)] = 16404,
  [SMALL_STATE(814)] = 16463,
  [SMALL_STATE(815)] = 16524,
  [SMALL_STATE(816)] = 16619,
  [SMALL_STATE(817)] = 16674,
  [SMALL_STATE(818)] = 16735,
  [SMALL_STATE(819)] = 16796,
  [SMALL_STATE(820)] = 16891,
  [SMALL_STATE(821)] = 16986,
  [SMALL_STATE(822)] = 17081,
  [SMALL_STATE(823)] = 17138,
  [SMALL_STATE(824)] = 17233,
  [SMALL_STATE(825)] = 17294,
  [SMALL_STATE(826)] = 17355,
  [SMALL_STATE(827)] = 17414,
  [SMALL_STATE(828)] = 17473,
  [SMALL_STATE(829)] = 17532,
  [SMALL_STATE(830)] = 17591,
  [SMALL_STATE(831)] = 17650,
  [SMALL_STATE(832)] = 17711,
  [SMALL_STATE(833)] = 17772,
  [SMALL_STATE(834)] = 17831,
  [SMALL_STATE(835)] = 17892,
  [SMALL_STATE(836)] = 17987,
  [SMALL_STATE(837)] = 18048,
  [SMALL_STATE(838)] = 18107,
  [SMALL_STATE(839)] = 18168,
  [SMALL_STATE(840)] = 18227,
  [SMALL_STATE(841)] = 18286,
  [SMALL_STATE(842)] = 18347,
  [SMALL_STATE(843)] = 18442,
  [SMALL_STATE(844)] = 18537,
  [SMALL_STATE(845)] = 18632,
  [SMALL_STATE(846)] = 18727,
  [SMALL_STATE(847)] = 18784,
  [SMALL_STATE(848)] = 18879,
  [SMALL_STATE(849)] = 18938,
  [SMALL_STATE(850)] = 18995,
  [SMALL_STATE(851)] = 19056,
  [SMALL_STATE(852)] = 19151,
  [SMALL_STATE(853)] = 19210,
  [SMALL_STATE(854)] = 19269,
  [SMALL_STATE(855)] = 19364,
  [SMALL_STATE(856)] = 19421,
  [SMALL_STATE(857)] = 19476,
  [SMALL_STATE(858)] = 19533,
  [SMALL_STATE(859)] = 19587,
  [SMALL_STATE(860)] = 19641,
  [SMALL_STATE(861)] = 19695,
  [SMALL_STATE(862)] = 19749,
  [SMALL_STATE(863)] = 19803,
  [SMALL_STATE(864)] = 19857,
  [SMALL_STATE(865)] = 19911,
  [SMALL_STATE(866)] = 19965,
  [SMALL_STATE(867)] = 20019,
  [SMALL_STATE(868)] = 20073,
  [SMALL_STATE(869)] = 20127,
  [SMALL_STATE(870)] = 20181,
  [SMALL_STATE(871)] = 20235,
  [SMALL_STATE(872)] = 20291,
  [SMALL_STATE(873)] = 20345,
  [SMALL_STATE(874)] = 20399,
  [SMALL_STATE(875)] = 20453,
  [SMALL_STATE(876)] = 20507,
  [SMALL_STATE(877)] = 20561,
  [SMALL_STATE(878)] = 20615,
  [SMALL_STATE(879)] = 20669,
  [SMALL_STATE(880)] = 20723,
  [SMALL_STATE(881)] = 20777,
  [SMALL_STATE(882)] = 20831,
  [SMALL_STATE(883)] = 20885,
  [SMALL_STATE(884)] = 20941,
  [SMALL_STATE(885)] = 20995,
  [SMALL_STATE(886)] = 21049,
  [SMALL_STATE(887)] = 21103,
  [SMALL_STATE(888)] = 21159,
  [SMALL_STATE(889)] = 21213,
  [SMALL_STATE(890)] = 21267,
  [SMALL_STATE(891)] = 21321,
  [SMALL_STATE(892)] = 21375,
  [SMALL_STATE(893)] = 21429,
  [SMALL_STATE(894)] = 21483,
  [SMALL_STATE(895)] = 21537,
  [SMALL_STATE(896)] = 21591,
  [SMALL_STATE(897)] = 21649,
  [SMALL_STATE(898)] = 21703,
  [SMALL_STATE(899)] = 21757,
  [SMALL_STATE(900)] = 21811,
  [SMALL_STATE(901)] = 21865,
  [SMALL_STATE(902)] = 21920,
  [SMALL_STATE(903)] = 21975,
  [SMALL_STATE(904)] = 22030,
  [SMALL_STATE(905)] = 22085,
  [SMALL_STATE(906)] = 22140,
  [SMALL_STATE(907)] = 22192,
  [SMALL_STATE(908)] = 22244,
  [SMALL_STATE(909)] = 22296,
  [SMALL_STATE(910)] = 22348,
  [SMALL_STATE(911)] = 22400,
  [SMALL_STATE(912)] = 22454,
  [SMALL_STATE(913)] = 22506,
  [SMALL_STATE(914)] = 22558,
  [SMALL_STATE(915)] = 22610,
  [SMALL_STATE(916)] = 22662,
  [SMALL_STATE(917)] = 22714,
  [SMALL_STATE(918)] = 22766,
  [SMALL_STATE(919)] = 22818,
  [SMALL_STATE(920)] = 22870,
  [SMALL_STATE(921)] = 22922,
  [SMALL_STATE(922)] = 22974,
  [SMALL_STATE(923)] = 23026,
  [SMALL_STATE(924)] = 23078,
  [SMALL_STATE(925)] = 23130,
  [SMALL_STATE(926)] = 23182,
  [SMALL_STATE(927)] = 23234,
  [SMALL_STATE(928)] = 23286,
  [SMALL_STATE(929)] = 23338,
  [SMALL_STATE(930)] = 23390,
  [SMALL_STATE(931)] = 23442,
  [SMALL_STATE(932)] = 23494,
  [SMALL_STATE(933)] = 23546,
  [SMALL_STATE(934)] = 23598,
  [SMALL_STATE(935)] = 23650,
  [SMALL_STATE(936)] = 23702,
  [SMALL_STATE(937)] = 23754,
  [SMALL_STATE(938)] = 23806,
  [SMALL_STATE(939)] = 23858,
  [SMALL_STATE(940)] = 23910,
  [SMALL_STATE(941)] = 23962,
  [SMALL_STATE(942)] = 24014,
  [SMALL_STATE(943)] = 24066,
  [SMALL_STATE(944)] = 24118,
  [SMALL_STATE(945)] = 24170,
  [SMALL_STATE(946)] = 24222,
  [SMALL_STATE(947)] = 24274,
  [SMALL_STATE(948)] = 24326,
  [SMALL_STATE(949)] = 24378,
  [SMALL_STATE(950)] = 24430,
  [SMALL_STATE(951)] = 24482,
  [SMALL_STATE(952)] = 24534,
  [SMALL_STATE(953)] = 24586,
  [SMALL_STATE(954)] = 24638,
  [SMALL_STATE(955)] = 24690,
  [SMALL_STATE(956)] = 24742,
  [SMALL_STATE(957)] = 24794,
  [SMALL_STATE(958)] = 24846,
  [SMALL_STATE(959)] = 24898,
  [SMALL_STATE(960)] = 24950,
  [SMALL_STATE(961)] = 25002,
  [SMALL_STATE(962)] = 25054,
  [SMALL_STATE(963)] = 25106,
  [SMALL_STATE(964)] = 25158,
  [SMALL_STATE(965)] = 25210,
  [SMALL_STATE(966)] = 25262,
  [SMALL_STATE(967)] = 25314,
  [SMALL_STATE(968)] = 25366,
  [SMALL_STATE(969)] = 25418,
  [SMALL_STATE(970)] = 25470,
  [SMALL_STATE(971)] = 25522,
  [SMALL_STATE(972)] = 25573,
  [SMALL_STATE(973)] = 25624,
  [SMALL_STATE(974)] = 25708,
  [SMALL_STATE(975)] = 25796,
  [SMALL_STATE(976)] = 25882,
  [SMALL_STATE(977)] = 25968,
  [SMALL_STATE(978)] = 26048,
  [SMALL_STATE(979)] = 26128,
  [SMALL_STATE(980)] = 26208,
  [SMALL_STATE(981)] = 26260,
  [SMALL_STATE(982)] = 26318,
  [SMALL_STATE(983)] = 26374,
  [SMALL_STATE(984)] = 26434,
  [SMALL_STATE(985)] = 26498,
  [SMALL_STATE(986)] = 26568,
  [SMALL_STATE(987)] = 26654,
  [SMALL_STATE(988)] = 26728,
  [SMALL_STATE(989)] = 26804,
  [SMALL_STATE(990)] = 26886,
  [SMALL_STATE(991)] = 26938,
  [SMALL_STATE(992)] = 27022,
  [SMALL_STATE(993)] = 27108,
  [SMALL_STATE(994)] = 27188,
  [SMALL_STATE(995)] = 27274,
  [SMALL_STATE(996)] = 27354,
  [SMALL_STATE(997)] = 27408,
  [SMALL_STATE(998)] = 27480,
  [SMALL_STATE(999)] = 27548,
  [SMALL_STATE(1000)] = 27628,
  [SMALL_STATE(1001)] = 27714,
  [SMALL_STATE(1002)] = 27800,
  [SMALL_STATE(1003)] = 27886,
  [SMALL_STATE(1004)] = 27972,
  [SMALL_STATE(1005)] = 28024,
  [SMALL_STATE(1006)] = 28104,
  [SMALL_STATE(1007)] = 28190,
  [SMALL_STATE(1008)] = 28241,
  [SMALL_STATE(1009)] = 28304,
  [SMALL_STATE(1010)] = 28389,
  [SMALL_STATE(1011)] = 28468,
  [SMALL_STATE(1012)] = 28547,
  [SMALL_STATE(1013)] = 28604,
  [SMALL_STATE(1014)] = 28659,
  [SMALL_STATE(1015)] = 28744,
  [SMALL_STATE(1016)] = 28803,
  [SMALL_STATE(1017)] = 28882,
  [SMALL_STATE(1018)] = 28951,
  [SMALL_STATE(1019)] = 29034,
  [SMALL_STATE(1020)] = 29107,
  [SMALL_STATE(1021)] = 29182,
  [SMALL_STATE(1022)] = 29263,
  [SMALL_STATE(1023)] = 29342,
  [SMALL_STATE(1024)] = 29421,
  [SMALL_STATE(1025)] = 29500,
  [SMALL_STATE(1026)] = 29585,
  [SMALL_STATE(1027)] = 29664,
  [SMALL_STATE(1028)] = 29715,
  [SMALL_STATE(1029)] = 29800,
  [SMALL_STATE(1030)] = 29887,
  [SMALL_STATE(1031)] = 29940,
  [SMALL_STATE(1032)] = 29991,
  [SMALL_STATE(1033)] = 30076,
  [SMALL_STATE(1034)] = 30147,
  [SMALL_STATE(1035)] = 30232,
  [SMALL_STATE(1036)] = 30317,
  [SMALL_STATE(1037)] = 30402,
  [SMALL_STATE(1038)] = 30487,
  [SMALL_STATE(1039)] = 30572,
  [SMALL_STATE(1040)] = 30639,
  [SMALL_STATE(1041)] = 30701,
  [SMALL_STATE(1042)] = 30749,
  [SMALL_STATE(1043)] = 30797,
  [SMALL_STATE(1044)] = 30845,
  [SMALL_STATE(1045)] = 30893,
  [SMALL_STATE(1046)] = 30977,
  [SMALL_STATE(1047)] = 31025,
  [SMALL_STATE(1048)] = 31073,
  [SMALL_STATE(1049)] = 31121,
  [SMALL_STATE(1050)] = 31169,
  [SMALL_STATE(1051)] = 31217,
  [SMALL_STATE(1052)] = 31265,
  [SMALL_STATE(1053)] = 31313,
  [SMALL_STATE(1054)] = 31361,
  [SMALL_STATE(1055)] = 31409,
  [SMALL_STATE(1056)] = 31457,
  [SMALL_STATE(1057)] = 31505,
  [SMALL_STATE(1058)] = 31553,
  [SMALL_STATE(1059)] = 31631,
  [SMALL_STATE(1060)] = 31679,
  [SMALL_STATE(1061)] = 31757,
  [SMALL_STATE(1062)] = 31841,
  [SMALL_STATE(1063)] = 31889,
  [SMALL_STATE(1064)] = 31953,
  [SMALL_STATE(1065)] = 32001,
  [SMALL_STATE(1066)] = 32049,
  [SMALL_STATE(1067)] = 32097,
  [SMALL_STATE(1068)] = 32145,
  [SMALL_STATE(1069)] = 32193,
  [SMALL_STATE(1070)] = 32243,
  [SMALL_STATE(1071)] = 32291,
  [SMALL_STATE(1072)] = 32341,
  [SMALL_STATE(1073)] = 32389,
  [SMALL_STATE(1074)] = 32437,
  [SMALL_STATE(1075)] = 32485,
  [SMALL_STATE(1076)] = 32533,
  [SMALL_STATE(1077)] = 32581,
  [SMALL_STATE(1078)] = 32629,
  [SMALL_STATE(1079)] = 32677,
  [SMALL_STATE(1080)] = 32727,
  [SMALL_STATE(1081)] = 32775,
  [SMALL_STATE(1082)] = 32823,
  [SMALL_STATE(1083)] = 32871,
  [SMALL_STATE(1084)] = 32955,
  [SMALL_STATE(1085)] = 33039,
  [SMALL_STATE(1086)] = 33087,
  [SMALL_STATE(1087)] = 33135,
  [SMALL_STATE(1088)] = 33183,
  [SMALL_STATE(1089)] = 33231,
  [SMALL_STATE(1090)] = 33317,
  [SMALL_STATE(1091)] = 33365,
  [SMALL_STATE(1092)] = 33413,
  [SMALL_STATE(1093)] = 33497,
  [SMALL_STATE(1094)] = 33545,
  [SMALL_STATE(1095)] = 33629,
  [SMALL_STATE(1096)] = 33713,
  [SMALL_STATE(1097)] = 33797,
  [SMALL_STATE(1098)] = 33845,
  [SMALL_STATE(1099)] = 33923,
  [SMALL_STATE(1100)] = 33971,
  [SMALL_STATE(1101)] = 34019,
  [SMALL_STATE(1102)] = 34103,
  [SMALL_STATE(1103)] = 34151,
  [SMALL_STATE(1104)] = 34201,
  [SMALL_STATE(1105)] = 34249,
  [SMALL_STATE(1106)] = 34297,
  [SMALL_STATE(1107)] = 34363,
  [SMALL_STATE(1108)] = 34411,
  [SMALL_STATE(1109)] = 34481,
  [SMALL_STATE(1110)] = 34533,
  [SMALL_STATE(1111)] = 34611,
  [SMALL_STATE(1112)] = 34689,
  [SMALL_STATE(1113)] = 34771,
  [SMALL_STATE(1114)] = 34851,
  [SMALL_STATE(1115)] = 34899,
  [SMALL_STATE(1116)] = 34973,
  [SMALL_STATE(1117)] = 35045,
  [SMALL_STATE(1118)] = 35113,
  [SMALL_STATE(1119)] = 35161,
  [SMALL_STATE(1120)] = 35219,
  [SMALL_STATE(1121)] = 35273,
  [SMALL_STATE(1122)] = 35329,
  [SMALL_STATE(1123)] = 35377,
  [SMALL_STATE(1124)] = 35425,
  [SMALL_STATE(1125)] = 35473,
  [SMALL_STATE(1126)] = 35557,
  [SMALL_STATE(1127)] = 35605,
  [SMALL_STATE(1128)] = 35653,
  [SMALL_STATE(1129)] = 35701,
  [SMALL_STATE(1130)] = 35749,
  [SMALL_STATE(1131)] = 35797,
  [SMALL_STATE(1132)] = 35845,
  [SMALL_STATE(1133)] = 35893,
  [SMALL_STATE(1134)] = 35971,
  [SMALL_STATE(1135)] = 36019,
  [SMALL_STATE(1136)] = 36097,
  [SMALL_STATE(1137)] = 36145,
  [SMALL_STATE(1138)] = 36193,
  [SMALL_STATE(1139)] = 36241,
  [SMALL_STATE(1140)] = 36289,
  [SMALL_STATE(1141)] = 36337,
  [SMALL_STATE(1142)] = 36386,
  [SMALL_STATE(1143)] = 36469,
  [SMALL_STATE(1144)] = 36536,
  [SMALL_STATE(1145)] = 36619,
  [SMALL_STATE(1146)] = 36690,
  [SMALL_STATE(1147)] = 36767,
  [SMALL_STATE(1148)] = 36850,
  [SMALL_STATE(1149)] = 36911,
  [SMALL_STATE(1150)] = 36988,
  [SMALL_STATE(1151)] = 37061,
  [SMALL_STATE(1152)] = 37138,
  [SMALL_STATE(1153)] = 37223,
  [SMALL_STATE(1154)] = 37280,
  [SMALL_STATE(1155)] = 37359,
  [SMALL_STATE(1156)] = 37408,
  [SMALL_STATE(1157)] = 37489,
  [SMALL_STATE(1158)] = 37572,
  [SMALL_STATE(1159)] = 37623,
  [SMALL_STATE(1160)] = 37676,
  [SMALL_STATE(1161)] = 37745,
  [SMALL_STATE(1162)] = 37828,
  [SMALL_STATE(1163)] = 37893,
  [SMALL_STATE(1164)] = 37970,
  [SMALL_STATE(1165)] = 38053,
  [SMALL_STATE(1166)] = 38136,
  [SMALL_STATE(1167)] = 38191,
  [SMALL_STATE(1168)] = 38268,
  [SMALL_STATE(1169)] = 38345,
  [SMALL_STATE(1170)] = 38422,
  [SMALL_STATE(1171)] = 38471,
  [SMALL_STATE(1172)] = 38554,
  [SMALL_STATE(1173)] = 38637,
  [SMALL_STATE(1174)] = 38720,
  [SMALL_STATE(1175)] = 38801,
  [SMALL_STATE(1176)] = 38892,
  [SMALL_STATE(1177)] = 38983,
  [SMALL_STATE(1178)] = 39072,
  [SMALL_STATE(1179)] = 39155,
  [SMALL_STATE(1180)] = 39246,
  [SMALL_STATE(1181)] = 39331,
  [SMALL_STATE(1182)] = 39412,
  [SMALL_STATE(1183)] = 39495,
  [SMALL_STATE(1184)] = 39568,
  [SMALL_STATE(1185)] = 39641,
  [SMALL_STATE(1186)] = 39724,
  [SMALL_STATE(1187)] = 39805,
  [SMALL_STATE(1188)] = 39896,
  [SMALL_STATE(1189)] = 39979,
  [SMALL_STATE(1190)] = 40070,
  [SMALL_STATE(1191)] = 40153,
  [SMALL_STATE(1192)] = 40244,
  [SMALL_STATE(1193)] = 40335,
  [SMALL_STATE(1194)] = 40426,
  [SMALL_STATE(1195)] = 40506,
  [SMALL_STATE(1196)] = 40588,
  [SMALL_STATE(1197)] = 40668,
  [SMALL_STATE(1198)] = 40750,
  [SMALL_STATE(1199)] = 40830,
  [SMALL_STATE(1200)] = 40910,
  [SMALL_STATE(1201)] = 40990,
  [SMALL_STATE(1202)] = 41040,
  [SMALL_STATE(1203)] = 41122,
  [SMALL_STATE(1204)] = 41202,
  [SMALL_STATE(1205)] = 41284,
  [SMALL_STATE(1206)] = 41364,
  [SMALL_STATE(1207)] = 41444,
  [SMALL_STATE(1208)] = 41524,
  [SMALL_STATE(1209)] = 41604,
  [SMALL_STATE(1210)] = 41684,
  [SMALL_STATE(1211)] = 41764,
  [SMALL_STATE(1212)] = 41844,
  [SMALL_STATE(1213)] = 41924,
  [SMALL_STATE(1214)] = 42004,
  [SMALL_STATE(1215)] = 42084,
  [SMALL_STATE(1216)] = 42166,
  [SMALL_STATE(1217)] = 42246,
  [SMALL_STATE(1218)] = 42326,
  [SMALL_STATE(1219)] = 42408,
  [SMALL_STATE(1220)] = 42488,
  [SMALL_STATE(1221)] = 42568,
  [SMALL_STATE(1222)] = 42648,
  [SMALL_STATE(1223)] = 42728,
  [SMALL_STATE(1224)] = 42808,
  [SMALL_STATE(1225)] = 42888,
  [SMALL_STATE(1226)] = 42968,
  [SMALL_STATE(1227)] = 43048,
  [SMALL_STATE(1228)] = 43128,
  [SMALL_STATE(1229)] = 43208,
  [SMALL_STATE(1230)] = 43290,
  [SMALL_STATE(1231)] = 43340,
  [SMALL_STATE(1232)] = 43420,
  [SMALL_STATE(1233)] = 43500,
  [SMALL_STATE(1234)] = 43580,
  [SMALL_STATE(1235)] = 43660,
  [SMALL_STATE(1236)] = 43742,
  [SMALL_STATE(1237)] = 43821,
  [SMALL_STATE(1238)] = 43900,
  [SMALL_STATE(1239)] = 43967,
  [SMALL_STATE(1240)] = 44046,
  [SMALL_STATE(1241)] = 44125,
  [SMALL_STATE(1242)] = 44204,
  [SMALL_STATE(1243)] = 44283,
  [SMALL_STATE(1244)] = 44362,
  [SMALL_STATE(1245)] = 44441,
  [SMALL_STATE(1246)] = 44520,
  [SMALL_STATE(1247)] = 44599,
  [SMALL_STATE(1248)] = 44680,
  [SMALL_STATE(1249)] = 44759,
  [SMALL_STATE(1250)] = 44838,
  [SMALL_STATE(1251)] = 44917,
  [SMALL_STATE(1252)] = 44996,
  [SMALL_STATE(1253)] = 45075,
  [SMALL_STATE(1254)] = 45154,
  [SMALL_STATE(1255)] = 45233,
  [SMALL_STATE(1256)] = 45312,
  [SMALL_STATE(1257)] = 45391,
  [SMALL_STATE(1258)] = 45470,
  [SMALL_STATE(1259)] = 45549,
  [SMALL_STATE(1260)] = 45628,
  [SMALL_STATE(1261)] = 45707,
  [SMALL_STATE(1262)] = 45786,
  [SMALL_STATE(1263)] = 45865,
  [SMALL_STATE(1264)] = 45944,
  [SMALL_STATE(1265)] = 46023,
  [SMALL_STATE(1266)] = 46102,
  [SMALL_STATE(1267)] = 46181,
  [SMALL_STATE(1268)] = 46260,
  [SMALL_STATE(1269)] = 46339,
  [SMALL_STATE(1270)] = 46406,
  [SMALL_STATE(1271)] = 46485,
  [SMALL_STATE(1272)] = 46564,
  [SMALL_STATE(1273)] = 46643,
  [SMALL_STATE(1274)] = 46722,
  [SMALL_STATE(1275)] = 46765,
  [SMALL_STATE(1276)] = 46844,
  [SMALL_STATE(1277)] = 46923,
  [SMALL_STATE(1278)] = 47004,
  [SMALL_STATE(1279)] = 47083,
  [SMALL_STATE(1280)] = 47162,
  [SMALL_STATE(1281)] = 47241,
  [SMALL_STATE(1282)] = 47320,
  [SMALL_STATE(1283)] = 47399,
  [SMALL_STATE(1284)] = 47478,
  [SMALL_STATE(1285)] = 47557,
  [SMALL_STATE(1286)] = 47636,
  [SMALL_STATE(1287)] = 47715,
  [SMALL_STATE(1288)] = 47794,
  [SMALL_STATE(1289)] = 47873,
  [SMALL_STATE(1290)] = 47952,
  [SMALL_STATE(1291)] = 48031,
  [SMALL_STATE(1292)] = 48110,
  [SMALL_STATE(1293)] = 48189,
  [SMALL_STATE(1294)] = 48268,
  [SMALL_STATE(1295)] = 48347,
  [SMALL_STATE(1296)] = 48426,
  [SMALL_STATE(1297)] = 48505,
  [SMALL_STATE(1298)] = 48584,
  [SMALL_STATE(1299)] = 48663,
  [SMALL_STATE(1300)] = 48742,
  [SMALL_STATE(1301)] = 48821,
  [SMALL_STATE(1302)] = 48900,
  [SMALL_STATE(1303)] = 48979,
  [SMALL_STATE(1304)] = 49058,
  [SMALL_STATE(1305)] = 49137,
  [SMALL_STATE(1306)] = 49218,
  [SMALL_STATE(1307)] = 49299,
  [SMALL_STATE(1308)] = 49378,
  [SMALL_STATE(1309)] = 49457,
  [SMALL_STATE(1310)] = 49499,
  [SMALL_STATE(1311)] = 49563,
  [SMALL_STATE(1312)] = 49627,
  [SMALL_STATE(1313)] = 49669,
  [SMALL_STATE(1314)] = 49713,
  [SMALL_STATE(1315)] = 49754,
  [SMALL_STATE(1316)] = 49795,
  [SMALL_STATE(1317)] = 49836,
  [SMALL_STATE(1318)] = 49877,
  [SMALL_STATE(1319)] = 49921,
  [SMALL_STATE(1320)] = 49967,
  [SMALL_STATE(1321)] = 50021,
  [SMALL_STATE(1322)] = 50075,
  [SMALL_STATE(1323)] = 50129,
  [SMALL_STATE(1324)] = 50183,
  [SMALL_STATE(1325)] = 50221,
  [SMALL_STATE(1326)] = 50259,
  [SMALL_STATE(1327)] = 50297,
  [SMALL_STATE(1328)] = 50351,
  [SMALL_STATE(1329)] = 50405,
  [SMALL_STATE(1330)] = 50443,
  [SMALL_STATE(1331)] = 50490,
  [SMALL_STATE(1332)] = 50537,
  [SMALL_STATE(1333)] = 50584,
  [SMALL_STATE(1334)] = 50618,
  [SMALL_STATE(1335)] = 50677,
  [SMALL_STATE(1336)] = 50710,
  [SMALL_STATE(1337)] = 50762,
  [SMALL_STATE(1338)] = 50816,
  [SMALL_STATE(1339)] = 50868,
  [SMALL_STATE(1340)] = 50901,
  [SMALL_STATE(1341)] = 50950,
  [SMALL_STATE(1342)] = 50999,
  [SMALL_STATE(1343)] = 51034,
  [SMALL_STATE(1344)] = 51085,
  [SMALL_STATE(1345)] = 51136,
  [SMALL_STATE(1346)] = 51187,
  [SMALL_STATE(1347)] = 51236,
  [SMALL_STATE(1348)] = 51280,
  [SMALL_STATE(1349)] = 51310,
  [SMALL_STATE(1350)] = 51337,
  [SMALL_STATE(1351)] = 51364,
  [SMALL_STATE(1352)] = 51409,
  [SMALL_STATE(1353)] = 51436,
  [SMALL_STATE(1354)] = 51463,
  [SMALL_STATE(1355)] = 51489,
  [SMALL_STATE(1356)] = 51527,
  [SMALL_STATE(1357)] = 51553,
  [SMALL_STATE(1358)] = 51579,
  [SMALL_STATE(1359)] = 51623,
  [SMALL_STATE(1360)] = 51649,
  [SMALL_STATE(1361)] = 51675,
  [SMALL_STATE(1362)] = 51701,
  [SMALL_STATE(1363)] = 51727,
  [SMALL_STATE(1364)] = 51753,
  [SMALL_STATE(1365)] = 51779,
  [SMALL_STATE(1366)] = 51825,
  [SMALL_STATE(1367)] = 51871,
  [SMALL_STATE(1368)] = 51897,
  [SMALL_STATE(1369)] = 51923,
  [SMALL_STATE(1370)] = 51949,
  [SMALL_STATE(1371)] = 51975,
  [SMALL_STATE(1372)] = 52001,
  [SMALL_STATE(1373)] = 52027,
  [SMALL_STATE(1374)] = 52053,
  [SMALL_STATE(1375)] = 52079,
  [SMALL_STATE(1376)] = 52125,
  [SMALL_STATE(1377)] = 52151,
  [SMALL_STATE(1378)] = 52197,
  [SMALL_STATE(1379)] = 52244,
  [SMALL_STATE(1380)] = 52271,
  [SMALL_STATE(1381)] = 52296,
  [SMALL_STATE(1382)] = 52337,
  [SMALL_STATE(1383)] = 52362,
  [SMALL_STATE(1384)] = 52395,
  [SMALL_STATE(1385)] = 52420,
  [SMALL_STATE(1386)] = 52445,
  [SMALL_STATE(1387)] = 52470,
  [SMALL_STATE(1388)] = 52495,
  [SMALL_STATE(1389)] = 52520,
  [SMALL_STATE(1390)] = 52545,
  [SMALL_STATE(1391)] = 52570,
  [SMALL_STATE(1392)] = 52611,
  [SMALL_STATE(1393)] = 52636,
  [SMALL_STATE(1394)] = 52661,
  [SMALL_STATE(1395)] = 52704,
  [SMALL_STATE(1396)] = 52729,
  [SMALL_STATE(1397)] = 52754,
  [SMALL_STATE(1398)] = 52779,
  [SMALL_STATE(1399)] = 52822,
  [SMALL_STATE(1400)] = 52847,
  [SMALL_STATE(1401)] = 52872,
  [SMALL_STATE(1402)] = 52897,
  [SMALL_STATE(1403)] = 52944,
  [SMALL_STATE(1404)] = 52969,
  [SMALL_STATE(1405)] = 52994,
  [SMALL_STATE(1406)] = 53035,
  [SMALL_STATE(1407)] = 53078,
  [SMALL_STATE(1408)] = 53103,
  [SMALL_STATE(1409)] = 53128,
  [SMALL_STATE(1410)] = 53171,
  [SMALL_STATE(1411)] = 53196,
  [SMALL_STATE(1412)] = 53221,
  [SMALL_STATE(1413)] = 53246,
  [SMALL_STATE(1414)] = 53286,
  [SMALL_STATE(1415)] = 53326,
  [SMALL_STATE(1416)] = 53366,
  [SMALL_STATE(1417)] = 53406,
  [SMALL_STATE(1418)] = 53443,
  [SMALL_STATE(1419)] = 53480,
  [SMALL_STATE(1420)] = 53517,
  [SMALL_STATE(1421)] = 53554,
  [SMALL_STATE(1422)] = 53589,
  [SMALL_STATE(1423)] = 53626,
  [SMALL_STATE(1424)] = 53663,
  [SMALL_STATE(1425)] = 53698,
  [SMALL_STATE(1426)] = 53733,
  [SMALL_STATE(1427)] = 53757,
  [SMALL_STATE(1428)] = 53781,
  [SMALL_STATE(1429)] = 53805,
  [SMALL_STATE(1430)] = 53829,
  [SMALL_STATE(1431)] = 53853,
  [SMALL_STATE(1432)] = 53887,
  [SMALL_STATE(1433)] = 53911,
  [SMALL_STATE(1434)] = 53935,
  [SMALL_STATE(1435)] = 53969,
  [SMALL_STATE(1436)] = 54003,
  [SMALL_STATE(1437)] = 54031,
  [SMALL_STATE(1438)] = 54063,
  [SMALL_STATE(1439)] = 54095,
  [SMALL_STATE(1440)] = 54119,
  [SMALL_STATE(1441)] = 54149,
  [SMALL_STATE(1442)] = 54183,
  [SMALL_STATE(1443)] = 54207,
  [SMALL_STATE(1444)] = 54231,
  [SMALL_STATE(1445)] = 54263,
  [SMALL_STATE(1446)] = 54291,
  [SMALL_STATE(1447)] = 54319,
  [SMALL_STATE(1448)] = 54353,
  [SMALL_STATE(1449)] = 54377,
  [SMALL_STATE(1450)] = 54401,
  [SMALL_STATE(1451)] = 54430,
  [SMALL_STATE(1452)] = 54451,
  [SMALL_STATE(1453)] = 54472,
  [SMALL_STATE(1454)] = 54497,
  [SMALL_STATE(1455)] = 54526,
  [SMALL_STATE(1456)] = 54555,
  [SMALL_STATE(1457)] = 54582,
  [SMALL_STATE(1458)] = 54611,
  [SMALL_STATE(1459)] = 54642,
  [SMALL_STATE(1460)] = 54671,
  [SMALL_STATE(1461)] = 54692,
  [SMALL_STATE(1462)] = 54723,
  [SMALL_STATE(1463)] = 54752,
  [SMALL_STATE(1464)] = 54781,
  [SMALL_STATE(1465)] = 54810,
  [SMALL_STATE(1466)] = 54839,
  [SMALL_STATE(1467)] = 54868,
  [SMALL_STATE(1468)] = 54897,
  [SMALL_STATE(1469)] = 54928,
  [SMALL_STATE(1470)] = 54949,
  [SMALL_STATE(1471)] = 54978,
  [SMALL_STATE(1472)] = 55009,
  [SMALL_STATE(1473)] = 55040,
  [SMALL_STATE(1474)] = 55067,
  [SMALL_STATE(1475)] = 55094,
  [SMALL_STATE(1476)] = 55123,
  [SMALL_STATE(1477)] = 55154,
  [SMALL_STATE(1478)] = 55183,
  [SMALL_STATE(1479)] = 55204,
  [SMALL_STATE(1480)] = 55233,
  [SMALL_STATE(1481)] = 55254,
  [SMALL_STATE(1482)] = 55287,
  [SMALL_STATE(1483)] = 55316,
  [SMALL_STATE(1484)] = 55345,
  [SMALL_STATE(1485)] = 55366,
  [SMALL_STATE(1486)] = 55397,
  [SMALL_STATE(1487)] = 55426,
  [SMALL_STATE(1488)] = 55457,
  [SMALL_STATE(1489)] = 55488,
  [SMALL_STATE(1490)] = 55517,
  [SMALL_STATE(1491)] = 55548,
  [SMALL_STATE(1492)] = 55575,
  [SMALL_STATE(1493)] = 55602,
  [SMALL_STATE(1494)] = 55633,
  [SMALL_STATE(1495)] = 55660,
  [SMALL_STATE(1496)] = 55691,
  [SMALL_STATE(1497)] = 55720,
  [SMALL_STATE(1498)] = 55749,
  [SMALL_STATE(1499)] = 55776,
  [SMALL_STATE(1500)] = 55805,
  [SMALL_STATE(1501)] = 55834,
  [SMALL_STATE(1502)] = 55863,
  [SMALL_STATE(1503)] = 55892,
  [SMALL_STATE(1504)] = 55923,
  [SMALL_STATE(1505)] = 55956,
  [SMALL_STATE(1506)] = 55979,
  [SMALL_STATE(1507)] = 56008,
  [SMALL_STATE(1508)] = 56037,
  [SMALL_STATE(1509)] = 56066,
  [SMALL_STATE(1510)] = 56100,
  [SMALL_STATE(1511)] = 56134,
  [SMALL_STATE(1512)] = 56160,
  [SMALL_STATE(1513)] = 56194,
  [SMALL_STATE(1514)] = 56228,
  [SMALL_STATE(1515)] = 56256,
  [SMALL_STATE(1516)] = 56288,
  [SMALL_STATE(1517)] = 56314,
  [SMALL_STATE(1518)] = 56348,
  [SMALL_STATE(1519)] = 56378,
  [SMALL_STATE(1520)] = 56412,
  [SMALL_STATE(1521)] = 56438,
  [SMALL_STATE(1522)] = 56464,
  [SMALL_STATE(1523)] = 56487,
  [SMALL_STATE(1524)] = 56508,
  [SMALL_STATE(1525)] = 56529,
  [SMALL_STATE(1526)] = 56550,
  [SMALL_STATE(1527)] = 56571,
  [SMALL_STATE(1528)] = 56592,
  [SMALL_STATE(1529)] = 56617,
  [SMALL_STATE(1530)] = 56640,
  [SMALL_STATE(1531)] = 56667,
  [SMALL_STATE(1532)] = 56690,
  [SMALL_STATE(1533)] = 56711,
  [SMALL_STATE(1534)] = 56734,
  [SMALL_STATE(1535)] = 56755,
  [SMALL_STATE(1536)] = 56782,
  [SMALL_STATE(1537)] = 56803,
  [SMALL_STATE(1538)] = 56824,
  [SMALL_STATE(1539)] = 56845,
  [SMALL_STATE(1540)] = 56872,
  [SMALL_STATE(1541)] = 56895,
  [SMALL_STATE(1542)] = 56916,
  [SMALL_STATE(1543)] = 56943,
  [SMALL_STATE(1544)] = 56966,
  [SMALL_STATE(1545)] = 56997,
  [SMALL_STATE(1546)] = 57020,
  [SMALL_STATE(1547)] = 57047,
  [SMALL_STATE(1548)] = 57074,
  [SMALL_STATE(1549)] = 57101,
  [SMALL_STATE(1550)] = 57122,
  [SMALL_STATE(1551)] = 57145,
  [SMALL_STATE(1552)] = 57168,
  [SMALL_STATE(1553)] = 57191,
  [SMALL_STATE(1554)] = 57212,
  [SMALL_STATE(1555)] = 57235,
  [SMALL_STATE(1556)] = 57258,
  [SMALL_STATE(1557)] = 57281,
  [SMALL_STATE(1558)] = 57302,
  [SMALL_STATE(1559)] = 57325,
  [SMALL_STATE(1560)] = 57348,
  [SMALL_STATE(1561)] = 57371,
  [SMALL_STATE(1562)] = 57392,
  [SMALL_STATE(1563)] = 57419,
  [SMALL_STATE(1564)] = 57442,
  [SMALL_STATE(1565)] = 57465,
  [SMALL_STATE(1566)] = 57492,
  [SMALL_STATE(1567)] = 57511,
  [SMALL_STATE(1568)] = 57537,
  [SMALL_STATE(1569)] = 57565,
  [SMALL_STATE(1570)] = 57593,
  [SMALL_STATE(1571)] = 57613,
  [SMALL_STATE(1572)] = 57639,
  [SMALL_STATE(1573)] = 57667,
  [SMALL_STATE(1574)] = 57695,
  [SMALL_STATE(1575)] = 57723,
  [SMALL_STATE(1576)] = 57751,
  [SMALL_STATE(1577)] = 57779,
  [SMALL_STATE(1578)] = 57807,
  [SMALL_STATE(1579)] = 57825,
  [SMALL_STATE(1580)] = 57845,
  [SMALL_STATE(1581)] = 57873,
  [SMALL_STATE(1582)] = 57901,
  [SMALL_STATE(1583)] = 57923,
  [SMALL_STATE(1584)] = 57951,
  [SMALL_STATE(1585)] = 57979,
  [SMALL_STATE(1586)] = 58005,
  [SMALL_STATE(1587)] = 58031,
  [SMALL_STATE(1588)] = 58057,
  [SMALL_STATE(1589)] = 58083,
  [SMALL_STATE(1590)] = 58111,
  [SMALL_STATE(1591)] = 58135,
  [SMALL_STATE(1592)] = 58163,
  [SMALL_STATE(1593)] = 58191,
  [SMALL_STATE(1594)] = 58211,
  [SMALL_STATE(1595)] = 58237,
  [SMALL_STATE(1596)] = 58257,
  [SMALL_STATE(1597)] = 58277,
  [SMALL_STATE(1598)] = 58303,
  [SMALL_STATE(1599)] = 58329,
  [SMALL_STATE(1600)] = 58349,
  [SMALL_STATE(1601)] = 58377,
  [SMALL_STATE(1602)] = 58401,
  [SMALL_STATE(1603)] = 58429,
  [SMALL_STATE(1604)] = 58457,
  [SMALL_STATE(1605)] = 58481,
  [SMALL_STATE(1606)] = 58509,
  [SMALL_STATE(1607)] = 58537,
  [SMALL_STATE(1608)] = 58565,
  [SMALL_STATE(1609)] = 58593,
  [SMALL_STATE(1610)] = 58613,
  [SMALL_STATE(1611)] = 58639,
  [SMALL_STATE(1612)] = 58667,
  [SMALL_STATE(1613)] = 58693,
  [SMALL_STATE(1614)] = 58719,
  [SMALL_STATE(1615)] = 58747,
  [SMALL_STATE(1616)] = 58775,
  [SMALL_STATE(1617)] = 58799,
  [SMALL_STATE(1618)] = 58827,
  [SMALL_STATE(1619)] = 58851,
  [SMALL_STATE(1620)] = 58879,
  [SMALL_STATE(1621)] = 58907,
  [SMALL_STATE(1622)] = 58925,
  [SMALL_STATE(1623)] = 58945,
  [SMALL_STATE(1624)] = 58971,
  [SMALL_STATE(1625)] = 58999,
  [SMALL_STATE(1626)] = 59017,
  [SMALL_STATE(1627)] = 59045,
  [SMALL_STATE(1628)] = 59073,
  [SMALL_STATE(1629)] = 59101,
  [SMALL_STATE(1630)] = 59119,
  [SMALL_STATE(1631)] = 59147,
  [SMALL_STATE(1632)] = 59175,
  [SMALL_STATE(1633)] = 59203,
  [SMALL_STATE(1634)] = 59223,
  [SMALL_STATE(1635)] = 59249,
  [SMALL_STATE(1636)] = 59269,
  [SMALL_STATE(1637)] = 59297,
  [SMALL_STATE(1638)] = 59321,
  [SMALL_STATE(1639)] = 59349,
  [SMALL_STATE(1640)] = 59377,
  [SMALL_STATE(1641)] = 59405,
  [SMALL_STATE(1642)] = 59433,
  [SMALL_STATE(1643)] = 59457,
  [SMALL_STATE(1644)] = 59482,
  [SMALL_STATE(1645)] = 59503,
  [SMALL_STATE(1646)] = 59524,
  [SMALL_STATE(1647)] = 59545,
  [SMALL_STATE(1648)] = 59570,
  [SMALL_STATE(1649)] = 59595,
  [SMALL_STATE(1650)] = 59616,
  [SMALL_STATE(1651)] = 59637,
  [SMALL_STATE(1652)] = 59660,
  [SMALL_STATE(1653)] = 59685,
  [SMALL_STATE(1654)] = 59706,
  [SMALL_STATE(1655)] = 59729,
  [SMALL_STATE(1656)] = 59752,
  [SMALL_STATE(1657)] = 59777,
  [SMALL_STATE(1658)] = 59800,
  [SMALL_STATE(1659)] = 59821,
  [SMALL_STATE(1660)] = 59844,
  [SMALL_STATE(1661)] = 59863,
  [SMALL_STATE(1662)] = 59888,
  [SMALL_STATE(1663)] = 59905,
  [SMALL_STATE(1664)] = 59926,
  [SMALL_STATE(1665)] = 59947,
  [SMALL_STATE(1666)] = 59970,
  [SMALL_STATE(1667)] = 59989,
  [SMALL_STATE(1668)] = 60014,
  [SMALL_STATE(1669)] = 60037,
  [SMALL_STATE(1670)] = 60062,
  [SMALL_STATE(1671)] = 60085,
  [SMALL_STATE(1672)] = 60106,
  [SMALL_STATE(1673)] = 60131,
  [SMALL_STATE(1674)] = 60154,
  [SMALL_STATE(1675)] = 60179,
  [SMALL_STATE(1676)] = 60200,
  [SMALL_STATE(1677)] = 60221,
  [SMALL_STATE(1678)] = 60240,
  [SMALL_STATE(1679)] = 60261,
  [SMALL_STATE(1680)] = 60286,
  [SMALL_STATE(1681)] = 60305,
  [SMALL_STATE(1682)] = 60328,
  [SMALL_STATE(1683)] = 60349,
  [SMALL_STATE(1684)] = 60370,
  [SMALL_STATE(1685)] = 60391,
  [SMALL_STATE(1686)] = 60416,
  [SMALL_STATE(1687)] = 60439,
  [SMALL_STATE(1688)] = 60462,
  [SMALL_STATE(1689)] = 60483,
  [SMALL_STATE(1690)] = 60500,
  [SMALL_STATE(1691)] = 60523,
  [SMALL_STATE(1692)] = 60548,
  [SMALL_STATE(1693)] = 60573,
  [SMALL_STATE(1694)] = 60592,
  [SMALL_STATE(1695)] = 60611,
  [SMALL_STATE(1696)] = 60632,
  [SMALL_STATE(1697)] = 60657,
  [SMALL_STATE(1698)] = 60680,
  [SMALL_STATE(1699)] = 60701,
  [SMALL_STATE(1700)] = 60724,
  [SMALL_STATE(1701)] = 60745,
  [SMALL_STATE(1702)] = 60770,
  [SMALL_STATE(1703)] = 60791,
  [SMALL_STATE(1704)] = 60816,
  [SMALL_STATE(1705)] = 60839,
  [SMALL_STATE(1706)] = 60864,
  [SMALL_STATE(1707)] = 60887,
  [SMALL_STATE(1708)] = 60906,
  [SMALL_STATE(1709)] = 60925,
  [SMALL_STATE(1710)] = 60948,
  [SMALL_STATE(1711)] = 60969,
  [SMALL_STATE(1712)] = 60988,
  [SMALL_STATE(1713)] = 61009,
  [SMALL_STATE(1714)] = 61030,
  [SMALL_STATE(1715)] = 61051,
  [SMALL_STATE(1716)] = 61074,
  [SMALL_STATE(1717)] = 61095,
  [SMALL_STATE(1718)] = 61118,
  [SMALL_STATE(1719)] = 61139,
  [SMALL_STATE(1720)] = 61160,
  [SMALL_STATE(1721)] = 61185,
  [SMALL_STATE(1722)] = 61206,
  [SMALL_STATE(1723)] = 61229,
  [SMALL_STATE(1724)] = 61254,
  [SMALL_STATE(1725)] = 61275,
  [SMALL_STATE(1726)] = 61294,
  [SMALL_STATE(1727)] = 61313,
  [SMALL_STATE(1728)] = 61334,
  [SMALL_STATE(1729)] = 61355,
  [SMALL_STATE(1730)] = 61372,
  [SMALL_STATE(1731)] = 61389,
  [SMALL_STATE(1732)] = 61406,
  [SMALL_STATE(1733)] = 61427,
  [SMALL_STATE(1734)] = 61444,
  [SMALL_STATE(1735)] = 61465,
  [SMALL_STATE(1736)] = 61484,
  [SMALL_STATE(1737)] = 61505,
  [SMALL_STATE(1738)] = 61528,
  [SMALL_STATE(1739)] = 61549,
  [SMALL_STATE(1740)] = 61572,
  [SMALL_STATE(1741)] = 61589,
  [SMALL_STATE(1742)] = 61612,
  [SMALL_STATE(1743)] = 61632,
  [SMALL_STATE(1744)] = 61648,
  [SMALL_STATE(1745)] = 61668,
  [SMALL_STATE(1746)] = 61690,
  [SMALL_STATE(1747)] = 61710,
  [SMALL_STATE(1748)] = 61732,
  [SMALL_STATE(1749)] = 61754,
  [SMALL_STATE(1750)] = 61776,
  [SMALL_STATE(1751)] = 61796,
  [SMALL_STATE(1752)] = 61812,
  [SMALL_STATE(1753)] = 61830,
  [SMALL_STATE(1754)] = 61848,
  [SMALL_STATE(1755)] = 61870,
  [SMALL_STATE(1756)] = 61892,
  [SMALL_STATE(1757)] = 61912,
  [SMALL_STATE(1758)] = 61932,
  [SMALL_STATE(1759)] = 61950,
  [SMALL_STATE(1760)] = 61972,
  [SMALL_STATE(1761)] = 61992,
  [SMALL_STATE(1762)] = 62012,
  [SMALL_STATE(1763)] = 62034,
  [SMALL_STATE(1764)] = 62050,
  [SMALL_STATE(1765)] = 62066,
  [SMALL_STATE(1766)] = 62088,
  [SMALL_STATE(1767)] = 62108,
  [SMALL_STATE(1768)] = 62130,
  [SMALL_STATE(1769)] = 62152,
  [SMALL_STATE(1770)] = 62170,
  [SMALL_STATE(1771)] = 62186,
  [SMALL_STATE(1772)] = 62206,
  [SMALL_STATE(1773)] = 62224,
  [SMALL_STATE(1774)] = 62244,
  [SMALL_STATE(1775)] = 62266,
  [SMALL_STATE(1776)] = 62284,
  [SMALL_STATE(1777)] = 62306,
  [SMALL_STATE(1778)] = 62326,
  [SMALL_STATE(1779)] = 62348,
  [SMALL_STATE(1780)] = 62370,
  [SMALL_STATE(1781)] = 62390,
  [SMALL_STATE(1782)] = 62412,
  [SMALL_STATE(1783)] = 62432,
  [SMALL_STATE(1784)] = 62452,
  [SMALL_STATE(1785)] = 62474,
  [SMALL_STATE(1786)] = 62492,
  [SMALL_STATE(1787)] = 62514,
  [SMALL_STATE(1788)] = 62534,
  [SMALL_STATE(1789)] = 62554,
  [SMALL_STATE(1790)] = 62574,
  [SMALL_STATE(1791)] = 62596,
  [SMALL_STATE(1792)] = 62618,
  [SMALL_STATE(1793)] = 62638,
  [SMALL_STATE(1794)] = 62660,
  [SMALL_STATE(1795)] = 62680,
  [SMALL_STATE(1796)] = 62702,
  [SMALL_STATE(1797)] = 62718,
  [SMALL_STATE(1798)] = 62738,
  [SMALL_STATE(1799)] = 62758,
  [SMALL_STATE(1800)] = 62776,
  [SMALL_STATE(1801)] = 62792,
  [SMALL_STATE(1802)] = 62810,
  [SMALL_STATE(1803)] = 62832,
  [SMALL_STATE(1804)] = 62854,
  [SMALL_STATE(1805)] = 62870,
  [SMALL_STATE(1806)] = 62892,
  [SMALL_STATE(1807)] = 62914,
  [SMALL_STATE(1808)] = 62936,
  [SMALL_STATE(1809)] = 62956,
  [SMALL_STATE(1810)] = 62978,
  [SMALL_STATE(1811)] = 63000,
  [SMALL_STATE(1812)] = 63020,
  [SMALL_STATE(1813)] = 63042,
  [SMALL_STATE(1814)] = 63064,
  [SMALL_STATE(1815)] = 63086,
  [SMALL_STATE(1816)] = 63104,
  [SMALL_STATE(1817)] = 63126,
  [SMALL_STATE(1818)] = 63148,
  [SMALL_STATE(1819)] = 63168,
  [SMALL_STATE(1820)] = 63190,
  [SMALL_STATE(1821)] = 63212,
  [SMALL_STATE(1822)] = 63234,
  [SMALL_STATE(1823)] = 63256,
  [SMALL_STATE(1824)] = 63276,
  [SMALL_STATE(1825)] = 63296,
  [SMALL_STATE(1826)] = 63316,
  [SMALL_STATE(1827)] = 63332,
  [SMALL_STATE(1828)] = 63352,
  [SMALL_STATE(1829)] = 63374,
  [SMALL_STATE(1830)] = 63394,
  [SMALL_STATE(1831)] = 63410,
  [SMALL_STATE(1832)] = 63430,
  [SMALL_STATE(1833)] = 63448,
  [SMALL_STATE(1834)] = 63470,
  [SMALL_STATE(1835)] = 63492,
  [SMALL_STATE(1836)] = 63508,
  [SMALL_STATE(1837)] = 63530,
  [SMALL_STATE(1838)] = 63552,
  [SMALL_STATE(1839)] = 63572,
  [SMALL_STATE(1840)] = 63594,
  [SMALL_STATE(1841)] = 63616,
  [SMALL_STATE(1842)] = 63632,
  [SMALL_STATE(1843)] = 63652,
  [SMALL_STATE(1844)] = 63672,
  [SMALL_STATE(1845)] = 63692,
  [SMALL_STATE(1846)] = 63710,
  [SMALL_STATE(1847)] = 63732,
  [SMALL_STATE(1848)] = 63754,
  [SMALL_STATE(1849)] = 63776,
  [SMALL_STATE(1850)] = 63794,
  [SMALL_STATE(1851)] = 63810,
  [SMALL_STATE(1852)] = 63830,
  [SMALL_STATE(1853)] = 63850,
  [SMALL_STATE(1854)] = 63870,
  [SMALL_STATE(1855)] = 63888,
  [SMALL_STATE(1856)] = 63910,
  [SMALL_STATE(1857)] = 63930,
  [SMALL_STATE(1858)] = 63952,
  [SMALL_STATE(1859)] = 63972,
  [SMALL_STATE(1860)] = 63994,
  [SMALL_STATE(1861)] = 64014,
  [SMALL_STATE(1862)] = 64030,
  [SMALL_STATE(1863)] = 64050,
  [SMALL_STATE(1864)] = 64066,
  [SMALL_STATE(1865)] = 64088,
  [SMALL_STATE(1866)] = 64104,
  [SMALL_STATE(1867)] = 64122,
  [SMALL_STATE(1868)] = 64144,
  [SMALL_STATE(1869)] = 64164,
  [SMALL_STATE(1870)] = 64184,
  [SMALL_STATE(1871)] = 64206,
  [SMALL_STATE(1872)] = 64228,
  [SMALL_STATE(1873)] = 64250,
  [SMALL_STATE(1874)] = 64266,
  [SMALL_STATE(1875)] = 64286,
  [SMALL_STATE(1876)] = 64306,
  [SMALL_STATE(1877)] = 64326,
  [SMALL_STATE(1878)] = 64348,
  [SMALL_STATE(1879)] = 64368,
  [SMALL_STATE(1880)] = 64386,
  [SMALL_STATE(1881)] = 64408,
  [SMALL_STATE(1882)] = 64430,
  [SMALL_STATE(1883)] = 64452,
  [SMALL_STATE(1884)] = 64472,
  [SMALL_STATE(1885)] = 64494,
  [SMALL_STATE(1886)] = 64513,
  [SMALL_STATE(1887)] = 64532,
  [SMALL_STATE(1888)] = 64549,
  [SMALL_STATE(1889)] = 64568,
  [SMALL_STATE(1890)] = 64587,
  [SMALL_STATE(1891)] = 64606,
  [SMALL_STATE(1892)] = 64625,
  [SMALL_STATE(1893)] = 64642,
  [SMALL_STATE(1894)] = 64661,
  [SMALL_STATE(1895)] = 64680,
  [SMALL_STATE(1896)] = 64697,
  [SMALL_STATE(1897)] = 64716,
  [SMALL_STATE(1898)] = 64735,
  [SMALL_STATE(1899)] = 64754,
  [SMALL_STATE(1900)] = 64773,
  [SMALL_STATE(1901)] = 64792,
  [SMALL_STATE(1902)] = 64811,
  [SMALL_STATE(1903)] = 64830,
  [SMALL_STATE(1904)] = 64849,
  [SMALL_STATE(1905)] = 64868,
  [SMALL_STATE(1906)] = 64887,
  [SMALL_STATE(1907)] = 64906,
  [SMALL_STATE(1908)] = 64925,
  [SMALL_STATE(1909)] = 64944,
  [SMALL_STATE(1910)] = 64963,
  [SMALL_STATE(1911)] = 64982,
  [SMALL_STATE(1912)] = 65001,
  [SMALL_STATE(1913)] = 65018,
  [SMALL_STATE(1914)] = 65037,
  [SMALL_STATE(1915)] = 65052,
  [SMALL_STATE(1916)] = 65071,
  [SMALL_STATE(1917)] = 65090,
  [SMALL_STATE(1918)] = 65109,
  [SMALL_STATE(1919)] = 65126,
  [SMALL_STATE(1920)] = 65145,
  [SMALL_STATE(1921)] = 65164,
  [SMALL_STATE(1922)] = 65183,
  [SMALL_STATE(1923)] = 65198,
  [SMALL_STATE(1924)] = 65217,
  [SMALL_STATE(1925)] = 65236,
  [SMALL_STATE(1926)] = 65255,
  [SMALL_STATE(1927)] = 65274,
  [SMALL_STATE(1928)] = 65291,
  [SMALL_STATE(1929)] = 65310,
  [SMALL_STATE(1930)] = 65329,
  [SMALL_STATE(1931)] = 65348,
  [SMALL_STATE(1932)] = 65367,
  [SMALL_STATE(1933)] = 65386,
  [SMALL_STATE(1934)] = 65401,
  [SMALL_STATE(1935)] = 65418,
  [SMALL_STATE(1936)] = 65435,
  [SMALL_STATE(1937)] = 65452,
  [SMALL_STATE(1938)] = 65467,
  [SMALL_STATE(1939)] = 65484,
  [SMALL_STATE(1940)] = 65503,
  [SMALL_STATE(1941)] = 65522,
  [SMALL_STATE(1942)] = 65539,
  [SMALL_STATE(1943)] = 65554,
  [SMALL_STATE(1944)] = 65569,
  [SMALL_STATE(1945)] = 65586,
  [SMALL_STATE(1946)] = 65603,
  [SMALL_STATE(1947)] = 65622,
  [SMALL_STATE(1948)] = 65641,
  [SMALL_STATE(1949)] = 65658,
  [SMALL_STATE(1950)] = 65677,
  [SMALL_STATE(1951)] = 65694,
  [SMALL_STATE(1952)] = 65711,
  [SMALL_STATE(1953)] = 65728,
  [SMALL_STATE(1954)] = 65745,
  [SMALL_STATE(1955)] = 65764,
  [SMALL_STATE(1956)] = 65781,
  [SMALL_STATE(1957)] = 65798,
  [SMALL_STATE(1958)] = 65815,
  [SMALL_STATE(1959)] = 65832,
  [SMALL_STATE(1960)] = 65851,
  [SMALL_STATE(1961)] = 65870,
  [SMALL_STATE(1962)] = 65889,
  [SMALL_STATE(1963)] = 65906,
  [SMALL_STATE(1964)] = 65925,
  [SMALL_STATE(1965)] = 65942,
  [SMALL_STATE(1966)] = 65957,
  [SMALL_STATE(1967)] = 65974,
  [SMALL_STATE(1968)] = 65991,
  [SMALL_STATE(1969)] = 66008,
  [SMALL_STATE(1970)] = 66025,
  [SMALL_STATE(1971)] = 66042,
  [SMALL_STATE(1972)] = 66059,
  [SMALL_STATE(1973)] = 66078,
  [SMALL_STATE(1974)] = 66095,
  [SMALL_STATE(1975)] = 66114,
  [SMALL_STATE(1976)] = 66131,
  [SMALL_STATE(1977)] = 66150,
  [SMALL_STATE(1978)] = 66167,
  [SMALL_STATE(1979)] = 66184,
  [SMALL_STATE(1980)] = 66201,
  [SMALL_STATE(1981)] = 66220,
  [SMALL_STATE(1982)] = 66239,
  [SMALL_STATE(1983)] = 66256,
  [SMALL_STATE(1984)] = 66273,
  [SMALL_STATE(1985)] = 66288,
  [SMALL_STATE(1986)] = 66305,
  [SMALL_STATE(1987)] = 66324,
  [SMALL_STATE(1988)] = 66341,
  [SMALL_STATE(1989)] = 66356,
  [SMALL_STATE(1990)] = 66373,
  [SMALL_STATE(1991)] = 66390,
  [SMALL_STATE(1992)] = 66409,
  [SMALL_STATE(1993)] = 66426,
  [SMALL_STATE(1994)] = 66441,
  [SMALL_STATE(1995)] = 66458,
  [SMALL_STATE(1996)] = 66475,
  [SMALL_STATE(1997)] = 66492,
  [SMALL_STATE(1998)] = 66511,
  [SMALL_STATE(1999)] = 66528,
  [SMALL_STATE(2000)] = 66547,
  [SMALL_STATE(2001)] = 66564,
  [SMALL_STATE(2002)] = 66583,
  [SMALL_STATE(2003)] = 66602,
  [SMALL_STATE(2004)] = 66619,
  [SMALL_STATE(2005)] = 66638,
  [SMALL_STATE(2006)] = 66655,
  [SMALL_STATE(2007)] = 66674,
  [SMALL_STATE(2008)] = 66691,
  [SMALL_STATE(2009)] = 66710,
  [SMALL_STATE(2010)] = 66727,
  [SMALL_STATE(2011)] = 66746,
  [SMALL_STATE(2012)] = 66763,
  [SMALL_STATE(2013)] = 66780,
  [SMALL_STATE(2014)] = 66797,
  [SMALL_STATE(2015)] = 66814,
  [SMALL_STATE(2016)] = 66831,
  [SMALL_STATE(2017)] = 66848,
  [SMALL_STATE(2018)] = 66865,
  [SMALL_STATE(2019)] = 66882,
  [SMALL_STATE(2020)] = 66899,
  [SMALL_STATE(2021)] = 66916,
  [SMALL_STATE(2022)] = 66933,
  [SMALL_STATE(2023)] = 66952,
  [SMALL_STATE(2024)] = 66969,
  [SMALL_STATE(2025)] = 66988,
  [SMALL_STATE(2026)] = 67007,
  [SMALL_STATE(2027)] = 67024,
  [SMALL_STATE(2028)] = 67041,
  [SMALL_STATE(2029)] = 67060,
  [SMALL_STATE(2030)] = 67077,
  [SMALL_STATE(2031)] = 67096,
  [SMALL_STATE(2032)] = 67115,
  [SMALL_STATE(2033)] = 67132,
  [SMALL_STATE(2034)] = 67151,
  [SMALL_STATE(2035)] = 67170,
  [SMALL_STATE(2036)] = 67189,
  [SMALL_STATE(2037)] = 67208,
  [SMALL_STATE(2038)] = 67225,
  [SMALL_STATE(2039)] = 67244,
  [SMALL_STATE(2040)] = 67263,
  [SMALL_STATE(2041)] = 67282,
  [SMALL_STATE(2042)] = 67299,
  [SMALL_STATE(2043)] = 67318,
  [SMALL_STATE(2044)] = 67333,
  [SMALL_STATE(2045)] = 67348,
  [SMALL_STATE(2046)] = 67367,
  [SMALL_STATE(2047)] = 67384,
  [SMALL_STATE(2048)] = 67401,
  [SMALL_STATE(2049)] = 67418,
  [SMALL_STATE(2050)] = 67435,
  [SMALL_STATE(2051)] = 67452,
  [SMALL_STATE(2052)] = 67469,
  [SMALL_STATE(2053)] = 67486,
  [SMALL_STATE(2054)] = 67503,
  [SMALL_STATE(2055)] = 67520,
  [SMALL_STATE(2056)] = 67537,
  [SMALL_STATE(2057)] = 67554,
  [SMALL_STATE(2058)] = 67571,
  [SMALL_STATE(2059)] = 67588,
  [SMALL_STATE(2060)] = 67605,
  [SMALL_STATE(2061)] = 67622,
  [SMALL_STATE(2062)] = 67639,
  [SMALL_STATE(2063)] = 67656,
  [SMALL_STATE(2064)] = 67671,
  [SMALL_STATE(2065)] = 67688,
  [SMALL_STATE(2066)] = 67705,
  [SMALL_STATE(2067)] = 67722,
  [SMALL_STATE(2068)] = 67739,
  [SMALL_STATE(2069)] = 67756,
  [SMALL_STATE(2070)] = 67775,
  [SMALL_STATE(2071)] = 67792,
  [SMALL_STATE(2072)] = 67811,
  [SMALL_STATE(2073)] = 67830,
  [SMALL_STATE(2074)] = 67847,
  [SMALL_STATE(2075)] = 67864,
  [SMALL_STATE(2076)] = 67881,
  [SMALL_STATE(2077)] = 67898,
  [SMALL_STATE(2078)] = 67915,
  [SMALL_STATE(2079)] = 67934,
  [SMALL_STATE(2080)] = 67951,
  [SMALL_STATE(2081)] = 67966,
  [SMALL_STATE(2082)] = 67981,
  [SMALL_STATE(2083)] = 67998,
  [SMALL_STATE(2084)] = 68015,
  [SMALL_STATE(2085)] = 68032,
  [SMALL_STATE(2086)] = 68049,
  [SMALL_STATE(2087)] = 68066,
  [SMALL_STATE(2088)] = 68083,
  [SMALL_STATE(2089)] = 68100,
  [SMALL_STATE(2090)] = 68117,
  [SMALL_STATE(2091)] = 68134,
  [SMALL_STATE(2092)] = 68151,
  [SMALL_STATE(2093)] = 68168,
  [SMALL_STATE(2094)] = 68187,
  [SMALL_STATE(2095)] = 68204,
  [SMALL_STATE(2096)] = 68221,
  [SMALL_STATE(2097)] = 68238,
  [SMALL_STATE(2098)] = 68255,
  [SMALL_STATE(2099)] = 68272,
  [SMALL_STATE(2100)] = 68289,
  [SMALL_STATE(2101)] = 68306,
  [SMALL_STATE(2102)] = 68323,
  [SMALL_STATE(2103)] = 68342,
  [SMALL_STATE(2104)] = 68357,
  [SMALL_STATE(2105)] = 68374,
  [SMALL_STATE(2106)] = 68391,
  [SMALL_STATE(2107)] = 68408,
  [SMALL_STATE(2108)] = 68425,
  [SMALL_STATE(2109)] = 68444,
  [SMALL_STATE(2110)] = 68461,
  [SMALL_STATE(2111)] = 68478,
  [SMALL_STATE(2112)] = 68495,
  [SMALL_STATE(2113)] = 68510,
  [SMALL_STATE(2114)] = 68527,
  [SMALL_STATE(2115)] = 68544,
  [SMALL_STATE(2116)] = 68561,
  [SMALL_STATE(2117)] = 68580,
  [SMALL_STATE(2118)] = 68597,
  [SMALL_STATE(2119)] = 68616,
  [SMALL_STATE(2120)] = 68633,
  [SMALL_STATE(2121)] = 68648,
  [SMALL_STATE(2122)] = 68667,
  [SMALL_STATE(2123)] = 68684,
  [SMALL_STATE(2124)] = 68703,
  [SMALL_STATE(2125)] = 68718,
  [SMALL_STATE(2126)] = 68733,
  [SMALL_STATE(2127)] = 68750,
  [SMALL_STATE(2128)] = 68769,
  [SMALL_STATE(2129)] = 68786,
  [SMALL_STATE(2130)] = 68803,
  [SMALL_STATE(2131)] = 68822,
  [SMALL_STATE(2132)] = 68839,
  [SMALL_STATE(2133)] = 68854,
  [SMALL_STATE(2134)] = 68873,
  [SMALL_STATE(2135)] = 68892,
  [SMALL_STATE(2136)] = 68911,
  [SMALL_STATE(2137)] = 68926,
  [SMALL_STATE(2138)] = 68945,
  [SMALL_STATE(2139)] = 68960,
  [SMALL_STATE(2140)] = 68975,
  [SMALL_STATE(2141)] = 68994,
  [SMALL_STATE(2142)] = 69011,
  [SMALL_STATE(2143)] = 69030,
  [SMALL_STATE(2144)] = 69045,
  [SMALL_STATE(2145)] = 69060,
  [SMALL_STATE(2146)] = 69077,
  [SMALL_STATE(2147)] = 69094,
  [SMALL_STATE(2148)] = 69113,
  [SMALL_STATE(2149)] = 69130,
  [SMALL_STATE(2150)] = 69146,
  [SMALL_STATE(2151)] = 69162,
  [SMALL_STATE(2152)] = 69176,
  [SMALL_STATE(2153)] = 69190,
  [SMALL_STATE(2154)] = 69206,
  [SMALL_STATE(2155)] = 69220,
  [SMALL_STATE(2156)] = 69236,
  [SMALL_STATE(2157)] = 69250,
  [SMALL_STATE(2158)] = 69264,
  [SMALL_STATE(2159)] = 69278,
  [SMALL_STATE(2160)] = 69292,
  [SMALL_STATE(2161)] = 69308,
  [SMALL_STATE(2162)] = 69322,
  [SMALL_STATE(2163)] = 69338,
  [SMALL_STATE(2164)] = 69352,
  [SMALL_STATE(2165)] = 69366,
  [SMALL_STATE(2166)] = 69380,
  [SMALL_STATE(2167)] = 69396,
  [SMALL_STATE(2168)] = 69412,
  [SMALL_STATE(2169)] = 69428,
  [SMALL_STATE(2170)] = 69444,
  [SMALL_STATE(2171)] = 69460,
  [SMALL_STATE(2172)] = 69476,
  [SMALL_STATE(2173)] = 69492,
  [SMALL_STATE(2174)] = 69508,
  [SMALL_STATE(2175)] = 69524,
  [SMALL_STATE(2176)] = 69540,
  [SMALL_STATE(2177)] = 69556,
  [SMALL_STATE(2178)] = 69570,
  [SMALL_STATE(2179)] = 69586,
  [SMALL_STATE(2180)] = 69602,
  [SMALL_STATE(2181)] = 69616,
  [SMALL_STATE(2182)] = 69632,
  [SMALL_STATE(2183)] = 69646,
  [SMALL_STATE(2184)] = 69662,
  [SMALL_STATE(2185)] = 69678,
  [SMALL_STATE(2186)] = 69694,
  [SMALL_STATE(2187)] = 69708,
  [SMALL_STATE(2188)] = 69724,
  [SMALL_STATE(2189)] = 69740,
  [SMALL_STATE(2190)] = 69754,
  [SMALL_STATE(2191)] = 69770,
  [SMALL_STATE(2192)] = 69784,
  [SMALL_STATE(2193)] = 69800,
  [SMALL_STATE(2194)] = 69816,
  [SMALL_STATE(2195)] = 69830,
  [SMALL_STATE(2196)] = 69844,
  [SMALL_STATE(2197)] = 69858,
  [SMALL_STATE(2198)] = 69874,
  [SMALL_STATE(2199)] = 69890,
  [SMALL_STATE(2200)] = 69904,
  [SMALL_STATE(2201)] = 69918,
  [SMALL_STATE(2202)] = 69932,
  [SMALL_STATE(2203)] = 69948,
  [SMALL_STATE(2204)] = 69964,
  [SMALL_STATE(2205)] = 69980,
  [SMALL_STATE(2206)] = 69994,
  [SMALL_STATE(2207)] = 70008,
  [SMALL_STATE(2208)] = 70022,
  [SMALL_STATE(2209)] = 70036,
  [SMALL_STATE(2210)] = 70050,
  [SMALL_STATE(2211)] = 70064,
  [SMALL_STATE(2212)] = 70078,
  [SMALL_STATE(2213)] = 70094,
  [SMALL_STATE(2214)] = 70110,
  [SMALL_STATE(2215)] = 70126,
  [SMALL_STATE(2216)] = 70140,
  [SMALL_STATE(2217)] = 70154,
  [SMALL_STATE(2218)] = 70168,
  [SMALL_STATE(2219)] = 70184,
  [SMALL_STATE(2220)] = 70200,
  [SMALL_STATE(2221)] = 70214,
  [SMALL_STATE(2222)] = 70230,
  [SMALL_STATE(2223)] = 70246,
  [SMALL_STATE(2224)] = 70262,
  [SMALL_STATE(2225)] = 70278,
  [SMALL_STATE(2226)] = 70292,
  [SMALL_STATE(2227)] = 70306,
  [SMALL_STATE(2228)] = 70322,
  [SMALL_STATE(2229)] = 70338,
  [SMALL_STATE(2230)] = 70352,
  [SMALL_STATE(2231)] = 70366,
  [SMALL_STATE(2232)] = 70380,
  [SMALL_STATE(2233)] = 70394,
  [SMALL_STATE(2234)] = 70408,
  [SMALL_STATE(2235)] = 70424,
  [SMALL_STATE(2236)] = 70440,
  [SMALL_STATE(2237)] = 70454,
  [SMALL_STATE(2238)] = 70468,
  [SMALL_STATE(2239)] = 70484,
  [SMALL_STATE(2240)] = 70500,
  [SMALL_STATE(2241)] = 70514,
  [SMALL_STATE(2242)] = 70530,
  [SMALL_STATE(2243)] = 70546,
  [SMALL_STATE(2244)] = 70562,
  [SMALL_STATE(2245)] = 70578,
  [SMALL_STATE(2246)] = 70594,
  [SMALL_STATE(2247)] = 70610,
  [SMALL_STATE(2248)] = 70626,
  [SMALL_STATE(2249)] = 70642,
  [SMALL_STATE(2250)] = 70658,
  [SMALL_STATE(2251)] = 70674,
  [SMALL_STATE(2252)] = 70690,
  [SMALL_STATE(2253)] = 70706,
  [SMALL_STATE(2254)] = 70722,
  [SMALL_STATE(2255)] = 70738,
  [SMALL_STATE(2256)] = 70754,
  [SMALL_STATE(2257)] = 70770,
  [SMALL_STATE(2258)] = 70786,
  [SMALL_STATE(2259)] = 70802,
  [SMALL_STATE(2260)] = 70818,
  [SMALL_STATE(2261)] = 70834,
  [SMALL_STATE(2262)] = 70848,
  [SMALL_STATE(2263)] = 70864,
  [SMALL_STATE(2264)] = 70878,
  [SMALL_STATE(2265)] = 70894,
  [SMALL_STATE(2266)] = 70910,
  [SMALL_STATE(2267)] = 70926,
  [SMALL_STATE(2268)] = 70942,
  [SMALL_STATE(2269)] = 70958,
  [SMALL_STATE(2270)] = 70974,
  [SMALL_STATE(2271)] = 70990,
  [SMALL_STATE(2272)] = 71004,
  [SMALL_STATE(2273)] = 71018,
  [SMALL_STATE(2274)] = 71032,
  [SMALL_STATE(2275)] = 71046,
  [SMALL_STATE(2276)] = 71062,
  [SMALL_STATE(2277)] = 71076,
  [SMALL_STATE(2278)] = 71092,
  [SMALL_STATE(2279)] = 71108,
  [SMALL_STATE(2280)] = 71122,
  [SMALL_STATE(2281)] = 71136,
  [SMALL_STATE(2282)] = 71150,
  [SMALL_STATE(2283)] = 71164,
  [SMALL_STATE(2284)] = 71180,
  [SMALL_STATE(2285)] = 71196,
  [SMALL_STATE(2286)] = 71212,
  [SMALL_STATE(2287)] = 71228,
  [SMALL_STATE(2288)] = 71244,
  [SMALL_STATE(2289)] = 71258,
  [SMALL_STATE(2290)] = 71274,
  [SMALL_STATE(2291)] = 71288,
  [SMALL_STATE(2292)] = 71304,
  [SMALL_STATE(2293)] = 71320,
  [SMALL_STATE(2294)] = 71334,
  [SMALL_STATE(2295)] = 71350,
  [SMALL_STATE(2296)] = 71366,
  [SMALL_STATE(2297)] = 71382,
  [SMALL_STATE(2298)] = 71398,
  [SMALL_STATE(2299)] = 71412,
  [SMALL_STATE(2300)] = 71426,
  [SMALL_STATE(2301)] = 71442,
  [SMALL_STATE(2302)] = 71458,
  [SMALL_STATE(2303)] = 71474,
  [SMALL_STATE(2304)] = 71490,
  [SMALL_STATE(2305)] = 71506,
  [SMALL_STATE(2306)] = 71522,
  [SMALL_STATE(2307)] = 71536,
  [SMALL_STATE(2308)] = 71552,
  [SMALL_STATE(2309)] = 71566,
  [SMALL_STATE(2310)] = 71582,
  [SMALL_STATE(2311)] = 71598,
  [SMALL_STATE(2312)] = 71614,
  [SMALL_STATE(2313)] = 71630,
  [SMALL_STATE(2314)] = 71646,
  [SMALL_STATE(2315)] = 71660,
  [SMALL_STATE(2316)] = 71674,
  [SMALL_STATE(2317)] = 71688,
  [SMALL_STATE(2318)] = 71704,
  [SMALL_STATE(2319)] = 71720,
  [SMALL_STATE(2320)] = 71736,
  [SMALL_STATE(2321)] = 71752,
  [SMALL_STATE(2322)] = 71766,
  [SMALL_STATE(2323)] = 71780,
  [SMALL_STATE(2324)] = 71796,
  [SMALL_STATE(2325)] = 71812,
  [SMALL_STATE(2326)] = 71828,
  [SMALL_STATE(2327)] = 71844,
  [SMALL_STATE(2328)] = 71860,
  [SMALL_STATE(2329)] = 71876,
  [SMALL_STATE(2330)] = 71892,
  [SMALL_STATE(2331)] = 71908,
  [SMALL_STATE(2332)] = 71922,
  [SMALL_STATE(2333)] = 71938,
  [SMALL_STATE(2334)] = 71954,
  [SMALL_STATE(2335)] = 71970,
  [SMALL_STATE(2336)] = 71986,
  [SMALL_STATE(2337)] = 72002,
  [SMALL_STATE(2338)] = 72018,
  [SMALL_STATE(2339)] = 72034,
  [SMALL_STATE(2340)] = 72048,
  [SMALL_STATE(2341)] = 72064,
  [SMALL_STATE(2342)] = 72080,
  [SMALL_STATE(2343)] = 72094,
  [SMALL_STATE(2344)] = 72108,
  [SMALL_STATE(2345)] = 72122,
  [SMALL_STATE(2346)] = 72138,
  [SMALL_STATE(2347)] = 72154,
  [SMALL_STATE(2348)] = 72170,
  [SMALL_STATE(2349)] = 72184,
  [SMALL_STATE(2350)] = 72200,
  [SMALL_STATE(2351)] = 72216,
  [SMALL_STATE(2352)] = 72230,
  [SMALL_STATE(2353)] = 72246,
  [SMALL_STATE(2354)] = 72262,
  [SMALL_STATE(2355)] = 72278,
  [SMALL_STATE(2356)] = 72294,
  [SMALL_STATE(2357)] = 72310,
  [SMALL_STATE(2358)] = 72326,
  [SMALL_STATE(2359)] = 72342,
  [SMALL_STATE(2360)] = 72358,
  [SMALL_STATE(2361)] = 72374,
  [SMALL_STATE(2362)] = 72390,
  [SMALL_STATE(2363)] = 72404,
  [SMALL_STATE(2364)] = 72420,
  [SMALL_STATE(2365)] = 72436,
  [SMALL_STATE(2366)] = 72452,
  [SMALL_STATE(2367)] = 72468,
  [SMALL_STATE(2368)] = 72484,
  [SMALL_STATE(2369)] = 72500,
  [SMALL_STATE(2370)] = 72514,
  [SMALL_STATE(2371)] = 72530,
  [SMALL_STATE(2372)] = 72546,
  [SMALL_STATE(2373)] = 72562,
  [SMALL_STATE(2374)] = 72576,
  [SMALL_STATE(2375)] = 72592,
  [SMALL_STATE(2376)] = 72606,
  [SMALL_STATE(2377)] = 72622,
  [SMALL_STATE(2378)] = 72636,
  [SMALL_STATE(2379)] = 72652,
  [SMALL_STATE(2380)] = 72668,
  [SMALL_STATE(2381)] = 72682,
  [SMALL_STATE(2382)] = 72698,
  [SMALL_STATE(2383)] = 72712,
  [SMALL_STATE(2384)] = 72728,
  [SMALL_STATE(2385)] = 72742,
  [SMALL_STATE(2386)] = 72756,
  [SMALL_STATE(2387)] = 72770,
  [SMALL_STATE(2388)] = 72786,
  [SMALL_STATE(2389)] = 72802,
  [SMALL_STATE(2390)] = 72816,
  [SMALL_STATE(2391)] = 72830,
  [SMALL_STATE(2392)] = 72844,
  [SMALL_STATE(2393)] = 72860,
  [SMALL_STATE(2394)] = 72874,
  [SMALL_STATE(2395)] = 72888,
  [SMALL_STATE(2396)] = 72904,
  [SMALL_STATE(2397)] = 72918,
  [SMALL_STATE(2398)] = 72934,
  [SMALL_STATE(2399)] = 72948,
  [SMALL_STATE(2400)] = 72964,
  [SMALL_STATE(2401)] = 72980,
  [SMALL_STATE(2402)] = 72994,
  [SMALL_STATE(2403)] = 73010,
  [SMALL_STATE(2404)] = 73026,
  [SMALL_STATE(2405)] = 73040,
  [SMALL_STATE(2406)] = 73054,
  [SMALL_STATE(2407)] = 73070,
  [SMALL_STATE(2408)] = 73084,
  [SMALL_STATE(2409)] = 73100,
  [SMALL_STATE(2410)] = 73116,
  [SMALL_STATE(2411)] = 73132,
  [SMALL_STATE(2412)] = 73148,
  [SMALL_STATE(2413)] = 73162,
  [SMALL_STATE(2414)] = 73178,
  [SMALL_STATE(2415)] = 73192,
  [SMALL_STATE(2416)] = 73208,
  [SMALL_STATE(2417)] = 73224,
  [SMALL_STATE(2418)] = 73240,
  [SMALL_STATE(2419)] = 73256,
  [SMALL_STATE(2420)] = 73272,
  [SMALL_STATE(2421)] = 73288,
  [SMALL_STATE(2422)] = 73304,
  [SMALL_STATE(2423)] = 73320,
  [SMALL_STATE(2424)] = 73336,
  [SMALL_STATE(2425)] = 73350,
  [SMALL_STATE(2426)] = 73363,
  [SMALL_STATE(2427)] = 73376,
  [SMALL_STATE(2428)] = 73389,
  [SMALL_STATE(2429)] = 73402,
  [SMALL_STATE(2430)] = 73415,
  [SMALL_STATE(2431)] = 73428,
  [SMALL_STATE(2432)] = 73441,
  [SMALL_STATE(2433)] = 73454,
  [SMALL_STATE(2434)] = 73467,
  [SMALL_STATE(2435)] = 73480,
  [SMALL_STATE(2436)] = 73493,
  [SMALL_STATE(2437)] = 73506,
  [SMALL_STATE(2438)] = 73519,
  [SMALL_STATE(2439)] = 73532,
  [SMALL_STATE(2440)] = 73545,
  [SMALL_STATE(2441)] = 73558,
  [SMALL_STATE(2442)] = 73571,
  [SMALL_STATE(2443)] = 73584,
  [SMALL_STATE(2444)] = 73597,
  [SMALL_STATE(2445)] = 73610,
  [SMALL_STATE(2446)] = 73623,
  [SMALL_STATE(2447)] = 73636,
  [SMALL_STATE(2448)] = 73649,
  [SMALL_STATE(2449)] = 73662,
  [SMALL_STATE(2450)] = 73675,
  [SMALL_STATE(2451)] = 73688,
  [SMALL_STATE(2452)] = 73701,
  [SMALL_STATE(2453)] = 73714,
  [SMALL_STATE(2454)] = 73727,
  [SMALL_STATE(2455)] = 73740,
  [SMALL_STATE(2456)] = 73753,
  [SMALL_STATE(2457)] = 73766,
  [SMALL_STATE(2458)] = 73779,
  [SMALL_STATE(2459)] = 73792,
  [SMALL_STATE(2460)] = 73805,
  [SMALL_STATE(2461)] = 73818,
  [SMALL_STATE(2462)] = 73831,
  [SMALL_STATE(2463)] = 73844,
  [SMALL_STATE(2464)] = 73857,
  [SMALL_STATE(2465)] = 73870,
  [SMALL_STATE(2466)] = 73883,
  [SMALL_STATE(2467)] = 73896,
  [SMALL_STATE(2468)] = 73909,
  [SMALL_STATE(2469)] = 73922,
  [SMALL_STATE(2470)] = 73935,
  [SMALL_STATE(2471)] = 73948,
  [SMALL_STATE(2472)] = 73961,
  [SMALL_STATE(2473)] = 73974,
  [SMALL_STATE(2474)] = 73987,
  [SMALL_STATE(2475)] = 74000,
  [SMALL_STATE(2476)] = 74013,
  [SMALL_STATE(2477)] = 74026,
  [SMALL_STATE(2478)] = 74039,
  [SMALL_STATE(2479)] = 74052,
  [SMALL_STATE(2480)] = 74065,
  [SMALL_STATE(2481)] = 74078,
  [SMALL_STATE(2482)] = 74091,
  [SMALL_STATE(2483)] = 74104,
  [SMALL_STATE(2484)] = 74117,
  [SMALL_STATE(2485)] = 74130,
  [SMALL_STATE(2486)] = 74143,
  [SMALL_STATE(2487)] = 74156,
  [SMALL_STATE(2488)] = 74169,
  [SMALL_STATE(2489)] = 74182,
  [SMALL_STATE(2490)] = 74195,
  [SMALL_STATE(2491)] = 74208,
  [SMALL_STATE(2492)] = 74221,
  [SMALL_STATE(2493)] = 74234,
  [SMALL_STATE(2494)] = 74247,
  [SMALL_STATE(2495)] = 74260,
  [SMALL_STATE(2496)] = 74273,
  [SMALL_STATE(2497)] = 74286,
  [SMALL_STATE(2498)] = 74299,
  [SMALL_STATE(2499)] = 74312,
  [SMALL_STATE(2500)] = 74325,
  [SMALL_STATE(2501)] = 74338,
  [SMALL_STATE(2502)] = 74351,
  [SMALL_STATE(2503)] = 74364,
  [SMALL_STATE(2504)] = 74377,
  [SMALL_STATE(2505)] = 74390,
  [SMALL_STATE(2506)] = 74403,
  [SMALL_STATE(2507)] = 74416,
  [SMALL_STATE(2508)] = 74429,
  [SMALL_STATE(2509)] = 74442,
  [SMALL_STATE(2510)] = 74455,
  [SMALL_STATE(2511)] = 74468,
  [SMALL_STATE(2512)] = 74481,
  [SMALL_STATE(2513)] = 74494,
  [SMALL_STATE(2514)] = 74507,
  [SMALL_STATE(2515)] = 74520,
  [SMALL_STATE(2516)] = 74533,
  [SMALL_STATE(2517)] = 74546,
  [SMALL_STATE(2518)] = 74559,
  [SMALL_STATE(2519)] = 74572,
  [SMALL_STATE(2520)] = 74585,
  [SMALL_STATE(2521)] = 74598,
  [SMALL_STATE(2522)] = 74611,
  [SMALL_STATE(2523)] = 74624,
  [SMALL_STATE(2524)] = 74637,
  [SMALL_STATE(2525)] = 74650,
  [SMALL_STATE(2526)] = 74663,
  [SMALL_STATE(2527)] = 74676,
  [SMALL_STATE(2528)] = 74689,
  [SMALL_STATE(2529)] = 74702,
  [SMALL_STATE(2530)] = 74715,
  [SMALL_STATE(2531)] = 74728,
  [SMALL_STATE(2532)] = 74741,
  [SMALL_STATE(2533)] = 74754,
  [SMALL_STATE(2534)] = 74767,
  [SMALL_STATE(2535)] = 74780,
  [SMALL_STATE(2536)] = 74793,
  [SMALL_STATE(2537)] = 74806,
  [SMALL_STATE(2538)] = 74819,
  [SMALL_STATE(2539)] = 74832,
  [SMALL_STATE(2540)] = 74845,
  [SMALL_STATE(2541)] = 74858,
  [SMALL_STATE(2542)] = 74871,
  [SMALL_STATE(2543)] = 74884,
  [SMALL_STATE(2544)] = 74897,
  [SMALL_STATE(2545)] = 74910,
  [SMALL_STATE(2546)] = 74923,
  [SMALL_STATE(2547)] = 74936,
  [SMALL_STATE(2548)] = 74949,
  [SMALL_STATE(2549)] = 74962,
  [SMALL_STATE(2550)] = 74975,
  [SMALL_STATE(2551)] = 74988,
  [SMALL_STATE(2552)] = 75001,
  [SMALL_STATE(2553)] = 75014,
  [SMALL_STATE(2554)] = 75027,
  [SMALL_STATE(2555)] = 75040,
  [SMALL_STATE(2556)] = 75053,
  [SMALL_STATE(2557)] = 75066,
  [SMALL_STATE(2558)] = 75079,
  [SMALL_STATE(2559)] = 75092,
  [SMALL_STATE(2560)] = 75105,
  [SMALL_STATE(2561)] = 75118,
  [SMALL_STATE(2562)] = 75131,
  [SMALL_STATE(2563)] = 75144,
  [SMALL_STATE(2564)] = 75157,
  [SMALL_STATE(2565)] = 75170,
  [SMALL_STATE(2566)] = 75183,
  [SMALL_STATE(2567)] = 75196,
  [SMALL_STATE(2568)] = 75209,
  [SMALL_STATE(2569)] = 75222,
  [SMALL_STATE(2570)] = 75235,
  [SMALL_STATE(2571)] = 75248,
  [SMALL_STATE(2572)] = 75261,
  [SMALL_STATE(2573)] = 75274,
  [SMALL_STATE(2574)] = 75287,
  [SMALL_STATE(2575)] = 75300,
  [SMALL_STATE(2576)] = 75313,
  [SMALL_STATE(2577)] = 75326,
  [SMALL_STATE(2578)] = 75339,
  [SMALL_STATE(2579)] = 75352,
  [SMALL_STATE(2580)] = 75365,
  [SMALL_STATE(2581)] = 75378,
  [SMALL_STATE(2582)] = 75391,
  [SMALL_STATE(2583)] = 75404,
  [SMALL_STATE(2584)] = 75417,
  [SMALL_STATE(2585)] = 75430,
  [SMALL_STATE(2586)] = 75443,
  [SMALL_STATE(2587)] = 75456,
  [SMALL_STATE(2588)] = 75469,
  [SMALL_STATE(2589)] = 75482,
  [SMALL_STATE(2590)] = 75495,
  [SMALL_STATE(2591)] = 75508,
  [SMALL_STATE(2592)] = 75521,
  [SMALL_STATE(2593)] = 75534,
  [SMALL_STATE(2594)] = 75547,
  [SMALL_STATE(2595)] = 75560,
  [SMALL_STATE(2596)] = 75573,
  [SMALL_STATE(2597)] = 75586,
  [SMALL_STATE(2598)] = 75599,
  [SMALL_STATE(2599)] = 75612,
  [SMALL_STATE(2600)] = 75625,
  [SMALL_STATE(2601)] = 75638,
  [SMALL_STATE(2602)] = 75651,
  [SMALL_STATE(2603)] = 75664,
  [SMALL_STATE(2604)] = 75677,
  [SMALL_STATE(2605)] = 75690,
  [SMALL_STATE(2606)] = 75703,
  [SMALL_STATE(2607)] = 75716,
  [SMALL_STATE(2608)] = 75729,
  [SMALL_STATE(2609)] = 75742,
  [SMALL_STATE(2610)] = 75755,
  [SMALL_STATE(2611)] = 75768,
  [SMALL_STATE(2612)] = 75781,
  [SMALL_STATE(2613)] = 75794,
  [SMALL_STATE(2614)] = 75807,
  [SMALL_STATE(2615)] = 75820,
  [SMALL_STATE(2616)] = 75833,
  [SMALL_STATE(2617)] = 75846,
  [SMALL_STATE(2618)] = 75859,
  [SMALL_STATE(2619)] = 75872,
  [SMALL_STATE(2620)] = 75885,
  [SMALL_STATE(2621)] = 75898,
  [SMALL_STATE(2622)] = 75911,
  [SMALL_STATE(2623)] = 75924,
  [SMALL_STATE(2624)] = 75937,
  [SMALL_STATE(2625)] = 75950,
  [SMALL_STATE(2626)] = 75963,
  [SMALL_STATE(2627)] = 75976,
  [SMALL_STATE(2628)] = 75989,
  [SMALL_STATE(2629)] = 76002,
  [SMALL_STATE(2630)] = 76015,
  [SMALL_STATE(2631)] = 76028,
  [SMALL_STATE(2632)] = 76041,
  [SMALL_STATE(2633)] = 76054,
  [SMALL_STATE(2634)] = 76067,
  [SMALL_STATE(2635)] = 76080,
  [SMALL_STATE(2636)] = 76093,
  [SMALL_STATE(2637)] = 76106,
  [SMALL_STATE(2638)] = 76119,
  [SMALL_STATE(2639)] = 76132,
  [SMALL_STATE(2640)] = 76145,
  [SMALL_STATE(2641)] = 76158,
  [SMALL_STATE(2642)] = 76171,
  [SMALL_STATE(2643)] = 76184,
  [SMALL_STATE(2644)] = 76197,
  [SMALL_STATE(2645)] = 76210,
  [SMALL_STATE(2646)] = 76223,
  [SMALL_STATE(2647)] = 76236,
  [SMALL_STATE(2648)] = 76249,
  [SMALL_STATE(2649)] = 76262,
  [SMALL_STATE(2650)] = 76275,
  [SMALL_STATE(2651)] = 76288,
  [SMALL_STATE(2652)] = 76301,
  [SMALL_STATE(2653)] = 76305,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [15] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(786),
  [18] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [20] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(504),
  [23] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1421),
  [26] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1887),
  [29] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1723),
  [32] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1391),
  [35] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1504),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1590),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2167),
  [44] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2426),
  [50] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2638),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2635),
  [56] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [58] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2634),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1274),
  [64] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1312),
  [67] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1335),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1333),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1833),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(93),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2632),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(190),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2630),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2627),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1131),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2178),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2624),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(188),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(195),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(198),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(352),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2181),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(80),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2620),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2619),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2183),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2187),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2188),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(378),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(379),
  [139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(379),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(567),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(397),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(670),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(820),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2615),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(101),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(747),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1419),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2193),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1377),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1888),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1409),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1654),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(380),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(376),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(366),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(359),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 126),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 126),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 126),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 126),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2641),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2249),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2649),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2598),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2245),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(723),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(890),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2489),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2307),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 16),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(2402),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(81),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 44),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(2402),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(81),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86), SHIFT_REPEAT(2402),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 177),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 177),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 159),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 159),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 145),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 145),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 144),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 144),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 133),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 133),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 50),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 50),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 143),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 143),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 83),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 83),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 10),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 10),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 169),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 169),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 170),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 170),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 39),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 39),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 132),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 132),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 101),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 101),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 16),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 16),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 123),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 123),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 83),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 83),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 58),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 58),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 142),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 142),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 16),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 16),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, .production_id = 179),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, .production_id = 179),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 160),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 160),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 160),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 160),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 16),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 16),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 170),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 170),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 169),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 169),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 163),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 163),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 99),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 99),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 10),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 10),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 10),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 10),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 85),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 85),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 25),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 25),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 10),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 10),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 8),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 8),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 10),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 10),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 39),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 39),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 44),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 44),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 82),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 82),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 39),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 39),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 145),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 145),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 39),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 39),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 144),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 144),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 143),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 143),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 9),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 9),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, .production_id = 168),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, .production_id = 168),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 16),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 16),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 99),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 99),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 132),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 132),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 85),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 85),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 101),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 101),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 133),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 133),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 41),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 41),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 23),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 23),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 23),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 23),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 94),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 94),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 22),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 22),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 94),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 94),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 135),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 135),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 135),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 135),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 55),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 55),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 56),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 56),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 56),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 56),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 7),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 7),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 134),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 134),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 1),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 3),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2640),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 21),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 21),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1425),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(747),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1890),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2167),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(99),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2557),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(114),
  [1750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2325),
  [1753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1375),
  [1756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2071),
  [1759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1651),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 15),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 15),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, .production_id = 48),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, .production_id = 48),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 87),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 87),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, .production_id = 88),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, .production_id = 88),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, .production_id = 17),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, .production_id = 17),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 15),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 15),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, .production_id = 15),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, .production_id = 15),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, .production_id = 129),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, .production_id = 129),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, .production_id = 130),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, .production_id = 130),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, .production_id = 161),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, .production_id = 161),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, .production_id = 162),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, .production_id = 162),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 15),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 15),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 20),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 20),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 178),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 178),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 167),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 167),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 166),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 166),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 165),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 165),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 164),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 164),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, .production_id = 45),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, .production_id = 45),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 147),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 147),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 139),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 139),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 138),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 138),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 137),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 137),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 136),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 136),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 63),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 63),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, .production_id = 45),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, .production_id = 45),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 118),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 118),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 106),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 106),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 105),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 105),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 104),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 104),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 12),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 12),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 98),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 98),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 97),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 97),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 96),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 96),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 95),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 95),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, .production_id = 45),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, .production_id = 45),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 26),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 26),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 34),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 34),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 36),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 36),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 41),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 41),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, .production_id = 45),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, .production_id = 45),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 16),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 16),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 57),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 57),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 62),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 62),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 77),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 77),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 76),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 76),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 21),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 20),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, .production_id = 54),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 19),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 53),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 53),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1314),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1274),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1312),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1316),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1315),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1309),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1314),
  [2402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1435),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1542),
  [2408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1601),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [2413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1274),
  [2416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1312),
  [2419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1316),
  [2422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1315),
  [2425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1309),
  [2428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1419),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 27),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, .production_id = 131),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 109),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 111),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 107),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 1),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, .production_id = 180),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, .production_id = 125),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 74),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, .production_id = 124),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, .production_id = 174),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 155),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 153),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 117),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 173),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 151),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 172),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 171),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 49),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 150),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 149),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 148),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1460),
  [2650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1435),
  [2653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1542),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2),
  [2658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(2539),
  [2661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1451),
  [2664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1480),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1484),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1478),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1469),
  [2676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1419),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1422),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_heredoc_body, 2), SHIFT(1351),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(274),
  [2802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1426),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1443),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1351),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1686),
  [2814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1443),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1419),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(274),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1426),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1443),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1686),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1443),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1460),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1451),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1480),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1484),
  [2861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1478),
  [2864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1469),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 156),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 8),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(372),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1537),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1538),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1538),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [2897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1715),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 80),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 120),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 25),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 157),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 122),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 121),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, .production_id = 176),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 81),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 175),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 158),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 175),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 79),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 158),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, .production_id = 70),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, .production_id = 38),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 81),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, .production_id = 9),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, .production_id = 119),
  [3020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(265),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1595),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1595),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1657),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, .production_id = 181),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 81),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, .production_id = 6),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, .production_id = 6),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 5),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 5),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 23),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 23),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2629),
  [3261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2239),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [3276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(233),
  [3279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2391),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 5),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 5),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [3373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(2392),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(82),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(2392),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(82),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [3397] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), SHIFT(1328),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1320),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1799),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1321),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86), SHIFT_REPEAT(2400),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 33),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1323),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1322),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86), SHIFT_REPEAT(2392),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1879),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2550),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [3636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2640),
  [3639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2550),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [3666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1441),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 11),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2550),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1327),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [3711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1328),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [3740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(1912),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 1),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2),
  [3775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2), SHIFT_REPEAT(1642),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2), SHIFT(1328),
  [3789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(1420),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [3806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(1910),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2), SHIFT_REPEAT(2138),
  [3832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(1544),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(2123),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [3862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1447),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, .production_id = 3),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(148),
  [3902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, .production_id = 4),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 1),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 13),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(151),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 18),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 24),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 28),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, .production_id = 29),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 30),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 31),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 42),
  [4053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 42),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 46),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 47),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(156),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, .production_id = 47),
  [4074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(146),
  [4077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2), SHIFT_REPEAT(1418),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 51),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 59),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 61),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 66),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 67),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(770),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 69),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 71),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 72),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 73),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(854),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 47),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 75),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(145),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 102),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 35),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 32),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 108),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 113),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 114),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 116),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 16),
  [4227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 16),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2), SHIFT_REPEAT(271),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 128),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 128),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2), SHIFT_REPEAT(157),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1823),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 152),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1717),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [4293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, .production_id = 154),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(2214),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 127),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(2214),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 115),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 112),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 110),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1), REDUCE(sym_array_element_initializer, 1),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2640),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 3),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 70),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 68),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 65),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3), REDUCE(sym_array_element_initializer, 3),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 9),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 40),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 52),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 60),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 14),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 2),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 92),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 100),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 103),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4746] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, .production_id = 146),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [7] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_heredoc_end] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
